-- MySQL dump 10.13  Distrib 5.6.24, for osx10.8 (x86_64)
--
-- Host: localhost    Database: jwdb
-- ------------------------------------------------------
-- Server version	5.6.24

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `SHKActivities`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKActivities` (
  `Id` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivitySetDefinitionId` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `Process` decimal(19,0) NOT NULL,
  `TheResource` decimal(19,0) DEFAULT NULL,
  `PDefName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessId` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ResourceId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `State` decimal(19,0) NOT NULL,
  `BlockActivityId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Performer` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsPerformerAsynchronous` smallint(6) DEFAULT NULL,
  `Priority` int(11) DEFAULT NULL,
  `Name` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Activated` bigint(20) NOT NULL,
  `ActivatedTZO` bigint(20) NOT NULL,
  `Accepted` bigint(20) DEFAULT NULL,
  `AcceptedTZO` bigint(20) DEFAULT NULL,
  `LastStateTime` bigint(20) NOT NULL,
  `LastStateTimeTZO` bigint(20) NOT NULL,
  `LimitTime` bigint(20) NOT NULL,
  `LimitTimeTZO` bigint(20) NOT NULL,
  `Description` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKActivities` (`Id`),
  KEY `SHKActivities_TheResource` (`TheResource`),
  KEY `SHKActivities_State` (`State`),
  KEY `I2_SHKActivities` (`Process`,`ActivitySetDefinitionId`,`ActivityDefinitionId`),
  KEY `I3_SHKActivities` (`Process`,`State`),
  CONSTRAINT `SHKActivities_Process` FOREIGN KEY (`Process`) REFERENCES `SHKProcesses` (`oid`),
  CONSTRAINT `SHKActivities_State` FOREIGN KEY (`State`) REFERENCES `SHKActivityStates` (`oid`),
  CONSTRAINT `SHKActivities_TheResource` FOREIGN KEY (`TheResource`) REFERENCES `SHKResourcesTable` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKActivities`
--

LOCK TABLES `SHKActivities` WRITE;
/*!40000 ALTER TABLE `SHKActivities` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKActivities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKActivityData`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKActivityData` (
  `Activity` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValue` mediumblob,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` double DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `IsResult` smallint(6) NOT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKActivityData` (`CNT`),
  UNIQUE KEY `I2_SHKActivityData` (`Activity`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKActivityData_Activity` FOREIGN KEY (`Activity`) REFERENCES `SHKActivities` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKActivityData`
--

LOCK TABLES `SHKActivityData` WRITE;
/*!40000 ALTER TABLE `SHKActivityData` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKActivityData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKActivityDataBLOBs`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKActivityDataBLOBs` (
  `ActivityDataWOB` decimal(19,0) NOT NULL,
  `VariableValue` mediumblob,
  `OrdNo` int(11) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKActivityDataBLOBs` (`ActivityDataWOB`,`OrdNo`),
  CONSTRAINT `SHKActivityDataBLOBs_ActivityDataWOB` FOREIGN KEY (`ActivityDataWOB`) REFERENCES `SHKActivityDataWOB` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKActivityDataBLOBs`
--

LOCK TABLES `SHKActivityDataBLOBs` WRITE;
/*!40000 ALTER TABLE `SHKActivityDataBLOBs` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKActivityDataBLOBs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKActivityDataWOB`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKActivityDataWOB` (
  `Activity` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` double DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `IsResult` smallint(6) NOT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKActivityDataWOB` (`CNT`),
  UNIQUE KEY `I2_SHKActivityDataWOB` (`Activity`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKActivityDataWOB_Activity` FOREIGN KEY (`Activity`) REFERENCES `SHKActivities` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKActivityDataWOB`
--

LOCK TABLES `SHKActivityDataWOB` WRITE;
/*!40000 ALTER TABLE `SHKActivityDataWOB` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKActivityDataWOB` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKActivityStateEventAudits`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKActivityStateEventAudits` (
  `KeyValue` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKActivityStateEventAudits` (`KeyValue`),
  UNIQUE KEY `I2_SHKActivityStateEventAudits` (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKActivityStateEventAudits`
--

LOCK TABLES `SHKActivityStateEventAudits` WRITE;
/*!40000 ALTER TABLE `SHKActivityStateEventAudits` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKActivityStateEventAudits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKActivityStates`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKActivityStates` (
  `KeyValue` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKActivityStates` (`KeyValue`),
  UNIQUE KEY `I2_SHKActivityStates` (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKActivityStates`
--

LOCK TABLES `SHKActivityStates` WRITE;
/*!40000 ALTER TABLE `SHKActivityStates` DISABLE KEYS */;
INSERT INTO `SHKActivityStates` VALUES ('open.running','open.running',1000001,0),('open.not_running.not_started','open.not_running.not_started',1000003,0),('open.not_running.suspended','open.not_running.suspended',1000005,0),('closed.completed','closed.completed',1000007,0),('closed.terminated','closed.terminated',1000009,0),('closed.aborted','closed.aborted',1000011,0);
/*!40000 ALTER TABLE `SHKActivityStates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKAndJoinTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKAndJoinTable` (
  `Process` decimal(19,0) NOT NULL,
  `BlockActivity` decimal(19,0) DEFAULT NULL,
  `ActivityDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `Activity` decimal(19,0) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKAndJoinTable` (`CNT`),
  KEY `SHKAndJoinTable_BlockActivity` (`BlockActivity`),
  KEY `I2_SHKAndJoinTable` (`Process`,`BlockActivity`,`ActivityDefinitionId`),
  KEY `I3_SHKAndJoinTable` (`Activity`),
  CONSTRAINT `SHKAndJoinTable_Activity` FOREIGN KEY (`Activity`) REFERENCES `SHKActivities` (`oid`),
  CONSTRAINT `SHKAndJoinTable_BlockActivity` FOREIGN KEY (`BlockActivity`) REFERENCES `SHKActivities` (`oid`),
  CONSTRAINT `SHKAndJoinTable_Process` FOREIGN KEY (`Process`) REFERENCES `SHKProcesses` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKAndJoinTable`
--

LOCK TABLES `SHKAndJoinTable` WRITE;
/*!40000 ALTER TABLE `SHKAndJoinTable` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKAndJoinTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKAssignmentEventAudits`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKAssignmentEventAudits` (
  `RecordedTime` bigint(20) NOT NULL,
  `RecordedTimeTZO` bigint(20) NOT NULL,
  `TheUsername` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `TheType` decimal(19,0) NOT NULL,
  `ActivityId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessFactoryName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessFactoryVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityDefinitionType` int(11) NOT NULL,
  `ProcessDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PackageId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `OldResourceUsername` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `OldResourceName` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `NewResourceUsername` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `NewResourceName` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `IsAccepted` smallint(6) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKAssignmentEventAudits` (`CNT`),
  KEY `SHKAssignmentEventAudits_TheType` (`TheType`),
  CONSTRAINT `SHKAssignmentEventAudits_TheType` FOREIGN KEY (`TheType`) REFERENCES `SHKEventTypes` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKAssignmentEventAudits`
--

LOCK TABLES `SHKAssignmentEventAudits` WRITE;
/*!40000 ALTER TABLE `SHKAssignmentEventAudits` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKAssignmentEventAudits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKAssignmentsTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKAssignmentsTable` (
  `Activity` decimal(19,0) NOT NULL,
  `TheResource` decimal(19,0) NOT NULL,
  `ActivityId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityProcessId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityProcessDefName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ResourceId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `IsAccepted` smallint(6) NOT NULL,
  `IsValid` smallint(6) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKAssignmentsTable` (`CNT`),
  UNIQUE KEY `I2_SHKAssignmentsTable` (`Activity`,`TheResource`),
  KEY `I3_SHKAssignmentsTable` (`TheResource`,`IsValid`),
  KEY `I4_SHKAssignmentsTable` (`ActivityId`),
  KEY `I5_SHKAssignmentsTable` (`ResourceId`),
  KEY `FK_rnb6mhntls567xpifcfvygkuu` (`ActivityProcessId`),
  CONSTRAINT `FK_183e6adufsi558hl5p4dqkqsx` FOREIGN KEY (`ActivityId`) REFERENCES `SHKActivities` (`Id`),
  CONSTRAINT `FK_rnb6mhntls567xpifcfvygkuu` FOREIGN KEY (`ActivityProcessId`) REFERENCES `SHKProcesses` (`Id`),
  CONSTRAINT `SHKAssignmentsTable_Activity` FOREIGN KEY (`Activity`) REFERENCES `SHKActivities` (`oid`),
  CONSTRAINT `SHKAssignmentsTable_TheResource` FOREIGN KEY (`TheResource`) REFERENCES `SHKResourcesTable` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKAssignmentsTable`
--

LOCK TABLES `SHKAssignmentsTable` WRITE;
/*!40000 ALTER TABLE `SHKAssignmentsTable` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKAssignmentsTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKCounters`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKCounters` (
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `the_number` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKCounters` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKCounters`
--

LOCK TABLES `SHKCounters` WRITE;
/*!40000 ALTER TABLE `SHKCounters` DISABLE KEYS */;
INSERT INTO `SHKCounters` VALUES ('_xpdldata_',5,1000204,3);
/*!40000 ALTER TABLE `SHKCounters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKCreateProcessEventAudits`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKCreateProcessEventAudits` (
  `RecordedTime` bigint(20) NOT NULL,
  `RecordedTimeTZO` bigint(20) NOT NULL,
  `TheUsername` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `TheType` decimal(19,0) NOT NULL,
  `ProcessId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessFactoryName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessFactoryVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PackageId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PActivityId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PProcessId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PProcessName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PProcessFactoryName` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PProcessFactoryVersion` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PActivityDefinitionId` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PActivityDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PProcessDefinitionId` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PProcessDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PPackageId` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKCreateProcessEventAudits` (`CNT`),
  KEY `SHKCreateProcessEventAudits_TheType` (`TheType`),
  CONSTRAINT `SHKCreateProcessEventAudits_TheType` FOREIGN KEY (`TheType`) REFERENCES `SHKEventTypes` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKCreateProcessEventAudits`
--

LOCK TABLES `SHKCreateProcessEventAudits` WRITE;
/*!40000 ALTER TABLE `SHKCreateProcessEventAudits` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKCreateProcessEventAudits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKDataEventAudits`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKDataEventAudits` (
  `RecordedTime` bigint(20) NOT NULL,
  `RecordedTimeTZO` bigint(20) NOT NULL,
  `TheUsername` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `TheType` decimal(19,0) NOT NULL,
  `ActivityId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessFactoryName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessFactoryVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityDefinitionId` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityDefinitionType` int(11) DEFAULT NULL,
  `ProcessDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PackageId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKDataEventAudits` (`CNT`),
  KEY `SHKDataEventAudits_TheType` (`TheType`),
  CONSTRAINT `SHKDataEventAudits_TheType` FOREIGN KEY (`TheType`) REFERENCES `SHKEventTypes` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKDataEventAudits`
--

LOCK TABLES `SHKDataEventAudits` WRITE;
/*!40000 ALTER TABLE `SHKDataEventAudits` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKDataEventAudits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKDeadlines`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKDeadlines` (
  `Process` decimal(19,0) NOT NULL,
  `Activity` decimal(19,0) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `TimeLimit` bigint(20) NOT NULL,
  `TimeLimitTZO` bigint(20) NOT NULL,
  `ExceptionName` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `IsSynchronous` smallint(6) NOT NULL,
  `IsExecuted` smallint(6) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKDeadlines` (`CNT`),
  KEY `I2_SHKDeadlines` (`Process`,`TimeLimit`),
  KEY `I3_SHKDeadlines` (`Activity`,`TimeLimit`),
  CONSTRAINT `SHKDeadlines_Activity` FOREIGN KEY (`Activity`) REFERENCES `SHKActivities` (`oid`),
  CONSTRAINT `SHKDeadlines_Process` FOREIGN KEY (`Process`) REFERENCES `SHKProcesses` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKDeadlines`
--

LOCK TABLES `SHKDeadlines` WRITE;
/*!40000 ALTER TABLE `SHKDeadlines` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKDeadlines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKEventTypes`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKEventTypes` (
  `KeyValue` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKEventTypes` (`KeyValue`),
  UNIQUE KEY `I2_SHKEventTypes` (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKEventTypes`
--

LOCK TABLES `SHKEventTypes` WRITE;
/*!40000 ALTER TABLE `SHKEventTypes` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKEventTypes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKGroupGroupTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKGroupGroupTable` (
  `sub_gid` decimal(19,0) NOT NULL,
  `groupid` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKGroupGroupTable` (`sub_gid`,`groupid`),
  KEY `I2_SHKGroupGroupTable` (`groupid`),
  CONSTRAINT `SHKGroupGroupTable_groupid` FOREIGN KEY (`groupid`) REFERENCES `SHKGroupTable` (`oid`),
  CONSTRAINT `SHKGroupGroupTable_sub_gid` FOREIGN KEY (`sub_gid`) REFERENCES `SHKGroupTable` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKGroupGroupTable`
--

LOCK TABLES `SHKGroupGroupTable` WRITE;
/*!40000 ALTER TABLE `SHKGroupGroupTable` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKGroupGroupTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKGroupTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKGroupTable` (
  `groupid` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `description` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKGroupTable` (`groupid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKGroupTable`
--

LOCK TABLES `SHKGroupTable` WRITE;
/*!40000 ALTER TABLE `SHKGroupTable` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKGroupTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKGroupUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKGroupUser` (
  `USERNAME` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKGroupUser` (`USERNAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKGroupUser`
--

LOCK TABLES `SHKGroupUser` WRITE;
/*!40000 ALTER TABLE `SHKGroupUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKGroupUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKGroupUserPackLevelPart`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKGroupUserPackLevelPart` (
  `PARTICIPANTOID` decimal(19,0) NOT NULL,
  `USEROID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKGroupUserPackLevelPart` (`PARTICIPANTOID`,`USEROID`),
  KEY `SHKGroupUserPackLevelPart_USEROID` (`USEROID`),
  CONSTRAINT `SHKGroupUserPackLevelPart_PARTICIPANTOID` FOREIGN KEY (`PARTICIPANTOID`) REFERENCES `SHKPackLevelParticipant` (`oid`),
  CONSTRAINT `SHKGroupUserPackLevelPart_USEROID` FOREIGN KEY (`USEROID`) REFERENCES `SHKGroupUser` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKGroupUserPackLevelPart`
--

LOCK TABLES `SHKGroupUserPackLevelPart` WRITE;
/*!40000 ALTER TABLE `SHKGroupUserPackLevelPart` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKGroupUserPackLevelPart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKGroupUserProcLevelPart`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKGroupUserProcLevelPart` (
  `PARTICIPANTOID` decimal(19,0) NOT NULL,
  `USEROID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKGroupUserProcLevelPart` (`PARTICIPANTOID`,`USEROID`),
  KEY `SHKGroupUserProcLevelPart_USEROID` (`USEROID`),
  CONSTRAINT `SHKGroupUserProcLevelPart_PARTICIPANTOID` FOREIGN KEY (`PARTICIPANTOID`) REFERENCES `SHKProcLevelParticipant` (`oid`),
  CONSTRAINT `SHKGroupUserProcLevelPart_USEROID` FOREIGN KEY (`USEROID`) REFERENCES `SHKGroupUser` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKGroupUserProcLevelPart`
--

LOCK TABLES `SHKGroupUserProcLevelPart` WRITE;
/*!40000 ALTER TABLE `SHKGroupUserProcLevelPart` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKGroupUserProcLevelPart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKNewEventAuditData`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKNewEventAuditData` (
  `DataEventAudit` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValue` mediumblob,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` float DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKNewEventAuditData` (`CNT`),
  UNIQUE KEY `I2_SHKNewEventAuditData` (`DataEventAudit`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKNewEventAuditData_DataEventAudit` FOREIGN KEY (`DataEventAudit`) REFERENCES `SHKDataEventAudits` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKNewEventAuditData`
--

LOCK TABLES `SHKNewEventAuditData` WRITE;
/*!40000 ALTER TABLE `SHKNewEventAuditData` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKNewEventAuditData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKNewEventAuditDataBLOBs`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKNewEventAuditDataBLOBs` (
  `NewEventAuditDataWOB` decimal(19,0) NOT NULL,
  `VariableValue` mediumblob,
  `OrdNo` int(11) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKNewEventAuditDataBLOBs` (`NewEventAuditDataWOB`,`OrdNo`),
  CONSTRAINT `SHKNewEventAuditDataBLOBs_NewEventAuditDataWOB` FOREIGN KEY (`NewEventAuditDataWOB`) REFERENCES `SHKNewEventAuditDataWOB` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKNewEventAuditDataBLOBs`
--

LOCK TABLES `SHKNewEventAuditDataBLOBs` WRITE;
/*!40000 ALTER TABLE `SHKNewEventAuditDataBLOBs` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKNewEventAuditDataBLOBs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKNewEventAuditDataWOB`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKNewEventAuditDataWOB` (
  `DataEventAudit` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` float DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKNewEventAuditDataWOB` (`CNT`),
  UNIQUE KEY `I2_SHKNewEventAuditDataWOB` (`DataEventAudit`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKNewEventAuditDataWOB_DataEventAudit` FOREIGN KEY (`DataEventAudit`) REFERENCES `SHKDataEventAudits` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKNewEventAuditDataWOB`
--

LOCK TABLES `SHKNewEventAuditDataWOB` WRITE;
/*!40000 ALTER TABLE `SHKNewEventAuditDataWOB` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKNewEventAuditDataWOB` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKNextXPDLVersions`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKNextXPDLVersions` (
  `XPDLId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `NextVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKNextXPDLVersions` (`XPDLId`,`NextVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKNextXPDLVersions`
--

LOCK TABLES `SHKNextXPDLVersions` WRITE;
/*!40000 ALTER TABLE `SHKNextXPDLVersions` DISABLE KEYS */;
INSERT INTO `SHKNextXPDLVersions` VALUES ('crm','2',1000201,0),('dashboard','2',1000206,0),('expenseclaim','2',1000210,0),('isr','2',1000214,0);
/*!40000 ALTER TABLE `SHKNextXPDLVersions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKNormalUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKNormalUser` (
  `USERNAME` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKNormalUser` (`USERNAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKNormalUser`
--

LOCK TABLES `SHKNormalUser` WRITE;
/*!40000 ALTER TABLE `SHKNormalUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKNormalUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKOldEventAuditData`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKOldEventAuditData` (
  `DataEventAudit` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValue` mediumblob,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` float DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKOldEventAuditData` (`CNT`),
  UNIQUE KEY `I2_SHKOldEventAuditData` (`DataEventAudit`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKOldEventAuditData_DataEventAudit` FOREIGN KEY (`DataEventAudit`) REFERENCES `SHKDataEventAudits` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKOldEventAuditData`
--

LOCK TABLES `SHKOldEventAuditData` WRITE;
/*!40000 ALTER TABLE `SHKOldEventAuditData` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKOldEventAuditData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKOldEventAuditDataBLOBs`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKOldEventAuditDataBLOBs` (
  `OldEventAuditDataWOB` decimal(19,0) NOT NULL,
  `VariableValue` mediumblob,
  `OrdNo` int(11) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKOldEventAuditDataBLOBs` (`OldEventAuditDataWOB`,`OrdNo`),
  CONSTRAINT `SHKOldEventAuditDataBLOBs_OldEventAuditDataWOB` FOREIGN KEY (`OldEventAuditDataWOB`) REFERENCES `SHKOldEventAuditDataWOB` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKOldEventAuditDataBLOBs`
--

LOCK TABLES `SHKOldEventAuditDataBLOBs` WRITE;
/*!40000 ALTER TABLE `SHKOldEventAuditDataBLOBs` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKOldEventAuditDataBLOBs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKOldEventAuditDataWOB`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKOldEventAuditDataWOB` (
  `DataEventAudit` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` float DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKOldEventAuditDataWOB` (`CNT`),
  UNIQUE KEY `I2_SHKOldEventAuditDataWOB` (`DataEventAudit`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKOldEventAuditDataWOB_DataEventAudit` FOREIGN KEY (`DataEventAudit`) REFERENCES `SHKDataEventAudits` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKOldEventAuditDataWOB`
--

LOCK TABLES `SHKOldEventAuditDataWOB` WRITE;
/*!40000 ALTER TABLE `SHKOldEventAuditDataWOB` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKOldEventAuditDataWOB` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKPackLevelParticipant`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKPackLevelParticipant` (
  `PARTICIPANT_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PACKAGEOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKPackLevelParticipant` (`PARTICIPANT_ID`,`PACKAGEOID`),
  KEY `SHKPackLevelParticipant_PACKAGEOID` (`PACKAGEOID`),
  CONSTRAINT `SHKPackLevelParticipant_PACKAGEOID` FOREIGN KEY (`PACKAGEOID`) REFERENCES `SHKXPDLParticipantPackage` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKPackLevelParticipant`
--

LOCK TABLES `SHKPackLevelParticipant` WRITE;
/*!40000 ALTER TABLE `SHKPackLevelParticipant` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKPackLevelParticipant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKPackLevelXPDLApp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKPackLevelXPDLApp` (
  `APPLICATION_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PACKAGEOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKPackLevelXPDLApp` (`APPLICATION_ID`,`PACKAGEOID`),
  KEY `SHKPackLevelXPDLApp_PACKAGEOID` (`PACKAGEOID`),
  CONSTRAINT `SHKPackLevelXPDLApp_PACKAGEOID` FOREIGN KEY (`PACKAGEOID`) REFERENCES `SHKXPDLApplicationPackage` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKPackLevelXPDLApp`
--

LOCK TABLES `SHKPackLevelXPDLApp` WRITE;
/*!40000 ALTER TABLE `SHKPackLevelXPDLApp` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKPackLevelXPDLApp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKPackLevelXPDLAppTAAppDetUsr`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKPackLevelXPDLAppTAAppDetUsr` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKPackLevelXPDLAppTAAppDetUsr` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKPackLevelXPDLAppTAAppDetUsr_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKPackLevelXPDLAppTAAppDetUsr_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentAppDetailUser` (`oid`),
  CONSTRAINT `SHKPackLevelXPDLAppTAAppDetUsr_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKPackLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKPackLevelXPDLAppTAAppDetUsr`
--

LOCK TABLES `SHKPackLevelXPDLAppTAAppDetUsr` WRITE;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppTAAppDetUsr` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppTAAppDetUsr` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKPackLevelXPDLAppTAAppDetail`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKPackLevelXPDLAppTAAppDetail` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKPackLevelXPDLAppTAAppDetail` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKPackLevelXPDLAppTAAppDetail_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKPackLevelXPDLAppTAAppDetail_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentAppDetail` (`oid`),
  CONSTRAINT `SHKPackLevelXPDLAppTAAppDetail_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKPackLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKPackLevelXPDLAppTAAppDetail`
--

LOCK TABLES `SHKPackLevelXPDLAppTAAppDetail` WRITE;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppTAAppDetail` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppTAAppDetail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKPackLevelXPDLAppTAAppUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKPackLevelXPDLAppTAAppUser` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKPackLevelXPDLAppTAAppUser` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKPackLevelXPDLAppTAAppUser_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKPackLevelXPDLAppTAAppUser_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentAppUser` (`oid`),
  CONSTRAINT `SHKPackLevelXPDLAppTAAppUser_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKPackLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKPackLevelXPDLAppTAAppUser`
--

LOCK TABLES `SHKPackLevelXPDLAppTAAppUser` WRITE;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppTAAppUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppTAAppUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKPackLevelXPDLAppToolAgntApp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKPackLevelXPDLAppToolAgntApp` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKPackLevelXPDLAppToolAgntApp` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKPackLevelXPDLAppToolAgntApp_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKPackLevelXPDLAppToolAgntApp_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentApp` (`oid`),
  CONSTRAINT `SHKPackLevelXPDLAppToolAgntApp_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKPackLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKPackLevelXPDLAppToolAgntApp`
--

LOCK TABLES `SHKPackLevelXPDLAppToolAgntApp` WRITE;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppToolAgntApp` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKPackLevelXPDLAppToolAgntApp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcLevelParticipant`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcLevelParticipant` (
  `PARTICIPANT_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PROCESSOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcLevelParticipant` (`PARTICIPANT_ID`,`PROCESSOID`),
  KEY `SHKProcLevelParticipant_PROCESSOID` (`PROCESSOID`),
  CONSTRAINT `SHKProcLevelParticipant_PROCESSOID` FOREIGN KEY (`PROCESSOID`) REFERENCES `SHKXPDLParticipantProcess` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcLevelParticipant`
--

LOCK TABLES `SHKProcLevelParticipant` WRITE;
/*!40000 ALTER TABLE `SHKProcLevelParticipant` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcLevelParticipant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcLevelXPDLApp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcLevelXPDLApp` (
  `APPLICATION_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PROCESSOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcLevelXPDLApp` (`APPLICATION_ID`,`PROCESSOID`),
  KEY `SHKProcLevelXPDLApp_PROCESSOID` (`PROCESSOID`),
  CONSTRAINT `SHKProcLevelXPDLApp_PROCESSOID` FOREIGN KEY (`PROCESSOID`) REFERENCES `SHKXPDLApplicationProcess` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcLevelXPDLApp`
--

LOCK TABLES `SHKProcLevelXPDLApp` WRITE;
/*!40000 ALTER TABLE `SHKProcLevelXPDLApp` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcLevelXPDLApp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcLevelXPDLAppTAAppDetUsr`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcLevelXPDLAppTAAppDetUsr` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcLevelXPDLAppTAAppDetUsr` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKProcLevelXPDLAppTAAppDetUsr_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKProcLevelXPDLAppTAAppDetUsr_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentAppDetailUser` (`oid`),
  CONSTRAINT `SHKProcLevelXPDLAppTAAppDetUsr_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKProcLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcLevelXPDLAppTAAppDetUsr`
--

LOCK TABLES `SHKProcLevelXPDLAppTAAppDetUsr` WRITE;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppTAAppDetUsr` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppTAAppDetUsr` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcLevelXPDLAppTAAppDetail`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcLevelXPDLAppTAAppDetail` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcLevelXPDLAppTAAppDetail` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKProcLevelXPDLAppTAAppDetail_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKProcLevelXPDLAppTAAppDetail_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentAppDetail` (`oid`),
  CONSTRAINT `SHKProcLevelXPDLAppTAAppDetail_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKProcLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcLevelXPDLAppTAAppDetail`
--

LOCK TABLES `SHKProcLevelXPDLAppTAAppDetail` WRITE;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppTAAppDetail` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppTAAppDetail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcLevelXPDLAppTAAppUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcLevelXPDLAppTAAppUser` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcLevelXPDLAppTAAppUser` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKProcLevelXPDLAppTAAppUser_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKProcLevelXPDLAppTAAppUser_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentAppUser` (`oid`),
  CONSTRAINT `SHKProcLevelXPDLAppTAAppUser_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKProcLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcLevelXPDLAppTAAppUser`
--

LOCK TABLES `SHKProcLevelXPDLAppTAAppUser` WRITE;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppTAAppUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppTAAppUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcLevelXPDLAppToolAgntApp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcLevelXPDLAppToolAgntApp` (
  `XPDL_APPOID` decimal(19,0) NOT NULL,
  `TOOLAGENTOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcLevelXPDLAppToolAgntApp` (`XPDL_APPOID`,`TOOLAGENTOID`),
  KEY `SHKProcLevelXPDLAppToolAgntApp_TOOLAGENTOID` (`TOOLAGENTOID`),
  CONSTRAINT `SHKProcLevelXPDLAppToolAgntApp_TOOLAGENTOID` FOREIGN KEY (`TOOLAGENTOID`) REFERENCES `SHKToolAgentApp` (`oid`),
  CONSTRAINT `SHKProcLevelXPDLAppToolAgntApp_XPDL_APPOID` FOREIGN KEY (`XPDL_APPOID`) REFERENCES `SHKProcLevelXPDLApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcLevelXPDLAppToolAgntApp`
--

LOCK TABLES `SHKProcLevelXPDLAppToolAgntApp` WRITE;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppToolAgntApp` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcLevelXPDLAppToolAgntApp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessData`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessData` (
  `Process` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValue` mediumblob,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` double DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessData` (`CNT`),
  UNIQUE KEY `I2_SHKProcessData` (`Process`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKProcessData_Process` FOREIGN KEY (`Process`) REFERENCES `SHKProcesses` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessData`
--

LOCK TABLES `SHKProcessData` WRITE;
/*!40000 ALTER TABLE `SHKProcessData` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcessData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessDataBLOBs`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessDataBLOBs` (
  `ProcessDataWOB` decimal(19,0) NOT NULL,
  `VariableValue` mediumblob,
  `OrdNo` int(11) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessDataBLOBs` (`ProcessDataWOB`,`OrdNo`),
  CONSTRAINT `SHKProcessDataBLOBs_ProcessDataWOB` FOREIGN KEY (`ProcessDataWOB`) REFERENCES `SHKProcessDataWOB` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessDataBLOBs`
--

LOCK TABLES `SHKProcessDataBLOBs` WRITE;
/*!40000 ALTER TABLE `SHKProcessDataBLOBs` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcessDataBLOBs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessDataWOB`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessDataWOB` (
  `Process` decimal(19,0) NOT NULL,
  `VariableDefinitionId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `VariableType` int(11) NOT NULL,
  `VariableValueXML` text COLLATE utf8_unicode_ci,
  `VariableValueVCHAR` varchar(4000) COLLATE utf8_unicode_ci DEFAULT NULL,
  `VariableValueDBL` double DEFAULT NULL,
  `VariableValueLONG` bigint(20) DEFAULT NULL,
  `VariableValueDATE` datetime DEFAULT NULL,
  `VariableValueBOOL` smallint(6) DEFAULT NULL,
  `OrdNo` int(11) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessDataWOB` (`CNT`),
  UNIQUE KEY `I2_SHKProcessDataWOB` (`Process`,`VariableDefinitionId`,`OrdNo`),
  CONSTRAINT `SHKProcessDataWOB_Process` FOREIGN KEY (`Process`) REFERENCES `SHKProcesses` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessDataWOB`
--

LOCK TABLES `SHKProcessDataWOB` WRITE;
/*!40000 ALTER TABLE `SHKProcessDataWOB` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcessDataWOB` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessDefinitions`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessDefinitions` (
  `Name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `PackageId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionCreated` bigint(20) NOT NULL,
  `ProcessDefinitionVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `State` int(11) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessDefinitions` (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessDefinitions`
--

LOCK TABLES `SHKProcessDefinitions` WRITE;
/*!40000 ALTER TABLE `SHKProcessDefinitions` DISABLE KEYS */;
INSERT INTO `SHKProcessDefinitions` VALUES ('crm#1#process1','crm','process1',1515589406133,'1',0,1000205,0),('dashboard#1#process1','dashboard','process1',1515589408663,'1',0,1000209,0),('expenseclaim#1#process1','expenseclaim','process1',1515589409527,'1',0,1000213,0),('isr#1#isr','isr','isr',1515589410359,'1',0,1000217,0);
/*!40000 ALTER TABLE `SHKProcessDefinitions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessRequesters`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessRequesters` (
  `Id` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityRequester` decimal(19,0) DEFAULT NULL,
  `ResourceRequester` decimal(19,0) DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessRequesters` (`Id`),
  KEY `I2_SHKProcessRequesters` (`ActivityRequester`),
  KEY `I3_SHKProcessRequesters` (`ResourceRequester`),
  CONSTRAINT `SHKProcessRequesters_ActivityRequester` FOREIGN KEY (`ActivityRequester`) REFERENCES `SHKActivities` (`oid`),
  CONSTRAINT `SHKProcessRequesters_ResourceRequester` FOREIGN KEY (`ResourceRequester`) REFERENCES `SHKResourcesTable` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessRequesters`
--

LOCK TABLES `SHKProcessRequesters` WRITE;
/*!40000 ALTER TABLE `SHKProcessRequesters` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcessRequesters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessStateEventAudits`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessStateEventAudits` (
  `KeyValue` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessStateEventAudits` (`KeyValue`),
  UNIQUE KEY `I2_SHKProcessStateEventAudits` (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessStateEventAudits`
--

LOCK TABLES `SHKProcessStateEventAudits` WRITE;
/*!40000 ALTER TABLE `SHKProcessStateEventAudits` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcessStateEventAudits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcessStates`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcessStates` (
  `KeyValue` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcessStates` (`KeyValue`),
  UNIQUE KEY `I2_SHKProcessStates` (`Name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcessStates`
--

LOCK TABLES `SHKProcessStates` WRITE;
/*!40000 ALTER TABLE `SHKProcessStates` DISABLE KEYS */;
INSERT INTO `SHKProcessStates` VALUES ('open.running','open.running',1000000,0),('open.not_running.not_started','open.not_running.not_started',1000002,0),('open.not_running.suspended','open.not_running.suspended',1000004,0),('closed.completed','closed.completed',1000006,0),('closed.terminated','closed.terminated',1000008,0),('closed.aborted','closed.aborted',1000010,0);
/*!40000 ALTER TABLE `SHKProcessStates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKProcesses`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKProcesses` (
  `SyncVersion` bigint(20) NOT NULL,
  `Id` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinition` decimal(19,0) NOT NULL,
  `PDefName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityRequesterId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityRequesterProcessId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ResourceRequesterId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ExternalRequesterClassName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `State` decimal(19,0) NOT NULL,
  `Priority` int(11) DEFAULT NULL,
  `Name` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Created` bigint(20) NOT NULL,
  `CreatedTZO` bigint(20) NOT NULL,
  `Started` bigint(20) DEFAULT NULL,
  `StartedTZO` bigint(20) DEFAULT NULL,
  `LastStateTime` bigint(20) NOT NULL,
  `LastStateTimeTZO` bigint(20) NOT NULL,
  `LimitTime` bigint(20) NOT NULL,
  `LimitTimeTZO` bigint(20) NOT NULL,
  `Description` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKProcesses` (`Id`),
  KEY `I2_SHKProcesses` (`ProcessDefinition`),
  KEY `I3_SHKProcesses` (`State`),
  KEY `I4_SHKProcesses` (`ActivityRequesterId`),
  KEY `I5_SHKProcesses` (`ResourceRequesterId`),
  CONSTRAINT `SHKProcesses_ProcessDefinition` FOREIGN KEY (`ProcessDefinition`) REFERENCES `SHKProcessDefinitions` (`oid`),
  CONSTRAINT `SHKProcesses_State` FOREIGN KEY (`State`) REFERENCES `SHKProcessStates` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKProcesses`
--

LOCK TABLES `SHKProcesses` WRITE;
/*!40000 ALTER TABLE `SHKProcesses` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKProcesses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKResourcesTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKResourcesTable` (
  `Username` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `Name` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKResourcesTable` (`Username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKResourcesTable`
--

LOCK TABLES `SHKResourcesTable` WRITE;
/*!40000 ALTER TABLE `SHKResourcesTable` DISABLE KEYS */;
INSERT INTO `SHKResourcesTable` VALUES ('roleAnonymous',NULL,1000200,0),('admin',NULL,1000218,0);
/*!40000 ALTER TABLE `SHKResourcesTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKStateEventAudits`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKStateEventAudits` (
  `RecordedTime` bigint(20) NOT NULL,
  `RecordedTimeTZO` bigint(20) NOT NULL,
  `TheUsername` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `TheType` decimal(19,0) NOT NULL,
  `ActivityId` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessId` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessName` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ProcessFactoryName` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessFactoryVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `ActivityDefinitionId` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActivityDefinitionType` int(11) DEFAULT NULL,
  `ProcessDefinitionId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ProcessDefinitionName` varchar(90) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PackageId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `OldProcessState` decimal(19,0) DEFAULT NULL,
  `NewProcessState` decimal(19,0) DEFAULT NULL,
  `OldActivityState` decimal(19,0) DEFAULT NULL,
  `NewActivityState` decimal(19,0) DEFAULT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKStateEventAudits` (`CNT`),
  KEY `SHKStateEventAudits_TheType` (`TheType`),
  KEY `SHKStateEventAudits_OldProcessState` (`OldProcessState`),
  KEY `SHKStateEventAudits_NewProcessState` (`NewProcessState`),
  KEY `SHKStateEventAudits_OldActivityState` (`OldActivityState`),
  KEY `SHKStateEventAudits_NewActivityState` (`NewActivityState`),
  CONSTRAINT `SHKStateEventAudits_NewActivityState` FOREIGN KEY (`NewActivityState`) REFERENCES `SHKActivityStateEventAudits` (`oid`),
  CONSTRAINT `SHKStateEventAudits_NewProcessState` FOREIGN KEY (`NewProcessState`) REFERENCES `SHKProcessStateEventAudits` (`oid`),
  CONSTRAINT `SHKStateEventAudits_OldActivityState` FOREIGN KEY (`OldActivityState`) REFERENCES `SHKActivityStateEventAudits` (`oid`),
  CONSTRAINT `SHKStateEventAudits_OldProcessState` FOREIGN KEY (`OldProcessState`) REFERENCES `SHKProcessStateEventAudits` (`oid`),
  CONSTRAINT `SHKStateEventAudits_TheType` FOREIGN KEY (`TheType`) REFERENCES `SHKEventTypes` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKStateEventAudits`
--

LOCK TABLES `SHKStateEventAudits` WRITE;
/*!40000 ALTER TABLE `SHKStateEventAudits` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKStateEventAudits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKToolAgentApp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKToolAgentApp` (
  `TOOL_AGENT_NAME` varchar(250) COLLATE utf8_unicode_ci NOT NULL,
  `APP_NAME` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKToolAgentApp` (`TOOL_AGENT_NAME`,`APP_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKToolAgentApp`
--

LOCK TABLES `SHKToolAgentApp` WRITE;
/*!40000 ALTER TABLE `SHKToolAgentApp` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKToolAgentApp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKToolAgentAppDetail`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKToolAgentAppDetail` (
  `APP_MODE` decimal(10,0) NOT NULL,
  `TOOLAGENT_APPOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKToolAgentAppDetail` (`APP_MODE`,`TOOLAGENT_APPOID`),
  KEY `SHKToolAgentAppDetail_TOOLAGENT_APPOID` (`TOOLAGENT_APPOID`),
  CONSTRAINT `SHKToolAgentAppDetail_TOOLAGENT_APPOID` FOREIGN KEY (`TOOLAGENT_APPOID`) REFERENCES `SHKToolAgentApp` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKToolAgentAppDetail`
--

LOCK TABLES `SHKToolAgentAppDetail` WRITE;
/*!40000 ALTER TABLE `SHKToolAgentAppDetail` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKToolAgentAppDetail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKToolAgentAppDetailUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKToolAgentAppDetailUser` (
  `TOOLAGENT_APPOID` decimal(19,0) NOT NULL,
  `USEROID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKToolAgentAppDetailUser` (`TOOLAGENT_APPOID`,`USEROID`),
  KEY `SHKToolAgentAppDetailUser_USEROID` (`USEROID`),
  CONSTRAINT `SHKToolAgentAppDetailUser_TOOLAGENT_APPOID` FOREIGN KEY (`TOOLAGENT_APPOID`) REFERENCES `SHKToolAgentAppDetail` (`oid`),
  CONSTRAINT `SHKToolAgentAppDetailUser_USEROID` FOREIGN KEY (`USEROID`) REFERENCES `SHKToolAgentUser` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKToolAgentAppDetailUser`
--

LOCK TABLES `SHKToolAgentAppDetailUser` WRITE;
/*!40000 ALTER TABLE `SHKToolAgentAppDetailUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKToolAgentAppDetailUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKToolAgentAppUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKToolAgentAppUser` (
  `TOOLAGENT_APPOID` decimal(19,0) NOT NULL,
  `USEROID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKToolAgentAppUser` (`TOOLAGENT_APPOID`,`USEROID`),
  KEY `SHKToolAgentAppUser_USEROID` (`USEROID`),
  CONSTRAINT `SHKToolAgentAppUser_TOOLAGENT_APPOID` FOREIGN KEY (`TOOLAGENT_APPOID`) REFERENCES `SHKToolAgentApp` (`oid`),
  CONSTRAINT `SHKToolAgentAppUser_USEROID` FOREIGN KEY (`USEROID`) REFERENCES `SHKToolAgentUser` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKToolAgentAppUser`
--

LOCK TABLES `SHKToolAgentAppUser` WRITE;
/*!40000 ALTER TABLE `SHKToolAgentAppUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKToolAgentAppUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKToolAgentUser`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKToolAgentUser` (
  `USERNAME` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `PWD` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKToolAgentUser` (`USERNAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKToolAgentUser`
--

LOCK TABLES `SHKToolAgentUser` WRITE;
/*!40000 ALTER TABLE `SHKToolAgentUser` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKToolAgentUser` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKUserGroupTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKUserGroupTable` (
  `userid` decimal(19,0) NOT NULL,
  `groupid` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKUserGroupTable` (`userid`,`groupid`),
  KEY `SHKUserGroupTable_groupid` (`groupid`),
  CONSTRAINT `SHKUserGroupTable_groupid` FOREIGN KEY (`groupid`) REFERENCES `SHKGroupTable` (`oid`),
  CONSTRAINT `SHKUserGroupTable_userid` FOREIGN KEY (`userid`) REFERENCES `SHKUserTable` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKUserGroupTable`
--

LOCK TABLES `SHKUserGroupTable` WRITE;
/*!40000 ALTER TABLE `SHKUserGroupTable` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKUserGroupTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKUserPackLevelPart`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKUserPackLevelPart` (
  `PARTICIPANTOID` decimal(19,0) NOT NULL,
  `USEROID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKUserPackLevelPart` (`PARTICIPANTOID`,`USEROID`),
  KEY `SHKUserPackLevelPart_USEROID` (`USEROID`),
  CONSTRAINT `SHKUserPackLevelPart_PARTICIPANTOID` FOREIGN KEY (`PARTICIPANTOID`) REFERENCES `SHKPackLevelParticipant` (`oid`),
  CONSTRAINT `SHKUserPackLevelPart_USEROID` FOREIGN KEY (`USEROID`) REFERENCES `SHKNormalUser` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKUserPackLevelPart`
--

LOCK TABLES `SHKUserPackLevelPart` WRITE;
/*!40000 ALTER TABLE `SHKUserPackLevelPart` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKUserPackLevelPart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKUserProcLevelParticipant`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKUserProcLevelParticipant` (
  `PARTICIPANTOID` decimal(19,0) NOT NULL,
  `USEROID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKUserProcLevelParticipant` (`PARTICIPANTOID`,`USEROID`),
  KEY `SHKUserProcLevelParticipant_USEROID` (`USEROID`),
  CONSTRAINT `SHKUserProcLevelParticipant_PARTICIPANTOID` FOREIGN KEY (`PARTICIPANTOID`) REFERENCES `SHKProcLevelParticipant` (`oid`),
  CONSTRAINT `SHKUserProcLevelParticipant_USEROID` FOREIGN KEY (`USEROID`) REFERENCES `SHKNormalUser` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKUserProcLevelParticipant`
--

LOCK TABLES `SHKUserProcLevelParticipant` WRITE;
/*!40000 ALTER TABLE `SHKUserProcLevelParticipant` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKUserProcLevelParticipant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKUserTable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKUserTable` (
  `userid` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `firstname` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lastname` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `passwd` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(254) COLLATE utf8_unicode_ci DEFAULT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKUserTable` (`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKUserTable`
--

LOCK TABLES `SHKUserTable` WRITE;
/*!40000 ALTER TABLE `SHKUserTable` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKUserTable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLApplicationPackage`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLApplicationPackage` (
  `PACKAGE_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLApplicationPackage` (`PACKAGE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLApplicationPackage`
--

LOCK TABLES `SHKXPDLApplicationPackage` WRITE;
/*!40000 ALTER TABLE `SHKXPDLApplicationPackage` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLApplicationPackage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLApplicationProcess`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLApplicationProcess` (
  `PROCESS_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PACKAGEOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLApplicationProcess` (`PROCESS_ID`,`PACKAGEOID`),
  KEY `SHKXPDLApplicationProcess_PACKAGEOID` (`PACKAGEOID`),
  CONSTRAINT `SHKXPDLApplicationProcess_PACKAGEOID` FOREIGN KEY (`PACKAGEOID`) REFERENCES `SHKXPDLApplicationPackage` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLApplicationProcess`
--

LOCK TABLES `SHKXPDLApplicationProcess` WRITE;
/*!40000 ALTER TABLE `SHKXPDLApplicationProcess` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLApplicationProcess` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLData`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLData` (
  `XPDLContent` longblob,
  `XPDLClassContent` longblob,
  `XPDL` decimal(19,0) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLData` (`CNT`),
  UNIQUE KEY `I2_SHKXPDLData` (`XPDL`),
  CONSTRAINT `SHKXPDLData_XPDL` FOREIGN KEY (`XPDL`) REFERENCES `SHKXPDLS` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLData`
--

LOCK TABLES `SHKXPDLData` WRITE;
/*!40000 ALTER TABLE `SHKXPDLData` DISABLE KEYS */;
INSERT INTO `SHKXPDLData` VALUES ('<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<Package xmlns=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xpdl=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" Id=\"crm\" Name=\"Customer Relationship Management\" xsi:schemaLocation=\"http://www.wfmc.org/2002/XPDL1.0 http://wfmc.org/standards/docs/TC-1025_schema_10_xpdl.xsd\">\n    <PackageHeader>\n        <XPDLVersion>1.0</XPDLVersion>\n        <Vendor/>\n        <Created/>\n    </PackageHeader>\n    <Script Type=\"text/javascript\"/>\n    <Participants>\n        <Participant Id=\"requester\" Name=\"Requester\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n        <Participant Id=\"approver\" Name=\"Approver\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n    </Participants>\n    <Applications>\n        <Application Id=\"default_application\"/>\n    </Applications>\n    <WorkflowProcesses>\n        <WorkflowProcess Id=\"process1\" Name=\"Proposal Approval Process\">\n            <ProcessHeader DurationUnit=\"h\"/>\n            <DataFields>\n                <DataField Id=\"status\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n                <DataField Id=\"selectApprover\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n            </DataFields>\n            <Activities>\n                <Activity Id=\"approve_proposal\" Name=\"Approve Proposal\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Join Type=\"XOR\"/>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"325,58.784088134765625\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"activity1\" Name=\"Resubmit Proposal\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"293,17.784095764160156\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"send_proposal\" Name=\"Finalize Proposal\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"788,24.170455932617188\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool1\" Name=\"Email Approved Notification\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Join Type=\"XOR\"/>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"623,25.170455932617188\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool2\" Name=\"Email Reject Notification\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"692,59.1136474609375\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool3\" Name=\"Email Request For Approval\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Join Type=\"XOR\"/>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"145,61\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool4\" Name=\"Email Resubmit Notification\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"442,16\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route2\">\n                    <Route/>\n                    <Performer>approver</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Split Type=\"XOR\">\n                                <TransitionRefs>\n                                    <TransitionRef Id=\"transition5\"/>\n                                    <TransitionRef Id=\"transition8\"/>\n                                    <TransitionRef Id=\"transition10\"/>\n                                </TransitionRefs>\n                            </Split>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"486,63.784088134765625\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route1\">\n                    <Route/>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"161,54.9886474609375\"/>\n                    </ExtendedAttributes>\n                </Activity>\n            </Activities>\n            <Transitions>\n                <Transition From=\"approve_proposal\" Id=\"transition2\" To=\"route2\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition5\" To=\"tool2\">\n                    <Condition Type=\"CONDITION\">status === \'Rejected\'</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"PBUILDER_TRANSITION_CONDITIONS\" Value=\"[{&quot;join&quot;:&quot;&amp;&amp;&quot;,&quot;variable&quot;:&quot;status&quot;,&quot;operator&quot;:&quot;===&quot;,&quot;value&quot;:&quot;Rejected&quot;}]\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool1\" Id=\"transition7\" To=\"send_proposal\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition8\" Name=\"Approved\" To=\"tool1\">\n                    <Condition Type=\"OTHERWISE\"/>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition11\" To=\"tool3\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool3\" Id=\"transition9\" To=\"approve_proposal\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"activity1\" Id=\"transition12\" To=\"tool3\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition10\" To=\"tool4\">\n                    <Condition Type=\"CONDITION\">status === \'Resubmit\'</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"PBUILDER_TRANSITION_CONDITIONS\" Value=\"[{&quot;join&quot;:&quot;&amp;&amp;&quot;,&quot;variable&quot;:&quot;status&quot;,&quot;operator&quot;:&quot;===&quot;,&quot;value&quot;:&quot;Resubmit&quot;}]\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool4\" Id=\"transition13\" To=\"activity1\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n            </Transitions>\n            <ExtendedAttributes>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDER\" Value=\"requester;approver\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=send_proposal,X_OFFSET=912,Y_OFFSET=35,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool2,X_OFFSET=850,Y_OFFSET=73,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_START_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=route1,X_OFFSET=101,Y_OFFSET=66,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULT\"/>\n            </ExtendedAttributes>\n        </WorkflowProcess>\n    </WorkflowProcesses>\n    <ExtendedAttributes>\n        <ExtendedAttribute Name=\"EDITING_TOOL\" Value=\"Web Workflow Designer\"/>\n        <ExtendedAttribute Name=\"EDITING_TOOL_VERSION\" Value=\"5.0-pre-alpha\"/>\n    </ExtendedAttributes>\n</Package>\n','\0sr\0\'org.enhydra.shark.xpdl.elements.Package~+Vmŀ~\0Z\0isTransientL\0extPkgRefsToIdst\0.Lorg/enhydra/shark/utilities/SequencedHashMap;L\0internalVersiont\0Ljava/lang/String;L\0\nnamespacest\0,Lorg/enhydra/shark/xpdl/elements/Namespaces;xr\0(org.enhydra.shark.xpdl.XMLComplexElement>(\0\0xr\05org.enhydra.shark.xpdl.XMLBaseForCollectionAndComplex2\0L\0\nelementMapq\0~\0L\0elementst\0Ljava/util/ArrayList;xr\0!org.enhydra.shark.xpdl.XMLElement#+B#\0Z\0\nisReadOnlyZ\0\nisRequiredL\0nameq\0~\0L\0originalElementHashCodet\0Ljava/lang/Integer;L\0parentt\0#Lorg/enhydra/shark/xpdl/XMLElement;L\0valueq\0~\0xpt\0Packagesr\0java.lang.Integer⠤8\0I\0valuexr\0java.lang.Number\0\0xpq]pt\0\0sr\0,org.enhydra.shark.utilities.SequencedHashMap.\"\"&\0\0xpw\0\0\0\rt\0Idsr\0#org.enhydra.shark.xpdl.XMLAttribute#c݀M;\0L\0choicesq\0~\0xq\0~\0q\0~\0sq\0~\0\'q\0~\0\nt\0crmpt\0Namesq\0~\0\0q\0~\0sq\0~\0Vq\0~\0\nt\0 Customer Relationship Managementpt\0\rPackageHeadersr\0-org.enhydra.shark.xpdl.elements.PackageHeaderv,\0\0xq\0~\0\0q\0~\0sq\0~\0nq\0~\0\nt\0\0sq\0~\0w\0\0\0t\0XPDLVersionsr\0+org.enhydra.shark.xpdl.elements.XPDLVersion\"}Y.w\0\0xr\0\'org.enhydra.shark.xpdl.XMLSimpleElementm\0\0xq\0~\0q\0~\0!sq\0~\0_ئq\0~\0t\01.0t\0Vendorsr\0&org.enhydra.shark.xpdl.elements.Vendor tE:\0\0xq\0~\0#q\0~\0\'sq\0~\0q\0~\0t\0\0t\0Createdsr\0\'org.enhydra.shark.xpdl.elements.CreatedzdK|[\0\0xq\0~\0#q\0~\0,sq\0~\0gq\0~\0t\0\0t\0Descriptionsr\0+org.enhydra.shark.xpdl.elements.Description۰738\0\0xq\0~\0#\0q\0~\01sq\0~\0%1q\0~\0t\0\0t\0\rDocumentationsr\0-org.enhydra.shark.xpdl.elements.Documentation`9y\0\0xq\0~\0#\0q\0~\06sq\0~\0Bq\0~\0t\0\0t\0PriorityUnitsr\0,org.enhydra.shark.xpdl.elements.PriorityUnit\0\0xq\0~\0#\0q\0~\0;sq\0~\0Nq\0~\0t\0\0t\0CostUnitsr\0(org.enhydra.shark.xpdl.elements.CostUnit܎=H\0\0xq\0~\0#\0q\0~\0@sq\0~\0j)q\0~\0t\0\0xsr\0java.util.ArrayListxa\0I\0sizexp\0\0\0w\0\0\0q\0~\0$q\0~\0)q\0~\0.q\0~\03q\0~\08q\0~\0=q\0~\0Bxt\0RedefinableHeadersr\01org.enhydra.shark.xpdl.elements.RedefinableHeaderMϪ\'H\0\0xq\0~\0\0q\0~\0Gsq\0~\06q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0PublicationStatussq\0~\0\0q\0~\0Msq\0~\0=q\0~\0It\0\0sq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0UNDER_REVISIONt\0RELEASEDt\0\nUNDER_TESTxt\0Authorsr\0&org.enhydra.shark.xpdl.elements.Author5fᧆ\0\0xq\0~\0#\0q\0~\0Usq\0~\0	 Etq\0~\0It\0\0t\0Versionsr\0\'org.enhydra.shark.xpdl.elements.Version9=3~JQ\0\0xq\0~\0#\0q\0~\0Zsq\0~\0%Zq\0~\0It\0\0t\0Codepagesr\0(org.enhydra.shark.xpdl.elements.Codepage9$me\rG\0\0xq\0~\0#\0q\0~\0_sq\0~\07H\nq\0~\0It\0\0t\0\nCountrykeysr\0*org.enhydra.shark.xpdl.elements.Countrykey.\0\0xq\0~\0#\0q\0~\0dsq\0~\0q\0~\0It\0\0t\0Responsiblessr\0,org.enhydra.shark.xpdl.elements.Responsibles${S\0\0xr\0$org.enhydra.shark.xpdl.XMLCollectionjċm\0\0xq\0~\0\0q\0~\0isq\0~\0j3xq\0~\0It\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0Nq\0~\0Wq\0~\0\\q\0~\0aq\0~\0fq\0~\0lxt\0ConformanceClasssr\00org.enhydra.shark.xpdl.elements.ConformanceClassy0|k\0\0xq\0~\0\0q\0~\0rsq\0~\0`/q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0GraphConformancesq\0~\0\0q\0~\0xsq\0~\0*q\0~\0tq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0FULL_BLOCKEDt\0LOOP_BLOCKEDt\0NON_BLOCKEDxxsq\0~\0E\0\0\0w\0\0\0q\0~\0yxt\0Scriptsr\0&org.enhydra.shark.xpdl.elements.ScriptQjS8\0\0xq\0~\0\0q\0~\0sq\0~\0W-gq\0~\0\nt\0\0sq\0~\0w\0\0\0t\0Typesq\0~\0q\0~\0sq\0~\0fsq\0~\0t\0text/javascriptpt\0Versionsq\0~\0\0q\0~\0sq\0~\0VYq\0~\0t\0\0pt\0Grammarsq\0~\0\0q\0~\0sq\0~\0cq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExternalPackagessr\00org.enhydra.shark.xpdl.elements.ExternalPackagesw\"+Ũ\0\0xq\0~\0k\0q\0~\0sq\0~\0	Fq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0TypeDeclarationssr\00org.enhydra.shark.xpdl.elements.TypeDeclarations\rOx5\0\0xq\0~\0k\0q\0~\0sq\0~\0.q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Participantssr\0,org.enhydra.shark.xpdl.elements.Participantsh`g8J\0\0xq\0~\0k\0q\0~\0sq\0~\0\r)q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Participanto$rc\0\0xr\0+org.enhydra.shark.xpdl.XMLCollectionElementCxvr\0\0xq\0~\0t\0Participantsq\0~\0J8q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~\0t\0	requesterpq\0~\0sq\0~\0\0q\0~\0sq\0~\0?>q\0~\0t\0	Requesterpt\0ParticipantTypesr\0/org.enhydra.shark.xpdl.elements.ParticipantType>n݅\0\0xq\0~\0q\0~\0sq\0~\0Eq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\01q\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0t\0RESOURCE_SETt\0RESOURCEt\0ROLEt\0ORGANIZATIONAL_UNITt\0HUMANt\0SYSTEMxxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0fk-aq\0~\0t\0\0t\0ExternalReferencesr\01org.enhydra.shark.xpdl.elements.ExternalReferencebQ\0\0xq\0~\0\0q\0~\0sq\0~\0poq\0~\0t\0\0sq\0~\0w\0\0\0t\0xrefsq\0~\0\0q\0~\0sq\0~\0?Vq\0~\0t\0\0pt\0locationsq\0~\0q\0~\0sq\0~\0qq\0~\0t\0\0pt\0	namespacesq\0~\0\0q\0~\0sq\0~\0Dkq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExtendedAttributessr\02org.enhydra.shark.xpdl.elements.ExtendedAttributesOUF\0L\0extAttribsStringq\0~\0xq\0~\0k\0q\0~\0sq\0~\0I\Z:q\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xsq\0~\0t\0Participantsq\0~\0Ptq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0*`q\0~\0t\0approverpq\0~\0sq\0~\0\0q\0~\0sq\0~\0V;yq\0~\0t\0Approverpt\0ParticipantTypesq\0~\0q\0~\0sq\0~\0jG)q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0!q\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\01|q\0~\0t\0\0t\0ExternalReferencesq\0~\0\0q\0~\0sq\0~\0Rgxq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0%Wq\0~\0t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0F~kq\0~\0t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Fu*q\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~	xt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0^fq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~xxt\0Applicationssr\0,org.enhydra.shark.xpdl.elements.Applications\0\0xq\0~\0k\0q\0~sq\0~\0S65q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Applicationv	RS\0\0xq\0~\0t\0Applicationsq\0~\00\n}q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Pfq\0~t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0$q\0~t\0\0pt\0Descriptionsq\0~\02\0q\0~\'sq\0~\0\0q\0~t\0\0t\0Choicesr\00org.enhydra.shark.xpdl.elements.ApplicationTypes?!\0\0xr\0\'org.enhydra.shark.xpdl.XMLComplexChoice|\"\0L\0choicesq\0~\0L\0choosenq\0~\0	xq\0~\0q\0~+sq\0~\0SEq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\00org.enhydra.shark.xpdl.elements.FormalParameterspBÁZ\0\0xq\0~\0k\0t\0FormalParameterssq\0~\0_&Yq\0~.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0\0t\0ExternalReferencesq\0~\0__yq\0~.t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0u9nq\0~9t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0q\0~9t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0b\"+q\0~9t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~>q\0~Aq\0~Dxxq\0~3t\0ExtendedAttributessq\0~\0\0q\0~Hsq\0~\0Kwbq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~!q\0~$q\0~(q\0~.q\0~Ixxt\0\nDataFieldssr\0*org.enhydra.shark.xpdl.elements.DataFieldsʦU\0\0xq\0~\0k\0q\0~Osq\0~\0\nq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0WorkflowProcessessr\01org.enhydra.shark.xpdl.elements.WorkflowProcessesp_0,\0\0xq\0~\0k\0q\0~Vsq\0~\0\rq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0/org.enhydra.shark.xpdl.elements.WorkflowProcess%v0L\0\0xq\0~\0t\0WorkflowProcesssq\0~\0#,fq\0~Xt\0\0sq\0~\0w\0\0\0\rq\0~\0sq\0~\0q\0~\0sq\0~\0cGmNq\0~^t\0process1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\\afq\0~^t\0Proposal Approval Processpt\0AccessLevelsq\0~\0\0q\0~isq\0~\0~q\0~^q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0PUBLICt\0PRIVATExt\0\rProcessHeadersr\0-org.enhydra.shark.xpdl.elements.ProcessHeaderLC-)\0\0xq\0~\0q\0~osq\0~\0q\0~^t\0\0sq\0~\0w\0\0\0t\0DurationUnitsq\0~\0\0q\0~usq\0~\0Y\0cq\0~qt\0hsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0Yt\0Mt\0Dt\0ht\0mt\0sxt\0Createdsq\0~\0-\0q\0~sq\0~\0q̑Eq\0~qt\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0-Uaq\0~qt\0\0t\0Prioritysr\0(org.enhydra.shark.xpdl.elements.Priority`Nn>b\0\0xq\0~\0#\0q\0~sq\0~\0I$lq\0~qt\0\0t\0Limitsr\0%org.enhydra.shark.xpdl.elements.Limit1ӗ\0\0xq\0~\0#\0q\0~sq\0~\0vQ8q\0~qt\0\0t\0	ValidFromsr\0)org.enhydra.shark.xpdl.elements.ValidFromcŅ|L<\0\0xq\0~\0#\0q\0~sq\0~\0NY;q\0~qt\0\0t\0ValidTosr\0\'org.enhydra.shark.xpdl.elements.ValidToM\0\0xq\0~\0#\0q\0~sq\0~\0dq\0~qt\0\0t\0TimeEstimationsr\0.org.enhydra.shark.xpdl.elements.TimeEstimationŀ\'3\0\0xq\0~\0\0q\0~sq\0~\0(q\0~qt\0\0sq\0~\0w\0\0\0t\0WaitingTimesr\0+org.enhydra.shark.xpdl.elements.WaitingTimeN/\0\0xq\0~\0#\0q\0~sq\0~\0v`q\0~t\0\0t\0WorkingTimesr\0+org.enhydra.shark.xpdl.elements.WorkingTime~\0\0xq\0~\0#\0q\0~sq\0~\0\rq\0~t\0\0t\0Durationsr\0(org.enhydra.shark.xpdl.elements.Duration C\0\0xq\0~\0#\0q\0~sq\0~\07V\nq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~vq\0~q\0~q\0~q\0~q\0~q\0~q\0~xt\0RedefinableHeadersq\0~\0H\0q\0~sq\0~\0z^Ƽq\0~^t\0\0sq\0~\0w\0\0\0q\0~\0Msq\0~\0\0q\0~\0Msq\0~\0dIgq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~\0Rq\0~\0Sq\0~\0Txt\0Authorsq\0~\0V\0q\0~sq\0~\0Vq\0~t\0\0t\0Versionsq\0~\0[\0q\0~sq\0~\0Ts(q\0~t\0\0t\0Codepagesq\0~\0`\0q\0~sq\0~\0Wrq\0~t\0\0t\0\nCountrykeysq\0~\0e\0q\0~sq\0~\0_0q\0~t\0\0t\0Responsiblessq\0~\0j\0q\0~sq\0~\0\"zq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~xt\0FormalParameterssq\0~2\0q\0~sq\0~\0!4q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nDataFieldssq\0~P\0q\0~sq\0~\0\0Do,q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.DataFieldI3.~\0\0xq\0~\0t\0	DataFieldsq\0~\0Mq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Mxq\0~t\0statuspq\0~\0sq\0~\0\0q\0~\0sq\0~\0Tq\0~t\0\0pt\0IsArraysq\0~\0\0q\0~sq\0~\0	.q\0~t\0FALSEsq\0~\0E\0\0\0w\0\0\0t\0TRUEt\0FALSExt\0DataTypesr\0(org.enhydra.shark.xpdl.elements.DataType\'4sM\0\0xq\0~\0q\0~sq\0~\0?q\0~t\0\0sq\0~\0w\0\0\0t\0	DataTypessr\0)org.enhydra.shark.xpdl.elements.DataTypespcH,!\0Z\0\risInitializedxq\0~-q\0~sq\0~\0q\0~t\0\0sq\0~\0E\0\0\0	w\0\0\0	sr\0)org.enhydra.shark.xpdl.elements.BasicType)w1\0\0xq\0~\0t\0	BasicTypesq\0~\0mKq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0#3q\0~t\0STRINGsq\0~\0E\0\0\0w\0\0\0t\0STRINGt\0FLOATt\0INTEGERt\0	REFERENCEt\0DATETIMEt\0BOOLEANt\0	PERFORMERxxsq\0~\0E\0\0\0w\0\0\0q\0~xsr\0,org.enhydra.shark.xpdl.elements.DeclaredTypedR.\\^9\0\0xq\0~\0t\0DeclaredTypesq\0~\0}q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0`q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xsr\0*org.enhydra.shark.xpdl.elements.SchemaType&1oSH\0\0xq\0~\0t\0\nSchemaTypesq\0~\0FAq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0WRq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~ t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0Z q\0~ t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\ZTq\0~ t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~%q\0~(q\0~+xsr\0*org.enhydra.shark.xpdl.elements.RecordType%K\0\0\0xq\0~\0kt\0\nRecordTypesq\0~\0>ۣq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.UnionType5PG\0\0xq\0~\0kt\0	UnionTypesq\0~\0mrq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0/org.enhydra.shark.xpdl.elements.EnumerationTypef3b\0\0xq\0~\0kt\0EnumerationTypesq\0~\0:q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.ArrayTypeg$\0N@\0\0xq\0~\0t\0	ArrayTypesq\0~\0t5#q\0~t\0\0sq\0~\0w\0\0\0t\0\nLowerIndexsq\0~\0q\0~Jsq\0~\0(pq\0~Et\0\0pt\0\nUpperIndexsq\0~\0q\0~Nsq\0~\0<q\0~Et\0\0pq\0~sq\0~q\0~sq\0~\0_Gq\0~Et\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~Kq\0~Oq\0~Rxsr\0(org.enhydra.shark.xpdl.elements.ListType\"ӟ\n\0\0xq\0~\0t\0ListTypesq\0~\0&q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~q\0~sq\0~\0q\0~Wt\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~\\xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0InitialValuesr\0,org.enhydra.shark.xpdl.elements.InitialValuej,zR\0\0xq\0~\0#\0q\0~asq\0~\0Foq\0~t\0\0t\0Lengthsr\0&org.enhydra.shark.xpdl.elements.LengthMW+-̩W\0\0xq\0~\0#\0q\0~fsq\0~\0\0ܚq\0~t\0\0t\0Descriptionsq\0~\02\0q\0~ksq\0~\0(q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~osq\0~\0S^Lq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~cq\0~hq\0~lq\0~pxsq\0~t\0	DataFieldsq\0~\0sq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0(\Zq\0~vt\0selectApproverpq\0~\0sq\0~\0\0q\0~\0sq\0~\0li\nq\0~vt\0\0pq\0~sq\0~\0\0q\0~sq\0~\0idq\0~vt\0FALSEsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xt\0DataTypesq\0~q\0~sq\0~\0\Ztq\0~vt\0\0sq\0~\0w\0\0\0q\0~sq\0~q\0~sq\0~\0r/_oq\0~t\0\0sq\0~\0E\0\0\0	w\0\0\0	sq\0~t\0	BasicTypesq\0~\0\"q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\05q\0~t\0STRINGsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~	q\0~\nq\0~q\0~q\0~\rxxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0DeclaredTypesq\0~\0Lږq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0HKq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\nSchemaTypesq\0~\0V[Sq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0rEhq\0~t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0k*q\0~t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0BDq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~/t\0\nRecordTypesq\0~\0<˥q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0	UnionTypesq\0~\0ܵq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~=t\0EnumerationTypesq\0~\0+q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Dt\0	ArrayTypesq\0~\0F@q\0~t\0\0sq\0~\0w\0\0\0q\0~Jsq\0~\0q\0~Jsq\0~\0W<q\0~t\0\0pq\0~Nsq\0~\0q\0~Nsq\0~\0X{hfq\0~t\0\0pq\0~sq\0~q\0~sq\0~\0-q\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~Vt\0ListTypesq\0~\0r#q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~q\0~sq\0~\0q\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0InitialValuesq\0~b\0q\0~sq\0~\0aq\0~vt\0\0t\0Lengthsq\0~g\0q\0~sq\0~\0hZq\0~vt\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0e\'q\0~vt\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\00Jq\0~vt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~{q\0~~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0Participantssq\0~\0\0q\0~sq\0~\0ޱq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Applicationssq\0~\0q\0~sq\0~\0pmq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ActivitySetssr\0,org.enhydra.shark.xpdl.elements.ActivitySetsqV[4\0\0xq\0~\0k\0q\0~\0sq\0~\0-[q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nActivitiessr\0*org.enhydra.shark.xpdl.elements.Activities&G^lP\0\0xq\0~\0k\0q\0~sq\0~\0Rcq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0	w\0\0\0	sr\0(org.enhydra.shark.xpdl.elements.Activityt45\Z9\0\0xq\0~\0t\0Activitysq\0~\0Xq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0xPEq\0~t\0approve_proposalpq\0~\0sq\0~\0\0q\0~\0sq\0~\0.q\0~t\0Approve Proposalpt\0Descriptionsq\0~\02\0q\0~\Zsq\0~\0Cyq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0_%q\0~t\0\0q\0~\0sr\0-org.enhydra.shark.xpdl.elements.ActivityTypeseŽ{\0\0xq\0~-q\0~\0sq\0~\0Ycq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0%org.enhydra.shark.xpdl.elements.Route0e\rG\0\0xq\0~\0t\0Routesq\0~\0J\"q\0~#t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0.org.enhydra.shark.xpdl.elements.Implementationr^%\0\0xq\0~\0t\0Implementationsq\0~\0kq\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sr\03org.enhydra.shark.xpdl.elements.ImplementationTypes\rT١9\0\0xq\0~-q\0~\0sq\0~\0	q\0~/t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0\"org.enhydra.shark.xpdl.elements.No{.\0\0xq\0~\0t\0Nosq\0~\0Gkq\0~5t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0%org.enhydra.shark.xpdl.elements.ToolsCg\0\0xq\0~\0k\0t\0Toolssq\0~\0bNq\0~5t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0\'org.enhydra.shark.xpdl.elements.SubFlow;Os7:$\0\0xq\0~\0t\0SubFlowsq\0~\05q\0~5t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Tq\0~Ht\0\0pt\0	Executionsq\0~\0\0q\0~Psq\0~\0uB,q\0~Hq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ASYNCHRt\0SYNCHRxt\0ActualParameterssr\00org.enhydra.shark.xpdl.elements.ActualParameters_K\0\0xq\0~\0k\0q\0~Vsq\0~\0i\nq\0~Ht\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Mq\0~Qq\0~Xxxq\0~:xsq\0~\0E\0\0\0w\0\0\0q\0~5xsr\0-org.enhydra.shark.xpdl.elements.BlockActivityqcF\0\0xq\0~\0t\0\rBlockActivitysq\0~\05:qq\0~#t\0\0sq\0~\0w\0\0\0t\0BlockIdsq\0~\0q\0~esq\0~\0- q\0~`t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~fxxq\0~/t\0	Performersr\0)org.enhydra.shark.xpdl.elements.Performer\"1%\0\0xq\0~\0#\0q\0~jsq\0~\0.+q\0~t\0approvert\0	StartModesr\0)org.enhydra.shark.xpdl.elements.StartModenhS\0\0xq\0~\0\0q\0~osq\0~\0tдq\0~t\0\0sq\0~\0w\0\0\0t\0Modesr\00org.enhydra.shark.xpdl.elements.StartFinishModes~6zX\'\0\0xq\0~-\0q\0~usq\0~\0Nq\0~qt\0\0sq\0~\0E\0\0\0w\0\0\0sr\0,org.enhydra.shark.xpdl.XMLEmptyChoiceElement2;3_\0\0xq\0~\0\0t\0XMLEmptyChoiceElementsq\0~\0ozq\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.Automatict?_\0\0xq\0~\0t\0	Automaticsq\0~\0$q\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0&org.enhydra.shark.xpdl.elements.Manualv[ؤ\0\0xq\0~\0t\0Manualsq\0~\0Gv{q\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~|xsq\0~\0E\0\0\0w\0\0\0q\0~wxt\0\nFinishModesr\0*org.enhydra.shark.xpdl.elements.FinishMode{\0\0xq\0~\0\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0V}q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0\"\\Hq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0dq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Uq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0HLdq\0~t\0\0t\0	Deadlinessr\0)org.enhydra.shark.xpdl.elements.Deadlines>ɜ\0\0xq\0~\0k\0q\0~sq\0~\0!FQq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsr\05org.enhydra.shark.xpdl.elements.SimulationInformation\"|I\0\0xq\0~\0\0q\0~sq\0~\0\'q\0~t\0\0sq\0~\0w\0\0\0t\0\rInstantiationsq\0~\0\0q\0~sq\0~\0Oq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ONCEt\0MULTIPLExt\0Costsr\0$org.enhydra.shark.xpdl.elements.Cost\0\0xq\0~\0#q\0~sq\0~\06mq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0XdMq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0C*q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\06\nq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0\"tq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsr\0$org.enhydra.shark.xpdl.elements.IconTU(}6\0\0xq\0~\0#\0q\0~sq\0~\0aq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0Y\\%q\0~t\0\0t\0TransitionRestrictionssr\06org.enhydra.shark.xpdl.elements.TransitionRestrictionsC)׀i;\0\0xq\0~\0k\0q\0~sq\0~\0Wq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\05org.enhydra.shark.xpdl.elements.TransitionRestrictionN}\0\0xq\0~\0t\0TransitionRestrictionsq\0~\0)E{@q\0~t\0\0sq\0~\0w\0\0\0t\0Joinsr\0$org.enhydra.shark.xpdl.elements.Joinڕөx)5\0\0xq\0~\0\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0%CIq\0~t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ANDt\0XORxxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Splitsr\0%org.enhydra.shark.xpdl.elements.Split~ѯWS\0\0xq\0~\0\0q\0~\0sq\0~\0dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0>[q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0TransitionRefssr\0.org.enhydra.shark.xpdl.elements.TransitionRefsъ\0\0xq\0~\0k\0q\0~	sq\0~\0MGq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0oahq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\01org.enhydra.shark.xpdl.elements.ExtendedAttribute\\F\0\0xq\0~\0t\0ExtendedAttributesq\0~\0(q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0[f>q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpt\0Valuesq\0~\0\0q\0~!sq\0~\0)Sq\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~\"xsq\0~t\0ExtendedAttributesq\0~\0Edΐq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0]5sq\0~&t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0`3q\0~&t\0325,58.784088134765625pxsq\0~\0E\0\0\0w\0\0\0q\0~+q\0~.xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~#q\0~lq\0~qq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0jq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0KPq\0~3t\0	activity1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0gx]q\0~3t\0Resubmit Proposalpt\0Descriptionsq\0~\02\0q\0~>sq\0~\0;bVq\0~3t\0\0t\0Limitsq\0~\0q\0~Bsq\0~\059q\0~3t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0cq\0~3t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0;3mq\0~Ft\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0M\"xq\0~Ft\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0wq\0~Pt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0y|q\0~Ut\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0|q\0~Ut\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Gt\0SubFlowsq\0~\0mq\0~Ut\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0fٵq\0~et\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0_1kq\0~eq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~psq\0~\0%h?zq\0~et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~jq\0~mq\0~qxxq\0~Yxsq\0~\0E\0\0\0w\0\0\0q\0~Uxsq\0~_t\0\rBlockActivitysq\0~\0_uq\0~Ft\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0\nm	Mq\0~xt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~}xxq\0~Pt\0	Performersq\0~k\0q\0~sq\0~\0|}q\0~3t\0	requestert\0	StartModesq\0~p\0q\0~sq\0~\0~Gq\0~3t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0&[6q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0D\'Lq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0dwوq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0xj?q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0!q\0~3t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0{rq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\04*q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0pkZq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0<M_q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0zq\0~3t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\00eq\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0iq\0~3t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0(q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0!q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0fq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0[q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0D᯶q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0<q\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0Ey%Vq\0~3t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0Tq\0~3t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0x\r(q\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0mq\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0[rq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0hN	q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0fq\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0I%q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0XIkq\0~t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0Iq\0~t\0293,17.784095764160156pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~8q\0~;q\0~?q\0~Cq\0~Fq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0 :q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0JQq\0~t\0\rsend_proposalpq\0~\0sq\0~\0\0q\0~\0sq\0~\0]cq\0~t\0Finalize Proposalpt\0Descriptionsq\0~\02\0q\0~sq\0~\0Aq\0~t\0\0t\0Limitsq\0~\0q\0~\"sq\0~\0F[Qq\0~t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\05G\nq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0}X3q\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0]W_q\0~&t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0B)q\0~0t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0q\0~5t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0	q\0~5t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Gt\0SubFlowsq\0~\0	/q\0~5t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Skq\0~Et\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0IlBq\0~Eq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~Psq\0~\0tq\0~Et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Jq\0~Mq\0~Qxxq\0~9xsq\0~\0E\0\0\0w\0\0\0q\0~5xsq\0~_t\0\rBlockActivitysq\0~\0sUq\0~&t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0vMq\0~Xt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~]xxq\0~0t\0	Performersq\0~k\0q\0~asq\0~\0xq\0~t\0	requestert\0	StartModesq\0~p\0q\0~esq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0P\'dq\0~ft\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0Lq\0~jt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0*]Mq\0~jt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0sq\0~jt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~nxsq\0~\0E\0\0\0w\0\0\0q\0~jxt\0\nFinishModesq\0~\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0\nzZLq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0أeq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0F@lq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Pq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0ALq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\07q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0y۲q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0Fq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\00m6q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0\rCq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0#q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\03w&q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0DzLq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0i6q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0GK:q\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0%Aq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0/q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0\"q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0j	\'q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0>q\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0qktq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Ek>q\0~t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0	3q\0~t\0788,24.170455932617188pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~#q\0~&q\0~bq\0~fq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0IZ.q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0byOq\0~t\0tool1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0ӧ~q\0~t\0Email Approved Notificationpt\0Descriptionsq\0~\02\0q\0~sq\0~\0oMq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\09;q\0~t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0Mq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0h8q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0|5q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0\\_nq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\06#q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0Kt>&q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0$org.enhydra.shark.xpdl.elements.Tool\\6&+G\0\0xq\0~\0t\0Toolsq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\'Mq\0~&t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0dCq\0~&q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0APPLICATIONt\0	PROCEDURExt\0ActualParameterssq\0~W\0q\0~3sq\0~\0q\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~9sq\0~\0\0)q\0~&t\0\0t\0ExtendedAttributessq\0~\0\0q\0~=sq\0~\0:q\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~+q\0~.q\0~4q\0~:q\0~>xxsq\0~Gt\0SubFlowsq\0~\0<W}q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0<3q\0~Dt\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0uwq\0~Dq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~Osq\0~\0u_q\0~Dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Iq\0~Lq\0~Pxxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~_t\0\rBlockActivitysq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0&aq\0~Wt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\\xxq\0~t\0	Performersq\0~k\0q\0~`sq\0~\0B=q\0~t\0	requestert\0	StartModesq\0~p\0q\0~dsq\0~\0Qq\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0(>q\0~et\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0~qɣq\0~it\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0`m-/q\0~it\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0q\0~it\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~mxsq\0~\0E\0\0\0w\0\0\0q\0~ixt\0\nFinishModesq\0~\0q\0~sq\0~\0D7q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0L\\!q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0kq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0yj`q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\06q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0ZbDq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0Mq\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0kq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0U2q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0gb9q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0a_.q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0G-q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0\Zq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0hOq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0T9=q\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0ytq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0TransitionRestrictionsq\0~\0RHZq\0~t\0\0sq\0~\0w\0\0\0t\0Joinsq\0~\0q\0~sq\0~\089q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0:b>q\0~t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Splitsq\0~\0q\0~sq\0~\0%q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0`:q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0TransitionRefssq\0~\n\0q\0~sq\0~\0Gq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0k\0(q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0{Cq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\05q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0nKq\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~\0xsq\0~t\0ExtendedAttributesq\0~\0)Lq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0{q\0~t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0Aoq\0~t\0623,25.170455932617188pxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~aq\0~eq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0tŃ&q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\rŀq\0~t\0tool2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0S%oq\0~t\0Email Reject Notificationpt\0Descriptionsq\0~\02\0q\0~sq\0~\0>3\'q\0~t\0\0t\0Limitsq\0~\0q\0~ sq\0~\0eq\0~t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0u\rq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0mq\0~$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0@rG9q\0~$t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0=q\0~.t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\01Lq\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0c)$q\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~%t\0Toolsq\0~\0JPaOq\0~=t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0vtq\0~Ct\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0c$q\0~Cq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~1q\0~2xt\0ActualParameterssq\0~W\0q\0~Nsq\0~\0}#q\0~Ct\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~Tsq\0~\0g#|7q\0~Ct\0\0t\0ExtendedAttributessq\0~\0\0q\0~Xsq\0~\0J3q\0~Ct\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~Hq\0~Kq\0~Oq\0~Uq\0~Yxxsq\0~Gt\0SubFlowsq\0~\0PKXq\0~3t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0S0q\0~_t\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0`q\0~_q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~jsq\0~\0q\0~_t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~dq\0~gq\0~kxxq\0~=xsq\0~\0E\0\0\0w\0\0\0q\0~3xsq\0~_t\0\rBlockActivitysq\0~\0}q\0~$t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0ESq\0~rt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~wxxq\0~.t\0	Performersq\0~k\0q\0~{sq\0~\0=\"q\0~t\0approvert\0	StartModesq\0~p\0q\0~sq\0~\0>Aq\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0{q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0#q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0`Jq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0hG5q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0gq\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0	gq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\075q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\06Pq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0zJrq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0Mqq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0g5q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0J3q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0AWq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\07fq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0.6q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0dq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0!Nq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0TW@q\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\03V*q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0 \rq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0u{m`q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0zIq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0@^q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0*\Z3Cq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0Mq\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0!-q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0/[q\0~\0t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0\"aEq\0~\0t\0692,59.1136474609375pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~!q\0~$q\0~|q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0N42q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0[Yq\0~\rt\0tool3pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Dq\0~\rt\0\ZEmail Request For Approvalpt\0Descriptionsq\0~\02\0q\0~sq\0~\0\"xq\0~\rt\0\0t\0Limitsq\0~\0q\0~sq\0~\0+P(q\0~\rt\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0wOCq\0~\rt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\05q\0~ t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0Xq\0~ t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0O	q\0~*t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0^B:q\0~/t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0B2.q\0~/t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~%t\0Toolsq\0~\0۠q\0~9t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0	Rq\0~?t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0dEq\0~?q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~1q\0~2xt\0ActualParameterssq\0~W\0q\0~Jsq\0~\0+7q\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~Psq\0~\0g:q\0~?t\0\0t\0ExtendedAttributessq\0~\0\0q\0~Tsq\0~\0(q\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~Dq\0~Gq\0~Kq\0~Qq\0~Uxxsq\0~Gt\0SubFlowsq\0~\0DJ8q\0~/t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0z;ӎq\0~[t\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0mNSq\0~[q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~fsq\0~\0icnq\0~[t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~`q\0~cq\0~gxxq\0~9xsq\0~\0E\0\0\0w\0\0\0q\0~/xsq\0~_t\0\rBlockActivitysq\0~\0%\0q\0~ t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0S1]_q\0~nt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~sxxq\0~*t\0	Performersq\0~k\0q\0~wsq\0~\0M2q\0~\rt\0approvert\0	StartModesq\0~p\0q\0~{sq\0~\0q\0~\rt\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0MY`yq\0~|t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0$6gMq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0oq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0\Zq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0mq\0~\rt\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0	mq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\06q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0{5q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0X\'Aq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0y$Eq\0~\rt\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0<aq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0(Jnq\0~\rt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0L\"Pq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0q0<q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0.2q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0$@Fq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0gƠq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0fgq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0pq\0~\rt\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0[q\0~\rt\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0ltq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0TransitionRestrictionsq\0~\0q\0~t\0\0sq\0~\0w\0\0\0t\0Joinsq\0~\0q\0~sq\0~\04,!q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0`E?q\0~t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Splitsq\0~\0q\0~sq\0~\0:\"\\q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0%7iq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0TransitionRefssq\0~\n\0q\0~	sq\0~\0lq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~	xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~		sq\0~\0U2Sq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0Fj~q\0~	\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0^gOq\0~	t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0]q\0~	t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xsq\0~t\0ExtendedAttributesq\0~\0q\0~	\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0/q\0~	t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0 &.nq\0~	t\0145,61pxsq\0~\0E\0\0\0w\0\0\0q\0~	 q\0~	#xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~ q\0~xq\0~|q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~	\nxsq\0~t\0Activitysq\0~\0*H?q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0T3U	q\0~	(t\0tool4pq\0~\0sq\0~\0\0q\0~\0sq\0~\05q\0~	(t\0Email Resubmit Notificationpt\0Descriptionsq\0~\02\0q\0~	3sq\0~\0p|q\0~	(t\0\0t\0Limitsq\0~\0q\0~	7sq\0~\0^!q\0~	(t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0J;q\0~	(t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0Fq\0~	;t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0K`[q\0~	;t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0O\'q\0~	Et\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0Wq\0~	Jt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0B`@q\0~	Jt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~%t\0Toolsq\0~\0g͌q\0~	Tt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0+@q\0~	Zt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0)!yq\0~	Zq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~1q\0~2xt\0ActualParameterssq\0~W\0q\0~	esq\0~\0l^q\0~	Zt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~	ksq\0~\0<U]q\0~	Zt\0\0t\0ExtendedAttributessq\0~\0\0q\0~	osq\0~\0!Yq\0~	Zt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~	_q\0~	bq\0~	fq\0~	lq\0~	pxxsq\0~Gt\0SubFlowsq\0~\0Z+q\0~	Jt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0	q\0~	vt\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0Hq\0~	vq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~	sq\0~\0Z\0q\0~	vt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~	{q\0~	~q\0~	xxq\0~	Txsq\0~\0E\0\0\0w\0\0\0q\0~	Jxsq\0~_t\0\rBlockActivitysq\0~\0-?q\0~	;t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0\'	q\0~	t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~	xxq\0~	Et\0	Performersq\0~k\0q\0~	sq\0~\0XBq\0~	(t\0	requestert\0	StartModesq\0~p\0q\0~	sq\0~\0^q\0~	(t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\08q\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0Gcq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0v.Kcq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0YW2q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0\nFinishModesq\0~\0q\0~	sq\0~\0qq\0~	(t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0$<q\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\05^q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0d^q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\05q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Prioritysq\0~\0q\0~	sq\0~\0\'q\0~	(t\0\0t\0	Deadlinessq\0~\0q\0~	sq\0~\0C |q\0~	(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~	sq\0~\0^`Kq\0~	(t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0%uUq\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~	sq\0~\0M62q\0~	t\0\0t\0TimeEstimationsq\0~q\0~	sq\0~\0!C#q\0~	t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~	sq\0~\0>q\0~	t\0\0t\0WorkingTimesq\0~\0q\0~	sq\0~\0lq\0~	t\0\0t\0Durationsq\0~\0q\0~	sq\0~\0Pq\0~	t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	xxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	xt\0Iconsq\0~\0q\0~	sq\0~\0\'$\Zq\0~	(t\0\0t\0\rDocumentationsq\0~\07\0q\0~	sq\0~\0k;Aq\0~	(t\0\0t\0TransitionRestrictionssq\0~\0q\0~	sq\0~\0/_q\0~	(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\nsq\0~\0gu|q\0~	(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0<Fsq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0bG(q\0~\nt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0q\0~\nt\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nxsq\0~t\0ExtendedAttributesq\0~\0q\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0z\\jNq\0~\nt\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0IGeq\0~\nt\0442,16pxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nxxpxsq\0~\0E\0\0\0w\0\0\0q\0~	-q\0~	0q\0~	4q\0~	8q\0~	;q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	q\0~\n\0q\0~\nxsq\0~t\0Activitysq\0~\0nbq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0yq\0~\n$t\0route2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0ii4q\0~\n$t\0\0pt\0Descriptionsq\0~\02\0q\0~\n/sq\0~\0ujFq\0~\n$t\0\0t\0Limitsq\0~\0q\0~\n3sq\0~\0\n\\q\0~\n$t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0kX=q\0~\n$t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0n8q\0~\n7t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0FEAq\0~\n7t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0lܴvq\0~\nAt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0\rq\0~\nFt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0Ehq\0~\nFt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Gt\0SubFlowsq\0~\0\"q\0~\nFt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0:q\0~\nVt\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0)Zq\0~\nVq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~\nasq\0~\08q\0~\nVt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\n[q\0~\n^q\0~\nbxxq\0~\nJxsq\0~\0E\0\0\0w\0\0\0q\0~\nFxsq\0~_t\0\rBlockActivitysq\0~\0!q\0~\n7t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0 Gq\0~\nit\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\nnxxq\0~\n;t\0	Performersq\0~k\0q\0~\nrsq\0~\0<Rq\0~\n$t\0approvert\0	StartModesq\0~p\0q\0~\nvsq\0~\0ʹq\0~\n$t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0pq\0~\nwt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0<Δq\0~\n{t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0:#uq\0~\n{t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0nq\0~\n{t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\nxsq\0~\0E\0\0\0w\0\0\0q\0~\n{xt\0\nFinishModesq\0~\0q\0~\nsq\0~\0ix{q\0~\n$t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0e\0TAq\0~\nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0Hq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0 q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0[q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\nxsq\0~\0E\0\0\0w\0\0\0q\0~\nxt\0Prioritysq\0~\0q\0~\nsq\0~\0q\0~\n$t\0\0t\0	Deadlinessq\0~\0q\0~\nsq\0~\01ԓq\0~\n$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~\nsq\0~\0q\0~\n$t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0qvq\0~\nq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~\nsq\0~\0Oq\0~\nt\0\0t\0TimeEstimationsq\0~q\0~\nsq\0~\0bhq\0~\nt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~\nsq\0~\0\\2q\0~\nt\0\0t\0WorkingTimesq\0~\0q\0~\nsq\0~\0Gq\0~\nt\0\0t\0Durationsq\0~\0q\0~\nsq\0~\02q\0~\nt\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\nxxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\nxt\0Iconsq\0~\0q\0~\nsq\0~\0EoFq\0~\n$t\0\0t\0\rDocumentationsq\0~\07\0q\0~\nsq\0~\0Y{oq\0~\n$t\0\0t\0TransitionRestrictionssq\0~\0q\0~\nsq\0~\0;-%Nq\0~\n$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0TransitionRestrictionsq\0~\0Lq\0~\nt\0\0sq\0~\0w\0\0\0t\0Joinsq\0~\0q\0~\nsq\0~\0Seq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0o!sq\0~\nq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~\nxt\0Splitsq\0~\0q\0~\nsq\0~\0Wq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0:\0q\0~\nt\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0TransitionRefssq\0~\n\0q\0~\nsq\0~\0$q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0-org.enhydra.shark.xpdl.elements.TransitionRef%-a\0\0xq\0~\0t\0\rTransitionRefsq\0~\0\nkq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0|Eq\0~t\0transition5pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rTransitionRefsq\0~\0Dq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0#eq\0~t\0transition8pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rTransitionRefsq\0~\0Emq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0DLq\0~t\0transition10pxsq\0~\0E\0\0\0w\0\0\0q\0~\Zxxxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nxxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nxxt\0ExtendedAttributessq\0~\0\0q\0~ sq\0~\0B<q\0~\n$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0Kcq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0oXq\0~&t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\0Ĭq\0~&t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~+q\0~.xsq\0~t\0ExtendedAttributesq\0~\0\r\0;q\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0.e(q\0~2t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0sGq\0~2t\0486,63.784088134765625pxsq\0~\0E\0\0\0w\0\0\0q\0~7q\0~:xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\n)q\0~\n,q\0~\n0q\0~\n4q\0~\n7q\0~\nsq\0~\nwq\0~\nq\0~\nq\0~\nq\0~\nq\0~\nq\0~\nq\0~\nq\0~!xsq\0~t\0Activitysq\0~\0o^q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0tq\0~?t\0route1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~?t\0\0pt\0Descriptionsq\0~\02\0q\0~Jsq\0~\0-9oq\0~?t\0\0t\0Limitsq\0~\0q\0~Nsq\0~\0Sq\0~?t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0$<`q\0~?t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\08Ոq\0~Rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0Qq\0~Rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0(q\0~\\t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0ksq\0~at\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0\0\"^q\0~at\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Gt\0SubFlowsq\0~\0$Iq\0~at\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0A)q\0~qt\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\05q\0~qq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~|sq\0~\0l\'Mq\0~qt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~vq\0~yq\0~}xxq\0~exsq\0~\0E\0\0\0w\0\0\0q\0~axsq\0~_t\0\rBlockActivitysq\0~\0{qq\0~Rt\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0]q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~Vt\0	Performersq\0~k\0q\0~sq\0~\0)Afq\0~?t\0	requestert\0	StartModesq\0~p\0q\0~sq\0~\0ȕq\0~?t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0Gq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0\rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0Q[Hq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0.q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0^?q\0~?t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0&^q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0+q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0}(q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0n2=q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\07Pq\0~?t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0qӮq\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0s=~q\0~?t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0JXq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0ooq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0\rV.q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0DMtq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\08+q\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0xhtq\0~?t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0{emq\0~?t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0_~eq\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\0sq\0~\0lq\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0L3Qq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0J4q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~!sq\0~\0\0q\0~!sq\0~\05q\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0dsq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0tߡUq\0~t\0JaWE_GRAPH_OFFSETpq\0~!sq\0~\0\0q\0~!sq\0~\0eq\0~t\0161,54.9886474609375pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~\Zxxpxsq\0~\0E\0\0\0w\0\0\0q\0~Dq\0~Gq\0~Kq\0~Oq\0~Rq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0Transitionssr\0+org.enhydra.shark.xpdl.elements.Transitions9>/i\0\0xq\0~\0k\0q\0~sq\0~\0]q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0	w\0\0\0	sr\0*org.enhydra.shark.xpdl.elements.Transitiontx\0\0xq\0~\0t\0\nTransitionsq\0~\0{q\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\'1q\0~\'t\0transition2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0dVq\0~\'t\0\0pt\0Fromsq\0~\0q\0~2sq\0~\0<$q\0~\'t\0approve_proposalpt\0Tosq\0~\0q\0~6sq\0~\0Raq\0~\'t\0route2pt\0	Conditionsr\0)org.enhydra.shark.xpdl.elements.ConditionDZ;|\0\0xq\0~\0\0q\0~:sq\0~\0lq\0~\'t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0#pq\0~<q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0	CONDITIONt\0	OTHERWISEt\0	EXCEPTIONt\0DEFAULTEXCEPTIONxxsq\0~\0E\0\0\0w\0\0\0q\0~@xt\0Descriptionsq\0~\02\0q\0~Hsq\0~\0{;q\0~\'t\0\0t\0ExtendedAttributessq\0~\0\0q\0~Lsq\0~\0[bSq\0~\'t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0# q\0~Mt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Dq\0~Rt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0bUq\0~Rt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~Wq\0~Zxxpxsq\0~\0E\0\0\0w\0\0\0q\0~,q\0~/q\0~3q\0~7q\0~<q\0~Iq\0~Mxsq\0~&t\0\nTransitionsq\0~\0Hq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0t\'q\0~_t\0transition5pq\0~\0sq\0~\0\0q\0~\0sq\0~\0U+q\0~_t\0\0pq\0~2sq\0~\0q\0~2sq\0~\0aѽq\0~_t\0route2pq\0~6sq\0~\0q\0~6sq\0~\0q\0~_t\0tool2pt\0	Conditionsq\0~;\0q\0~psq\0~\06Sq\0~_t\0status === \'Rejected\'sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0t::q\0~qt\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~uxt\0Descriptionsq\0~\02\0q\0~zsq\0~\0usq\0~_t\0\0t\0ExtendedAttributessq\0~\0\0q\0~~sq\0~\0W}q\0~_t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0	3zq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0yJOMq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0}pq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0/>c}q\0~t\0PBUILDER_TRANSITION_CONDITIONSpq\0~!sq\0~\0\0q\0~!sq\0~\0(q\0~t\0G[{\"join\":\"&&\",\"variable\":\"status\",\"operator\":\"===\",\"value\":\"Rejected\"}]pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~dq\0~gq\0~jq\0~mq\0~qq\0~{q\0~xsq\0~&t\0\nTransitionsq\0~\0,q\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\02jq\0~t\0transition7pq\0~\0sq\0~\0\0q\0~\0sq\0~\0n^q\0~t\0\0pq\0~2sq\0~\0q\0~2sq\0~\0q\0~t\0tool1pq\0~6sq\0~\0q\0~6sq\0~\0kFLq\0~t\0\rsend_proposalpt\0	Conditionsq\0~;\0q\0~sq\0~\0Yq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0Y}AJq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0.I,q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0_Vqq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0Bq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\01]q\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0|q\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~&t\0\nTransitionsq\0~\0lrq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0m|\0q\0~t\0transition8pq\0~\0sq\0~\0\0q\0~\0sq\0~\0eUq\0~t\0Approvedpq\0~2sq\0~\0q\0~2sq\0~\0is$q\0~t\0route2pq\0~6sq\0~\0q\0~6sq\0~\0t7vq\0~t\0tool1pt\0	Conditionsq\0~;\0q\0~sq\0~\0]q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0bq\0~t\0	OTHERWISEsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0m\nq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0fq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0	7mq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0A\"q\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0\Zq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~&t\0\nTransitionsq\0~\0c]q\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0gzMq\0~\r\0t\0transition11pq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~\r\0t\0\0pq\0~2sq\0~\0q\0~2sq\0~\0,q\0~\r\0t\0route1pq\0~6sq\0~\0q\0~6sq\0~\0ymlq\0~\r\0t\0tool3pt\0	Conditionsq\0~;\0q\0~\rsq\0~\0LTQq\0~\r\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\03q\0~\rq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0Descriptionsq\0~\02\0q\0~\r\Zsq\0~\0.Eq\0~\r\0t\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0aq\0~\r\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0<(8|q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0tsq\0~\r$t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0>:q\0~\r$t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\r)q\0~\r,xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rxsq\0~&t\0\nTransitionsq\0~\0#6q\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0G%-q\0~\r1t\0transition9pq\0~\0sq\0~\0\0q\0~\0sq\0~\0/q\0~\r1t\0\0pq\0~2sq\0~\0q\0~2sq\0~\0ddq\0~\r1t\0tool3pq\0~6sq\0~\0q\0~6sq\0~\0,q\0~\r1t\0approve_proposalpt\0	Conditionsq\0~;\0q\0~\rBsq\0~\0q\0~\r1t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0qq\0~\rCq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~\rGxt\0Descriptionsq\0~\02\0q\0~\rKsq\0~\0vq\0~\r1t\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rOsq\0~\0Dg]q\0~\r1t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0:Aq\0~\rPt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\"sZq\0~\rUt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0`aq\0~\rUt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\rZq\0~\r]xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\r6q\0~\r9q\0~\r<q\0~\r?q\0~\rCq\0~\rLq\0~\rPxsq\0~&t\0\nTransitionsq\0~\0Oq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0SHrq\0~\rbt\0transition12pq\0~\0sq\0~\0\0q\0~\0sq\0~\0@\rq\0~\rbt\0\0pq\0~2sq\0~\0q\0~2sq\0~\0_,$q\0~\rbt\0	activity1pq\0~6sq\0~\0q\0~6sq\0~\0nGLq\0~\rbt\0tool3pt\0	Conditionsq\0~;\0q\0~\rssq\0~\0=q\0~\rbt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0sq\0~\rtq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~\rxxt\0Descriptionsq\0~\02\0q\0~\r|sq\0~\0+\r[q\0~\rbt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0zq\0~\rbt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0rq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0iIV^q\0~\rt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0MkRq\0~\rt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rgq\0~\rjq\0~\rmq\0~\rpq\0~\rtq\0~\r}q\0~\rxsq\0~&t\0\nTransitionsq\0~\0\\aq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\09	q\0~\rt\0transition10pq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~\rt\0\0pq\0~2sq\0~\0q\0~2sq\0~\0Qs{q\0~\rt\0route2pq\0~6sq\0~\0q\0~6sq\0~\0BԺDq\0~\rt\0tool4pt\0	Conditionsq\0~;\0q\0~\rsq\0~\0\Z3q\0~\rt\0status === \'Resubmit\'sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0lq\0~\rt\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0Descriptionsq\0~\02\0q\0~\rsq\0~\0(\\q\0~\rt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0[*q\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0\Z~mq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0`3q\0~\rt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0oV3q\0~\rt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxsq\0~t\0ExtendedAttributesq\0~\0gq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\"$%q\0~\rt\0PBUILDER_TRANSITION_CONDITIONSpq\0~!sq\0~\0\0q\0~!sq\0~\0o6q\0~\rt\0G[{\"join\":\"&&\",\"variable\":\"status\",\"operator\":\"===\",\"value\":\"Resubmit\"}]pxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rxsq\0~&t\0\nTransitionsq\0~\0Tq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0$q\0~\rt\0transition13pq\0~\0sq\0~\0\0q\0~\0sq\0~\0(%aq\0~\rt\0\0pq\0~2sq\0~\0q\0~2sq\0~\0mc-q\0~\rt\0tool4pq\0~6sq\0~\0q\0~6sq\0~\0NWKq\0~\rt\0	activity1pt\0	Conditionsq\0~;\0q\0~\rsq\0~\0\r\Z<q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0,-q\0~\rq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Cq\0~Dq\0~Eq\0~Fxxsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0Descriptionsq\0~\02\0q\0~\rsq\0~\0B,q\0~\rt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0\01:	q\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0IO!q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0j!\\q\0~\rt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~!sq\0~\0\0q\0~!sq\0~\0OFsq\0~\rt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rxxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0g9N[q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0\r@q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0gq\0~t\0%JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDERpq\0~!sq\0~\0\0q\0~!sq\0~\0`nFq\0~t\0requester;approverpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~xsq\0~t\0ExtendedAttributesq\0~\0g袟q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Zq\0~t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~!sq\0~\0\0q\0~!sq\0~\0un\Zq\0~t\0JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=send_proposal,X_OFFSET=912,Y_OFFSET=35,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0Aq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0#݄q\0~ t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~!sq\0~\0\0q\0~!sq\0~\0$-0)q\0~ t\0JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool2,X_OFFSET=850,Y_OFFSET=73,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~%q\0~(xsq\0~t\0ExtendedAttributesq\0~\0Mq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\"{q\0~,t\0JaWE_GRAPH_START_OF_WORKFLOWpq\0~!sq\0~\0\0q\0~!sq\0~\0oN,Tq\0~,t\0JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=route1,X_OFFSET=101,Y_OFFSET=66,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~1q\0~4xxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~cq\0~fq\0~jq\0~qq\0~q\0~q\0~q\0~q\0~q\0~q\0~	q\0~!q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~9sq\0~\0)T^q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0Xq\0~:t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0nQq\0~?t\0EDITING_TOOLpq\0~!sq\0~\0\0q\0~!sq\0~\0Y)9;q\0~?t\0Web Workflow Designerpxsq\0~\0E\0\0\0w\0\0\0q\0~Dq\0~Gxsq\0~t\0ExtendedAttributesq\0~\0!l~8q\0~:t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Yҟq\0~Kt\0EDITING_TOOL_VERSIONpq\0~!sq\0~\0\0q\0~!sq\0~\0Fq\0~Kt\0\r5.0-pre-alphapxsq\0~\0E\0\0\0w\0\0\0q\0~Pq\0~Sxxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~\0q\0~\0q\0~\0q\0~\0Iq\0~\0tq\0~\0q\0~\0q\0~\0q\0~\0q\0~q\0~Qq\0~Xq\0~:x\0sq\0~\0w\0\0\0\0xt\01sr\0*org.enhydra.shark.xpdl.elements.Namespaces|<.R\0\0xq\0~\0kt\0\nNamespacessq\0~\0\"ukq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.Namespacez_\0\0xq\0~\0t\0	Namespacesq\0~\0>xyq\0~[t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0coq\0~bt\0xpdlpq\0~\0sq\0~\0q\0~\0sq\0~\0Og\Zq\0~bt\0 http://www.wfmc.org/2002/XPDL1.0pxsq\0~\0E\0\0\0w\0\0\0q\0~gq\0~jxx',1000202,1,1000203,0),('<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<Package xmlns=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xpdl=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" Id=\"dashboard\" Name=\"Employee Portal\" xsi:schemaLocation=\"http://www.wfmc.org/2002/XPDL1.0 http://wfmc.org/standards/docs/TC-1025_schema_10_xpdl.xsd\">\n    <PackageHeader>\n        <XPDLVersion>1.0</XPDLVersion>\n        <Vendor/>\n        <Created/>\n    </PackageHeader>\n    <Script Type=\"text/javascript\"/>\n    <Participants>\n        <Participant Id=\"requester\" Name=\"Requester\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n        <Participant Id=\"approver\" Name=\"Approver\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n    </Participants>\n    <Applications>\n        <Application Id=\"default_application\"/>\n    </Applications>\n    <WorkflowProcesses>\n        <WorkflowProcess Id=\"process1\" Name=\"User Registration Process\">\n            <ProcessHeader DurationUnit=\"h\"/>\n            <DataFields>\n                <DataField Id=\"status\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n                <DataField Id=\"username\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n            </DataFields>\n            <Activities>\n                <Activity Id=\"activity1\" Name=\"Approve Registration\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"174,31.787506103515625\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route1\">\n                    <Route/>\n                    <Performer>approver</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Split Type=\"XOR\">\n                                <TransitionRefs>\n                                    <TransitionRef Id=\"transition2\"/>\n                                    <TransitionRef Id=\"transition3\"/>\n                                </TransitionRefs>\n                            </Split>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"328,37.225006103515625\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool2\" Name=\"Send Rejection Email\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"525,117.01251220703125\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool3\" Name=\"Send User Registration Email\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"670,27\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"activity2\" Name=\"Create User\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"522,24.57501220703125\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool4\" Name=\"Email Request For Approval\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"171,26.987503051757812\"/>\n                    </ExtendedAttributes>\n                </Activity>\n            </Activities>\n            <Transitions>\n                <Transition From=\"activity1\" Id=\"transition1\" To=\"route1\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition2\" To=\"activity2\">\n                    <Condition Type=\"CONDITION\">status === \'Approved\'</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"PBUILDER_TRANSITION_CONDITIONS\" Value=\"[{&quot;join&quot;:&quot;&amp;&amp;&quot;,&quot;variable&quot;:&quot;status&quot;,&quot;operator&quot;:&quot;===&quot;,&quot;value&quot;:&quot;Approved&quot;}]\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition3\" Name=\"Rejected\" To=\"tool2\">\n                    <Condition Type=\"OTHERWISE\"/>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"activity2\" Id=\"transition4\" To=\"tool3\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool4\" Id=\"transition5\" To=\"activity1\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n            </Transitions>\n            <ExtendedAttributes>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDER\" Value=\"requester;approver\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool2,X_OFFSET=706,Y_OFFSET=130,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool3,X_OFFSET=836,Y_OFFSET=39,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_START_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=tool4,X_OFFSET=101,Y_OFFSET=41,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULT\"/>\n            </ExtendedAttributes>\n        </WorkflowProcess>\n    </WorkflowProcesses>\n    <ExtendedAttributes>\n        <ExtendedAttribute Name=\"EDITING_TOOL\" Value=\"Web Workflow Designer\"/>\n        <ExtendedAttribute Name=\"EDITING_TOOL_VERSION\" Value=\"5.0-pre-alpha\"/>\n    </ExtendedAttributes>\n</Package>\n','\0sr\0\'org.enhydra.shark.xpdl.elements.Package~+Vmŀ~\0Z\0isTransientL\0extPkgRefsToIdst\0.Lorg/enhydra/shark/utilities/SequencedHashMap;L\0internalVersiont\0Ljava/lang/String;L\0\nnamespacest\0,Lorg/enhydra/shark/xpdl/elements/Namespaces;xr\0(org.enhydra.shark.xpdl.XMLComplexElement>(\0\0xr\05org.enhydra.shark.xpdl.XMLBaseForCollectionAndComplex2\0L\0\nelementMapq\0~\0L\0elementst\0Ljava/util/ArrayList;xr\0!org.enhydra.shark.xpdl.XMLElement#+B#\0Z\0\nisReadOnlyZ\0\nisRequiredL\0nameq\0~\0L\0originalElementHashCodet\0Ljava/lang/Integer;L\0parentt\0#Lorg/enhydra/shark/xpdl/XMLElement;L\0valueq\0~\0xpt\0Packagesr\0java.lang.Integer⠤8\0I\0valuexr\0java.lang.Number\0\0xp>Cpt\0\0sr\0,org.enhydra.shark.utilities.SequencedHashMap.\"\"&\0\0xpw\0\0\0\rt\0Idsr\0#org.enhydra.shark.xpdl.XMLAttribute#c݀M;\0L\0choicesq\0~\0xq\0~\0q\0~\0sq\0~\0bfq\0~\0\nt\0	dashboardpt\0Namesq\0~\0\0q\0~\0sq\0~\01q\0~\0\nt\0Employee Portalpt\0\rPackageHeadersr\0-org.enhydra.shark.xpdl.elements.PackageHeaderv,\0\0xq\0~\0\0q\0~\0sq\0~\0^q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0XPDLVersionsr\0+org.enhydra.shark.xpdl.elements.XPDLVersion\"}Y.w\0\0xr\0\'org.enhydra.shark.xpdl.XMLSimpleElementm\0\0xq\0~\0q\0~\0!sq\0~\01q\0~\0t\01.0t\0Vendorsr\0&org.enhydra.shark.xpdl.elements.Vendor tE:\0\0xq\0~\0#q\0~\0\'sq\0~\0igq\0~\0t\0\0t\0Createdsr\0\'org.enhydra.shark.xpdl.elements.CreatedzdK|[\0\0xq\0~\0#q\0~\0,sq\0~\0mjq\0~\0t\0\0t\0Descriptionsr\0+org.enhydra.shark.xpdl.elements.Description۰738\0\0xq\0~\0#\0q\0~\01sq\0~\0^Xq\0~\0t\0\0t\0\rDocumentationsr\0-org.enhydra.shark.xpdl.elements.Documentation`9y\0\0xq\0~\0#\0q\0~\06sq\0~\0y;sq\0~\0t\0\0t\0PriorityUnitsr\0,org.enhydra.shark.xpdl.elements.PriorityUnit\0\0xq\0~\0#\0q\0~\0;sq\0~\0.&q\0~\0t\0\0t\0CostUnitsr\0(org.enhydra.shark.xpdl.elements.CostUnit܎=H\0\0xq\0~\0#\0q\0~\0@sq\0~\0y:q\0~\0t\0\0xsr\0java.util.ArrayListxa\0I\0sizexp\0\0\0w\0\0\0q\0~\0$q\0~\0)q\0~\0.q\0~\03q\0~\08q\0~\0=q\0~\0Bxt\0RedefinableHeadersr\01org.enhydra.shark.xpdl.elements.RedefinableHeaderMϪ\'H\0\0xq\0~\0\0q\0~\0Gsq\0~\0;Ўq\0~\0\nt\0\0sq\0~\0w\0\0\0t\0PublicationStatussq\0~\0\0q\0~\0Msq\0~\0/[q\0~\0It\0\0sq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0UNDER_REVISIONt\0RELEASEDt\0\nUNDER_TESTxt\0Authorsr\0&org.enhydra.shark.xpdl.elements.Author5fᧆ\0\0xq\0~\0#\0q\0~\0Usq\0~\0Wq\0~\0It\0\0t\0Versionsr\0\'org.enhydra.shark.xpdl.elements.Version9=3~JQ\0\0xq\0~\0#\0q\0~\0Zsq\0~\0?xq\0~\0It\0\0t\0Codepagesr\0(org.enhydra.shark.xpdl.elements.Codepage9$me\rG\0\0xq\0~\0#\0q\0~\0_sq\0~\0Wyq\0~\0It\0\0t\0\nCountrykeysr\0*org.enhydra.shark.xpdl.elements.Countrykey.\0\0xq\0~\0#\0q\0~\0dsq\0~\0El6q\0~\0It\0\0t\0Responsiblessr\0,org.enhydra.shark.xpdl.elements.Responsibles${S\0\0xr\0$org.enhydra.shark.xpdl.XMLCollectionjċm\0\0xq\0~\0\0q\0~\0isq\0~\0]q\0~\0It\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0Nq\0~\0Wq\0~\0\\q\0~\0aq\0~\0fq\0~\0lxt\0ConformanceClasssr\00org.enhydra.shark.xpdl.elements.ConformanceClassy0|k\0\0xq\0~\0\0q\0~\0rsq\0~\0tq\0~\0\nt\0\0sq\0~\0w\0\0\0t\0GraphConformancesq\0~\0\0q\0~\0xsq\0~\0qq\0~\0tq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0FULL_BLOCKEDt\0LOOP_BLOCKEDt\0NON_BLOCKEDxxsq\0~\0E\0\0\0w\0\0\0q\0~\0yxt\0Scriptsr\0&org.enhydra.shark.xpdl.elements.ScriptQjS8\0\0xq\0~\0\0q\0~\0sq\0~\0I)q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0Typesq\0~\0q\0~\0sq\0~\0H$q\0~\0t\0text/javascriptpt\0Versionsq\0~\0\0q\0~\0sq\0~\0ZWq\0~\0t\0\0pt\0Grammarsq\0~\0\0q\0~\0sq\0~\0&ܚq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExternalPackagessr\00org.enhydra.shark.xpdl.elements.ExternalPackagesw\"+Ũ\0\0xq\0~\0k\0q\0~\0sq\0~\0BCq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0TypeDeclarationssr\00org.enhydra.shark.xpdl.elements.TypeDeclarations\rOx5\0\0xq\0~\0k\0q\0~\0sq\0~\06q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Participantssr\0,org.enhydra.shark.xpdl.elements.Participantsh`g8J\0\0xq\0~\0k\0q\0~\0sq\0~\0q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Participanto$rc\0\0xr\0+org.enhydra.shark.xpdl.XMLCollectionElementCxvr\0\0xq\0~\0t\0Participantsq\0~\0 `-q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0]Uq\0~\0t\0	requesterpq\0~\0sq\0~\0\0q\0~\0sq\0~\0J/;Aq\0~\0t\0	Requesterpt\0ParticipantTypesr\0/org.enhydra.shark.xpdl.elements.ParticipantType>n݅\0\0xq\0~\0q\0~\0sq\0~\0bNsq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0+q\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0t\0RESOURCE_SETt\0RESOURCEt\0ROLEt\0ORGANIZATIONAL_UNITt\0HUMANt\0SYSTEMxxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0]>q\0~\0t\0\0t\0ExternalReferencesr\01org.enhydra.shark.xpdl.elements.ExternalReferencebQ\0\0xq\0~\0\0q\0~\0sq\0~\0#Zq\0~\0t\0\0sq\0~\0w\0\0\0t\0xrefsq\0~\0\0q\0~\0sq\0~\02Nuq\0~\0t\0\0pt\0locationsq\0~\0q\0~\0sq\0~\0=q\0~\0t\0\0pt\0	namespacesq\0~\0\0q\0~\0sq\0~\0|z|@q\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExtendedAttributessr\02org.enhydra.shark.xpdl.elements.ExtendedAttributesOUF\0L\0extAttribsStringq\0~\0xq\0~\0k\0q\0~\0sq\0~\0Msq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xsq\0~\0t\0Participantsq\0~\0Υq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0:hdq\0~\0t\0approverpq\0~\0sq\0~\0\0q\0~\0sq\0~\0<Bq\0~\0t\0Approverpt\0ParticipantTypesq\0~\0q\0~\0sq\0~\0OCq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Aq\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0k_{q\0~\0t\0\0t\0ExternalReferencesq\0~\0\0q\0~\0sq\0~\0Iq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0V-q\0~\0t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0(!q\0~\0t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0?q\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~	xt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0yr:q\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~xxt\0Applicationssr\0,org.enhydra.shark.xpdl.elements.Applications\0\0xq\0~\0k\0q\0~sq\0~\0Kq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Applicationv	RS\0\0xq\0~\0t\0Applicationsq\0~\0wsdq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0h4q\0~t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0L_q\0~t\0\0pt\0Descriptionsq\0~\02\0q\0~\'sq\0~\0Dǀq\0~t\0\0t\0Choicesr\00org.enhydra.shark.xpdl.elements.ApplicationTypes?!\0\0xr\0\'org.enhydra.shark.xpdl.XMLComplexChoice|\"\0L\0choicesq\0~\0L\0choosenq\0~\0	xq\0~\0q\0~+sq\0~\0(q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\00org.enhydra.shark.xpdl.elements.FormalParameterspBÁZ\0\0xq\0~\0k\0t\0FormalParameterssq\0~\06q\0~.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0\0t\0ExternalReferencesq\0~\0\\1q\0~.t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0L q\0~9t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0<Mq\0~9t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0#o\Zq\0~9t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~>q\0~Aq\0~Dxxq\0~3t\0ExtendedAttributessq\0~\0\0q\0~Hsq\0~\0Vf&Xq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~!q\0~$q\0~(q\0~.q\0~Ixxt\0\nDataFieldssr\0*org.enhydra.shark.xpdl.elements.DataFieldsʦU\0\0xq\0~\0k\0q\0~Osq\0~\0;jq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0WorkflowProcessessr\01org.enhydra.shark.xpdl.elements.WorkflowProcessesp_0,\0\0xq\0~\0k\0q\0~Vsq\0~\0oq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0/org.enhydra.shark.xpdl.elements.WorkflowProcess%v0L\0\0xq\0~\0t\0WorkflowProcesssq\0~\0uOLq\0~Xt\0\0sq\0~\0w\0\0\0\rq\0~\0sq\0~\0q\0~\0sq\0~\0dcq\0~^t\0process1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0WABq\0~^t\0User Registration Processpt\0AccessLevelsq\0~\0\0q\0~isq\0~\0}~cq\0~^q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0PUBLICt\0PRIVATExt\0\rProcessHeadersr\0-org.enhydra.shark.xpdl.elements.ProcessHeaderLC-)\0\0xq\0~\0q\0~osq\0~\0~Pq\0~^t\0\0sq\0~\0w\0\0\0t\0DurationUnitsq\0~\0\0q\0~usq\0~\0q\0~qt\0hsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0Yt\0Mt\0Dt\0ht\0mt\0sxt\0Createdsq\0~\0-\0q\0~sq\0~\0q\0~qt\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\09ZEq\0~qt\0\0t\0Prioritysr\0(org.enhydra.shark.xpdl.elements.Priority`Nn>b\0\0xq\0~\0#\0q\0~sq\0~\0lq\0~qt\0\0t\0Limitsr\0%org.enhydra.shark.xpdl.elements.Limit1ӗ\0\0xq\0~\0#\0q\0~sq\0~\0[Dq\0~qt\0\0t\0	ValidFromsr\0)org.enhydra.shark.xpdl.elements.ValidFromcŅ|L<\0\0xq\0~\0#\0q\0~sq\0~\0$q\0~qt\0\0t\0ValidTosr\0\'org.enhydra.shark.xpdl.elements.ValidToM\0\0xq\0~\0#\0q\0~sq\0~\0=5[q\0~qt\0\0t\0TimeEstimationsr\0.org.enhydra.shark.xpdl.elements.TimeEstimationŀ\'3\0\0xq\0~\0\0q\0~sq\0~\0y\Z\"q\0~qt\0\0sq\0~\0w\0\0\0t\0WaitingTimesr\0+org.enhydra.shark.xpdl.elements.WaitingTimeN/\0\0xq\0~\0#\0q\0~sq\0~\0~q\0~t\0\0t\0WorkingTimesr\0+org.enhydra.shark.xpdl.elements.WorkingTime~\0\0xq\0~\0#\0q\0~sq\0~\0C#q\0~t\0\0t\0Durationsr\0(org.enhydra.shark.xpdl.elements.Duration C\0\0xq\0~\0#\0q\0~sq\0~\0҉|q\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~vq\0~q\0~q\0~q\0~q\0~q\0~q\0~xt\0RedefinableHeadersq\0~\0H\0q\0~sq\0~\0@;q\0~^t\0\0sq\0~\0w\0\0\0q\0~\0Msq\0~\0\0q\0~\0Msq\0~\0im\Zq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~\0Rq\0~\0Sq\0~\0Txt\0Authorsq\0~\0V\0q\0~sq\0~\0sq\0~t\0\0t\0Versionsq\0~\0[\0q\0~sq\0~\0G]Hq\0~t\0\0t\0Codepagesq\0~\0`\0q\0~sq\0~\0xYFq\0~t\0\0t\0\nCountrykeysq\0~\0e\0q\0~sq\0~\0-6q\0~t\0\0t\0Responsiblessq\0~\0j\0q\0~sq\0~\0bq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~xt\0FormalParameterssq\0~2\0q\0~sq\0~\04`yq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nDataFieldssq\0~P\0q\0~sq\0~\0uq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.DataFieldI3.~\0\0xq\0~\0t\0	DataFieldsq\0~\0Ȧq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\01Niq\0~t\0statuspq\0~\0sq\0~\0\0q\0~\0sq\0~\0W¤q\0~t\0\0pt\0IsArraysq\0~\0\0q\0~sq\0~\0d(q\0~t\0FALSEsq\0~\0E\0\0\0w\0\0\0t\0TRUEt\0FALSExt\0DataTypesr\0(org.enhydra.shark.xpdl.elements.DataType\'4sM\0\0xq\0~\0q\0~sq\0~\0jq\0~t\0\0sq\0~\0w\0\0\0t\0	DataTypessr\0)org.enhydra.shark.xpdl.elements.DataTypespcH,!\0Z\0\risInitializedxq\0~-q\0~sq\0~\0WLq\0~t\0\0sq\0~\0E\0\0\0	w\0\0\0	sr\0)org.enhydra.shark.xpdl.elements.BasicType)w1\0\0xq\0~\0t\0	BasicTypesq\0~\0pBCq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0qq\0~t\0STRINGsq\0~\0E\0\0\0w\0\0\0t\0STRINGt\0FLOATt\0INTEGERt\0	REFERENCEt\0DATETIMEt\0BOOLEANt\0	PERFORMERxxsq\0~\0E\0\0\0w\0\0\0q\0~xsr\0,org.enhydra.shark.xpdl.elements.DeclaredTypedR.\\^9\0\0xq\0~\0t\0DeclaredTypesq\0~\0Nq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0:Ϊq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xsr\0*org.enhydra.shark.xpdl.elements.SchemaType&1oSH\0\0xq\0~\0t\0\nSchemaTypesq\0~\0V/q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0N[~q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0Xq\0~ t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0%tq\0~ t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0]Cq\0~ t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~%q\0~(q\0~+xsr\0*org.enhydra.shark.xpdl.elements.RecordType%K\0\0\0xq\0~\0kt\0\nRecordTypesq\0~\0h]q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.UnionType5PG\0\0xq\0~\0kt\0	UnionTypesq\0~\0gq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0/org.enhydra.shark.xpdl.elements.EnumerationTypef3b\0\0xq\0~\0kt\0EnumerationTypesq\0~\0l[|q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.ArrayTypeg$\0N@\0\0xq\0~\0t\0	ArrayTypesq\0~\0{wq\0~t\0\0sq\0~\0w\0\0\0t\0\nLowerIndexsq\0~\0q\0~Jsq\0~\0X 8q\0~Et\0\0pt\0\nUpperIndexsq\0~\0q\0~Nsq\0~\0!Jq\0~Et\0\0pq\0~sq\0~q\0~sq\0~\0*~fq\0~Et\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~Kq\0~Oq\0~Rxsr\0(org.enhydra.shark.xpdl.elements.ListType\"ӟ\n\0\0xq\0~\0t\0ListTypesq\0~\0P^;q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~q\0~sq\0~\0{q\0~Wt\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~\\xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0InitialValuesr\0,org.enhydra.shark.xpdl.elements.InitialValuej,zR\0\0xq\0~\0#\0q\0~asq\0~\0C\n4q\0~t\0\0t\0Lengthsr\0&org.enhydra.shark.xpdl.elements.LengthMW+-̩W\0\0xq\0~\0#\0q\0~fsq\0~\0BRߥq\0~t\0\0t\0Descriptionsq\0~\02\0q\0~ksq\0~\0Nq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~osq\0~\0WIbq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~cq\0~hq\0~lq\0~pxsq\0~t\0	DataFieldsq\0~\0;q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\"ɹeq\0~vt\0usernamepq\0~\0sq\0~\0\0q\0~\0sq\0~\03Vq\0~vt\0\0pq\0~sq\0~\0\0q\0~sq\0~\0=;ӻq\0~vt\0FALSEsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xt\0DataTypesq\0~q\0~sq\0~\0-Qq\0~vt\0\0sq\0~\0w\0\0\0q\0~sq\0~q\0~sq\0~\0ajq\0~t\0\0sq\0~\0E\0\0\0	w\0\0\0	sq\0~t\0	BasicTypesq\0~\0wlCq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0uq\0~t\0STRINGsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~	q\0~\nq\0~q\0~q\0~\rxxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0DeclaredTypesq\0~\0|0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0rNq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\nSchemaTypesq\0~\0aCq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0bbq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\06EDq\0~t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0K02q\0~t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0I1!q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~/t\0\nRecordTypesq\0~\08sq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0	UnionTypesq\0~\0I<p;q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~=t\0EnumerationTypesq\0~\0W\rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Dt\0	ArrayTypesq\0~\0.G&Wq\0~t\0\0sq\0~\0w\0\0\0q\0~Jsq\0~\0q\0~Jsq\0~\0A&1}q\0~t\0\0pq\0~Nsq\0~\0q\0~Nsq\0~\02{&q\0~t\0\0pq\0~sq\0~q\0~sq\0~\03:q\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~Vt\0ListTypesq\0~\0T5q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~q\0~sq\0~\0go!q\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0InitialValuesq\0~b\0q\0~sq\0~\02hq\0~vt\0\0t\0Lengthsq\0~g\0q\0~sq\0~\0O,q\0~vt\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0.q\0~vt\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0jq\0~vt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~{q\0~~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0Participantssq\0~\0\0q\0~sq\0~\0cq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Applicationssq\0~\0q\0~sq\0~\0gK/q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ActivitySetssr\0,org.enhydra.shark.xpdl.elements.ActivitySetsqV[4\0\0xq\0~\0k\0q\0~\0sq\0~\043/q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nActivitiessr\0*org.enhydra.shark.xpdl.elements.Activities&G^lP\0\0xq\0~\0k\0q\0~sq\0~\0v\Zq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0(org.enhydra.shark.xpdl.elements.Activityt45\Z9\0\0xq\0~\0t\0Activitysq\0~\0Wq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0P%q\0~t\0	activity1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0IMq\0~t\0Approve Registrationpt\0Descriptionsq\0~\02\0q\0~\Zsq\0~\0y+q\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0\'Rhq\0~t\0\0q\0~\0sr\0-org.enhydra.shark.xpdl.elements.ActivityTypeseŽ{\0\0xq\0~-q\0~\0sq\0~\082q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0%org.enhydra.shark.xpdl.elements.Route0e\rG\0\0xq\0~\0t\0Routesq\0~\0}q\0~#t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0.org.enhydra.shark.xpdl.elements.Implementationr^%\0\0xq\0~\0t\0Implementationsq\0~\0DI/q\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sr\03org.enhydra.shark.xpdl.elements.ImplementationTypes\rT١9\0\0xq\0~-q\0~\0sq\0~\0\Zدq\0~/t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0\"org.enhydra.shark.xpdl.elements.No{.\0\0xq\0~\0t\0Nosq\0~\0q\0~5t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0%org.enhydra.shark.xpdl.elements.ToolsCg\0\0xq\0~\0k\0t\0Toolssq\0~\0fq\0~5t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0\'org.enhydra.shark.xpdl.elements.SubFlow;Os7:$\0\0xq\0~\0t\0SubFlowsq\0~\0q\0~5t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0.;q\0~Ht\0\0pt\0	Executionsq\0~\0\0q\0~Psq\0~\0[&q\0~Hq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ASYNCHRt\0SYNCHRxt\0ActualParameterssr\00org.enhydra.shark.xpdl.elements.ActualParameters_K\0\0xq\0~\0k\0q\0~Vsq\0~\0?7q\0~Ht\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Mq\0~Qq\0~Xxxq\0~:xsq\0~\0E\0\0\0w\0\0\0q\0~5xsr\0-org.enhydra.shark.xpdl.elements.BlockActivityqcF\0\0xq\0~\0t\0\rBlockActivitysq\0~\0lq\0~#t\0\0sq\0~\0w\0\0\0t\0BlockIdsq\0~\0q\0~esq\0~\07͇q\0~`t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~fxxq\0~/t\0	Performersr\0)org.enhydra.shark.xpdl.elements.Performer\"1%\0\0xq\0~\0#\0q\0~jsq\0~\0ELvq\0~t\0approvert\0	StartModesr\0)org.enhydra.shark.xpdl.elements.StartModenhS\0\0xq\0~\0\0q\0~osq\0~\0M\"q\0~t\0\0sq\0~\0w\0\0\0t\0Modesr\00org.enhydra.shark.xpdl.elements.StartFinishModes~6zX\'\0\0xq\0~-\0q\0~usq\0~\0F,q\0~qt\0\0sq\0~\0E\0\0\0w\0\0\0sr\0,org.enhydra.shark.xpdl.XMLEmptyChoiceElement2;3_\0\0xq\0~\0\0t\0XMLEmptyChoiceElementsq\0~\0sF?q\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.Automatict?_\0\0xq\0~\0t\0	Automaticsq\0~\0`9q\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0&org.enhydra.shark.xpdl.elements.Manualv[ؤ\0\0xq\0~\0t\0Manualsq\0~\0fq\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~|xsq\0~\0E\0\0\0w\0\0\0q\0~wxt\0\nFinishModesr\0*org.enhydra.shark.xpdl.elements.FinishMode{\0\0xq\0~\0\0q\0~sq\0~\0}\\q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0&$q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0b\nEq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0D\"jq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0/)q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0/pCq\0~t\0\0t\0	Deadlinessr\0)org.enhydra.shark.xpdl.elements.Deadlines>ɜ\0\0xq\0~\0k\0q\0~sq\0~\0;sBdq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsr\05org.enhydra.shark.xpdl.elements.SimulationInformation\"|I\0\0xq\0~\0\0q\0~sq\0~\0Ѻq\0~t\0\0sq\0~\0w\0\0\0t\0\rInstantiationsq\0~\0\0q\0~sq\0~\0[q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ONCEt\0MULTIPLExt\0Costsr\0$org.enhydra.shark.xpdl.elements.Cost\0\0xq\0~\0#q\0~sq\0~\0w7q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0[q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0yͅgq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0#kq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0>xUq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsr\0$org.enhydra.shark.xpdl.elements.IconTU(}6\0\0xq\0~\0#\0q\0~sq\0~\0-4q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0}q\0~t\0\0t\0TransitionRestrictionssr\06org.enhydra.shark.xpdl.elements.TransitionRestrictionsC)׀i;\0\0xq\0~\0k\0q\0~sq\0~\0jUyq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0+?iyq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\01org.enhydra.shark.xpdl.elements.ExtendedAttribute\\F\0\0xq\0~\0t\0ExtendedAttributesq\0~\0W1q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0x&q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpt\0Valuesq\0~\0\0q\0~sq\0~\0B`q\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0\r`q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0*%q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0Qbq\0~t\0174,31.787506103515625pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~	xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~#q\0~lq\0~qq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0-q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0XWcYq\0~t\0route1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0V\0q\0~t\0\0pt\0Descriptionsq\0~\02\0q\0~sq\0~\0`\"q\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0Lnq\0~t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0&kq\0~!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0Cq\0~!t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0XH5q\0~+t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\06=q\0~0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0Hq\0~0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Gt\0SubFlowsq\0~\0}U&q\0~0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0aaEq\0~@t\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0h<q\0~@q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~Ksq\0~\0!.q\0~@t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Eq\0~Hq\0~Lxxq\0~4xsq\0~\0E\0\0\0w\0\0\0q\0~0xsq\0~_t\0\rBlockActivitysq\0~\0{q\0~!t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0\\~Bq\0~St\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Xxxq\0~%t\0	Performersq\0~k\0q\0~\\sq\0~\0eTq\0~t\0approvert\0	StartModesq\0~p\0q\0~`sq\0~\0$q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0%5zq\0~at\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0L=q\0~et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0o^^q\0~et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Djqq\0~et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~ixsq\0~\0E\0\0\0w\0\0\0q\0~ext\0\nFinishModesq\0~\0q\0~|sq\0~\0]Cq\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0Emq\0~}t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0Dq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0,q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\00@q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0yxq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\01|q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0x:q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0R=)q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0- Cq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0&q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0eUq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0\r6q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0xCq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\06q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0x$q\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\017q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\05org.enhydra.shark.xpdl.elements.TransitionRestrictionN}\0\0xq\0~\0t\0TransitionRestrictionsq\0~\0f6q\0~t\0\0sq\0~\0w\0\0\0t\0Joinsr\0$org.enhydra.shark.xpdl.elements.Joinڕөx)5\0\0xq\0~\0\0q\0~sq\0~\0Kq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0/1=q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ANDt\0XORxxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Splitsr\0%org.enhydra.shark.xpdl.elements.Split~ѯWS\0\0xq\0~\0\0q\0~sq\0~\0*q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0-9xq\0~t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0TransitionRefssr\0.org.enhydra.shark.xpdl.elements.TransitionRefsъ\0\0xq\0~\0k\0q\0~sq\0~\0Nq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0-org.enhydra.shark.xpdl.elements.TransitionRef%-a\0\0xq\0~\0t\0\rTransitionRefsq\0~\0	q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0QFq\0~t\0transition2pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rTransitionRefsq\0~\0tq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0-q\0~t\0transition3pxsq\0~\0E\0\0\0w\0\0\0q\0~xxxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0}q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0f=q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0D31q\0~\rt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0|Bq\0~\rt\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0B\"q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\04q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\00fuq\0~t\0328,37.225006103515625pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~!xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~\Zq\0~q\0~!q\0~]q\0~aq\0~}q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0NLq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0aq\0~&t\0tool2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0mq\0~&t\0Send Rejection Emailpt\0Descriptionsq\0~\02\0q\0~1sq\0~\09afq\0~&t\0\0t\0Limitsq\0~\0q\0~5sq\0~\0V\Zq\0~&t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0TҐq\0~&t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0Y?\\q\0~9t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0=q\0~9t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0\"Uq\0~Ct\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0\0_9q\0~Ht\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0l`q\0~Ht\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0$org.enhydra.shark.xpdl.elements.Tool\\6&+G\0\0xq\0~\0t\0Toolsq\0~\0e_q\0~Rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\'oq\0~Yt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0Hq\0~Yq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0APPLICATIONt\0	PROCEDURExt\0ActualParameterssq\0~W\0q\0~fsq\0~\0+<q\0~Yt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~lsq\0~\0u2`q\0~Yt\0\0t\0ExtendedAttributessq\0~\0\0q\0~psq\0~\0>bMZq\0~Yt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~^q\0~aq\0~gq\0~mq\0~qxxsq\0~Gt\0SubFlowsq\0~\0;q\0~Ht\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\",|q\0~wt\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0m/q\0~wq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~sq\0~\0NM~q\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~|q\0~q\0~xxq\0~Rxsq\0~\0E\0\0\0w\0\0\0q\0~Hxsq\0~_t\0\rBlockActivitysq\0~\0Aq\0~9t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0bz9q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~Ct\0	Performersq\0~k\0q\0~sq\0~\03vfq\0~&t\0approvert\0	StartModesq\0~p\0q\0~sq\0~\0\"Wxq\0~&t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0bnq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0$dq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0q^ʯq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0LOq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0!\\q\0~&t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0\"J(q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0Q(s`q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\06@q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0%@q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0/Uq\0~&t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0.$q\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0a9q\0~&t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0nq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0)?yq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0&0gq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0`Sͱq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0Pq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0: oq\0~&t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0\'[2q\0~&t\0\0t\0TransitionRestrictionssq\0~\0q\0~\0sq\0~\0oCq\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0hVq\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\02V.q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0j\0q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0_Pq\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0gq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0eq\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\07gq\0~t\0525,117.01251220703125pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~ xxpxsq\0~\0E\0\0\0w\0\0\0q\0~+q\0~.q\0~2q\0~6q\0~9q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0jVq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Dq\0~%t\0tool3pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Bq\0~%t\0Send User Registration Emailpt\0Descriptionsq\0~\02\0q\0~0sq\0~\0#|rsq\0~%t\0\0t\0Limitsq\0~\0q\0~4sq\0~\0?=8q\0~%t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0zq\0~%t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0<g(q\0~8t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\01]q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\08q\0~Bt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0}&w]q\0~Gt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0hfq\0~Gt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Xt\0Toolsq\0~\0E*\0q\0~Qt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0M-q\0~Wt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0:q\0~Wq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~dq\0~ext\0ActualParameterssq\0~W\0q\0~bsq\0~\0,q\0~Wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~hsq\0~\06NBq\0~Wt\0\0t\0ExtendedAttributessq\0~\0\0q\0~lsq\0~\0K	?q\0~Wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\\q\0~_q\0~cq\0~iq\0~mxxsq\0~Gt\0SubFlowsq\0~\00uiq\0~Gt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Yq\0~st\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0cq\0~sq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~~sq\0~\0\\V#q\0~st\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~xq\0~{q\0~xxq\0~Qxsq\0~\0E\0\0\0w\0\0\0q\0~Gxsq\0~_t\0\rBlockActivitysq\0~\0G{q\0~8t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0w^:q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~Bt\0	Performersq\0~k\0q\0~sq\0~\0_|q\0~%t\0approvert\0	StartModesq\0~p\0q\0~sq\0~\01Eq\0~%t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0e{oq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\07Fq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0PN2q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0(q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\00O)q\0~%t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0_-q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0bձ\"q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0;`aq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\04q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0\"q\0~%t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0YGhq\0~%t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0M*q\0~%t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0$9`Bq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\02ޟq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\05^q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0kq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\054q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0pq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0*E9q\0~%t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0Rq\0~%t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0T1q\0~%t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0&?q\0~%t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0j<q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0(q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0bsq\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~xsq\0~t\0ExtendedAttributesq\0~\0?xq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\07(q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0:L,q\0~t\0670,27pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~*q\0~-q\0~1q\0~5q\0~8q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0^oq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0M\0q\0~!t\0	activity2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\"hq\0~!t\0Create Userpt\0Descriptionsq\0~\02\0q\0~,sq\0~\0;q\0~!t\0\0t\0Limitsq\0~\0q\0~0sq\0~\0z,q\0~!t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0d[Jq\0~!t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0v9q\0~4t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0;EIq\0~4t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0$Lq\0~>t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\0Ftq\0~Ct\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0	\rq\0~Ct\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~Gt\0SubFlowsq\0~\0)LN&q\0~Ct\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Pq\0~St\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0c!q\0~Sq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~^sq\0~\0Cq\0~St\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Xq\0~[q\0~_xxq\0~Gxsq\0~\0E\0\0\0w\0\0\0q\0~Cxsq\0~_t\0\rBlockActivitysq\0~\0Ixq\0~4t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0\'m;q\0~ft\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~kxxq\0~>t\0	Performersq\0~k\0q\0~osq\0~\0DPq\0~!t\0approvert\0	StartModesq\0~p\0q\0~ssq\0~\0jbq\0~!t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0p|	q\0~tt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0THLq\0~xt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\05Xq\0~xt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0MPq\0~xt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~|xsq\0~\0E\0\0\0w\0\0\0q\0~xxt\0\nFinishModesq\0~\0q\0~sq\0~\01Sq\0~!t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0uA|q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0[)\'q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0j\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0gWq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0k8q\0~!t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0`q\0~!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0b*8Vq\0~!t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0Asq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0Pq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0cJq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0e@q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0\\xq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0twFq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0a+zfq\0~!t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0mp`q\0~!t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0fq\0~!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0mSq\0~!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0<\0Fq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\06.q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\08{Ozq\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0\'q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\03gq\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0tޖq\0~t\0522,24.57501220703125pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~&q\0~)q\0~-q\0~1q\0~4q\0~pq\0~tq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\0{q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Cq\0~t\0tool4pq\0~\0sq\0~\0\0q\0~\0sq\0~\0[q\0~t\0\ZEmail Request For Approvalpt\0Descriptionsq\0~\02\0q\0~sq\0~\0c=q\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0z*q\0~t\0\0q\0~\0sq\0~\"q\0~\0sq\0~\0\Zwq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\'t\0Routesq\0~\0	[Gq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~.t\0Implementationsq\0~\0?Gyq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~4q\0~\0sq\0~\0dq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~9t\0Nosq\0~\08\0bq\0~#t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~@\0t\0Toolssq\0~\0!G:Pq\0~#t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Xt\0Toolsq\0~\0^qq\0~-t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0,xq\0~3t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0Fuq\0~3q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~dq\0~ext\0ActualParameterssq\0~W\0q\0~>sq\0~\0HWq\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~Dsq\0~\0F\0q\0~3t\0\0t\0ExtendedAttributessq\0~\0\0q\0~Hsq\0~\0$wq\0~3t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~8q\0~;q\0~?q\0~Eq\0~Ixxsq\0~Gt\0SubFlowsq\0~\0KEkAq\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0:q\0~Ot\0\0pq\0~Psq\0~\0\0q\0~Psq\0~\0XZQq\0~Oq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~Tq\0~Uxt\0ActualParameterssq\0~W\0q\0~Zsq\0~\06>nq\0~Ot\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~Tq\0~Wq\0~[xxq\0~-xsq\0~\0E\0\0\0w\0\0\0q\0~#xsq\0~_t\0\rBlockActivitysq\0~\0K吔q\0~t\0\0sq\0~\0w\0\0\0q\0~esq\0~\0q\0~esq\0~\0Lwyq\0~bt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~gxxq\0~t\0	Performersq\0~k\0q\0~ksq\0~\0\\\'q\0~t\0	requestert\0	StartModesq\0~p\0q\0~osq\0~\0%q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0q\0~pt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0Ĳq\0~tt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0*qq\0~tt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0yq\0~tt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~txt\0\nFinishModesq\0~\0q\0~sq\0~\0;(q\0~t\0\0sq\0~\0w\0\0\0q\0~usq\0~v\0q\0~usq\0~\0X7q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~{\0t\0XMLEmptyChoiceElementsq\0~\0	r*q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0K>q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0&9]q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0-Fq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\04[q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\03Jq\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0\'q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0L\0Tq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0Az(q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0;Bfq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0`4Tq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0Vq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\0q\0~sq\0~\0\0q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0`(JZq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0u)q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0z[q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0Z9]q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0i6q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0\'\\q\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0pGq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0hC=q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0h]q\0~t\0171,26.987503051757812pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~	q\0~\rq\0~q\0~q\0~lq\0~pq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0Transitionssr\0+org.enhydra.shark.xpdl.elements.Transitions9>/i\0\0xq\0~\0k\0q\0~sq\0~\0B>Zq\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0*org.enhydra.shark.xpdl.elements.Transitiontx\0\0xq\0~\0t\0\nTransitionsq\0~\0Dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0~q\0~	t\0transition1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Gq\0~	t\0\0pt\0Fromsq\0~\0q\0~	sq\0~\08Qq\0~	t\0	activity1pt\0Tosq\0~\0q\0~	sq\0~\0$q\0~	t\0route1pt\0	Conditionsr\0)org.enhydra.shark.xpdl.elements.ConditionDZ;|\0\0xq\0~\0\0q\0~	sq\0~\0UQ#q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0%A]q\0~	\Zq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0	CONDITIONt\0	OTHERWISEt\0	EXCEPTIONt\0DEFAULTEXCEPTIONxxsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Descriptionsq\0~\02\0q\0~	&sq\0~\0eq\0~	t\0\0t\0ExtendedAttributessq\0~\0\0q\0~	*sq\0~\0Bq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0q\0~	+t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0m\Zq\0~	0t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\04Փ9q\0~	0t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~	5q\0~	8xxpxsq\0~\0E\0\0\0w\0\0\0q\0~	\nq\0~	\rq\0~	q\0~	q\0~	\Zq\0~	\'q\0~	+xsq\0~	t\0\nTransitionsq\0~\01Hq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~	=t\0transition2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0GyUq\0~	=t\0\0pq\0~	sq\0~\0q\0~	sq\0~\0Ivq\0~	=t\0route1pq\0~	sq\0~\0q\0~	sq\0~\0\rmq\0~	=t\0	activity2pt\0	Conditionsq\0~	\0q\0~	Nsq\0~\0n}q\0~	=t\0status === \'Approved\'sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0a!\rq\0~	Ot\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~	!q\0~	\"q\0~	#q\0~	$xxsq\0~\0E\0\0\0w\0\0\0q\0~	Sxt\0Descriptionsq\0~\02\0q\0~	Xsq\0~\0Dw$Lq\0~	=t\0\0t\0ExtendedAttributessq\0~\0\0q\0~	\\sq\0~\0iq\0~	=t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0*q\0~	]t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0[]Vq\0~	bt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0L>Jq\0~	bt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~	gq\0~	jxsq\0~t\0ExtendedAttributesq\0~\0u~q\0~	]t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Iq\0~	nt\0PBUILDER_TRANSITION_CONDITIONSpq\0~sq\0~\0\0q\0~sq\0~\0)_q\0~	nt\0G[{\"join\":\"&&\",\"variable\":\"status\",\"operator\":\"===\",\"value\":\"Approved\"}]pxsq\0~\0E\0\0\0w\0\0\0q\0~	sq\0~	vxxpxsq\0~\0E\0\0\0w\0\0\0q\0~	Bq\0~	Eq\0~	Hq\0~	Kq\0~	Oq\0~	Yq\0~	]xsq\0~	t\0\nTransitionsq\0~\0xpq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0w-\"q\0~	{t\0transition3pq\0~\0sq\0~\0\0q\0~\0sq\0~\0PXq\0~	{t\0Rejectedpq\0~	sq\0~\0q\0~	sq\0~\025q\0~	{t\0route1pq\0~	sq\0~\0q\0~	sq\0~\0_]q\0~	{t\0tool2pt\0	Conditionsq\0~	\0q\0~	sq\0~\0.uq\0~	{t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0|iq\0~	t\0	OTHERWISEsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~	!q\0~	\"q\0~	#q\0~	$xxsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Descriptionsq\0~\02\0q\0~	sq\0~\0wiq\0~	{t\0\0t\0ExtendedAttributessq\0~\0\0q\0~	sq\0~\0?GSq\0~	{t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Kn56q\0~	t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\00gq\0~	t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xxpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	xsq\0~	t\0\nTransitionsq\0~\0_Yyq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0`sq\0~	t\0transition4pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Exq\0~	t\0\0pq\0~	sq\0~\0q\0~	sq\0~\0~H\Zq\0~	t\0	activity2pq\0~	sq\0~\0q\0~	sq\0~\0Yq\0~	t\0tool3pt\0	Conditionsq\0~	\0q\0~	sq\0~\01q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0Jq\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~	!q\0~	\"q\0~	#q\0~	$xxsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Descriptionsq\0~\02\0q\0~	sq\0~\0\'cq\0~	t\0\0t\0ExtendedAttributessq\0~\0\0q\0~	sq\0~\0S1q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0,3q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0zGq\0~	t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\01q\0~	t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xxpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	xsq\0~	t\0\nTransitionsq\0~\0*O֕q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0g%q\0~	t\0transition5pq\0~\0sq\0~\0\0q\0~\0sq\0~\0fTq\0~	t\0\0pq\0~	sq\0~\0q\0~	sq\0~\0_q\0~	t\0tool4pq\0~	sq\0~\0q\0~	sq\0~\0!q\0~	t\0	activity1pt\0	Conditionsq\0~	\0q\0~	sq\0~\0;6q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0KSq\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~	!q\0~	\"q\0~	#q\0~	$xxsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Descriptionsq\0~\02\0q\0~	sq\0~\0gAhq\0~	t\0\0t\0ExtendedAttributessq\0~\0\0q\0~	sq\0~\0-JHq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\02ggq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\n	Sq\0~\nt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0_aKq\0~\nt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\n\nxxpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	q\0~	xxt\0ExtendedAttributessq\0~\0\0q\0~\nsq\0~\0Gک\0q\0~^t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0Owq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0r#\0q\0~\nt\0%JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDERpq\0~sq\0~\0\0q\0~sq\0~\0Wq\0~\nt\0requester;approverpxsq\0~\0E\0\0\0w\0\0\0q\0~\n\Zq\0~\nxsq\0~t\0ExtendedAttributesq\0~\0iOTq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0ooIq\0~\n!t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~sq\0~\0\0q\0~sq\0~\0sNPq\0~\n!t\0JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool2,X_OFFSET=706,Y_OFFSET=130,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~\n&q\0~\n)xsq\0~t\0ExtendedAttributesq\0~\05hnTq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0[#h0q\0~\n-t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~sq\0~\0\0q\0~sq\0~\0qVq\0~\n-t\0JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool3,X_OFFSET=836,Y_OFFSET=39,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~\n2q\0~\n5xsq\0~t\0ExtendedAttributesq\0~\0v_q\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0J0q\0~\n9t\0JaWE_GRAPH_START_OF_WORKFLOWpq\0~sq\0~\0\0q\0~sq\0~\0PnKq\0~\n9t\0JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=tool4,X_OFFSET=101,Y_OFFSET=41,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~\n>q\0~\nAxxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~cq\0~fq\0~jq\0~qq\0~q\0~q\0~q\0~q\0~q\0~q\0~	q\0~q\0~\nxxt\0ExtendedAttributessq\0~\0\0q\0~\nFsq\0~\0tsq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0<q\0~\nGt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0oq\0~\nLt\0EDITING_TOOLpq\0~sq\0~\0\0q\0~sq\0~\0[6ɺq\0~\nLt\0Web Workflow Designerpxsq\0~\0E\0\0\0w\0\0\0q\0~\nQq\0~\nTxsq\0~t\0ExtendedAttributesq\0~\0iq\0~\nGt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Îq\0~\nXt\0EDITING_TOOL_VERSIONpq\0~sq\0~\0\0q\0~sq\0~\0Yvq\0~\nXt\0\r5.0-pre-alphapxsq\0~\0E\0\0\0w\0\0\0q\0~\n]q\0~\n`xxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~\0q\0~\0q\0~\0q\0~\0Iq\0~\0tq\0~\0q\0~\0q\0~\0q\0~\0q\0~q\0~Qq\0~Xq\0~\nGx\0sq\0~\0w\0\0\0\0xt\01sr\0*org.enhydra.shark.xpdl.elements.Namespaces|<.R\0\0xq\0~\0kt\0\nNamespacessq\0~\0u^q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.Namespacez_\0\0xq\0~\0t\0	Namespacesq\0~\0tq\0~\nht\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\"hq\0~\not\0xpdlpq\0~\0sq\0~\0q\0~\0sq\0~\0uq\0~\not\0 http://www.wfmc.org/2002/XPDL1.0pxsq\0~\0E\0\0\0w\0\0\0q\0~\ntq\0~\nwxx',1000207,2,1000208,0),('<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<Package xmlns=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xpdl=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" Id=\"expenseclaim\" Name=\"v6 Expenses Claim\" xsi:schemaLocation=\"http://www.wfmc.org/2002/XPDL1.0 http://wfmc.org/standards/docs/TC-1025_schema_10_xpdl.xsd\">\n    <PackageHeader>\n        <XPDLVersion>1.0</XPDLVersion>\n        <Vendor/>\n        <Created/>\n    </PackageHeader>\n    <Script Type=\"text/javascript\"/>\n    <Participants>\n        <Participant Id=\"claimant\" Name=\"Claimant\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n        <Participant Id=\"approver\" Name=\"Approver\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n        <Participant Id=\"finance\" Name=\"Finance\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n    </Participants>\n    <Applications>\n        <Application Id=\"default_application\"/>\n    </Applications>\n    <WorkflowProcesses>\n        <WorkflowProcess Id=\"process1\" Name=\"Expense Approval Process\">\n            <ProcessHeader DurationUnit=\"h\"/>\n            <DataFields>\n                <DataField Id=\"status\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n                <DataField Id=\"SelectApprover\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n            </DataFields>\n            <Activities>\n                <Activity Id=\"approve_claim\" Name=\"HOD Approve\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Join Type=\"XOR\"/>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"270,11.287493896484364\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route1\">\n                    <Route/>\n                    <Performer>approver</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Split Type=\"XOR\">\n                                <TransitionRefs>\n                                    <TransitionRef Id=\"transition10\"/>\n                                    <TransitionRef Id=\"transition14\"/>\n                                    <TransitionRef Id=\"transition16\"/>\n                                </TransitionRefs>\n                            </Split>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"468,15.024996948242176\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"verify_claim\" Name=\"Finance Verify\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>finance</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"finance\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"445,46.56248779296874\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route2\">\n                    <Route/>\n                    <Performer>finance</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Split Type=\"XOR\">\n                                <TransitionRefs>\n                                    <TransitionRef Id=\"transition7\"/>\n                                    <TransitionRef Id=\"transition8\"/>\n                                </TransitionRefs>\n                            </Split>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"finance\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"622,50.37498779296874\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool1\" Name=\"Notify Claimant Finance Verified\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>finance</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"finance\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"754,45.58751220703124\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool2\" Name=\"Notify Claimant Finance Rejected\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>finance</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"finance\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"589,136.1625244140625\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool3\" Name=\"Notify Claimant Resubmit\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>claimant</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"claimant\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"432,33.62499923706055\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"new_claim\" Name=\"Claimant Edit\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>claimant</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"claimant\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"124,36.87499649804687\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool4\" Name=\"Update Status=Submitted\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"115.64773559570312,110.71590326953125\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"resubmit\" Name=\"Claimant Resubmit\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>claimant</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"claimant\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"259,34.66666825097656\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool5\" Name=\"Notify Approver\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"267,111.34090326953125\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool6\" Name=\"Notify Finance\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"445,111.87499140429688\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"tool7\" Name=\"Notify Claimant Rejected\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>approver</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"approver\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"639,10.986110999999994\"/>\n                    </ExtendedAttributes>\n                </Activity>\n            </Activities>\n            <Transitions>\n                <Transition From=\"approve_claim\" Id=\"transition1\" To=\"route1\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"verify_claim\" Id=\"transition4\" To=\"route2\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition7\" Name=\"verified\" To=\"tool1\">\n                    <Condition Type=\"OTHERWISE\"/>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition8\" To=\"tool2\">\n                    <Condition Type=\"CONDITION\">status===\'Finance Rejected\'</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"new_claim\" Id=\"t_new_claim_tool4\" To=\"tool4\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"resubmit\" Id=\"t_resubmit_approve_claim\" To=\"approve_claim\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool4\" Id=\"transition11\" To=\"tool5\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool5\" Id=\"transition12\" To=\"approve_claim\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition10\" To=\"tool3\">\n                    <Condition Type=\"CONDITION\">status===\'Resubmit\'</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool3\" Id=\"transition13\" To=\"resubmit\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition14\" Name=\"approved\" To=\"tool6\">\n                    <Condition Type=\"OTHERWISE\"/>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"tool6\" Id=\"transition15\" To=\"verify_claim\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition16\" To=\"tool7\">\n                    <Condition Type=\"CONDITION\">status===\'Rejected\'</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n            </Transitions>\n            <ExtendedAttributes>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDER\" Value=\"claimant;approver;finance\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=finance,CONNECTING_ACTIVITY_ID=tool2,X_OFFSET=758,Y_OFFSET=145,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=finance,CONNECTING_ACTIVITY_ID=tool1,X_OFFSET=915,Y_OFFSET=57,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_START_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=claimant,CONNECTING_ACTIVITY_ID=new_claim,X_OFFSET=63,Y_OFFSET=53,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool7,X_OFFSET=788,Y_OFFSET=23,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n            </ExtendedAttributes>\n        </WorkflowProcess>\n    </WorkflowProcesses>\n    <ExtendedAttributes>\n        <ExtendedAttribute Name=\"EDITING_TOOL\" Value=\"Web Workflow Designer\"/>\n        <ExtendedAttribute Name=\"EDITING_TOOL_VERSION\" Value=\"5.0-pre-alpha\"/>\n    </ExtendedAttributes>\n</Package>\n','\0sr\0\'org.enhydra.shark.xpdl.elements.Package~+Vmŀ~\0Z\0isTransientL\0extPkgRefsToIdst\0.Lorg/enhydra/shark/utilities/SequencedHashMap;L\0internalVersiont\0Ljava/lang/String;L\0\nnamespacest\0,Lorg/enhydra/shark/xpdl/elements/Namespaces;xr\0(org.enhydra.shark.xpdl.XMLComplexElement>(\0\0xr\05org.enhydra.shark.xpdl.XMLBaseForCollectionAndComplex2\0L\0\nelementMapq\0~\0L\0elementst\0Ljava/util/ArrayList;xr\0!org.enhydra.shark.xpdl.XMLElement#+B#\0Z\0\nisReadOnlyZ\0\nisRequiredL\0nameq\0~\0L\0originalElementHashCodet\0Ljava/lang/Integer;L\0parentt\0#Lorg/enhydra/shark/xpdl/XMLElement;L\0valueq\0~\0xpt\0Packagesr\0java.lang.Integer⠤8\0I\0valuexr\0java.lang.Number\0\0xpP#|pt\0\0sr\0,org.enhydra.shark.utilities.SequencedHashMap.\"\"&\0\0xpw\0\0\0\rt\0Idsr\0#org.enhydra.shark.xpdl.XMLAttribute#c݀M;\0L\0choicesq\0~\0xq\0~\0q\0~\0sq\0~\0Iߙq\0~\0\nt\0expenseclaimpt\0Namesq\0~\0\0q\0~\0sq\0~\0vq\0~\0\nt\0v6 Expenses Claimpt\0\rPackageHeadersr\0-org.enhydra.shark.xpdl.elements.PackageHeaderv,\0\0xq\0~\0\0q\0~\0sq\0~\0R#q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0XPDLVersionsr\0+org.enhydra.shark.xpdl.elements.XPDLVersion\"}Y.w\0\0xr\0\'org.enhydra.shark.xpdl.XMLSimpleElementm\0\0xq\0~\0q\0~\0!sq\0~\0*-q\0~\0t\01.0t\0Vendorsr\0&org.enhydra.shark.xpdl.elements.Vendor tE:\0\0xq\0~\0#q\0~\0\'sq\0~\0dq\0~\0t\0\0t\0Createdsr\0\'org.enhydra.shark.xpdl.elements.CreatedzdK|[\0\0xq\0~\0#q\0~\0,sq\0~\0J	xq\0~\0t\0\0t\0Descriptionsr\0+org.enhydra.shark.xpdl.elements.Description۰738\0\0xq\0~\0#\0q\0~\01sq\0~\0a,q\0~\0t\0\0t\0\rDocumentationsr\0-org.enhydra.shark.xpdl.elements.Documentation`9y\0\0xq\0~\0#\0q\0~\06sq\0~\0[q\0~\0t\0\0t\0PriorityUnitsr\0,org.enhydra.shark.xpdl.elements.PriorityUnit\0\0xq\0~\0#\0q\0~\0;sq\0~\0ky۷q\0~\0t\0\0t\0CostUnitsr\0(org.enhydra.shark.xpdl.elements.CostUnit܎=H\0\0xq\0~\0#\0q\0~\0@sq\0~\0\rHq\0~\0t\0\0xsr\0java.util.ArrayListxa\0I\0sizexp\0\0\0w\0\0\0q\0~\0$q\0~\0)q\0~\0.q\0~\03q\0~\08q\0~\0=q\0~\0Bxt\0RedefinableHeadersr\01org.enhydra.shark.xpdl.elements.RedefinableHeaderMϪ\'H\0\0xq\0~\0\0q\0~\0Gsq\0~\0riq\0~\0\nt\0\0sq\0~\0w\0\0\0t\0PublicationStatussq\0~\0\0q\0~\0Msq\0~\0zBq\0~\0It\0\0sq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0UNDER_REVISIONt\0RELEASEDt\0\nUNDER_TESTxt\0Authorsr\0&org.enhydra.shark.xpdl.elements.Author5fᧆ\0\0xq\0~\0#\0q\0~\0Usq\0~\0Wq\0~\0It\0\0t\0Versionsr\0\'org.enhydra.shark.xpdl.elements.Version9=3~JQ\0\0xq\0~\0#\0q\0~\0Zsq\0~\0:cq\0~\0It\0\0t\0Codepagesr\0(org.enhydra.shark.xpdl.elements.Codepage9$me\rG\0\0xq\0~\0#\0q\0~\0_sq\0~\0~qq\0~\0It\0\0t\0\nCountrykeysr\0*org.enhydra.shark.xpdl.elements.Countrykey.\0\0xq\0~\0#\0q\0~\0dsq\0~\0`REgq\0~\0It\0\0t\0Responsiblessr\0,org.enhydra.shark.xpdl.elements.Responsibles${S\0\0xr\0$org.enhydra.shark.xpdl.XMLCollectionjċm\0\0xq\0~\0\0q\0~\0isq\0~\09Jq\0~\0It\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0Nq\0~\0Wq\0~\0\\q\0~\0aq\0~\0fq\0~\0lxt\0ConformanceClasssr\00org.enhydra.shark.xpdl.elements.ConformanceClassy0|k\0\0xq\0~\0\0q\0~\0rsq\0~\0Q*q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0GraphConformancesq\0~\0\0q\0~\0xsq\0~\0q\rq\0~\0tq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0FULL_BLOCKEDt\0LOOP_BLOCKEDt\0NON_BLOCKEDxxsq\0~\0E\0\0\0w\0\0\0q\0~\0yxt\0Scriptsr\0&org.enhydra.shark.xpdl.elements.ScriptQjS8\0\0xq\0~\0\0q\0~\0sq\0~\0<q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0Typesq\0~\0q\0~\0sq\0~\0kq\0~\0t\0text/javascriptpt\0Versionsq\0~\0\0q\0~\0sq\0~\0H$q\0~\0t\0\0pt\0Grammarsq\0~\0\0q\0~\0sq\0~\01tq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExternalPackagessr\00org.enhydra.shark.xpdl.elements.ExternalPackagesw\"+Ũ\0\0xq\0~\0k\0q\0~\0sq\0~\0fq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0TypeDeclarationssr\00org.enhydra.shark.xpdl.elements.TypeDeclarations\rOx5\0\0xq\0~\0k\0q\0~\0sq\0~\0yYWq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Participantssr\0,org.enhydra.shark.xpdl.elements.Participantsh`g8J\0\0xq\0~\0k\0q\0~\0sq\0~\0re&q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Participanto$rc\0\0xr\0+org.enhydra.shark.xpdl.XMLCollectionElementCxvr\0\0xq\0~\0t\0Participantsq\0~\066q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0<Yq\0~\0t\0claimantpq\0~\0sq\0~\0\0q\0~\0sq\0~\0Fyq\0~\0t\0Claimantpt\0ParticipantTypesr\0/org.enhydra.shark.xpdl.elements.ParticipantType>n݅\0\0xq\0~\0q\0~\0sq\0~\0\\}!q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0~1q\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0t\0RESOURCE_SETt\0RESOURCEt\0ROLEt\0ORGANIZATIONAL_UNITt\0HUMANt\0SYSTEMxxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0Mq\0~\0t\0\0t\0ExternalReferencesr\01org.enhydra.shark.xpdl.elements.ExternalReferencebQ\0\0xq\0~\0\0q\0~\0sq\0~\0^\"q\0~\0t\0\0sq\0~\0w\0\0\0t\0xrefsq\0~\0\0q\0~\0sq\0~\0Zjq\0~\0t\0\0pt\0locationsq\0~\0q\0~\0sq\0~\08:q\0~\0t\0\0pt\0	namespacesq\0~\0\0q\0~\0sq\0~\0\rUq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExtendedAttributessr\02org.enhydra.shark.xpdl.elements.ExtendedAttributesOUF\0L\0extAttribsStringq\0~\0xq\0~\0k\0q\0~\0sq\0~\0\Zq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xsq\0~\0t\0Participantsq\0~\0X!|q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0dcq\0~\0t\0approverpq\0~\0sq\0~\0\0q\0~\0sq\0~\0dKTq\0~\0t\0Approverpt\0ParticipantTypesq\0~\0q\0~\0sq\0~\0\r}rq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0DbIq\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0(%q\0~\0t\0\0t\0ExternalReferencesq\0~\0\0q\0~\0sq\0~\0Tq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\013q\0~\0t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0!Rq\0~\0t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0^7q\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~	xt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0_[Pq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~xsq\0~\0t\0Participantsq\0~\0Es2q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0G(Xq\0~t\0financepq\0~\0sq\0~\0\0q\0~\0sq\0~\0 \\q\0~t\0Financept\0ParticipantTypesq\0~\0q\0~sq\0~\0Q>q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\n{q\0~ t\0ROLEsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xxsq\0~\0E\0\0\0w\0\0\0q\0~$xt\0Descriptionsq\0~\02\0q\0~)sq\0~\0Tq\0~t\0\0t\0ExternalReferencesq\0~\0\0q\0~-sq\0~\00}6q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0}Zq\0~.t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0c,q\0~.t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~.t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~2q\0~5q\0~8xt\0ExtendedAttributessq\0~\0\0q\0~<sq\0~\08Iq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~ q\0~*q\0~.q\0~=xxt\0Applicationssr\0,org.enhydra.shark.xpdl.elements.Applications\0\0xq\0~\0k\0q\0~Csq\0~\0\\ܱq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Applicationv	RS\0\0xq\0~\0t\0Applicationsq\0~\0&`|q\0~Et\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0etq\0~Kt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0ycJ~q\0~Kt\0\0pt\0Descriptionsq\0~\02\0q\0~Vsq\0~\0q\0~Kt\0\0t\0Choicesr\00org.enhydra.shark.xpdl.elements.ApplicationTypes?!\0\0xr\0\'org.enhydra.shark.xpdl.XMLComplexChoice|\"\0L\0choicesq\0~\0L\0choosenq\0~\0	xq\0~\0q\0~Zsq\0~\0Tq\0~Kt\0\0sq\0~\0E\0\0\0w\0\0\0sr\00org.enhydra.shark.xpdl.elements.FormalParameterspBÁZ\0\0xq\0~\0k\0t\0FormalParameterssq\0~\09Ƿq\0~]t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0\0t\0ExternalReferencesq\0~\0f+\\q\0~]t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0`q\0~ht\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0h{q\0~ht\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~ht\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~mq\0~pq\0~sxxq\0~bt\0ExtendedAttributessq\0~\0\0q\0~wsq\0~\0<\\Oq\0~Kt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~Pq\0~Sq\0~Wq\0~]q\0~xxxt\0\nDataFieldssr\0*org.enhydra.shark.xpdl.elements.DataFieldsʦU\0\0xq\0~\0k\0q\0~~sq\0~\0!q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0WorkflowProcessessr\01org.enhydra.shark.xpdl.elements.WorkflowProcessesp_0,\0\0xq\0~\0k\0q\0~sq\0~\0\"T]q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0/org.enhydra.shark.xpdl.elements.WorkflowProcess%v0L\0\0xq\0~\0t\0WorkflowProcesssq\0~\0\r#q\0~t\0\0sq\0~\0w\0\0\0\rq\0~\0sq\0~\0q\0~\0sq\0~\0zBq\0~t\0process1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\ZvVq\0~t\0Expense Approval Processpt\0AccessLevelsq\0~\0\0q\0~sq\0~\0eq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0PUBLICt\0PRIVATExt\0\rProcessHeadersr\0-org.enhydra.shark.xpdl.elements.ProcessHeaderLC-)\0\0xq\0~\0q\0~sq\0~\0l[q\0~t\0\0sq\0~\0w\0\0\0t\0DurationUnitsq\0~\0\0q\0~sq\0~\04q\0~t\0hsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0Yt\0Mt\0Dt\0ht\0mt\0sxt\0Createdsq\0~\0-\0q\0~sq\0~\02qq\0~t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0sUq\0~t\0\0t\0Prioritysr\0(org.enhydra.shark.xpdl.elements.Priority`Nn>b\0\0xq\0~\0#\0q\0~sq\0~\0@q\0~t\0\0t\0Limitsr\0%org.enhydra.shark.xpdl.elements.Limit1ӗ\0\0xq\0~\0#\0q\0~sq\0~\0Âq\0~t\0\0t\0	ValidFromsr\0)org.enhydra.shark.xpdl.elements.ValidFromcŅ|L<\0\0xq\0~\0#\0q\0~sq\0~\0Vq\0~t\0\0t\0ValidTosr\0\'org.enhydra.shark.xpdl.elements.ValidToM\0\0xq\0~\0#\0q\0~sq\0~\0(nq\0~t\0\0t\0TimeEstimationsr\0.org.enhydra.shark.xpdl.elements.TimeEstimationŀ\'3\0\0xq\0~\0\0q\0~sq\0~\0@q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesr\0+org.enhydra.shark.xpdl.elements.WaitingTimeN/\0\0xq\0~\0#\0q\0~sq\0~\0)q\0~t\0\0t\0WorkingTimesr\0+org.enhydra.shark.xpdl.elements.WorkingTime~\0\0xq\0~\0#\0q\0~sq\0~\0Eq\0~t\0\0t\0Durationsr\0(org.enhydra.shark.xpdl.elements.Duration C\0\0xq\0~\0#\0q\0~sq\0~\0Xdwq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xt\0RedefinableHeadersq\0~\0H\0q\0~sq\0~\0Iq\0~t\0\0sq\0~\0w\0\0\0q\0~\0Msq\0~\0\0q\0~\0Msq\0~\08Mq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~\0Rq\0~\0Sq\0~\0Txt\0Authorsq\0~\0V\0q\0~sq\0~\0A`q\0~t\0\0t\0Versionsq\0~\0[\0q\0~sq\0~\0k-hq\0~t\0\0t\0Codepagesq\0~\0`\0q\0~sq\0~\0q\0~t\0\0t\0\nCountrykeysq\0~\0e\0q\0~sq\0~\0\rʉq\0~t\0\0t\0Responsiblessq\0~\0j\0q\0~sq\0~\0l q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~xt\0FormalParameterssq\0~a\0q\0~sq\0~\0M^q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nDataFieldssq\0~\0q\0~sq\0~\0{F7q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.DataFieldI3.~\0\0xq\0~\0t\0	DataFieldsq\0~\0i.9q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Zryq\0~t\0statuspq\0~\0sq\0~\0\0q\0~\0sq\0~\0 Cq\0~t\0\0pt\0IsArraysq\0~\0\0q\0~sq\0~\0Lq\0~t\0FALSEsq\0~\0E\0\0\0w\0\0\0t\0TRUEt\0FALSExt\0DataTypesr\0(org.enhydra.shark.xpdl.elements.DataType\'4sM\0\0xq\0~\0q\0~ sq\0~\0քq\0~t\0\0sq\0~\0w\0\0\0t\0	DataTypessr\0)org.enhydra.shark.xpdl.elements.DataTypespcH,!\0Z\0\risInitializedxq\0~\\q\0~&sq\0~\0qG~lq\0~\"t\0\0sq\0~\0E\0\0\0	w\0\0\0	sr\0)org.enhydra.shark.xpdl.elements.BasicType)w1\0\0xq\0~\0t\0	BasicTypesq\0~\0q\0~(t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0T!*q\0~-t\0STRINGsq\0~\0E\0\0\0w\0\0\0t\0STRINGt\0FLOATt\0INTEGERt\0	REFERENCEt\0DATETIMEt\0BOOLEANt\0	PERFORMERxxsq\0~\0E\0\0\0w\0\0\0q\0~2xsr\0,org.enhydra.shark.xpdl.elements.DeclaredTypedR.\\^9\0\0xq\0~\0t\0DeclaredTypesq\0~\0CVq\0~(t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0}lq\0~?t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Dxsr\0*org.enhydra.shark.xpdl.elements.SchemaType&1oSH\0\0xq\0~\0t\0\nSchemaTypesq\0~\0@aq\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0@q\0q\0~(t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0ABq\0~Ot\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0q\0~Ot\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0[c*q\0~Ot\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Tq\0~Wq\0~Zxsr\0*org.enhydra.shark.xpdl.elements.RecordType%K\0\0\0xq\0~\0kt\0\nRecordTypesq\0~\0KUmq\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.UnionType5PG\0\0xq\0~\0kt\0	UnionTypesq\0~\0j<q\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0/org.enhydra.shark.xpdl.elements.EnumerationTypef3b\0\0xq\0~\0kt\0EnumerationTypesq\0~\0-q\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.ArrayTypeg$\0N@\0\0xq\0~\0t\0	ArrayTypesq\0~\0}ZNq\0~(t\0\0sq\0~\0w\0\0\0t\0\nLowerIndexsq\0~\0q\0~ysq\0~\036q\0~tt\0\0pt\0\nUpperIndexsq\0~\0q\0~}sq\0~\0$q1q\0~tt\0\0pq\0~&sq\0~\'q\0~&sq\0~\0zMq\0~tt\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~zq\0~~q\0~xsr\0(org.enhydra.shark.xpdl.elements.ListType\"ӟ\n\0\0xq\0~\0t\0ListTypesq\0~\0Ryeq\0~(t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0 q\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~-xsq\0~\0E\0\0\0w\0\0\0q\0~(xt\0InitialValuesr\0,org.enhydra.shark.xpdl.elements.InitialValuej,zR\0\0xq\0~\0#\0q\0~sq\0~\0q20;q\0~t\0\0t\0Lengthsr\0&org.enhydra.shark.xpdl.elements.LengthMW+-̩W\0\0xq\0~\0#\0q\0~sq\0~\0q\0~t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0bq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~\Zq\0~\"q\0~q\0~q\0~q\0~xsq\0~\rt\0	DataFieldsq\0~\01Sq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0jEq\0~t\0SelectApproverpq\0~\0sq\0~\0\0q\0~\0sq\0~\0zq\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0\"o$q\0~t\0FALSEsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xt\0DataTypesq\0~!q\0~sq\0~\0W2q\0~t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0=;q\0~t\0\0sq\0~\0E\0\0\0	w\0\0\0	sq\0~,t\0	BasicTypesq\0~\0s\"q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~t\0STRINGsq\0~\0E\0\0\0w\0\0\0q\0~6q\0~7q\0~8q\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~>t\0DeclaredTypesq\0~\0&Woq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0@Ueq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~Ht\0\nSchemaTypesq\0~\0&^dq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0y|q\0~t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0p)q\0~t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0=CDq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~^t\0\nRecordTypesq\0~\0{QDq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~et\0	UnionTypesq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~lt\0EnumerationTypesq\0~\0Lqq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~st\0	ArrayTypesq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~ysq\0~\0q\0~ysq\0~\0\0Bq\0~t\0\0pq\0~}sq\0~\0q\0~}sq\0~\0RWXq\0~t\0\0pq\0~&sq\0~\'q\0~&sq\0~\0\\|yq\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~t\0ListTypesq\0~\0{+uq\0~t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0Kq\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0InitialValuesq\0~\0q\0~sq\0~\0]q\0~t\0\0t\0Lengthsq\0~\0q\0~sq\0~\0;q\0~t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0^Lq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0sRq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0Participantssq\0~\0\0q\0~#sq\0~\0]*q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Applicationssq\0~D\0q\0~)sq\0~\0_q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ActivitySetssr\0,org.enhydra.shark.xpdl.elements.ActivitySetsqV[4\0\0xq\0~\0k\0q\0~/sq\0~\0q<Pq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nActivitiessr\0*org.enhydra.shark.xpdl.elements.Activities&G^lP\0\0xq\0~\0k\0q\0~6sq\0~\0OHq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\rw\0\0\0\rsr\0(org.enhydra.shark.xpdl.elements.Activityt45\Z9\0\0xq\0~\0t\0Activitysq\0~\0?>q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0 ;q\0~>t\0\rapprove_claimpq\0~\0sq\0~\0\0q\0~\0sq\0~\08xq\0~>t\0HOD Approvept\0Descriptionsq\0~\02\0q\0~Isq\0~\0zq\0~>t\0\0t\0Limitsq\0~\0q\0~Msq\0~\0 ôq\0~>t\0\0q\0~\0sr\0-org.enhydra.shark.xpdl.elements.ActivityTypeseŽ{\0\0xq\0~\\q\0~\0sq\0~\0v6oq\0~>t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0%org.enhydra.shark.xpdl.elements.Route0e\rG\0\0xq\0~\0t\0Routesq\0~\0oq\0~Rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0.org.enhydra.shark.xpdl.elements.Implementationr^%\0\0xq\0~\0t\0Implementationsq\0~\0O_q\0~Rt\0\0sq\0~\0w\0\0\0q\0~\0sr\03org.enhydra.shark.xpdl.elements.ImplementationTypes\rT١9\0\0xq\0~\\q\0~\0sq\0~\0\r!sq\0~^t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0\"org.enhydra.shark.xpdl.elements.No{.\0\0xq\0~\0t\0Nosq\0~\0\'i&q\0~dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0%org.enhydra.shark.xpdl.elements.ToolsCg\0\0xq\0~\0k\0t\0Toolssq\0~\0dhEq\0~dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0\'org.enhydra.shark.xpdl.elements.SubFlow;Os7:$\0\0xq\0~\0t\0SubFlowsq\0~\0yq\0~dt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Hq\0~wt\0\0pt\0	Executionsq\0~\0\0q\0~sq\0~\0P6Sq\0~wq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ASYNCHRt\0SYNCHRxt\0ActualParameterssr\00org.enhydra.shark.xpdl.elements.ActualParameters_K\0\0xq\0~\0k\0q\0~sq\0~\0aq\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~|q\0~q\0~xxq\0~ixsq\0~\0E\0\0\0w\0\0\0q\0~dxsr\0-org.enhydra.shark.xpdl.elements.BlockActivityqcF\0\0xq\0~\0t\0\rBlockActivitysq\0~\0pq\0~Rt\0\0sq\0~\0w\0\0\0t\0BlockIdsq\0~\0q\0~sq\0~\0Mqq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~^t\0	Performersr\0)org.enhydra.shark.xpdl.elements.Performer\"1%\0\0xq\0~\0#\0q\0~sq\0~\0IB\nq\0~>t\0approvert\0	StartModesr\0)org.enhydra.shark.xpdl.elements.StartModenhS\0\0xq\0~\0\0q\0~sq\0~\0Pq\0~>t\0\0sq\0~\0w\0\0\0t\0Modesr\00org.enhydra.shark.xpdl.elements.StartFinishModes~6zX\'\0\0xq\0~\\\0q\0~sq\0~\0AG0q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0,org.enhydra.shark.xpdl.XMLEmptyChoiceElement2;3_\0\0xq\0~\0\0t\0XMLEmptyChoiceElementsq\0~\0Ltq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.Automatict?_\0\0xq\0~\0t\0	Automaticsq\0~\0o[cq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0&org.enhydra.shark.xpdl.elements.Manualv[ؤ\0\0xq\0~\0t\0Manualsq\0~\0X@=q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesr\0*org.enhydra.shark.xpdl.elements.FinishMode{\0\0xq\0~\0\0q\0~sq\0~\0nq\0~>t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0~q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0_q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0(q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0E;Xq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0o2q\0~>t\0\0t\0	Deadlinessr\0)org.enhydra.shark.xpdl.elements.Deadlines>ɜ\0\0xq\0~\0k\0q\0~sq\0~\0q\0~>t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsr\05org.enhydra.shark.xpdl.elements.SimulationInformation\"|I\0\0xq\0~\0\0q\0~sq\0~\0?q\0~>t\0\0sq\0~\0w\0\0\0t\0\rInstantiationsq\0~\0\0q\0~sq\0~\07q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ONCEt\0MULTIPLExt\0Costsr\0$org.enhydra.shark.xpdl.elements.Cost\0\0xq\0~\0#q\0~sq\0~\0#x[Fq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\02bq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0Z*1q\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0/q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0jgq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsr\0$org.enhydra.shark.xpdl.elements.IconTU(}6\0\0xq\0~\0#\0q\0~sq\0~\0/\Zq\0~>t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0)$q\0~>t\0\0t\0TransitionRestrictionssr\06org.enhydra.shark.xpdl.elements.TransitionRestrictionsC)׀i;\0\0xq\0~\0k\0q\0~sq\0~\07q\0~>t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\05org.enhydra.shark.xpdl.elements.TransitionRestrictionN}\0\0xq\0~\0t\0TransitionRestrictionsq\0~\0H܃q\0~t\0\0sq\0~\0w\0\0\0t\0Joinsr\0$org.enhydra.shark.xpdl.elements.Joinڕөx)5\0\0xq\0~\0\0q\0~\"sq\0~\0Aq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0,q\0~$t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ANDt\0XORxxsq\0~\0E\0\0\0w\0\0\0q\0~(xt\0Splitsr\0%org.enhydra.shark.xpdl.elements.Split~ѯWS\0\0xq\0~\0\0q\0~/sq\0~\0$-}q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0Dy|Pq\0~1q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~,q\0~-xt\0TransitionRefssr\0.org.enhydra.shark.xpdl.elements.TransitionRefsъ\0\0xq\0~\0k\0q\0~8sq\0~\0ЋOq\0~1t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~5q\0~:xxsq\0~\0E\0\0\0w\0\0\0q\0~$q\0~1xxt\0ExtendedAttributessq\0~\0\0q\0~Asq\0~\0.RZq\0~>t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\01org.enhydra.shark.xpdl.elements.ExtendedAttribute\\F\0\0xq\0~\0t\0ExtendedAttributesq\0~\0MYsWq\0~Bt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0+|mq\0~Ht\0JaWE_GRAPH_PARTICIPANT_IDpt\0Valuesq\0~\0\0q\0~Psq\0~\0z=|q\0~Ht\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~Mq\0~Qxsq\0~Gt\0ExtendedAttributesq\0~\0wMq\0~Bt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0H`q\0~Ut\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0Sq\0~Ut\0270,11.287493896484364pxsq\0~\0E\0\0\0w\0\0\0q\0~Zq\0~]xxpxsq\0~\0E\0\0\0w\0\0\0q\0~Cq\0~Fq\0~Jq\0~Nq\0~Rq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~Bxsq\0~=t\0Activitysq\0~\0cq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0lq\0~bt\0route1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0/ q\0~bt\0\0pt\0Descriptionsq\0~\02\0q\0~msq\0~\0$\0q\0~bt\0\0t\0Limitsq\0~\0q\0~qsq\0~\06q\0~bt\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0FSq\0~bt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\07	eq\0~ut\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0\Zyq\0~ut\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0CKq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0Vq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0CPq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~vt\0SubFlowsq\0~\0v:*q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0{yw	q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0cv/3q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0dHq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0\Z:Mq\0~ut\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0_q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~yt\0	Performersq\0~\0q\0~sq\0~\0vG^Sq\0~bt\0approvert\0	StartModesq\0~\0q\0~sq\0~\0Gq\0~bt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0{q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0Pq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\01<q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0oq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0J Bq\0~bt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0!q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0~xq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0#,q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0^4q\0~bt\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0TMo$q\0~bt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0\'Ϲq\0~bt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0Bq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0.qkq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0Y?q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0,\rq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0jp(q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0q\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0\Z+iq\0~bt\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0:q\0~bt\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0N3q\0~bt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0TransitionRestrictionsq\0~\0iN?q\0~t\0\0sq\0~\0w\0\0\0t\0Joinsq\0~#\0q\0~(sq\0~\0&q\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0]Ļq\0~)q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~,q\0~-xxsq\0~\0E\0\0\0w\0\0\0q\0~-xt\0Splitsq\0~0\0q\0~1sq\0~\0זgq\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0[Tq\0~2t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~,q\0~-xt\0TransitionRefssq\0~9\0q\0~:sq\0~\00~gq\0~2t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0-org.enhydra.shark.xpdl.elements.TransitionRef%-a\0\0xq\0~\0t\0\rTransitionRefsq\0~\0|#q\0~;t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\00q\0~At\0transition10pxsq\0~\0E\0\0\0w\0\0\0q\0~Fxsq\0~@t\0\rTransitionRefsq\0~\0vzq\0~;t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0gCZq\0~Jt\0transition14pxsq\0~\0E\0\0\0w\0\0\0q\0~Oxsq\0~@t\0\rTransitionRefsq\0~\0q\0~;t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0}q\0~St\0transition16pxsq\0~\0E\0\0\0w\0\0\0q\0~Xxxxsq\0~\0E\0\0\0w\0\0\0q\0~6q\0~;xxsq\0~\0E\0\0\0w\0\0\0q\0~)q\0~2xxt\0ExtendedAttributessq\0~\0\0q\0~^sq\0~\0cq\0~bt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\08ۃq\0~_t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Urpq\0~dt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0T\"q\0~dt\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~iq\0~lxsq\0~Gt\0ExtendedAttributesq\0~\0Z搣q\0~_t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0W!q\0~pt\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0t\nq\0~pt\0468,15.024996948242176pxsq\0~\0E\0\0\0w\0\0\0q\0~uq\0~xxxpxsq\0~\0E\0\0\0w\0\0\0q\0~gq\0~jq\0~nq\0~rq\0~uq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~\Zq\0~q\0~_xsq\0~=t\0Activitysq\0~\0?{q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0uyYq\0~}t\0verify_claimpq\0~\0sq\0~\0\0q\0~\0sq\0~\0jq\0~}t\0Finance Verifypt\0Descriptionsq\0~\02\0q\0~sq\0~\0&\Z2q\0~}t\0\0t\0Limitsq\0~\0q\0~sq\0~\0\')q\0~}t\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0@:4q\0~}t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0-]q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0i^dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\03q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0\"%q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0|Vq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~vt\0SubFlowsq\0~\0Aq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0/q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0N3q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0joq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0pP\"q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0u0!q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~sq\0~\0+VGq\0~}t\0financet\0	StartModesq\0~\0q\0~sq\0~\0kceaq\0~}t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0J[q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0zVq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0L+q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0q\0~}t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0t%q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0\"$q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Vq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0m\'q\0~}t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0${q\0~}t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0*q\0~}t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\09Aq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0_q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0/Pq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~\"sq\0~\0tI]q\0~t\0\0t\0WorkingTimesq\0~\0q\0~&sq\0~\0|rRq\0~t\0\0t\0Durationsq\0~\0q\0~*sq\0~\0kq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~#q\0~\'q\0~+xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~\Zq\0~xt\0Iconsq\0~\r\0q\0~0sq\0~\0c\Zwq\0~}t\0\0t\0\rDocumentationsq\0~\07\0q\0~4sq\0~\0!Lq\0~}t\0\0t\0TransitionRestrictionssq\0~\0q\0~8sq\0~\01&~q\0~}t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~>sq\0~\0VOa>q\0~}t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0%!q\0~?t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0!ɜq\0~Dt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0;L,q\0~Dt\0financepxsq\0~\0E\0\0\0w\0\0\0q\0~Iq\0~Lxsq\0~Gt\0ExtendedAttributesq\0~\0Oq\0~?t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0~q\0~Pt\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0gq\0~Pt\0445,46.56248779296874pxsq\0~\0E\0\0\0w\0\0\0q\0~Uq\0~Xxxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~1q\0~5q\0~9q\0~?xsq\0~=t\0Activitysq\0~\09q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0BCq\0~]t\0route2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0DF7q\0~]t\0\0pt\0Descriptionsq\0~\02\0q\0~hsq\0~\0]ׄq\0~]t\0\0t\0Limitsq\0~\0q\0~lsq\0~\0KEq\0~]t\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0l孵q\0~]t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0Z}q\0~pt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0!4?q\0~pt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0~` q\0~zt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0&q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0	w>q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~vt\0SubFlowsq\0~\0qMq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0ou[q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0%Rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0($q\0~pt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0CCq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~tt\0	Performersq\0~\0q\0~sq\0~\058q\0~]t\0financet\0	StartModesq\0~\0q\0~sq\0~\0~q\0~]t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0>|q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0^q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0N߿vq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Cnq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0ijq\0~]t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0	?q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0.\0Lq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0=Ԕ,q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0OKjq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0q\0~]t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0VQq\0~]t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0sJ&q\0~]t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0	;q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0*\noq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0R`q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0OvZq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0M\'wq\0~t\0\0t\0Durationsq\0~\0q\0~\nsq\0~\0<oq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0-eq\0~]t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0\"q\0~]t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0	 .q\0~]t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0TransitionRestrictionsq\0~\0޺q\0~t\0\0sq\0~\0w\0\0\0t\0Joinsq\0~#\0q\0~#sq\0~\0fq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0tbq\0~$q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~,q\0~-xxsq\0~\0E\0\0\0w\0\0\0q\0~(xt\0Splitsq\0~0\0q\0~,sq\0~\0V[q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0(	q\0~-t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~,q\0~-xt\0TransitionRefssq\0~9\0q\0~5sq\0~\0!q\0~-t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~@t\0\rTransitionRefsq\0~\0n}q\0~6t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0x&q\0~;t\0transition7pxsq\0~\0E\0\0\0w\0\0\0q\0~@xsq\0~@t\0\rTransitionRefsq\0~\0!rcq\0~6t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0fzq\0~Dt\0transition8pxsq\0~\0E\0\0\0w\0\0\0q\0~Ixxxsq\0~\0E\0\0\0w\0\0\0q\0~1q\0~6xxsq\0~\0E\0\0\0w\0\0\0q\0~$q\0~-xxt\0ExtendedAttributessq\0~\0\0q\0~Osq\0~\0%\rq\0~]t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\07q\0~Pt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0DD\'q\0~Ut\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0Hq\0~Ut\0financepxsq\0~\0E\0\0\0w\0\0\0q\0~Zq\0~]xsq\0~Gt\0ExtendedAttributesq\0~\0YƗq\0~Pt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0}q\0~at\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0%LPq\0~at\0622,50.37498779296874pxsq\0~\0E\0\0\0w\0\0\0q\0~fq\0~ixxpxsq\0~\0E\0\0\0w\0\0\0q\0~bq\0~eq\0~iq\0~mq\0~pq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~Pxsq\0~=t\0Activitysq\0~\0BQq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0|q\0~nt\0tool1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0ʬq\0~nt\0 Notify Claimant Finance Verifiedpt\0Descriptionsq\0~\02\0q\0~ysq\0~\08 q\0~nt\0\0t\0Limitsq\0~\0q\0~}sq\0~\0rlq\0~nt\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0Jq\0~nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0.~:q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0aE8Pq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0t>q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0`q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0\01]q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0$org.enhydra.shark.xpdl.elements.Tool\\6&+G\0\0xq\0~\0t\0Toolsq\0~\0\'_]q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0?zq\0~t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0vTXq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0APPLICATIONt\0	PROCEDURExt\0ActualParameterssq\0~\0q\0~sq\0~\05q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~sq\0~\0q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0W1q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~xxsq\0~vt\0SubFlowsq\0~\0Q+q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0V~q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\04xRq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0u[dq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0sA>q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0@wq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~sq\0~\0t._q\0~nt\0financet\0	StartModesq\0~\0q\0~sq\0~\0&q\0~nt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0tq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0\0Onq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0xdq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\09q\0~nt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0jHq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0Mq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0gɑq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0bq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Prioritysq\0~\0q\0~sq\0~\0W(q\0~nt\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0R\"q\0~nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~!sq\0~\0nq\0~nt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0l\Zq\0~\"q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~)sq\0~\0z8q\0~\"t\0\0t\0TimeEstimationsq\0~q\0~-sq\0~\03q\0~\"t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~2sq\0~\0Bq\0~.t\0\0t\0WorkingTimesq\0~\0q\0~6sq\0~\0Z)tq\0~.t\0\0t\0Durationsq\0~\0q\0~:sq\0~\0WDq\0~.t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~3q\0~7q\0~;xxsq\0~\0E\0\0\0w\0\0\0q\0~&q\0~*q\0~.xt\0Iconsq\0~\r\0q\0~@sq\0~\0q\0~nt\0\0t\0\rDocumentationsq\0~\07\0q\0~Dsq\0~\0q\0~nt\0\0t\0TransitionRestrictionssq\0~\0q\0~Hsq\0~\0zLq\0~nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~Nsq\0~\0\")q\0~nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0hZq\0~Ot\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0fTq\0~Tt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0aoq\0~Tt\0financepxsq\0~\0E\0\0\0w\0\0\0q\0~Yq\0~\\xsq\0~Gt\0ExtendedAttributesq\0~\0eLq\0~Ot\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0kUŷq\0~`t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0L\'nq\0~`t\0754,45.58751220703124pxsq\0~\0E\0\0\0w\0\0\0q\0~eq\0~hxxpxsq\0~\0E\0\0\0w\0\0\0q\0~sq\0~vq\0~zq\0~~q\0~q\0~q\0~q\0~q\0~q\0~q\0~\"q\0~Aq\0~Eq\0~Iq\0~Oxsq\0~=t\0Activitysq\0~\0?q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~mt\0tool2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0cvq\0~mt\0 Notify Claimant Finance Rejectedpt\0Descriptionsq\0~\02\0q\0~xsq\0~\0\Zq\0~mt\0\0t\0Limitsq\0~\0q\0~|sq\0~\0\Zyq\0~mt\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0#*ϳq\0~mt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0Oq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0\"K>q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0F]3q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0>r\\q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0V5q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0+hrnq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0kq\0~t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0V0q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0Zxq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~sq\0~\0%هq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0l.q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~xxsq\0~vt\0SubFlowsq\0~\0h5dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0-{q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0j|q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0q\"̧q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0#!q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0v3q\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~sq\0~\0q\0~mt\0financet\0	StartModesq\0~\0q\0~sq\0~\0mD2q\0~mt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\04q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0)\rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\08e|q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0[q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0\",q\0~mt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0.|q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0qq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0Nq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0Rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	\0xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~	sq\0~\0Oq\0~mt\0\0t\0	Deadlinessq\0~\0q\0~	sq\0~\0Qu$q\0~mt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~	sq\0~\0aTq\0~mt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0?<q\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~	%sq\0~\0Tq\0~	t\0\0t\0TimeEstimationsq\0~q\0~	)sq\0~\0+3Tq\0~	t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~	.sq\0~\06Ӻq\0~	*t\0\0t\0WorkingTimesq\0~\0q\0~	2sq\0~\0@Vq\0~	*t\0\0t\0Durationsq\0~\0q\0~	6sq\0~\0rYzq\0~	*t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~	/q\0~	3q\0~	7xxsq\0~\0E\0\0\0w\0\0\0q\0~	\"q\0~	&q\0~	*xt\0Iconsq\0~\r\0q\0~	<sq\0~\0f<q\0~mt\0\0t\0\rDocumentationsq\0~\07\0q\0~	@sq\0~\0K\ntq\0~mt\0\0t\0TransitionRestrictionssq\0~\0q\0~	Dsq\0~\0}Zq\0~mt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~	Jsq\0~\0lBq\0~mt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0W2_q\0~	Kt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0,Maq\0~	Pt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0	1q\0~	Pt\0financepxsq\0~\0E\0\0\0w\0\0\0q\0~	Uq\0~	Xxsq\0~Gt\0ExtendedAttributesq\0~\0}mq\0~	Kt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0~q\0~	\\t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0\0q\0~	\\t\0589,136.1625244140625pxsq\0~\0E\0\0\0w\0\0\0q\0~	aq\0~	dxxpxsq\0~\0E\0\0\0w\0\0\0q\0~rq\0~uq\0~yq\0~}q\0~q\0~q\0~q\0~q\0~	q\0~	q\0~	q\0~	=q\0~	Aq\0~	Eq\0~	Kxsq\0~=t\0Activitysq\0~\0qjq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0-Q5q\0~	it\0tool3pq\0~\0sq\0~\0\0q\0~\0sq\0~\0rѱq\0~	it\0Notify Claimant Resubmitpt\0Descriptionsq\0~\02\0q\0~	tsq\0~\0$q\0~	it\0\0t\0Limitsq\0~\0q\0~	xsq\0~\0 q\0~	it\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0hq\0~	it\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0cCq\0~	|t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0.q\0~	|t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0~hq\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\06sq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0 q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0Telq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0j\"q\0~	t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0N%q\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~	sq\0~\0%q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~	sq\0~\0.q\0~	t\0\0t\0ExtendedAttributessq\0~\0\0q\0~	sq\0~\0\\q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	q\0~	q\0~	xxsq\0~vt\0SubFlowsq\0~\0αq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0l~q\0~	t\0\0pq\0~sq\0~\0\0q\0~sq\0~\00@q\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~	sq\0~\0l}_q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xsq\0~t\0\rBlockActivitysq\0~\0~q\0~	|t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0F=Qq\0~	t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~	xxq\0~	t\0	Performersq\0~\0q\0~	sq\0~\0Qq\0~	it\0claimantt\0	StartModesq\0~\0q\0~	sq\0~\0Y6\"3q\0~	it\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0ppq\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0G:;q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0@$Xq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0-֎Nq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0\nFinishModesq\0~\0q\0~	sq\0~\0adq\0~	it\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0u-	q\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0lxq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0Mbq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0$oq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Prioritysq\0~\0q\0~\nsq\0~\0JtEq\0~	it\0\0t\0	Deadlinessq\0~\0q\0~\nsq\0~\0::3q\0~	it\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~\nsq\0~\0V+Oq\0~	it\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0#.q\0~\n\Zq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~\n!sq\0~\0KQq\0~\n\Zt\0\0t\0TimeEstimationsq\0~q\0~\n%sq\0~\0Eq\0~\n\Zt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~\n*sq\0~\0qq\0~\n&t\0\0t\0WorkingTimesq\0~\0q\0~\n.sq\0~\0Eq\0~\n&t\0\0t\0Durationsq\0~\0q\0~\n2sq\0~\0_iq\0~\n&t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~\n+q\0~\n/q\0~\n3xxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\n\"q\0~\n&xt\0Iconsq\0~\r\0q\0~\n8sq\0~\0\Zq\0~	it\0\0t\0\rDocumentationsq\0~\07\0q\0~\n<sq\0~\05\'q\0~	it\0\0t\0TransitionRestrictionssq\0~\0q\0~\n@sq\0~\0OLq\0~	it\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\nFsq\0~\0s9\'q\0~	it\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0:r.q\0~\nGt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0;0q\0~\nLt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0vlq\0~\nLt\0claimantpxsq\0~\0E\0\0\0w\0\0\0q\0~\nQq\0~\nTxsq\0~Gt\0ExtendedAttributesq\0~\0D\'-q\0~\nGt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Pq\0~\nXt\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0lOq\0~\nXt\0432,33.62499923706055pxsq\0~\0E\0\0\0w\0\0\0q\0~\n]q\0~\n`xxpxsq\0~\0E\0\0\0w\0\0\0q\0~	nq\0~	qq\0~	uq\0~	yq\0~	|q\0~	q\0~	q\0~	q\0~\nq\0~\nq\0~\n\Zq\0~\n9q\0~\n=q\0~\nAq\0~\nGxsq\0~=t\0Activitysq\0~\0q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0x@q\0~\net\0	new_claimpq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~\net\0\rClaimant Editpt\0Descriptionsq\0~\02\0q\0~\npsq\0~\0&&8q\0~\net\0\0t\0Limitsq\0~\0q\0~\ntsq\0~\0),q\0~\net\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0q\rq\0~\net\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0Tq\0~\nxt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0Zvq\0~\nxt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0\'q\0~\nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0*q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0RGq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~vt\0SubFlowsq\0~\0vȻq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0tq\0~\nt\0\0pq\0~sq\0~\0\0q\0~sq\0~\0-omq\0~\nq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~\nsq\0~\08!tq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\nxxq\0~\nxsq\0~\0E\0\0\0w\0\0\0q\0~\nxsq\0~t\0\rBlockActivitysq\0~\0l{q\0~\nxt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0,,q\0~\nt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\nxxq\0~\nt\0	Performersq\0~\0q\0~\nsq\0~\0.-7q\0~\net\0claimantt\0	StartModesq\0~\0q\0~\nsq\0~\0\Zq\0~\net\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0e\\q\0~\nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0Ҟ	q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0cXq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0n=6q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\nxsq\0~\0E\0\0\0w\0\0\0q\0~\nxt\0\nFinishModesq\0~\0q\0~\nsq\0~\0tq\0~\net\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0r^q\0~\nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0AKq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0y(q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0/q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\nxsq\0~\0E\0\0\0w\0\0\0q\0~\nxt\0Prioritysq\0~\0q\0~\nsq\0~\0:q\0~\net\0\0t\0	Deadlinessq\0~\0q\0~\nsq\0~\0Wq\0~\net\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~\nsq\0~\0q\0~\net\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0?q\0~\nq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\09|q\0~\nt\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0 q\0~\nt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~\nsq\0~\0Цq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0]Hq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0@yq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0|?q\0~\net\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0>q\0~\net\0\0t\0TransitionRestrictionssq\0~\0q\0~ sq\0~\0|`q\0~\net\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~&sq\0~\06q\0~\net\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0\nzq\0~\'t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\02\0q\0~,t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0\nq\0~,t\0claimantpxsq\0~\0E\0\0\0w\0\0\0q\0~1q\0~4xsq\0~Gt\0ExtendedAttributesq\0~\0mq\0~\'t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Rq\0~8t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0Bq\0~8t\0124,36.87499649804687pxsq\0~\0E\0\0\0w\0\0\0q\0~=q\0~@xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\njq\0~\nmq\0~\nqq\0~\nuq\0~\nxq\0~\nq\0~\nq\0~\nq\0~\nq\0~\nq\0~\nq\0~q\0~q\0~!q\0~\'xsq\0~=t\0Activitysq\0~\0nq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\03bq\0~Et\0tool4pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\0q\0~Et\0Update Status=Submittedpt\0Descriptionsq\0~\02\0q\0~Psq\0~\0u%q\0~Et\0\0t\0Limitsq\0~\0q\0~Tsq\0~\0u\0\\q\0~Et\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0j֑q\0~Et\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0,lq\0~Xt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0U85q\0~Xt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\01Kq\0~bt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0Ayq\0~gt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0-q\0~gt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0 vq\0~qt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0(q\0~wt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0EІq\0~wq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0}1pq\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~sq\0~\0[Fq\0~wt\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0ll	q\0~wt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~|q\0~q\0~q\0~q\0~xxsq\0~vt\0SubFlowsq\0~\0tOq\0~gt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\00m^Vq\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0\\Lxq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0 q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~qxsq\0~\0E\0\0\0w\0\0\0q\0~gxsq\0~t\0\rBlockActivitysq\0~\0\\(Chq\0~Xt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0Waq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~bt\0	Performersq\0~\0q\0~sq\0~\0F<Kq\0~Et\0approvert\0	StartModesq\0~\0q\0~sq\0~\0 esq\0~Et\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0dLq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0T}q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0-;q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\05kq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0v5tVq\0~Et\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0/hq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0iq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0\Z%0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\02߀q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0oMZq\0~Et\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0bGq\0~Et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0Sz|q\0~Et\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0wq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0\nq\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0(Wq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0yq\0~t\0\0t\0WorkingTimesq\0~\0q\0~\nsq\0~\0*Ccq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0.M=hq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0Pq\0~Et\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0q	q\0~Et\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0-L*q\0~Et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\"sq\0~\0GQpq\0~Et\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0z=qq\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0?q\0~(t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0\'pq\0~(t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~-q\0~0xsq\0~Gt\0ExtendedAttributesq\0~\0Y9+q\0~#t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\08nq\0~4t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0y<3q\0~4t\0%115.64773559570312,110.71590326953125pxsq\0~\0E\0\0\0w\0\0\0q\0~9q\0~<xxpxsq\0~\0E\0\0\0w\0\0\0q\0~Jq\0~Mq\0~Qq\0~Uq\0~Xq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~#xsq\0~=t\0Activitysq\0~\0	Ttq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\rq\0~At\0resubmitpq\0~\0sq\0~\0\0q\0~\0sq\0~\0uq\0~At\0Claimant Resubmitpt\0Descriptionsq\0~\02\0q\0~Lsq\0~\0v9HTq\0~At\0\0t\0Limitsq\0~\0q\0~Psq\0~\0*oq\0~At\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0&Tq\0~At\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0@Zq\0~Tt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0vfq\0~Tt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0b q\0~^t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0 24q\0~ct\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0mpoq\0~ct\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~vt\0SubFlowsq\0~\0ƿq\0~ct\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0%Prq\0~st\0\0pq\0~sq\0~\0\0q\0~sq\0~\0Dq\0~sq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~~sq\0~\0-Yq\0~st\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~xq\0~{q\0~xxq\0~gxsq\0~\0E\0\0\0w\0\0\0q\0~cxsq\0~t\0\rBlockActivitysq\0~\0gq\0~Tt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0*ܖq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~^t\0	Performersq\0~\0q\0~sq\0~\06q\0~At\0claimantt\0	StartModesq\0~\0q\0~sq\0~\0V*q\0~At\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0>Pq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0f[q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\09&q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0bEHWq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\02z(q\0~At\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0+Cq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0Iq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0P+q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0\"9q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0(0q\0~At\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0Hs~q\0~At\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0\0@ziq\0~At\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0	$q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0<=q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0j&Uq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0fq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0\nzeq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0u!*Bq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0T]!q\0~At\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0J_q\0~At\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0_09q\0~At\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0Oκq\0~At\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0rjb(q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0&Rjq\0~\rt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0lBxq\0~\rt\0claimantpxsq\0~\0E\0\0\0w\0\0\0q\0~\r\rq\0~\rxsq\0~Gt\0ExtendedAttributesq\0~\0w,q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0lXq\0~\rt\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0Le7q\0~\rt\0259,34.66666825097656pxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~Fq\0~Iq\0~Mq\0~Qq\0~Tq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~\rxsq\0~=t\0Activitysq\0~\0@%Eq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\06zq\0~\r!t\0tool5pq\0~\0sq\0~\0\0q\0~\0sq\0~\0l^0q\0~\r!t\0Notify Approverpt\0Descriptionsq\0~\02\0q\0~\r,sq\0~\0Nu\0q\0~\r!t\0\0t\0Limitsq\0~\0q\0~\r0sq\0~\0cq\0~\r!t\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0xoq\0~\r!t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0\\q\0~\r4t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0!q\0~\r4t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0$	q\0~\r>t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0q\0~\rCt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0abq\0~\rCt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0wq\0~\rMt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\Z q\0~\rSt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0qAq\0~\rSq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~\r^sq\0~\0t\\q\0~\rSt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~\rdsq\0~\0\\>q\0~\rSt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rhsq\0~\0	\ZAq\0~\rSt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\rXq\0~\r[q\0~\r_q\0~\req\0~\rixxsq\0~vt\0SubFlowsq\0~\0e:Cq\0~\rCt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\0sq\0~\rot\0\0pq\0~sq\0~\0\0q\0~sq\0~\0<>(Bq\0~\roq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~\rzsq\0~\0#q\0~\rot\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\rtq\0~\rwq\0~\r{xxq\0~\rMxsq\0~\0E\0\0\0w\0\0\0q\0~\rCxsq\0~t\0\rBlockActivitysq\0~\0\Zrq\0~\r4t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0o[q\0~\rt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\rxxq\0~\r>t\0	Performersq\0~\0q\0~\rsq\0~\0Raq\0~\r!t\0approvert\0	StartModesq\0~\0q\0~\rsq\0~\0cq\0~\r!t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\05z@q\0~\rt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0Gq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0[q\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\05U[Hq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\rxsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0\nFinishModesq\0~\0q\0~\rsq\0~\0vRq\0~\r!t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0a=-tq\0~\rt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0i\'`q\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0SEq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0fq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\rxsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0Prioritysq\0~\0q\0~\rsq\0~\0\Zq\0~\r!t\0\0t\0	Deadlinessq\0~\0q\0~\rsq\0~\0Fq\0~\r!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~\rsq\0~\0\r	q\0~\r!t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0Oq\0~\rq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~\rsq\0~\0Prq\0~\rt\0\0t\0TimeEstimationsq\0~q\0~\rsq\0~\0>4\rq\0~\rt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~\rsq\0~\0Vaq\0~\rt\0\0t\0WorkingTimesq\0~\0q\0~\rsq\0~\0.0|q\0~\rt\0\0t\0Durationsq\0~\0q\0~\rsq\0~\0	q\0~\rt\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rxxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rxt\0Iconsq\0~\r\0q\0~\rsq\0~\0!rq\0~\r!t\0\0t\0\rDocumentationsq\0~\07\0q\0~\rsq\0~\0R\0q\0~\r!t\0\0t\0TransitionRestrictionssq\0~\0q\0~\rsq\0~\0<\Zq\0~\r!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0q\0~\r!t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0kn!q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0YAq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\06<V9q\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~xsq\0~Gt\0ExtendedAttributesq\0~\03@\0q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0efIq\0~t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0.v|q\0~t\0267,111.34090326953125pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\r&q\0~\r)q\0~\r-q\0~\r1q\0~\r4q\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rxsq\0~=t\0Activitysq\0~\03q\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0vo;q\0~t\0tool6pq\0~\0sq\0~\0\0q\0~\0sq\0~\0nq\0~t\0Notify Financept\0Descriptionsq\0~\02\0q\0~(sq\0~\0\r\0q\0~t\0\0t\0Limitsq\0~\0q\0~,sq\0~\0Bfq\0~t\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0Z#q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0hkq\0~0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0/joq\0~0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0mq\0~:t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\08fq\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0\0ՐFq\0~?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0\r]q\0~It\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Ap8q\0~Ot\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\06q\0~Oq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~Zsq\0~\0mq\0~Ot\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~`sq\0~\0x|/q\0~Ot\0\0t\0ExtendedAttributessq\0~\0\0q\0~dsq\0~\0uq\0~Ot\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~Tq\0~Wq\0~[q\0~aq\0~exxsq\0~vt\0SubFlowsq\0~\0Dq\0~?t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0&\\^q\0~kt\0\0pq\0~sq\0~\0\0q\0~sq\0~\0q\0~kq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~vsq\0~\0q\0~kt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~pq\0~sq\0~wxxq\0~Ixsq\0~\0E\0\0\0w\0\0\0q\0~?xsq\0~t\0\rBlockActivitysq\0~\0Lm$q\0~0t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0\rq\0~~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~:t\0	Performersq\0~\0q\0~sq\0~\0q\0~t\0approvert\0	StartModesq\0~\0q\0~sq\0~\0i&q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0ddq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0_Iq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0dq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0?Cq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0w-Sq\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0Nq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0$9q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0wmq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0(q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0\n؈rq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0\rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0u{bq\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0~7/q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\0?/q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\07q\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0\ngq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0%q\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0@Gq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0oLq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0nq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0Z3q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0umêq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0yI\n q\0~\0t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0*7q\0~\0t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0@Zq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0z;q\0~t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0rΥq\0~t\0445,111.87499140429688pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\"q\0~%q\0~)q\0~-q\0~0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~=t\0Activitysq\0~\0~xq\0~8t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0>.Zq\0~t\0tool7pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Jq\0~t\0Notify Claimant Rejectedpt\0Descriptionsq\0~\02\0q\0~$sq\0~\0Qq\0~t\0\0t\0Limitsq\0~\0q\0~(sq\0~\0Dq\0~t\0\0q\0~\0sq\0~Qq\0~\0sq\0~\0Uq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~Vt\0Routesq\0~\0lܲq\0~,t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~]t\0Implementationsq\0~\0bq\0~,t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~cq\0~\0sq\0~\0J=q\0~6t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~ht\0Nosq\0~\0Ivq\0~;t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~o\0t\0Toolssq\0~\0Wվq\0~;t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0\'<q\0~Et\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\03>q\0~Kt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0E]Yq\0~Kq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~Vsq\0~\0sɵq\0~Kt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~\\sq\0~\0MQq\0~Kt\0\0t\0ExtendedAttributessq\0~\0\0q\0~`sq\0~\0!apq\0~Kt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~Pq\0~Sq\0~Wq\0~]q\0~axxsq\0~vt\0SubFlowsq\0~\0Ѓq\0~;t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0M]q\0~gt\0\0pq\0~sq\0~\0\0q\0~sq\0~\0G7q\0~gq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~rsq\0~\0ѓq\0~gt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~lq\0~oq\0~sxxq\0~Exsq\0~\0E\0\0\0w\0\0\0q\0~;xsq\0~t\0\rBlockActivitysq\0~\04\rq\0~,t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0Eդq\0~zt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~6t\0	Performersq\0~\0q\0~sq\0~\0$%q\0~t\0approvert\0	StartModesq\0~\0q\0~sq\0~\02خ3q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0/Yq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\05hIq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0qq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\02֢gq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~\0q\0~sq\0~\0)@2Dq\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\05#q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~\0t\0XMLEmptyChoiceElementsq\0~\0Bq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0	Automaticsq\0~\0mq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Manualsq\0~\0PEq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Prioritysq\0~\0q\0~sq\0~\0\ZK5Pq\0~t\0\0t\0	Deadlinessq\0~\0q\0~sq\0~\0?$q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~\0q\0~sq\0~\0_6q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0\0q\0~sq\0~\0q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0Costsq\0~q\0~sq\0~\04u!q\0~t\0\0t\0TimeEstimationsq\0~q\0~sq\0~\0moq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~sq\0~\0ɢq\0~t\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0RGq\0~t\0\0t\0Durationsq\0~\0q\0~sq\0~\0]Iq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xt\0Iconsq\0~\r\0q\0~sq\0~\0=E >q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0Gq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\03D.q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0[Mq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0KNq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0_	mGq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~Psq\0~\0\0q\0~Psq\0~\0cq\0~t\0approverpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0p|3q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0iq\0~t\0JaWE_GRAPH_OFFSETpq\0~Psq\0~\0\0q\0~Psq\0~\0\rtq\0~t\0639,10.986110999999994pxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~!q\0~%q\0~)q\0~,q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0Transitionssr\0+org.enhydra.shark.xpdl.elements.Transitions9>/i\0\0xq\0~\0k\0q\0~sq\0~\0:<Wq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\rw\0\0\0\rsr\0*org.enhydra.shark.xpdl.elements.Transitiontx\0\0xq\0~\0t\0\nTransitionsq\0~\00TNq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0O\rq\0~t\0transition1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0~NNkq\0~t\0\0pt\0Fromsq\0~\0q\0~(sq\0~\07q\0~t\0\rapprove_claimpt\0Tosq\0~\0q\0~,sq\0~\0+Iq\0~t\0route1pt\0	Conditionsr\0)org.enhydra.shark.xpdl.elements.ConditionDZ;|\0\0xq\0~\0\0q\0~0sq\0~\0Fq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0s?q\0~2q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0	CONDITIONt\0	OTHERWISEt\0	EXCEPTIONt\0DEFAULTEXCEPTIONxxsq\0~\0E\0\0\0w\0\0\0q\0~6xt\0Descriptionsq\0~\02\0q\0~>sq\0~\0:Vq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~Bsq\0~\0Nq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0&Aq\0~Ct\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0&aq\0~Ht\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0e]q\0~Ht\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~Mq\0~Pxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\"q\0~%q\0~)q\0~-q\0~2q\0~?q\0~Cxsq\0~t\0\nTransitionsq\0~\0[q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0%ي=q\0~Ut\0transition4pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Oq\0~Ut\0\0pq\0~(sq\0~\0q\0~(sq\0~\0H*q\0~Ut\0verify_claimpq\0~,sq\0~\0q\0~,sq\0~\0Cq\0~Ut\0route2pt\0	Conditionsq\0~1\0q\0~fsq\0~\0j\'9q\0~Ut\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\05<q\0~gq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~kxt\0Descriptionsq\0~\02\0q\0~osq\0~\0wiJyq\0~Ut\0\0t\0ExtendedAttributessq\0~\0\0q\0~ssq\0~\0!.q\0~Ut\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0q\0~tt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0x!q\0~yt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0Ccq\0~yt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~Zq\0~]q\0~`q\0~cq\0~gq\0~pq\0~txsq\0~t\0\nTransitionsq\0~\0=3Pq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0&1mq\0~t\0transition7pq\0~\0sq\0~\0\0q\0~\0sq\0~\0VFq\0~t\0verifiedpq\0~(sq\0~\0q\0~(sq\0~\0s0q\0~t\0route2pq\0~,sq\0~\0q\0~,sq\0~\0\'rq\0~t\0tool1pt\0	Conditionsq\0~1\0q\0~sq\0~\0@\0Aq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0P\Zq\0~t\0	OTHERWISEsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0Laq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0JY5q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0+Dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0*lq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\05Dqq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0)	q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0pgq\0~t\0transition8pq\0~\0sq\0~\0\0q\0~\0sq\0~\0fq\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\0	bq\0~t\0route2pq\0~,sq\0~\0q\0~,sq\0~\0O>Rq\0~t\0tool2pt\0	Conditionsq\0~1\0q\0~sq\0~\0\0aLq\0~t\0status===\'Finance Rejected\'sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0tsq\0~t\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0$q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0pq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0fq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0pq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0\rJq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0*Mq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0.Eq\0~t\0t_new_claim_tool4pq\0~\0sq\0~\0\0q\0~\0sq\0~\0? Cq\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\0\r!q\0~t\0	new_claimpq\0~,sq\0~\0q\0~,sq\0~\0eq\0~t\0tool4pt\0	Conditionsq\0~1\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0gMEq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~sq\0~\0p4q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0uGIq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0qHq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0/VBq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0H=Bq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~	xsq\0~t\0\nTransitionsq\0~\0-q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0&h?q\0~t\0t_resubmit_approve_claimpq\0~\0sq\0~\0\0q\0~\0sq\0~\0#-q\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\09q\0~t\0resubmitpq\0~,sq\0~\0q\0~,sq\0~\0r-_q\0~t\0\rapprove_claimpt\0	Conditionsq\0~1\0q\0~,sq\0~\0Jjq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\02\\q\0~-q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~1xt\0Descriptionsq\0~\02\0q\0~5sq\0~\0HaEq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~9sq\0~\0*I\\q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0svq\0~:t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0dR8q\0~?t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0~Qq\0~?t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~Dq\0~Gxxpxsq\0~\0E\0\0\0w\0\0\0q\0~ q\0~#q\0~&q\0~)q\0~-q\0~6q\0~:xsq\0~t\0\nTransitionsq\0~\03%q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0i@q\0~Lt\0transition11pq\0~\0sq\0~\0\0q\0~\0sq\0~\0M9q\0~Lt\0\0pq\0~(sq\0~\0q\0~(sq\0~\0SLq\0~Lt\0tool4pq\0~,sq\0~\0q\0~,sq\0~\0:\0q\0~Lt\0tool5pt\0	Conditionsq\0~1\0q\0~]sq\0~\0/bq\0~Lt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0^q\0~^q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~bxt\0Descriptionsq\0~\02\0q\0~fsq\0~\0!q\0~Lt\0\0t\0ExtendedAttributessq\0~\0\0q\0~jsq\0~\0G$q\0~Lt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0slq\0~kt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Lpq\0~pt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0{^q\0~pt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~uq\0~xxsq\0~Gt\0ExtendedAttributesq\0~\0 q\0~kt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Jᡨq\0~|t\0JaWE_GRAPH_BREAK_POINTSpq\0~Psq\0~\0\0q\0~Psq\0~\0#<C\0q\0~|t\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~Qq\0~Tq\0~Wq\0~Zq\0~^q\0~gq\0~kxsq\0~t\0\nTransitionsq\0~\0IRq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0zmq\0~t\0transition12pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\n0\"q\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\0YYq\0~t\0tool5pq\0~,sq\0~\0q\0~,sq\0~\0Zq\0~t\0\rapprove_claimpt\0	Conditionsq\0~1\0q\0~sq\0~\0^D-q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0qiq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0xq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0u*_q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0mwq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0Qq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0qŝq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0QWq\0~t\0transition10pq\0~\0sq\0~\0\0q\0~\0sq\0~\0YSJoq\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\0dnq\0~t\0route1pq\0~,sq\0~\0q\0~,sq\0~\0Hq\0~t\0tool3pt\0	Conditionsq\0~1\0q\0~sq\0~\0k;9q\0~t\0status===\'Resubmit\'sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0*\"/q\0~t\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0FtQq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0~4q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0Y*q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0FNq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0Dq4q\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0C`q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Wq\0~t\0transition13pq\0~\0sq\0~\0\0q\0~\0sq\0~\0}pq\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\0Uoq\0~t\0tool3pq\0~,sq\0~\0q\0~,sq\0~\0B=\nq\0~t\0resubmitpt\0	Conditionsq\0~1\0q\0~sq\0~\0KLq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\05q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0Zb)q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~\nsq\0~\0blBq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0^I\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0πq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0\r9q\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0bKq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\"Mq\0~t\0transition14pq\0~\0sq\0~\0\0q\0~\0sq\0~\0.pOq\0~t\0approvedpq\0~(sq\0~\0q\0~(sq\0~\0Lq\0~t\0route1pq\0~,sq\0~\0q\0~,sq\0~\0R3q\0~t\0tool6pt\0	Conditionsq\0~1\0q\0~.sq\0~\04jq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0hq\0~/t\0	OTHERWISEsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~3xt\0Descriptionsq\0~\02\0q\0~8sq\0~\0#q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~<sq\0~\0JUq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0\Z4:q\0~=t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0)هq\0~Bt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0MC[q\0~Bt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~Gq\0~Jxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\"q\0~%q\0~(q\0~+q\0~/q\0~9q\0~=xsq\0~t\0\nTransitionsq\0~\03)q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0J\n`q\0~Ot\0transition15pq\0~\0sq\0~\0\0q\0~\0sq\0~\02暸q\0~Ot\0\0pq\0~(sq\0~\0q\0~(sq\0~\0X˵q\0~Ot\0tool6pq\0~,sq\0~\0q\0~,sq\0~\0g\'q\0~Ot\0verify_claimpt\0	Conditionsq\0~1\0q\0~`sq\0~\0A#q\0~Ot\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0[q\0~aq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~ext\0Descriptionsq\0~\02\0q\0~isq\0~\0Ujoq\0~Ot\0\0t\0ExtendedAttributessq\0~\0\0q\0~msq\0~\0T8q\0~Ot\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0wq\0~nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0?;[q\0~st\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0<`q\0~st\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~xq\0~{xxpxsq\0~\0E\0\0\0w\0\0\0q\0~Tq\0~Wq\0~Zq\0~]q\0~aq\0~jq\0~nxsq\0~t\0\nTransitionsq\0~\0ndBq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0@;q\0~t\0transition16pq\0~\0sq\0~\0\0q\0~\0sq\0~\0R1q\0~t\0\0pq\0~(sq\0~\0q\0~(sq\0~\0!q\0~t\0route1pq\0~,sq\0~\0q\0~,sq\0~\0]R}Hq\0~t\0tool7pt\0	Conditionsq\0~1\0q\0~sq\0~\0QSq\0~t\0status===\'Rejected\'sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0\\Yq\0~t\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0<Nq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0\'(}q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0mq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0W0$q\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~Psq\0~\0\0q\0~Psq\0~\0Agq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0Aq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\0vq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0p0_q\0~t\0%JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDERpq\0~Psq\0~\0\0q\0~Psq\0~\0wპq\0~t\0claimant;approver;financepxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0v7q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0hmq\0~t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~Psq\0~\0\0q\0~Psq\0~\0Sq\0~t\0JaWE_GRAPH_PARTICIPANT_ID=finance,CONNECTING_ACTIVITY_ID=tool2,X_OFFSET=758,Y_OFFSET=145,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0Nܿq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0~&Zq\0~t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~Psq\0~\0\0q\0~Psq\0~\0*7q\0~t\0JaWE_GRAPH_PARTICIPANT_ID=finance,CONNECTING_ACTIVITY_ID=tool1,X_OFFSET=915,Y_OFFSET=57,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0	xq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0,q\0~t\0JaWE_GRAPH_START_OF_WORKFLOWpq\0~Psq\0~\0\0q\0~Psq\0~\0,q\0~t\0JaWE_GRAPH_PARTICIPANT_ID=claimant,CONNECTING_ACTIVITY_ID=new_claim,X_OFFSET=63,Y_OFFSET=53,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0H(Sq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Osq\0~t\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~Psq\0~\0\0q\0~Psq\0~\0c^Lq\0~t\0JaWE_GRAPH_PARTICIPANT_ID=approver,CONNECTING_ACTIVITY_ID=tool7,X_OFFSET=788,Y_OFFSET=23,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~$q\0~*q\0~1q\0~8q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0Pq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~Gt\0ExtendedAttributesq\0~\01ذq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0	6@q\0~t\0EDITING_TOOLpq\0~Psq\0~\0\0q\0~Psq\0~\0Hiq\0~t\0Web Workflow Designerpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~xsq\0~Gt\0ExtendedAttributesq\0~\0%Vq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0.q\0~t\0EDITING_TOOL_VERSIONpq\0~Psq\0~\0\0q\0~Psq\0~\09q\0~t\0\r5.0-pre-alphapxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~\0q\0~\0q\0~\0q\0~\0Iq\0~\0tq\0~\0q\0~\0q\0~\0q\0~\0q\0~Eq\0~q\0~q\0~x\0sq\0~\0w\0\0\0\0xt\01sr\0*org.enhydra.shark.xpdl.elements.Namespaces|<.R\0\0xq\0~\0kt\0\nNamespacessq\0~\03q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.Namespacez_\0\0xq\0~\0t\0	Namespacesq\0~\0:Aq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0QՍkq\0~t\0xpdlpq\0~\0sq\0~\0q\0~\0sq\0~\07q\0~t\0 http://www.wfmc.org/2002/XPDL1.0pxsq\0~\0E\0\0\0w\0\0\0q\0~#q\0~&xx',1000211,3,1000212,0),('<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<Package xmlns=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xpdl=\"http://www.wfmc.org/2002/XPDL1.0\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" Id=\"isr\" Name=\"Internal Service Request\" xsi:schemaLocation=\"http://www.wfmc.org/2002/XPDL1.0 http://wfmc.org/standards/docs/TC-1025_schema_10_xpdl.xsd\">\n    <PackageHeader>\n        <XPDLVersion>1.0</XPDLVersion>\n        <Vendor/>\n        <Created/>\n    </PackageHeader>\n    <Script Type=\"text/javascript\"/>\n    <Participants>\n        <Participant Id=\"requester\" Name=\"Requester\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n        <Participant Id=\"hod\" Name=\"HOD\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n        <Participant Id=\"assignee\" Name=\"Assignee\">\n            <ParticipantType Type=\"ROLE\"/>\n        </Participant>\n    </Participants>\n    <Applications>\n        <Application Id=\"default_application\"/>\n    </Applications>\n    <WorkflowProcesses>\n        <WorkflowProcess Id=\"isr\" Name=\"ISR Process\">\n            <ProcessHeader DurationUnit=\"h\"/>\n            <DataFields>\n                <DataField Id=\"status\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n                <DataField Id=\"attention\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n                <DataField Id=\"assignee\" IsArray=\"FALSE\">\n                    <DataType>\n                        <BasicType Type=\"STRING\"/>\n                    </DataType>\n                </DataField>\n            </DataFields>\n            <Activities>\n                <Activity Id=\"resolve_request\" Name=\"Resolve Request\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>hod</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"hod\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"216,43.72727869677735\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"resolve_assigned_request\" Name=\"Resolve Request\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>assignee</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"assignee\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"568,21.51249999999999\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"send_rejected_notifiction\" Name=\"Send Rejected Notification\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"493,64.37500666308594\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route1\" Name=\"Route 1\">\n                    <Route/>\n                    <Performer>hod</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Join Type=\"XOR\"/>\n                            <Split Type=\"XOR\">\n                                <TransitionRefs>\n                                    <TransitionRef Id=\"transition4\"/>\n                                    <TransitionRef Id=\"transition3\"/>\n                                    <TransitionRef Id=\"transition12\"/>\n                                </TransitionRefs>\n                            </Split>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"hod\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"392,49.72727869677735\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"verifiy_resolved_request\" Name=\"Verify Resolved Request\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Join Type=\"XOR\"/>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"834,27\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"route2\" Name=\"Route 2\">\n                    <Route/>\n                    <Performer>requester</Performer>\n                    <TransitionRestrictions>\n                        <TransitionRestriction>\n                            <Split Type=\"XOR\">\n                                <TransitionRefs>\n                                    <TransitionRef Id=\"transition10\"/>\n                                    <TransitionRef Id=\"transition9\"/>\n                                </TransitionRefs>\n                            </Split>\n                        </TransitionRestriction>\n                    </TransitionRestrictions>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"995,30.45453547167969\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"send_verified_notification\" Name=\"Send Verified Notification\">\n                    <Implementation>\n                        <Tool Id=\"default_application\"/>\n                    </Implementation>\n                    <Performer>requester</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"requester\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"963,132.3374816894531\"/>\n                    </ExtendedAttributes>\n                </Activity>\n                <Activity Id=\"resolve_reopened_request\" Name=\"Resolve Reopened Request\">\n                    <Implementation>\n                        <No/>\n                    </Implementation>\n                    <Performer>hod</Performer>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_PARTICIPANT_ID\" Value=\"hod\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_OFFSET\" Value=\"956,39.44319056201172\"/>\n                    </ExtendedAttributes>\n                </Activity>\n            </Activities>\n            <Transitions>\n                <Transition From=\"resolve_request\" Id=\"transition1\" To=\"route1\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition3\" To=\"send_rejected_notifiction\">\n                    <Condition Type=\"OTHERWISE\"/>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition4\" To=\"resolve_assigned_request\">\n                    <Condition Type=\"CONDITION\">status === \"Assigned\"</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"resolve_assigned_request\" Id=\"transition6\" To=\"verifiy_resolved_request\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"verifiy_resolved_request\" Id=\"transition8\" To=\"route2\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition9\" To=\"resolve_reopened_request\">\n                    <Condition Type=\"OTHERWISE\"/>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route2\" Id=\"transition10\" To=\"send_verified_notification\">\n                    <Condition Type=\"CONDITION\">status === \"Verified\"</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"route1\" Id=\"transition12\" To=\"verifiy_resolved_request\">\n                    <Condition Type=\"CONDITION\">status === \"Resolved\"</Condition>\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_BREAK_POINTS\" Value=\"orthogonal\"/>\n                    </ExtendedAttributes>\n                </Transition>\n                <Transition From=\"resolve_reopened_request\" Id=\"transition13\" To=\"route1\">\n                    <ExtendedAttributes>\n                        <ExtendedAttribute Name=\"JaWE_GRAPH_TRANSITION_STYLE\" Value=\"NO_ROUTING_ORTHOGONAL\"/>\n                    </ExtendedAttributes>\n                </Transition>\n            </Transitions>\n            <ExtendedAttributes>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDER\" Value=\"hod;requester;assignee\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_START_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=resolve_request,X_OFFSET=257,Y_OFFSET=83,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=send_verified_notification,X_OFFSET=1156,Y_OFFSET=140,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n                <ExtendedAttribute Name=\"JaWE_GRAPH_END_OF_WORKFLOW\" Value=\"JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=send_rejected_notifiction,X_OFFSET=671,Y_OFFSET=76,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULT\"/>\n            </ExtendedAttributes>\n        </WorkflowProcess>\n    </WorkflowProcesses>\n    <ExtendedAttributes>\n        <ExtendedAttribute Name=\"EDITING_TOOL\" Value=\"Web Workflow Designer\"/>\n        <ExtendedAttribute Name=\"EDITING_TOOL_VERSION\" Value=\"5.0-pre-alpha\"/>\n    </ExtendedAttributes>\n</Package>\n','\0sr\0\'org.enhydra.shark.xpdl.elements.Package~+Vmŀ~\0Z\0isTransientL\0extPkgRefsToIdst\0.Lorg/enhydra/shark/utilities/SequencedHashMap;L\0internalVersiont\0Ljava/lang/String;L\0\nnamespacest\0,Lorg/enhydra/shark/xpdl/elements/Namespaces;xr\0(org.enhydra.shark.xpdl.XMLComplexElement>(\0\0xr\05org.enhydra.shark.xpdl.XMLBaseForCollectionAndComplex2\0L\0\nelementMapq\0~\0L\0elementst\0Ljava/util/ArrayList;xr\0!org.enhydra.shark.xpdl.XMLElement#+B#\0Z\0\nisReadOnlyZ\0\nisRequiredL\0nameq\0~\0L\0originalElementHashCodet\0Ljava/lang/Integer;L\0parentt\0#Lorg/enhydra/shark/xpdl/XMLElement;L\0valueq\0~\0xpt\0Packagesr\0java.lang.Integer⠤8\0I\0valuexr\0java.lang.Number\0\0xpwB`pt\0\0sr\0,org.enhydra.shark.utilities.SequencedHashMap.\"\"&\0\0xpw\0\0\0\rt\0Idsr\0#org.enhydra.shark.xpdl.XMLAttribute#c݀M;\0L\0choicesq\0~\0xq\0~\0q\0~\0sq\0~\0\Zq\0~\0\nt\0isrpt\0Namesq\0~\0\0q\0~\0sq\0~\0Ih`q\0~\0\nt\0Internal Service Requestpt\0\rPackageHeadersr\0-org.enhydra.shark.xpdl.elements.PackageHeaderv,\0\0xq\0~\0\0q\0~\0sq\0~\0c}q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0XPDLVersionsr\0+org.enhydra.shark.xpdl.elements.XPDLVersion\"}Y.w\0\0xr\0\'org.enhydra.shark.xpdl.XMLSimpleElementm\0\0xq\0~\0q\0~\0!sq\0~\0bq\0~\0t\01.0t\0Vendorsr\0&org.enhydra.shark.xpdl.elements.Vendor tE:\0\0xq\0~\0#q\0~\0\'sq\0~\0E+q\0~\0t\0\0t\0Createdsr\0\'org.enhydra.shark.xpdl.elements.CreatedzdK|[\0\0xq\0~\0#q\0~\0,sq\0~\0]4q\0~\0t\0\0t\0Descriptionsr\0+org.enhydra.shark.xpdl.elements.Description۰738\0\0xq\0~\0#\0q\0~\01sq\0~\0`,yq\0~\0t\0\0t\0\rDocumentationsr\0-org.enhydra.shark.xpdl.elements.Documentation`9y\0\0xq\0~\0#\0q\0~\06sq\0~\0Cq\0~\0t\0\0t\0PriorityUnitsr\0,org.enhydra.shark.xpdl.elements.PriorityUnit\0\0xq\0~\0#\0q\0~\0;sq\0~\0a` q\0~\0t\0\0t\0CostUnitsr\0(org.enhydra.shark.xpdl.elements.CostUnit܎=H\0\0xq\0~\0#\0q\0~\0@sq\0~\0q\0~\0t\0\0xsr\0java.util.ArrayListxa\0I\0sizexp\0\0\0w\0\0\0q\0~\0$q\0~\0)q\0~\0.q\0~\03q\0~\08q\0~\0=q\0~\0Bxt\0RedefinableHeadersr\01org.enhydra.shark.xpdl.elements.RedefinableHeaderMϪ\'H\0\0xq\0~\0\0q\0~\0Gsq\0~\04g(q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0PublicationStatussq\0~\0\0q\0~\0Msq\0~\0rqq\0~\0It\0\0sq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0UNDER_REVISIONt\0RELEASEDt\0\nUNDER_TESTxt\0Authorsr\0&org.enhydra.shark.xpdl.elements.Author5fᧆ\0\0xq\0~\0#\0q\0~\0Usq\0~\0Iq\0~\0It\0\0t\0Versionsr\0\'org.enhydra.shark.xpdl.elements.Version9=3~JQ\0\0xq\0~\0#\0q\0~\0Zsq\0~\0Aߊq\0~\0It\0\0t\0Codepagesr\0(org.enhydra.shark.xpdl.elements.Codepage9$me\rG\0\0xq\0~\0#\0q\0~\0_sq\0~\0;W`q\0~\0It\0\0t\0\nCountrykeysr\0*org.enhydra.shark.xpdl.elements.Countrykey.\0\0xq\0~\0#\0q\0~\0dsq\0~\0}q\0~\0It\0\0t\0Responsiblessr\0,org.enhydra.shark.xpdl.elements.Responsibles${S\0\0xr\0$org.enhydra.shark.xpdl.XMLCollectionjċm\0\0xq\0~\0\0q\0~\0isq\0~\0\'bq\0~\0It\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0Nq\0~\0Wq\0~\0\\q\0~\0aq\0~\0fq\0~\0lxt\0ConformanceClasssr\00org.enhydra.shark.xpdl.elements.ConformanceClassy0|k\0\0xq\0~\0\0q\0~\0rsq\0~\09q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0GraphConformancesq\0~\0\0q\0~\0xsq\0~\0lk\\Bq\0~\0tq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0FULL_BLOCKEDt\0LOOP_BLOCKEDt\0NON_BLOCKEDxxsq\0~\0E\0\0\0w\0\0\0q\0~\0yxt\0Scriptsr\0&org.enhydra.shark.xpdl.elements.ScriptQjS8\0\0xq\0~\0\0q\0~\0sq\0~\0|v(q\0~\0\nt\0\0sq\0~\0w\0\0\0t\0Typesq\0~\0q\0~\0sq\0~\01gq\0~\0t\0text/javascriptpt\0Versionsq\0~\0\0q\0~\0sq\0~\0\nq\0~\0t\0\0pt\0Grammarsq\0~\0\0q\0~\0sq\0~\02T:q\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExternalPackagessr\00org.enhydra.shark.xpdl.elements.ExternalPackagesw\"+Ũ\0\0xq\0~\0k\0q\0~\0sq\0~\07-q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0TypeDeclarationssr\00org.enhydra.shark.xpdl.elements.TypeDeclarations\rOx5\0\0xq\0~\0k\0q\0~\0sq\0~\0q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Participantssr\0,org.enhydra.shark.xpdl.elements.Participantsh`g8J\0\0xq\0~\0k\0q\0~\0sq\0~\0f&12q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Participanto$rc\0\0xr\0+org.enhydra.shark.xpdl.XMLCollectionElementCxvr\0\0xq\0~\0t\0Participantsq\0~\0IV^q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0FWG-q\0~\0t\0	requesterpq\0~\0sq\0~\0\0q\0~\0sq\0~\0(_Zq\0~\0t\0	Requesterpt\0ParticipantTypesr\0/org.enhydra.shark.xpdl.elements.ParticipantType>n݅\0\0xq\0~\0q\0~\0sq\0~\0CZq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0>	\0q\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0t\0RESOURCE_SETt\0RESOURCEt\0ROLEt\0ORGANIZATIONAL_UNITt\0HUMANt\0SYSTEMxxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0u03q\0~\0t\0\0t\0ExternalReferencesr\01org.enhydra.shark.xpdl.elements.ExternalReferencebQ\0\0xq\0~\0\0q\0~\0sq\0~\0/\Zrq\0~\0t\0\0sq\0~\0w\0\0\0t\0xrefsq\0~\0\0q\0~\0sq\0~\0.>Jq\0~\0t\0\0pt\0locationsq\0~\0q\0~\0sq\0~\0{/q\0~\0t\0\0pt\0	namespacesq\0~\0\0q\0~\0sq\0~\0.q\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0xt\0ExtendedAttributessr\02org.enhydra.shark.xpdl.elements.ExtendedAttributesOUF\0L\0extAttribsStringq\0~\0xq\0~\0k\0q\0~\0sq\0~\0$q\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xsq\0~\0t\0Participantsq\0~\0oq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0kq\0~\0t\0hodpq\0~\0sq\0~\0\0q\0~\0sq\0~\0W(֑q\0~\0t\0HODpt\0ParticipantTypesq\0~\0q\0~\0sq\0~\0:Kq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0FӼq\0~\0t\0ROLEsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\0xt\0Descriptionsq\0~\02\0q\0~\0sq\0~\0UIq\0~\0t\0\0t\0ExternalReferencesq\0~\0\0q\0~\0sq\0~\0m@q\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\08O)6q\0~\0t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0U\Zq\0~\0t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Lh+Cq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~	xt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0Jbq\0~\0t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~xsq\0~\0t\0Participantsq\0~\0tYq\0~\0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0P19q\0~t\0assigneepq\0~\0sq\0~\0\0q\0~\0sq\0~\0R(q\0~t\0Assigneept\0ParticipantTypesq\0~\0q\0~sq\0~\0\0Zmq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0NIq\0~ t\0ROLEsq\0~\0E\0\0\0w\0\0\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0q\0~\0xxsq\0~\0E\0\0\0w\0\0\0q\0~$xt\0Descriptionsq\0~\02\0q\0~)sq\0~\0-q\0~t\0\0t\0ExternalReferencesq\0~\0\0q\0~-sq\0~\0aq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0eƒq\0~.t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0?Xhq\0~.t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0_Uq\0~.t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~2q\0~5q\0~8xt\0ExtendedAttributessq\0~\0\0q\0~<sq\0~\0*{q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~ q\0~*q\0~.q\0~=xxt\0Applicationssr\0,org.enhydra.shark.xpdl.elements.Applications\0\0xq\0~\0k\0q\0~Csq\0~\0Ugq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0+org.enhydra.shark.xpdl.elements.Applicationv	RS\0\0xq\0~\0t\0Applicationsq\0~\0zq\0~Et\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\05zq\0~Kt\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0z\n;Nq\0~Kt\0\0pt\0Descriptionsq\0~\02\0q\0~Vsq\0~\0\0q\0~Kt\0\0t\0Choicesr\00org.enhydra.shark.xpdl.elements.ApplicationTypes?!\0\0xr\0\'org.enhydra.shark.xpdl.XMLComplexChoice|\"\0L\0choicesq\0~\0L\0choosenq\0~\0	xq\0~\0q\0~Zsq\0~\0Lq\0~Kt\0\0sq\0~\0E\0\0\0w\0\0\0sr\00org.enhydra.shark.xpdl.elements.FormalParameterspBÁZ\0\0xq\0~\0k\0t\0FormalParameterssq\0~\0llq\0~]t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0\0t\0ExternalReferencesq\0~\0\'%!q\0~]t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0l4q\0~ht\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0vq\0~ht\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0})q\0~ht\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~mq\0~pq\0~sxxq\0~bt\0ExtendedAttributessq\0~\0\0q\0~wsq\0~\0~q\0~Kt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~Pq\0~Sq\0~Wq\0~]q\0~xxxt\0\nDataFieldssr\0*org.enhydra.shark.xpdl.elements.DataFieldsʦU\0\0xq\0~\0k\0q\0~~sq\0~\0Uaq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0WorkflowProcessessr\01org.enhydra.shark.xpdl.elements.WorkflowProcessesp_0,\0\0xq\0~\0k\0q\0~sq\0~\0wZq\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0/org.enhydra.shark.xpdl.elements.WorkflowProcess%v0L\0\0xq\0~\0t\0WorkflowProcesssq\0~\0Pq\0~t\0\0sq\0~\0w\0\0\0\rq\0~\0sq\0~\0q\0~\0sq\0~\0\Zq\0~t\0isrpq\0~\0sq\0~\0\0q\0~\0sq\0~\0MbdAq\0~t\0ISR Processpt\0AccessLevelsq\0~\0\0q\0~sq\0~\0vq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0PUBLICt\0PRIVATExt\0\rProcessHeadersr\0-org.enhydra.shark.xpdl.elements.ProcessHeaderLC-)\0\0xq\0~\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0t\0DurationUnitsq\0~\0\0q\0~sq\0~\0x}tq\0~t\0hsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0Yt\0Mt\0Dt\0ht\0mt\0sxt\0Createdsq\0~\0-\0q\0~sq\0~\0Jq\0~t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0?Lq\0~t\0\0t\0Prioritysr\0(org.enhydra.shark.xpdl.elements.Priority`Nn>b\0\0xq\0~\0#\0q\0~sq\0~\0DWq\0~t\0\0t\0Limitsr\0%org.enhydra.shark.xpdl.elements.Limit1ӗ\0\0xq\0~\0#\0q\0~sq\0~\0]q\0~t\0\0t\0	ValidFromsr\0)org.enhydra.shark.xpdl.elements.ValidFromcŅ|L<\0\0xq\0~\0#\0q\0~sq\0~\0uTq\0~t\0\0t\0ValidTosr\0\'org.enhydra.shark.xpdl.elements.ValidToM\0\0xq\0~\0#\0q\0~sq\0~\0lLq\0~t\0\0t\0TimeEstimationsr\0.org.enhydra.shark.xpdl.elements.TimeEstimationŀ\'3\0\0xq\0~\0\0q\0~sq\0~\0	!lq\0~t\0\0sq\0~\0w\0\0\0t\0WaitingTimesr\0+org.enhydra.shark.xpdl.elements.WaitingTimeN/\0\0xq\0~\0#\0q\0~sq\0~\0\n5r#q\0~t\0\0t\0WorkingTimesr\0+org.enhydra.shark.xpdl.elements.WorkingTime~\0\0xq\0~\0#\0q\0~sq\0~\0:]q\0~t\0\0t\0Durationsr\0(org.enhydra.shark.xpdl.elements.Duration C\0\0xq\0~\0#\0q\0~sq\0~\0R%Eq\0~t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xt\0RedefinableHeadersq\0~\0H\0q\0~sq\0~\0Nwq\0~t\0\0sq\0~\0w\0\0\0q\0~\0Msq\0~\0\0q\0~\0Msq\0~\0Sq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~\0Rq\0~\0Sq\0~\0Txt\0Authorsq\0~\0V\0q\0~sq\0~\0\rVq\0~t\0\0t\0Versionsq\0~\0[\0q\0~sq\0~\0\06Dq\0~t\0\0t\0Codepagesq\0~\0`\0q\0~sq\0~\0O\\q\0~t\0\0t\0\nCountrykeysq\0~\0e\0q\0~sq\0~\0dGq\0~t\0\0t\0Responsiblessq\0~\0j\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~xt\0FormalParameterssq\0~a\0q\0~sq\0~\0Tҥuq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nDataFieldssq\0~\0q\0~sq\0~\0Qlq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.DataFieldI3.~\0\0xq\0~\0t\0	DataFieldsq\0~\0fOq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0]rq\0~t\0statuspq\0~\0sq\0~\0\0q\0~\0sq\0~\0JAۗq\0~t\0\0pt\0IsArraysq\0~\0\0q\0~sq\0~\0)q\0~t\0FALSEsq\0~\0E\0\0\0w\0\0\0t\0TRUEt\0FALSExt\0DataTypesr\0(org.enhydra.shark.xpdl.elements.DataType\'4sM\0\0xq\0~\0q\0~ sq\0~\0\0qq\0~t\0\0sq\0~\0w\0\0\0t\0	DataTypessr\0)org.enhydra.shark.xpdl.elements.DataTypespcH,!\0Z\0\risInitializedxq\0~\\q\0~&sq\0~\0<35q\0~\"t\0\0sq\0~\0E\0\0\0	w\0\0\0	sr\0)org.enhydra.shark.xpdl.elements.BasicType)w1\0\0xq\0~\0t\0	BasicTypesq\0~\0Fq\0~(t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0hq\0~-t\0STRINGsq\0~\0E\0\0\0w\0\0\0t\0STRINGt\0FLOATt\0INTEGERt\0	REFERENCEt\0DATETIMEt\0BOOLEANt\0	PERFORMERxxsq\0~\0E\0\0\0w\0\0\0q\0~2xsr\0,org.enhydra.shark.xpdl.elements.DeclaredTypedR.\\^9\0\0xq\0~\0t\0DeclaredTypesq\0~\0%Qq\0~(t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0=)q\0~?t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Dxsr\0*org.enhydra.shark.xpdl.elements.SchemaType&1oSH\0\0xq\0~\0t\0\nSchemaTypesq\0~\0BGjq\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0gS$q\0~(t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0${q\0~Ot\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0q\0~Ot\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0#,}q\0~Ot\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Tq\0~Wq\0~Zxsr\0*org.enhydra.shark.xpdl.elements.RecordType%K\0\0\0xq\0~\0kt\0\nRecordTypesq\0~\0yNq\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.UnionType5PG\0\0xq\0~\0kt\0	UnionTypesq\0~\0&w*+q\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0/org.enhydra.shark.xpdl.elements.EnumerationTypef3b\0\0xq\0~\0kt\0EnumerationTypesq\0~\0Yqq\0~(t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.ArrayTypeg$\0N@\0\0xq\0~\0t\0	ArrayTypesq\0~\0*q\0~(t\0\0sq\0~\0w\0\0\0t\0\nLowerIndexsq\0~\0q\0~ysq\0~\0\r%4cq\0~tt\0\0pt\0\nUpperIndexsq\0~\0q\0~}sq\0~\0VSq\0~tt\0\0pq\0~&sq\0~\'q\0~&sq\0~\0Jaf\0q\0~tt\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~zq\0~~q\0~xsr\0(org.enhydra.shark.xpdl.elements.ListType\"ӟ\n\0\0xq\0~\0t\0ListTypesq\0~\0@o&q\0~(t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0dq\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~-xsq\0~\0E\0\0\0w\0\0\0q\0~(xt\0InitialValuesr\0,org.enhydra.shark.xpdl.elements.InitialValuej,zR\0\0xq\0~\0#\0q\0~sq\0~\0K>1q\0~t\0\0t\0Lengthsr\0&org.enhydra.shark.xpdl.elements.LengthMW+-̩W\0\0xq\0~\0#\0q\0~sq\0~\0q\0~t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0\0nq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0<q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~\Zq\0~\"q\0~q\0~q\0~q\0~xsq\0~\rt\0	DataFieldsq\0~\0iq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0O$q\0~t\0	attentionpq\0~\0sq\0~\0\0q\0~\0sq\0~\0&Hq\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0|q\0~t\0FALSEsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xt\0DataTypesq\0~!q\0~sq\0~\0^uq\0~t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0Hq\0~t\0\0sq\0~\0E\0\0\0	w\0\0\0	sq\0~,t\0	BasicTypesq\0~\0R>q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Y$q\0~t\0STRINGsq\0~\0E\0\0\0w\0\0\0q\0~6q\0~7q\0~8q\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~>t\0DeclaredTypesq\0~\0XMq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0cSq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~Ht\0\nSchemaTypesq\0~\0\0arq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0[q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0	U*q\0~t\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0G=	q\0~t\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\0gC>Kq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~^t\0\nRecordTypesq\0~\0oq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~et\0	UnionTypesq\0~\0B]q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~lt\0EnumerationTypesq\0~\0+}q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~st\0	ArrayTypesq\0~\0PWCnq\0~t\0\0sq\0~\0w\0\0\0q\0~ysq\0~\0q\0~ysq\0~\0q\0~t\0\0pq\0~}sq\0~\0q\0~}sq\0~\0/q\0~t\0\0pq\0~&sq\0~\'q\0~&sq\0~\0kq\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xsq\0~t\0ListTypesq\0~\0eq\0~t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0x_pDq\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0InitialValuesq\0~\0q\0~sq\0~\0Aþq\0~t\0\0t\0Lengthsq\0~\0q\0~sq\0~\0}\nq\0~t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0C(q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\085lq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~\rt\0	DataFieldsq\0~\0`/K\nq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0>q\0~#t\0assigneepq\0~\0sq\0~\0\0q\0~\0sq\0~\0~c)q\0~#t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0 KVq\0~#t\0FALSEsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xt\0DataTypesq\0~!q\0~2sq\0~\0@q\0~#t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0*\'q\0~3t\0\0sq\0~\0E\0\0\0	w\0\0\0	sq\0~,t\0	BasicTypesq\0~\0{TAq\0~7t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0}vAq\0~;t\0STRINGsq\0~\0E\0\0\0w\0\0\0q\0~6q\0~7q\0~8q\0~9q\0~:q\0~;q\0~<xxsq\0~\0E\0\0\0w\0\0\0q\0~@xsq\0~>t\0DeclaredTypesq\0~\0^мq\0~7t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Z$q\0~Et\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Jxsq\0~Ht\0\nSchemaTypesq\0~\0?A$q\0~7t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0ExternalReferencesq\0~\0UͰuq\0~7t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\02Uq\0~Tt\0\0pq\0~\0sq\0~\0q\0~\0sq\0~\0=q\0~Tt\0\0pq\0~\0sq\0~\0\0q\0~\0sq\0~\02auq\0~Tt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~Yq\0~\\q\0~_xsq\0~^t\0\nRecordTypesq\0~\0$\0*q\0~7t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~et\0	UnionTypesq\0~\0#q\0~7t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~lt\0EnumerationTypesq\0~\02}Nq\0~7t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~st\0	ArrayTypesq\0~\01&q\0~7t\0\0sq\0~\0w\0\0\0q\0~ysq\0~\0q\0~ysq\0~\0>1Uq\0~ut\0\0pq\0~}sq\0~\0q\0~}sq\0~\0?Yq\0~ut\0\0pq\0~&sq\0~\'q\0~&sq\0~\0Cq\0~ut\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~zq\0~}q\0~xsq\0~t\0ListTypesq\0~\0B q\0~7t\0\0sq\0~\0w\0\0\0q\0~&sq\0~\'q\0~&sq\0~\0Yq\0~t\0\0ppxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~;xsq\0~\0E\0\0\0w\0\0\0q\0~7xt\0InitialValuesq\0~\0q\0~sq\0~\06sq\0~#t\0\0t\0Lengthsq\0~\0q\0~sq\0~\0}Dq\0~#t\0\0t\0Descriptionsq\0~\02\0q\0~sq\0~\0I̘\'q\0~#t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0NKq\0~#t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~(q\0~+q\0~.q\0~3q\0~q\0~q\0~q\0~xxt\0Participantssq\0~\0\0q\0~sq\0~\0>q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Applicationssq\0~D\0q\0~sq\0~\0Tsq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ActivitySetssr\0,org.enhydra.shark.xpdl.elements.ActivitySetsqV[4\0\0xq\0~\0k\0q\0~sq\0~\0nq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0\nActivitiessr\0*org.enhydra.shark.xpdl.elements.Activities&G^lP\0\0xq\0~\0k\0q\0~sq\0~\0Ԃq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0(org.enhydra.shark.xpdl.elements.Activityt45\Z9\0\0xq\0~\0t\0Activitysq\0~\0#sQq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Yq\0~t\0resolve_requestpq\0~\0sq\0~\0\0q\0~\0sq\0~\0b%q\0~t\0Resolve Requestpt\0Descriptionsq\0~\02\0q\0~sq\0~\0\rq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\07긜q\0~t\0\0q\0~\0sr\0-org.enhydra.shark.xpdl.elements.ActivityTypeseŽ{\0\0xq\0~\\q\0~\0sq\0~\0&rq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0%org.enhydra.shark.xpdl.elements.Route0e\rG\0\0xq\0~\0t\0Routesq\0~\0kq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0.org.enhydra.shark.xpdl.elements.Implementationr^%\0\0xq\0~\0t\0Implementationsq\0~\0;Óq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sr\03org.enhydra.shark.xpdl.elements.ImplementationTypes\rT١9\0\0xq\0~\\q\0~\0sq\0~\0%xq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0\"org.enhydra.shark.xpdl.elements.No{.\0\0xq\0~\0t\0Nosq\0~\0ϭPq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0%org.enhydra.shark.xpdl.elements.ToolsCg\0\0xq\0~\0k\0t\0Toolssq\0~\0\0{hq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0\'org.enhydra.shark.xpdl.elements.SubFlow;Os7:$\0\0xq\0~\0t\0SubFlowsq\0~\0&q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0liq\0~t\0\0pt\0	Executionsq\0~\0\0q\0~sq\0~\0bq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ASYNCHRt\0SYNCHRxt\0ActualParameterssr\00org.enhydra.shark.xpdl.elements.ActualParameters_K\0\0xq\0~\0k\0q\0~sq\0~\0x*q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsr\0-org.enhydra.shark.xpdl.elements.BlockActivityqcF\0\0xq\0~\0t\0\rBlockActivitysq\0~\0_Lq\0~t\0\0sq\0~\0w\0\0\0t\0BlockIdsq\0~\0q\0~sq\0~\0T(q\0~\rt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersr\0)org.enhydra.shark.xpdl.elements.Performer\"1%\0\0xq\0~\0#\0q\0~sq\0~\0lzq\0~t\0hodt\0	StartModesr\0)org.enhydra.shark.xpdl.elements.StartModenhS\0\0xq\0~\0\0q\0~sq\0~\0|Qq\0~t\0\0sq\0~\0w\0\0\0t\0Modesr\00org.enhydra.shark.xpdl.elements.StartFinishModes~6zX\'\0\0xq\0~\\\0q\0~\"sq\0~\00q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sr\0,org.enhydra.shark.xpdl.XMLEmptyChoiceElement2;3_\0\0xq\0~\0\0t\0XMLEmptyChoiceElementsq\0~\0#\0q\0~$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0)org.enhydra.shark.xpdl.elements.Automatict?_\0\0xq\0~\0t\0	Automaticsq\0~\0\'q\0~$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsr\0&org.enhydra.shark.xpdl.elements.Manualv[ؤ\0\0xq\0~\0t\0Manualsq\0~\0q\0~$t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~)xsq\0~\0E\0\0\0w\0\0\0q\0~$xt\0\nFinishModesr\0*org.enhydra.shark.xpdl.elements.FinishMode{\0\0xq\0~\0\0q\0~>sq\0~\0_lq\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0q\0~@t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0oR8q\0~Dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0Nq\0~Dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0\")q\0~Dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~Hxsq\0~\0E\0\0\0w\0\0\0q\0~Dxt\0Prioritysq\0~\0q\0~[sq\0~\0RNq\0~t\0\0t\0	Deadlinessr\0)org.enhydra.shark.xpdl.elements.Deadlines>ɜ\0\0xq\0~\0k\0q\0~_sq\0~\0gXB_q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsr\05org.enhydra.shark.xpdl.elements.SimulationInformation\"|I\0\0xq\0~\0\0q\0~fsq\0~\0Smq\0~t\0\0sq\0~\0w\0\0\0t\0\rInstantiationsq\0~\0\0q\0~lsq\0~\0B\"\0q\0~hq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ONCEt\0MULTIPLExt\0Costsr\0$org.enhydra.shark.xpdl.elements.Cost\0\0xq\0~\0#q\0~rsq\0~\0Fgq\0~ht\0\0t\0TimeEstimationsq\0~q\0~wsq\0~\0:(Iq\0~ht\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~|sq\0~\09sq\0~xt\0\0t\0WorkingTimesq\0~\0q\0~sq\0~\0nSq\0~xt\0\0t\0Durationsq\0~\0q\0~sq\0~\02\0Rq\0~xt\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~}q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~mq\0~tq\0~xxt\0Iconsr\0$org.enhydra.shark.xpdl.elements.IconTU(}6\0\0xq\0~\0#\0q\0~sq\0~\03\niq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0pt+q\0~t\0\0t\0TransitionRestrictionssr\06org.enhydra.shark.xpdl.elements.TransitionRestrictionsC)׀i;\0\0xq\0~\0k\0q\0~sq\0~\0	q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0N/q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\01org.enhydra.shark.xpdl.elements.ExtendedAttribute\\F\0\0xq\0~\0t\0ExtendedAttributesq\0~\0c}Coq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\04_pq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpt\0Valuesq\0~\0\0q\0~sq\0~\0f)q\0~t\0hodpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0s\Zq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\02ҿZq\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0*q\0~t\0216,43.72727869677735pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~@q\0~\\q\0~aq\0~hq\0~q\0~q\0~q\0~xsq\0~t\0Activitysq\0~\03dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0l3$q\0~t\0resolve_assigned_requestpq\0~\0sq\0~\0\0q\0~\0sq\0~\0\\q\0~t\0Resolve Requestpt\0Descriptionsq\0~\02\0q\0~sq\0~\0}|Oq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\04q\0~t\0\0q\0~\0sq\0~q\0~\0sq\0~\0\nq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0#uq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0_֎q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0=q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\0/q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0\rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0SubFlowsq\0~\0BПq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0t+q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0Kxq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0cWq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0C3q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0k6bq\0~\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~	sq\0~\0?q\0~t\0assigneet\0	StartModesq\0~\0q\0~\rsq\0~\06\rq\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0=	gq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0aG^q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0Qsq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0zʹq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~?\0q\0~)sq\0~\0pq\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0V q\0~*t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0N-zq\0~.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0iBq\0~.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0 %lq\0~.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~2xsq\0~\0E\0\0\0w\0\0\0q\0~.xt\0Prioritysq\0~\0q\0~Esq\0~\00Q/q\0~t\0\0t\0	Deadlinessq\0~`\0q\0~Isq\0~\0P0qq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~Osq\0~\0lt1q\0~t\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0L/tq\0~Pq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~Wsq\0~\0?ljq\0~Pt\0\0t\0TimeEstimationsq\0~q\0~[sq\0~\09q\0~Pt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~`sq\0~\0[q\0~\\t\0\0t\0WorkingTimesq\0~\0q\0~dsq\0~\0M9q\0~\\t\0\0t\0Durationsq\0~\0q\0~hsq\0~\0%2q\0~\\t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~aq\0~eq\0~ixxsq\0~\0E\0\0\0w\0\0\0q\0~Tq\0~Xq\0~\\xt\0Iconsq\0~\0q\0~nsq\0~\0!Gq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~rsq\0~\0Lq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~vsq\0~\0*uq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~|sq\0~\0shq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0\Z!	q\0~}t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0+}Fq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0`+q\0~t\0assigneepxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0kq\0~}t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0 Mq\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0G|Fq\0~t\0568,21.51249999999999pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~\nq\0~q\0~*q\0~Fq\0~Jq\0~Pq\0~oq\0~sq\0~wq\0~}xsq\0~t\0Activitysq\0~\0\"}Tq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0%\"Mq\0~t\0send_rejected_notifictionpq\0~\0sq\0~\0\0q\0~\0sq\0~\0n\'q\0~t\0\ZSend Rejected Notificationpt\0Descriptionsq\0~\02\0q\0~sq\0~\02-\0q\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0(vq\0~t\0\0q\0~\0sq\0~q\0~\0sq\0~\0mDq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0,q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0+q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0;q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\0}6q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0GYq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0$org.enhydra.shark.xpdl.elements.Tool\\6&+G\0\0xq\0~\0t\0Toolsq\0~\0-q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0.n?q\0~t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0iq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0APPLICATIONt\0	PROCEDURExt\0ActualParameterssq\0~\0q\0~sq\0~\0\"Spq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~sq\0~\0#]q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0oq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~xxsq\0~t\0SubFlowsq\0~\0F|q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0W*q\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0	\n0q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0|q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0Sq\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0bxq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~sq\0~\0qfq\0~t\0	requestert\0	StartModesq\0~\0q\0~sq\0~\09Bq\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0cLq\0~\rt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0dFnq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0^q0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\07q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~?\0q\0~(sq\0~\0fC,q\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0DK&q\0~)t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0-hq\0~-t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0}q\0~-t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0jYnq\0~-t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~1xsq\0~\0E\0\0\0w\0\0\0q\0~-xt\0Prioritysq\0~\0q\0~Dsq\0~\0gq\0~t\0\0t\0	Deadlinessq\0~`\0q\0~Hsq\0~\0Deq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~Nsq\0~\0.q\0~t\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0hq\0~Oq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~Vsq\0~\0+rq\0~Ot\0\0t\0TimeEstimationsq\0~q\0~Zsq\0~\00pq\0~Ot\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~_sq\0~\0.gCq\0~[t\0\0t\0WorkingTimesq\0~\0q\0~csq\0~\0*˂q\0~[t\0\0t\0Durationsq\0~\0q\0~gsq\0~\0M٤q\0~[t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~`q\0~dq\0~hxxsq\0~\0E\0\0\0w\0\0\0q\0~Sq\0~Wq\0~[xt\0Iconsq\0~\0q\0~msq\0~\0UŅq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~qsq\0~\0>ʟq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~usq\0~\0T:q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~{sq\0~\0XSq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0^q\0~|t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0zFVq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0Imq\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0bq\0~|t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0?4q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0w\'q\0~t\0493,64.37500666308594pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~	q\0~\rq\0~)q\0~Eq\0~Iq\0~Oq\0~nq\0~rq\0~vq\0~|xsq\0~t\0Activitysq\0~\0CsEq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~t\0route1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0Dډq\0~t\0Route 1pt\0Descriptionsq\0~\02\0q\0~sq\0~\0gbq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0Hq\0~t\0\0q\0~\0sq\0~q\0~\0sq\0~\0q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0Beq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0#Fq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0txq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\08#q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0\\!q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0SubFlowsq\0~\05q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0{uBq\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0OsV#q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0<q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0(i!q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0E\ntq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~sq\0~\0j%ijq\0~t\0hodt\0	StartModesq\0~\0q\0~sq\0~\0>+q\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\03dq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0p}\rq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0`\Z\ZKq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0Qc7q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~?\0q\0~sq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\04(cq\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0Z.q\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0=\'9Hq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0Z!Uq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0Prioritysq\0~\0q\0~$sq\0~\0_\"}q\0~t\0\0t\0	Deadlinessq\0~`\0q\0~(sq\0~\0Qiq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~.sq\0~\0Kq\0~t\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0O:%q\0~/q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~6sq\0~\0r$q\0~/t\0\0t\0TimeEstimationsq\0~q\0~:sq\0~\0,&6q\0~/t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~?sq\0~\0$$q\0~;t\0\0t\0WorkingTimesq\0~\0q\0~Csq\0~\0m_q\0~;t\0\0t\0Durationsq\0~\0q\0~Gsq\0~\0d.8q\0~;t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~@q\0~Dq\0~Hxxsq\0~\0E\0\0\0w\0\0\0q\0~3q\0~7q\0~;xt\0Iconsq\0~\0q\0~Msq\0~\0dRq\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~Qsq\0~\0nyCq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~Usq\0~\0sV,q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\05org.enhydra.shark.xpdl.elements.TransitionRestrictionN}\0\0xq\0~\0t\0TransitionRestrictionsq\0~\0!q\0~Vt\0\0sq\0~\0w\0\0\0t\0Joinsr\0$org.enhydra.shark.xpdl.elements.Joinڕөx)5\0\0xq\0~\0\0q\0~asq\0~\0I7q\0~\\t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0:@Iq\0~ct\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0ANDt\0XORxxsq\0~\0E\0\0\0w\0\0\0q\0~gxt\0Splitsr\0%org.enhydra.shark.xpdl.elements.Split~ѯWS\0\0xq\0~\0\0q\0~nsq\0~\0Rvaq\0~\\t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0cq\0~pt\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~kq\0~lxt\0TransitionRefssr\0.org.enhydra.shark.xpdl.elements.TransitionRefsъ\0\0xq\0~\0k\0q\0~xsq\0~\0xq\0~pt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0-org.enhydra.shark.xpdl.elements.TransitionRef%-a\0\0xq\0~\0t\0\rTransitionRefsq\0~\0/Bq\0~zt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Kd_q\0~t\0transition4pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rTransitionRefsq\0~\0Cq\0~zt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0H<؄q\0~t\0transition3pxsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rTransitionRefsq\0~\0)q\0~zt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0.>Rq\0~t\0transition12pxsq\0~\0E\0\0\0w\0\0\0q\0~xxxsq\0~\0E\0\0\0w\0\0\0q\0~tq\0~zxxsq\0~\0E\0\0\0w\0\0\0q\0~cq\0~pxxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0Weq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0RҼq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0	iq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0q\0~t\0hodpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0\"4q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Qbq\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0q\0~t\0392,49.72727869677735pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~	q\0~%q\0~)q\0~/q\0~Nq\0~Rq\0~Vq\0~xsq\0~t\0Activitysq\0~\0LhPvq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0}q\0~t\0verifiy_resolved_requestpq\0~\0sq\0~\0\0q\0~\0sq\0~\0Tz*q\0~t\0Verify Resolved Requestpt\0Descriptionsq\0~\02\0q\0~sq\0~\0=fq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0X\\q\0~t\0\0q\0~\0sq\0~q\0~\0sq\0~\0/\\q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0EN$q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0aAFq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0.q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\0Kɺq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0]0q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0SubFlowsq\0~\0Iq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0k\'Aq\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0^VQq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0u>q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0}X7q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0*vq\0~t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~t\0	Performersq\0~\0q\0~\nsq\0~\0.q\0~t\0	requestert\0	StartModesq\0~\0q\0~sq\0~\0ce.q\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0Dq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0QڧMq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0j6q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0MEq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~?\0q\0~*sq\0~\0\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0iq\0~+t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0$Faq\0~/t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0tWq\0~/t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0N7q\0~/t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~3xsq\0~\0E\0\0\0w\0\0\0q\0~/xt\0Prioritysq\0~\0q\0~Fsq\0~\0*+4q\0~t\0\0t\0	Deadlinessq\0~`\0q\0~Jsq\0~\0z;q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~Psq\0~\0Tbq\0~t\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0wNq\0~Qq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~Xsq\0~\0\"zq\0~Qt\0\0t\0TimeEstimationsq\0~q\0~\\sq\0~\0xvq\0~Qt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~asq\0~\0oq\0~]t\0\0t\0WorkingTimesq\0~\0q\0~esq\0~\0$l2q\0~]t\0\0t\0Durationsq\0~\0q\0~isq\0~\0n\\TLq\0~]t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~bq\0~fq\0~jxxsq\0~\0E\0\0\0w\0\0\0q\0~Uq\0~Yq\0~]xt\0Iconsq\0~\0q\0~osq\0~\0o.q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~ssq\0~\0Dq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~wsq\0~\0* q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~[t\0TransitionRestrictionsq\0~\0q\0~xt\0\0sq\0~\0w\0\0\0t\0Joinsq\0~b\0q\0~sq\0~\0d`q\0~}t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0A2bq\0~t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~kq\0~lxxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Splitsq\0~o\0q\0~sq\0~\0RSq\0~}t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\03q\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~kq\0~lxt\0TransitionRefssq\0~y\0q\0~sq\0~\0%lwq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0ssSq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0i\nq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0Sq\0~t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0>/eq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\04q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0.q\0~t\0834,27pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~+q\0~Gq\0~Kq\0~Qq\0~pq\0~tq\0~xq\0~xsq\0~t\0Activitysq\0~\0&}q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Iuq\0~t\0route2pq\0~\0sq\0~\0\0q\0~\0sq\0~\0bq\0~t\0Route 2pt\0Descriptionsq\0~\02\0q\0~sq\0~\0hq\0~t\0\0t\0Limitsq\0~\0q\0~sq\0~\0Aq\0~t\0\0q\0~\0sq\0~q\0~\0sq\0~\0kF4q\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0Jq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0}sq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\0cq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0yq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0SubFlowsq\0~\0<Tq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0abq\0~t\0\0pq\0~sq\0~\0\0q\0~sq\0~\0\"Sq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\0(q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~xxq\0~xsq\0~\0E\0\0\0w\0\0\0q\0~xsq\0~t\0\rBlockActivitysq\0~\0a0q\0~t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0lqq\0~	\0t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~	xxq\0~t\0	Performersq\0~\0q\0~		sq\0~\0(|q\0~t\0	requestert\0	StartModesq\0~\0q\0~	\rsq\0~\0@q\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0A1q\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0խq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0{\"Tq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0\nq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0\nFinishModesq\0~?\0q\0~	)sq\0~\09qtq\0~t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0O\"q\0~	*t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0sq\0~	.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0Icq\0~	.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0Tq\0~	.t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~	2xsq\0~\0E\0\0\0w\0\0\0q\0~	.xt\0Prioritysq\0~\0q\0~	Esq\0~\0yq\0~t\0\0t\0	Deadlinessq\0~`\0q\0~	Isq\0~\0xUAq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~	Osq\0~\0%x\\mq\0~t\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0\0Sq\0~	Pq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~	Wsq\0~\0#Kvq\0~	Pt\0\0t\0TimeEstimationsq\0~q\0~	[sq\0~\0/Zdq\0~	Pt\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~	`sq\0~\0fTυq\0~	\\t\0\0t\0WorkingTimesq\0~\0q\0~	dsq\0~\0JY?q\0~	\\t\0\0t\0Durationsq\0~\0q\0~	hsq\0~\0c]q\0~	\\t\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~	aq\0~	eq\0~	ixxsq\0~\0E\0\0\0w\0\0\0q\0~	Tq\0~	Xq\0~	\\xt\0Iconsq\0~\0q\0~	nsq\0~\0>q\0~t\0\0t\0\rDocumentationsq\0~\07\0q\0~	rsq\0~\0Msq\0~t\0\0t\0TransitionRestrictionssq\0~\0q\0~	vsq\0~\0ZcAq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~[t\0TransitionRestrictionsq\0~\07q\0~	wt\0\0sq\0~\0w\0\0\0t\0Joinsq\0~b\0q\0~	sq\0~\0_^q\0~	|t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0\rRq\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~kq\0~lxxsq\0~\0E\0\0\0w\0\0\0q\0~	xt\0Splitsq\0~o\0q\0~	sq\0~\0zq\0~	|t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0L`q\0~	t\0XORsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~kq\0~lxt\0TransitionRefssq\0~y\0q\0~	sq\0~\0\"4q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0\rTransitionRefsq\0~\0\'rq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0sjq\0~	t\0transition10pxsq\0~\0E\0\0\0w\0\0\0q\0~	xsq\0~t\0\rTransitionRefsq\0~\0\nq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~	t\0transition9pxsq\0~\0E\0\0\0w\0\0\0q\0~	xxxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xxt\0ExtendedAttributessq\0~\0\0q\0~	sq\0~\0*j/q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\06֖q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0BH׺q\0~	t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0<KUq\0~	t\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xsq\0~t\0ExtendedAttributesq\0~\0eE_q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Hq\0~	t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0ߒq\0~	t\0995,30.45453547167969pxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~	\nq\0~	q\0~	*q\0~	Fq\0~	Jq\0~	Pq\0~	oq\0~	sq\0~	wq\0~	xsq\0~t\0Activitysq\0~\0q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0-;q\0~	t\0\Zsend_verified_notificationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0E|i6q\0~	t\0\ZSend Verified Notificationpt\0Descriptionsq\0~\02\0q\0~	sq\0~\0j{q\0~	t\0\0t\0Limitsq\0~\0q\0~	sq\0~\0v= q\0~	t\0\0q\0~\0sq\0~q\0~\0sq\0~\0\'@{bq\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0zdsq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0Xq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0)Eq\0~	t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\0xq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0A6Eq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0Toolsq\0~\0q\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0X=q\0~	t\0default_applicationpq\0~\0sq\0~\0\0q\0~\0sq\0~\0p.q\0~	q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~\n	sq\0~\0ڔq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0Descriptionsq\0~\02\0q\0~\nsq\0~\0+YGq\0~	t\0\0t\0ExtendedAttributessq\0~\0\0q\0~\nsq\0~\0rE,0q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xpxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\n\nq\0~\nq\0~\nxxsq\0~t\0SubFlowsq\0~\08V\rq\0~	t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\00q\0~\n\Zt\0\0pq\0~sq\0~\0\0q\0~sq\0~\0lq\0~\n\Zq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~\n%sq\0~\0A7.tq\0~\n\Zt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\n\"q\0~\n&xxq\0~	xsq\0~\0E\0\0\0w\0\0\0q\0~	xsq\0~t\0\rBlockActivitysq\0~\0\rq\0~	t\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\0Lq\0~\n-t\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~\n2xxq\0~	t\0	Performersq\0~\0q\0~\n6sq\0~\0A/H q\0~	t\0	requestert\0	StartModesq\0~\0q\0~\n:sq\0~\0(NOq\0~	t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0g-(4q\0~\n;t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0oanhq\0~\n?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0eq\0~\n?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0GSq\0~\n?t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\nCxsq\0~\0E\0\0\0w\0\0\0q\0~\n?xt\0\nFinishModesq\0~?\0q\0~\nVsq\0~\0 E\\q\0~	t\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0)ƭsq\0~\nWt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0n1_q\0~\n[t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0&~q\0~\n[t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0\0\"q\0~\n[t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~\n_xsq\0~\0E\0\0\0w\0\0\0q\0~\n[xt\0Prioritysq\0~\0q\0~\nrsq\0~\0Cq\0~	t\0\0t\0	Deadlinessq\0~`\0q\0~\nvsq\0~\0Ut`Xq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~\n|sq\0~\0Ka]<q\0~	t\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0e04q\0~\n}q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~\nsq\0~\0?ڲq\0~\n}t\0\0t\0TimeEstimationsq\0~q\0~\nsq\0~\0/q\0~\n}t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~\nsq\0~\0Vq\0~\nt\0\0t\0WorkingTimesq\0~\0q\0~\nsq\0~\0Q=Wq\0~\nt\0\0t\0Durationsq\0~\0q\0~\nsq\0~\0_Dq\0~\nt\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\nxxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\nxt\0Iconsq\0~\0q\0~\nsq\0~\0Yq\0~	t\0\0t\0\rDocumentationsq\0~\07\0q\0~\nsq\0~\0x?q\0~	t\0\0t\0TransitionRestrictionssq\0~\0q\0~\nsq\0~\0uq\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~\nsq\0~\0q\0~	t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0zfq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0}\rq\0~\nt\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0Acq\0~\nt\0	requesterpxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nxsq\0~t\0ExtendedAttributesq\0~\0)q\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\'Sq\0~\nt\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0vjjq\0~\nt\0963,132.3374816894531pxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nxxpxsq\0~\0E\0\0\0w\0\0\0q\0~	q\0~	q\0~	q\0~	q\0~	q\0~\n7q\0~\n;q\0~\nWq\0~\nsq\0~\nwq\0~\n}q\0~\nq\0~\nq\0~\nq\0~\nxsq\0~t\0Activitysq\0~\0qaq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0:yxq\0~\nt\0resolve_reopened_requestpq\0~\0sq\0~\0\0q\0~\0sq\0~\0<q\0~\nt\0Resolve Reopened Requestpt\0Descriptionsq\0~\02\0q\0~\nsq\0~\0s>q\0~\nt\0\0t\0Limitsq\0~\0q\0~\nsq\0~\0&Quq\0~\nt\0\0q\0~\0sq\0~q\0~\0sq\0~\0-\ZLq\0~\nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Routesq\0~\0Bq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0Implementationsq\0~\0]Xq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~q\0~\0sq\0~\0^Gq\0~\nt\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~t\0Nosq\0~\0Sq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~\0t\0Toolssq\0~\0)*%q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~t\0SubFlowsq\0~\0\rlq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0edq\0~\nt\0\0pq\0~sq\0~\0\0q\0~sq\0~\09q\0~\nq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~xt\0ActualParameterssq\0~\0q\0~sq\0~\025kq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~q\0~xxq\0~\nxsq\0~\0E\0\0\0w\0\0\0q\0~\nxsq\0~t\0\rBlockActivitysq\0~\0[q\0~\nt\0\0sq\0~\0w\0\0\0q\0~sq\0~\0q\0~sq\0~\00q\0~\rt\0\0pxsq\0~\0E\0\0\0w\0\0\0q\0~xxq\0~\nt\0	Performersq\0~\0q\0~sq\0~\0mjq\0~\nt\0hodt\0	StartModesq\0~\0q\0~\Zsq\0~\0mXq\0~\nt\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0;ҭq\0~t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0oq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0pvq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\0ociq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~#xsq\0~\0E\0\0\0w\0\0\0q\0~xt\0\nFinishModesq\0~?\0q\0~6sq\0~\0N{q\0~\nt\0\0sq\0~\0w\0\0\0q\0~\"sq\0~#\0q\0~\"sq\0~\0Tq\0~7t\0\0sq\0~\0E\0\0\0w\0\0\0sq\0~(\0t\0XMLEmptyChoiceElementsq\0~\0\ZԮq\0~;t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~/t\0	Automaticsq\0~\0	q\0~;t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xsq\0~6t\0Manualsq\0~\02q\0~;t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xxq\0~?xsq\0~\0E\0\0\0w\0\0\0q\0~;xt\0Prioritysq\0~\0q\0~Rsq\0~\0o_q\0~\nt\0\0t\0	Deadlinessq\0~`\0q\0~Vsq\0~\0Gq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0SimulationInformationsq\0~g\0q\0~\\sq\0~\0UPq\0~\nt\0\0sq\0~\0w\0\0\0q\0~lsq\0~\0\0q\0~lsq\0~\0U>q\0~]q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~pq\0~qxt\0Costsq\0~sq\0~dsq\0~\0haoq\0~]t\0\0t\0TimeEstimationsq\0~q\0~hsq\0~\0T0q\0~]t\0\0sq\0~\0w\0\0\0t\0WaitingTimesq\0~\0q\0~msq\0~\02q\0~it\0\0t\0WorkingTimesq\0~\0q\0~qsq\0~\0P$q\0~it\0\0t\0Durationsq\0~\0q\0~usq\0~\0muq\0~it\0\0xsq\0~\0E\0\0\0w\0\0\0q\0~nq\0~rq\0~vxxsq\0~\0E\0\0\0w\0\0\0q\0~aq\0~eq\0~ixt\0Iconsq\0~\0q\0~{sq\0~\0Vq\0~\nt\0\0t\0\rDocumentationsq\0~\07\0q\0~sq\0~\0a}q\0~\nt\0\0t\0TransitionRestrictionssq\0~\0q\0~sq\0~\05Kaq\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0\0w\0\0\0\0xt\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0g/q\0~\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0%7q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Dq\0~t\0JaWE_GRAPH_PARTICIPANT_IDpq\0~sq\0~\0\0q\0~sq\0~\0i=\'Dq\0~t\0hodpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0-Vq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\'&q\0~t\0JaWE_GRAPH_OFFSETpq\0~sq\0~\0\0q\0~sq\0~\0,X٢q\0~t\0956,39.44319056201172pxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~\nq\0~\nq\0~\nq\0~\nq\0~\nq\0~q\0~q\0~7q\0~Sq\0~Wq\0~]q\0~|q\0~q\0~q\0~xxt\0Transitionssr\0+org.enhydra.shark.xpdl.elements.Transitions9>/i\0\0xq\0~\0k\0q\0~sq\0~\0dǄtq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0	w\0\0\0	sr\0*org.enhydra.shark.xpdl.elements.Transitiontx\0\0xq\0~\0t\0\nTransitionsq\0~\0[kcq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0<9q\0~t\0transition1pq\0~\0sq\0~\0\0q\0~\0sq\0~\0H;q\0~t\0\0pt\0Fromsq\0~\0q\0~sq\0~\0\\?q\0~t\0resolve_requestpt\0Tosq\0~\0q\0~sq\0~\0Rq\0~t\0route1pt\0	Conditionsr\0)org.enhydra.shark.xpdl.elements.ConditionDZ;|\0\0xq\0~\0\0q\0~sq\0~\0~4q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0+Ehq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pt\0	CONDITIONt\0	OTHERWISEt\0	EXCEPTIONt\0DEFAULTEXCEPTIONxxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0\'Lq\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0gq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0E}q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0罿q\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0zZQQq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0?ۘq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0SJyq\0~t\0transition3pq\0~\0sq\0~\0\0q\0~\0sq\0~\0_zq\0~t\0\0pq\0~sq\0~\0q\0~sq\0~\0?@q\0~t\0route1pq\0~sq\0~\0q\0~sq\0~\0Bq\0~t\0send_rejected_notifictionpt\0	Conditionsq\0~\0q\0~sq\0~\0Rq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0^~nq\0~t\0	OTHERWISEsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0W9q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0X%#q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0=4q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0]oq\0~\rt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0zxq\0~\rt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0h1dq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Kq\0~t\0JaWE_GRAPH_BREAK_POINTSpq\0~sq\0~\0\0q\0~sq\0~\0Rcq\0~t\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~!xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0*}rq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0@O[q\0~&t\0transition4pq\0~\0sq\0~\0\0q\0~\0sq\0~\0XQq\0~&t\0\0pq\0~sq\0~\0q\0~sq\0~\0nq\0~&t\0route1pq\0~sq\0~\0q\0~sq\0~\0<q\0~&t\0resolve_assigned_requestpt\0	Conditionsq\0~\0q\0~7sq\0~\0bJq\0~&t\0status === \"Assigned\"sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0&Yq\0~8t\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~<xt\0Descriptionsq\0~\02\0q\0~Asq\0~\0^tRq\0~&t\0\0t\0ExtendedAttributessq\0~\0\0q\0~Esq\0~\0>`q\0~&t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0J4q\0~Ft\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0C0#Sq\0~Kt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0\r_@q\0~Kt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~Pq\0~Sxsq\0~t\0ExtendedAttributesq\0~\0hq\0~Ft\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0^9fq\0~Wt\0JaWE_GRAPH_BREAK_POINTSpq\0~sq\0~\0\0q\0~sq\0~\0.\rq\0~Wt\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~\\q\0~_xxpxsq\0~\0E\0\0\0w\0\0\0q\0~+q\0~.q\0~1q\0~4q\0~8q\0~Bq\0~Fxsq\0~t\0\nTransitionsq\0~\0z`q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0[q\0~dt\0transition6pq\0~\0sq\0~\0\0q\0~\0sq\0~\0܈tq\0~dt\0\0pq\0~sq\0~\0q\0~sq\0~\0rXgq\0~dt\0resolve_assigned_requestpq\0~sq\0~\0q\0~sq\0~\0	q\0~dt\0verifiy_resolved_requestpt\0	Conditionsq\0~\0q\0~usq\0~\0yq\0~dt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0k\0Ľq\0~vq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~zxt\0Descriptionsq\0~\02\0q\0~~sq\0~\0t,q\0~dt\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0<]7q\0~dt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0\0\"q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0uboq\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0+hq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0zeUq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0;7:q\0~t\0JaWE_GRAPH_BREAK_POINTSpq\0~sq\0~\0\0q\0~sq\0~\0r}`q\0~t\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~iq\0~lq\0~oq\0~rq\0~vq\0~q\0~xsq\0~t\0\nTransitionsq\0~\0%RYq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0(-qq\0~t\0transition8pq\0~\0sq\0~\0\0q\0~\0sq\0~\0q\0~t\0\0pq\0~sq\0~\0q\0~sq\0~\0jdvq\0~t\0verifiy_resolved_requestpq\0~sq\0~\0q\0~sq\0~\0\"yq\0~t\0route2pt\0	Conditionsq\0~\0q\0~sq\0~\0eq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0wtq\0~q\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0^(q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0dWqvq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0;eq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0*Fq\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0lq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Evq\0~t\0transition9pq\0~\0sq\0~\0\0q\0~\0sq\0~\0{%q\0~t\0\0pq\0~sq\0~\0q\0~sq\0~\0k+q\0~t\0route2pq\0~sq\0~\0q\0~sq\0~\0stbq\0~t\0resolve_reopened_requestpt\0	Conditionsq\0~\0q\0~sq\0~\0dΰq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0mq\0~t\0	OTHERWISEsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~xt\0Descriptionsq\0~\02\0q\0~sq\0~\0-q\0~t\0\0t\0ExtendedAttributessq\0~\0\0q\0~sq\0~\0&Xqq\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\04Mq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0].\\q\0~t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\05q\0~t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xsq\0~t\0ExtendedAttributesq\0~\0\rcq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0J*q\0~\rt\0JaWE_GRAPH_BREAK_POINTSpq\0~sq\0~\0\0q\0~sq\0~\02q\0~\rt\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~q\0~q\0~q\0~q\0~q\0~xsq\0~t\0\nTransitionsq\0~\0|P\rq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0\\.uq\0~\rt\0transition10pq\0~\0sq\0~\0\0q\0~\0sq\0~\0whq\0~\rt\0\0pq\0~sq\0~\0q\0~sq\0~\0k:\Zq\0~\rt\0route2pq\0~sq\0~\0q\0~sq\0~\0Z͸:q\0~\rt\0\Zsend_verified_notificationpt\0	Conditionsq\0~\0q\0~\r!sq\0~\0CCaq\0~\rt\0status === \"Verified\"sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0f:q\0~\r\"t\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~\r&xt\0Descriptionsq\0~\02\0q\0~\r+sq\0~\0\nq\0~\rt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\r/sq\0~\0Bq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0VYq\0~\r0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0!Vq\0~\r5t\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0<Wq\0~\r5t\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\r:q\0~\r=xsq\0~t\0ExtendedAttributesq\0~\0[6q\0~\r0t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Iq\0~\rAt\0JaWE_GRAPH_BREAK_POINTSpq\0~sq\0~\0\0q\0~sq\0~\0sq\0~\rAt\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~\rFq\0~\rIxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rq\0~\rq\0~\r\"q\0~\r,q\0~\r0xsq\0~t\0\nTransitionsq\0~\0F-4q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0q\0~\rNt\0transition12pq\0~\0sq\0~\0\0q\0~\0sq\0~\0VAq\0~\rNt\0\0pq\0~sq\0~\0q\0~sq\0~\0jq\0~\rNt\0route1pq\0~sq\0~\0q\0~sq\0~\0:q\0~\rNt\0verifiy_resolved_requestpt\0	Conditionsq\0~\0q\0~\r_sq\0~\0{Fq\0~\rNt\0status === \"Resolved\"sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0d(q\0~\r`t\0	CONDITIONsq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~\rdxt\0Descriptionsq\0~\02\0q\0~\risq\0~\0~|q\0~\rNt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rmsq\0~\0rq\0~\rNt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0kcq\0~\rnt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0[	$q\0~\rst\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0:Iq\0~\rst\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\rxq\0~\r{xsq\0~t\0ExtendedAttributesq\0~\0qҽq\0~\rnt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0wq\0~\rt\0JaWE_GRAPH_BREAK_POINTSpq\0~sq\0~\0\0q\0~sq\0~\0q\0~\rt\0\northogonalpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rSq\0~\rVq\0~\rYq\0~\r\\q\0~\r`q\0~\rjq\0~\rnxsq\0~t\0\nTransitionsq\0~\0:fTq\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0UVq\0~\rt\0transition13pq\0~\0sq\0~\0\0q\0~\0sq\0~\0\r:q\0~\rt\0\0pq\0~sq\0~\0q\0~sq\0~\0\'S3\0q\0~\rt\0resolve_reopened_requestpq\0~sq\0~\0q\0~sq\0~\0G9Y+q\0~\rt\0route1pt\0	Conditionsq\0~\0q\0~\rsq\0~\0NMq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0\0q\0~\0sq\0~\0{~q\0~\rq\0~\0Psq\0~\0E\0\0\0w\0\0\0q\0~\0Pq\0~q\0~q\0~q\0~xxsq\0~\0E\0\0\0w\0\0\0q\0~\rxt\0Descriptionsq\0~\02\0q\0~\rsq\0~\0I_Rq\0~\rt\0\0t\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0M\n&Eq\0~\rt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\00q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0W\0nq\0~\rt\0JaWE_GRAPH_TRANSITION_STYLEpq\0~sq\0~\0\0q\0~sq\0~\0bbq\0~\rt\0NO_ROUTING_ORTHOGONALpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rq\0~\rxxt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0f\\q\0~t\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0a9-4q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0pq\0~\rt\0%JaWE_GRAPH_WORKFLOW_PARTICIPANT_ORDERpq\0~sq\0~\0\0q\0~sq\0~\0S3q\0~\rt\0hod;requester;assigneepxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxsq\0~t\0ExtendedAttributesq\0~\0mxq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Gq\0~\rt\0JaWE_GRAPH_START_OF_WORKFLOWpq\0~sq\0~\0\0q\0~sq\0~\0iCq\0~\rt\0JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=resolve_request,X_OFFSET=257,Y_OFFSET=83,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=START_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxsq\0~t\0ExtendedAttributesq\0~\0yO^q\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0]q\0~\rt\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~sq\0~\0\0q\0~sq\0~\0\"q\0~\rt\0JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=send_verified_notification,X_OFFSET=1156,Y_OFFSET=140,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxsq\0~t\0ExtendedAttributesq\0~\0mq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0%1q\0~\rt\0\ZJaWE_GRAPH_END_OF_WORKFLOWpq\0~sq\0~\0\0q\0~sq\0~\0(q\0~\rt\0JaWE_GRAPH_PARTICIPANT_ID=requester,CONNECTING_ACTIVITY_ID=send_rejected_notifiction,X_OFFSET=671,Y_OFFSET=76,JaWE_GRAPH_TRANSITION_STYLE=NO_ROUTING_ORTHOGONAL,TYPE=END_DEFAULTpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~\rxxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~q\0~\rxxt\0ExtendedAttributessq\0~\0\0q\0~\rsq\0~\0W45q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sq\0~t\0ExtendedAttributesq\0~\0HIq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Aq\0~\rt\0EDITING_TOOLpq\0~sq\0~\0\0q\0~sq\0~\0sq\0~\rt\0Web Workflow Designerpxsq\0~\0E\0\0\0w\0\0\0q\0~\rq\0~xsq\0~t\0ExtendedAttributesq\0~\0y5pq\0~\rt\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0;Y;q\0~t\0EDITING_TOOL_VERSIONpq\0~sq\0~\0\0q\0~sq\0~\0mOq\0~t\0\r5.0-pre-alphapxsq\0~\0E\0\0\0w\0\0\0q\0~q\0~xxpxsq\0~\0E\0\0\0\rw\0\0\0\rq\0~\0q\0~\0q\0~\0q\0~\0Iq\0~\0tq\0~\0q\0~\0q\0~\0q\0~\0q\0~Eq\0~q\0~q\0~\rx\0sq\0~\0w\0\0\0\0xt\01sr\0*org.enhydra.shark.xpdl.elements.Namespaces|<.R\0\0xq\0~\0kt\0\nNamespacessq\0~\0q\0~\0\nt\0\0sq\0~\0w\0\0\0\0xsq\0~\0E\0\0\0w\0\0\0sr\0)org.enhydra.shark.xpdl.elements.Namespacez_\0\0xq\0~\0t\0	Namespacesq\0~\0	D6q\0~t\0\0sq\0~\0w\0\0\0q\0~\0sq\0~\0q\0~\0sq\0~\0Kwq\0~t\0xpdlpq\0~\0sq\0~\0q\0~\0sq\0~\0Dq\0~t\0 http://www.wfmc.org/2002/XPDL1.0pxsq\0~\0E\0\0\0w\0\0\0q\0~\"q\0~%xx',1000215,4,1000216,0);
/*!40000 ALTER TABLE `SHKXPDLData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLHistory`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLHistory` (
  `XPDLId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `XPDLVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `XPDLClassVersion` bigint(20) NOT NULL,
  `XPDLUploadTime` datetime NOT NULL,
  `XPDLHistoryUploadTime` datetime NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLHistory` (`XPDLId`,`XPDLVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLHistory`
--

LOCK TABLES `SHKXPDLHistory` WRITE;
/*!40000 ALTER TABLE `SHKXPDLHistory` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLHistory` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLHistoryData`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLHistoryData` (
  `XPDLContent` mediumblob NOT NULL,
  `XPDLClassContent` mediumblob NOT NULL,
  `XPDLHistory` decimal(19,0) NOT NULL,
  `CNT` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLHistoryData` (`CNT`),
  KEY `SHKXPDLHistoryData_XPDLHistory` (`XPDLHistory`),
  CONSTRAINT `SHKXPDLHistoryData_XPDLHistory` FOREIGN KEY (`XPDLHistory`) REFERENCES `SHKXPDLHistory` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLHistoryData`
--

LOCK TABLES `SHKXPDLHistoryData` WRITE;
/*!40000 ALTER TABLE `SHKXPDLHistoryData` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLHistoryData` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLParticipantPackage`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLParticipantPackage` (
  `PACKAGE_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLParticipantPackage` (`PACKAGE_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLParticipantPackage`
--

LOCK TABLES `SHKXPDLParticipantPackage` WRITE;
/*!40000 ALTER TABLE `SHKXPDLParticipantPackage` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLParticipantPackage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLParticipantProcess`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLParticipantProcess` (
  `PROCESS_ID` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `PACKAGEOID` decimal(19,0) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLParticipantProcess` (`PROCESS_ID`,`PACKAGEOID`),
  KEY `SHKXPDLParticipantProcess_PACKAGEOID` (`PACKAGEOID`),
  CONSTRAINT `SHKXPDLParticipantProcess_PACKAGEOID` FOREIGN KEY (`PACKAGEOID`) REFERENCES `SHKXPDLParticipantPackage` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLParticipantProcess`
--

LOCK TABLES `SHKXPDLParticipantProcess` WRITE;
/*!40000 ALTER TABLE `SHKXPDLParticipantProcess` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLParticipantProcess` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLReferences`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLReferences` (
  `ReferredXPDLId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `ReferringXPDL` decimal(19,0) NOT NULL,
  `ReferredXPDLNumber` int(11) NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLReferences` (`ReferredXPDLId`,`ReferringXPDL`),
  KEY `SHKXPDLReferences_ReferringXPDL` (`ReferringXPDL`),
  CONSTRAINT `SHKXPDLReferences_ReferringXPDL` FOREIGN KEY (`ReferringXPDL`) REFERENCES `SHKXPDLS` (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLReferences`
--

LOCK TABLES `SHKXPDLReferences` WRITE;
/*!40000 ALTER TABLE `SHKXPDLReferences` DISABLE KEYS */;
/*!40000 ALTER TABLE `SHKXPDLReferences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SHKXPDLS`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SHKXPDLS` (
  `XPDLId` varchar(90) COLLATE utf8_unicode_ci NOT NULL,
  `XPDLVersion` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `XPDLClassVersion` bigint(20) NOT NULL,
  `XPDLUploadTime` datetime NOT NULL,
  `oid` decimal(19,0) NOT NULL,
  `version` int(11) NOT NULL,
  PRIMARY KEY (`oid`),
  UNIQUE KEY `I1_SHKXPDLS` (`XPDLId`,`XPDLVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SHKXPDLS`
--

LOCK TABLES `SHKXPDLS` WRITE;
/*!40000 ALTER TABLE `SHKXPDLS` DISABLE KEYS */;
INSERT INTO `SHKXPDLS` VALUES ('crm','1',1184650391000,'2018-01-10 21:03:26',1000202,0),('dashboard','1',1184650391000,'2018-01-10 21:03:29',1000207,0),('expenseclaim','1',1184650391000,'2018-01-10 13:03:29',1000211,0),('isr','1',1184650391000,'2018-01-10 13:03:30',1000215,0);
/*!40000 ALTER TABLE `SHKXPDLS` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_app`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_app` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `published` bit(1) DEFAULT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `license` text COLLATE utf8_unicode_ci,
  `description` longtext COLLATE utf8_unicode_ci,
  `meta` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`appId`,`appVersion`),
  KEY `idx_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_app`
--

LOCK TABLES `app_app` WRITE;
/*!40000 ALTER TABLE `app_app` DISABLE KEYS */;
INSERT INTO `app_app` VALUES ('appcenter',1,'App Center','','2018-01-10 13:03:38','2018-01-10 13:03:38','oRIgWuw8ed5OmS98TSZFxocskOFXU0v3VPneM0k80NqSBK2r6RhNzTNTryZkuj4W',NULL,NULL),('crm',1,'Customer Relationship Management','','2018-01-10 21:03:23','2018-01-10 21:03:28','Vfe6Df5AdlrGEPqFYgTt8XuGJ4XiTt2NnBLEovw3qoQ=',NULL,NULL),('dashboard',1,'Employee Portal','','2018-01-10 21:03:28','2018-01-10 21:03:29','EG7vI0pxpjL7ThQ8m9sQSeEfsbmWrC4TbI37BKjZlO5jbwy29bpHrw==',NULL,NULL),('expenseclaim',1,'Expenses Claim','','2018-01-10 21:03:29','2018-01-10 13:03:30','cggLRcAgu9fsi9+Evtai7+EX+Fx2lx0tRzfPsTbAfbQCrT5RWUgR7w==',NULL,NULL),('isr',1,'Internal Service Request','','2018-01-10 13:03:30','2018-01-10 13:03:31','BXiIDyi75K/balSfhqm1i7aycpqYcRKBBPMkO7zfnto=',NULL,NULL);
/*!40000 ALTER TABLE `app_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_datalist`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_datalist` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `json` longtext COLLATE utf8_unicode_ci,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  PRIMARY KEY (`appId`,`appVersion`,`id`),
  KEY `FK5E9247A6462EF4C7` (`appId`,`appVersion`),
  KEY `idx_name` (`name`),
  CONSTRAINT `FK5E9247A6462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_datalist`
--

LOCK TABLES `app_datalist` WRITE;
/*!40000 ALTER TABLE `app_datalist` DISABLE KEYS */;
INSERT INTO `app_datalist` VALUES ('crm',1,'AccountsDashboard','Accounts Dashboard',NULL,'{\"id\":\"AccountsDashboard\",\"name\":\"Accounts Dashboard\",\"hidePageSize\":\"true\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"id\",\"label\":\"ID\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"accountName\",\"label\":\"Account Name\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"AccountForm\",\"target\":\"_top\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"label\":\"City\",\"displayLabel\":\"City\",\"name\":\"city\"}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'ContactDashboard','Contacts Dashboard',NULL,'{\"id\":\"ContactDashboard\",\"name\":\"Contacts Dashboard\",\"hidePageSize\":\"true\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_contact\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"firstName\",\"label\":\"First Name\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"ContactForm\",\"target\":\"_top\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"Hyperlink\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"label\":\"Last Name\",\"displayLabel\":\"Last Name\",\"name\":\"lastName\"},{\"id\":\"column_4\",\"label\":\"Mobile Number\",\"displayLabel\":\"Mobile Number\",\"name\":\"mobile\"}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'crm_account_list','Accounts',NULL,'{\"id\":\"crm_account_list\",\"name\":\"Accounts\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"2\",\"orderBy\":\"accountName\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[{\"id\":\"rowAction_0\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"type\":\"text\",\"properties\":{\"href\":\"contact_list\",\"target\":\"_self\",\"hrefParam\":\"d-6304176-fn_account\",\"hrefColumn\":\"id\",\"label\":\"View Contacts\",\"confirmation\":\"\",\"visible\":\"\",\"rules\":[]},\"name\":\"Data List Hyperlink\",\"label\":\"Hyperlink\"},{\"id\":\"rowAction_1\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"type\":\"text\",\"properties\":{\"href\":\"ContactForm\",\"target\":\"_self\",\"hrefParam\":\"fk_account\",\"hrefColumn\":\"id\",\"label\":\"New Contact\",\"confirmation\":\"\",\"visible\":\"\",\"rules\":[]},\"name\":\"Data List Hyperlink\",\"label\":\"Hyperlink\"}],\"actions\":[],\"filters\":[{\"id\":\"filter_4\",\"name\":\"id\",\"filterParamName\":\"d-5043735-fn_id\",\"label\":\"Acc Id\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_3\",\"name\":\"accountName\",\"filterParamName\":\"d-5043735-fn_accountName\",\"label\":\"Acc Name\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"city\",\"label\":\"City\"},{\"id\":\"filter_1\",\"name\":\"state\",\"label\":\"State\"},{\"id\":\"filter_0\",\"name\":\"country\",\"label\":\"Country\"}],\"binder\":{\"name\":\"\",\"className\":\"org.joget.apps.datalist.lib.FormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_account\"}},\"columns\":[{\"id\":\"column_0\",\"name\":\"id\",\"label\":\"Acc Id\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"accountName\",\"label\":\"Acc Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"AccountForm\",\"target\":\"_self\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"name\":\"fax\",\"label\":\"Fax\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"label\":\"City\",\"displayLabel\":\"City\",\"name\":\"city\"},{\"id\":\"column_4\",\"name\":\"state\",\"label\":\"State\",\"sortable\":\"true\",\"filterable\":\"true\",\"action\":\"\",\"formats\":\";\"},{\"id\":\"column_5\",\"name\":\"country\",\"label\":\"Country\",\"sortable\":\"true\",\"filterable\":\"true\",\"action\":\"\",\"formats\":\";\"},{\"id\":\"column_3\",\"label\":\"Date Modified\",\"displayLabel\":\"Date Modified\",\"name\":\"dateModified\"}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'crm_contact_list','Contacts',NULL,'{\"id\":\"crm_contact_list\",\"name\":\"Contacts\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"2\",\"orderBy\":\"account\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_1\",\"name\":\"account\",\"filterParamName\":\"d-6304176-fn_account\",\"label\":\"Acc Name\",\"type\":{\"className\":\"org.joget.plugin.enterprise.SelectBoxDataListFilterType\",\"properties\":{\"multiple\":\"autocomplete\",\"size\":\"\",\"defaultValue\":\"\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"filter_2\",\"name\":\"firstName\",\"filterParamName\":\"d-6304176-fn_firstName\",\"label\":\"First Name\",\"type\":{\"className\":\"org.joget.plugin.enterprise.SelectBoxDataListFilterType\",\"properties\":{\"multiple\":\"autocomplete\",\"size\":\"\",\"defaultValue\":\"\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_contact\",\"idColumn\":\"firstName\",\"labelColumn\":\"firstName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"filter_0\",\"name\":\"lastName\",\"label\":\"Last Name\"},{\"id\":\"filter_3\",\"name\":\"mobile\",\"filterParamName\":\"d-6304176-fn_mobile\",\"label\":\"Mobile\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}}],\"binder\":{\"className\":\"org.joget.apps.datalist.lib.FormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_contact\",\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_2\",\"name\":\"account\",\"label\":\"Acc Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"AccountForm\",\"target\":\"_self\",\"hrefParam\":\"id\",\"hrefColumn\":\"account\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"id\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"column_7\",\"label\":\"Title\",\"displayLabel\":\"Title\",\"name\":\"title\"},{\"id\":\"column_5\",\"name\":\"firstName\",\"label\":\"First Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"ContactForm\",\"target\":\"_top\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"lastName\",\"label\":\"Last Name\",\"sortable\":\"true\",\"filterable\":\"true\",\"action\":\"\",\"formats\":\";\"},{\"id\":\"column_3\",\"name\":\"mobile\",\"label\":\"Mobile\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_0\",\"name\":\"office\",\"label\":\"Office\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"email\",\"label\":\"Email\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"name\":\"dateModified\",\"label\":\"Date Modified\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'crm_opportunity_list','Opportunity',NULL,'{\"id\":\"crm_opportunity_list\",\"name\":\"Opportunity\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_2\",\"name\":\"account\",\"filterParamName\":\"d-4412661-fn_account\",\"label\":\"Account\",\"type\":{\"className\":\"org.joget.plugin.enterprise.SelectBoxDataListFilterType\",\"properties\":{\"multiple\":\"autocomplete\",\"size\":\"\",\"defaultValue\":\"\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"filter_1\",\"name\":\"title\",\"label\":\"Opportunity Title\"},{\"id\":\"filter_0\",\"name\":\"stage\",\"filterParamName\":\"d-4412661-fn_stage\",\"label\":\"Stage\",\"type\":{\"className\":\"org.joget.plugin.enterprise.SelectBoxDataListFilterType\",\"properties\":{\"multiple\":\"\",\"size\":\"\",\"defaultValue\":\"\",\"options\":[{\"value\":\"open\",\"label\":\"Open\"},{\"value\":\"won\",\"label\":\"Won\"},{\"value\":\"lost\",\"label\":\"Lost\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"filter_3\",\"name\":\"source\",\"filterParamName\":\"d-4412661-fn_source\",\"label\":\"Source\",\"type\":{\"className\":\"org.joget.plugin.enterprise.SelectBoxDataListFilterType\",\"properties\":{\"multiple\":\"\",\"size\":\"\",\"defaultValue\":\"\",\"options\":[{\"value\":\"Direct\",\"label\":\"Direct\"},{\"value\":\"Indirect\",\"label\":\"Indirect\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}}],\"binder\":{\"name\":\"\",\"className\":\"org.joget.apps.datalist.lib.FormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_opportunity\"}},\"columns\":[{\"id\":\"column_4\",\"name\":\"account\",\"label\":\"Acc Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"column_0\",\"name\":\"title\",\"label\":\"Opp Title\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"OpportunityForm\",\"target\":\"_self\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"Title\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"label\":\"Description\",\"displayLabel\":\"Description\",\"name\":\"description\"},{\"id\":\"column_2\",\"name\":\"amount\",\"label\":\"Amount $\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_3\",\"name\":\"stage\",\"label\":\"Stage\",\"sortable\":\"true\",\"filterable\":\"true\",\"action\":\"\",\"formats\":\";\"},{\"id\":\"column_6\",\"label\":\"Source\",\"displayLabel\":\"Source\",\"name\":\"source\"},{\"id\":\"column_1\",\"name\":\"dateModified\",\"label\":\"Date Modified\",\"sortable\":\"true\",\"filterable\":\"true\",\"action\":\"\",\"formats\":\";\"}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'OpportunityDashboard','Opportunity Dashboard',NULL,'{\"id\":\"OpportunityDashboard\",\"name\":\"Opportunity Dashboard\",\"hidePageSize\":\"true\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_opportunity\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"account\",\"label\":\"Account\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"name\":\"title\",\"label\":\"Opp. Title\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"OpportunityForm\",\"target\":\"_top\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"amount\",\"label\":\"Amount\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'Proposal','Proposals',NULL,'{\"id\":\"Proposal\",\"name\":\"Proposals\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[{\"name\":\"Data List Hyperlink Action\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"label\":\"Hyperlink\",\"type\":\"text\",\"id\":\"action_0\",\"properties\":{\"href\":\"proposal_process\",\"target\":\"_self\",\"label\":\"Submit A New Proposal\",\"confirmation\":\"\",\"visible\":\"true\",\"datalist_type\":\"action\"}}],\"filters\":[{\"id\":\"filter_2\",\"name\":\"account\",\"filterParamName\":\"d-3959580-fn_account\",\"label\":\"Account\",\"type\":{\"className\":\"org.joget.plugin.enterprise.SelectBoxDataListFilterType\",\"properties\":{\"multiple\":\"autocomplete\",\"size\":\"\",\"defaultValue\":\"\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"filter_1\",\"name\":\"title\",\"label\":\"Proposal Title\"},{\"id\":\"filter_0\",\"name\":\"status\",\"label\":\"Status\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_proposal_approval_form\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_2\",\"name\":\"refNo\",\"label\":\"#\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_0\",\"name\":\"account\",\"label\":\"Acc Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}}}}},{\"id\":\"column_4\",\"name\":\"title\",\"label\":\"Proposal Title\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"ProposalForm\",\"target\":\"_self\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"description\",\"label\":\"Description\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"false\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_6\",\"name\":\"selectApprover\",\"label\":\"Approver\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'ProposalDashboardInbox','Proposal Dashboard Inbox',NULL,'{\"id\":\"ProposalDashboardInbox\",\"name\":\"Proposal Dashboard Inbox\",\"hidePageSize\":\"true\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"crm_proposal_approval_form\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_4\",\"name\":\"title\",\"label\":\"Proposal Title\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"ProposalForm\",\"target\":\"_self\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_0\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"false\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.ConditionFormatter\",\"properties\":{\"conditions\":[{\"rule\":\"{status}===\'Approved\'\",\"format\":\"\\\"<span style=\'color:green;font-weight:bold;\'>\\\" + {status} + \\\"<\\/span>\\\"\"},{\"rule\":\"{status}===\'Resubmit\'\",\"format\":\"\\\"<span style=\'color:red;font-weight:bold;\'>\\\" + {status} + \\\"<\\/span>\\\"\"},{\"rule\":\"{status}===\'Rejected\'\",\"format\":\"\\\"<span style=\'color:red;font-weight:bold;\'>\\\" + {status} + \\\"<\\/span>\\\"\"},{\"rule\":\"{status}===\'New\'\",\"format\":\"\\\"<span style=\'color:blue;font-weight:bold;\'>\\\" + {status} + \\\"<\\/span>\\\"\"}]}}}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'ProposalsDashboard','Proposals Dashboard',NULL,'{\"id\":\"ProposalsDashboard\",\"name\":\"Proposals Dashboard\",\"hidePageSize\":\"true\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"joins\":[],\"having\":[],\"aggregateField\":[],\"formDefId\":\"crm_proposal_approval_form\",\"extraCondition\":\"\",\"filters\":[],\"groupBy\":\"\"}},\"columns\":[{\"id\":\"column_0\",\"name\":\"account\",\"label\":\"Acc Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"title\",\"label\":\"Proposal Title\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"ProposalForm\",\"target\":\"_top\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"\",\"confirmation\":\"\",\"visible\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Approved<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Resubmit<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Rejected<\\/span>\"},{\"value\":\"New\",\"label\":\"<span style=\'color:blue;font-weight:bold;\'>New<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'Users','Users',NULL,'{\"id\":\"Users\",\"name\":\"Users\",\"pageSize\":\"0\",\"order\":\"2\",\"orderBy\":\"username\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[{\"name\":\"Data List Hyperlink Action\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"label\":\"Hyperlink\",\"type\":\"text\",\"id\":\"rowAction_0\",\"properties\":{\"href\":\"UserForm\",\"target\":\"_self\",\"hrefParam\":\"id\",\"hrefColumn\":\"username\",\"label\":\"Edit\",\"confirmation\":\"\",\"datalist_type\":\"row_action\",\"rules\":[{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"<>\",\"value\":\"admin\"}]}}],\"actions\":[],\"filters\":[{\"id\":\"filter_0\",\"datalist_type\":\"filter\",\"name\":\"username\",\"filterParamName\":\"d-146950-fn_username\",\"label\":\"Username\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"datalist_type\":\"filter\",\"name\":\"firstName\",\"filterParamName\":\"d-146950-fn_firstName\",\"label\":\"First Name\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_1\",\"datalist_type\":\"filter\",\"name\":\"lastName\",\"filterParamName\":\"d-146950-fn_lastName\",\"label\":\"Last Name\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_3\",\"datalist_type\":\"filter\",\"name\":\"email\",\"filterParamName\":\"d-146950-fn_email\",\"label\":\"Email\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.JogetEntityDatalistBinder\",\"properties\":{\"entity\":\"User\",\"filters\":[],\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_0\",\"datalist_type\":\"column\",\"name\":\"username\",\"label\":\"Username\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"datalist_type\":\"column\",\"name\":\"firstName\",\"label\":\"First Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"datalist_type\":\"column\",\"name\":\"lastName\",\"label\":\"Last Name\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"datalist_type\":\"column\",\"name\":\"active\",\"label\":\"Active\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"1\",\"label\":\"Yes\"},{\"value\":\"0\",\"label\":\"No\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"column_3\",\"label\":\"email\",\"displayLabel\":\"email\",\"name\":\"email\"}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('crm',1,'UsersDashboard','Users Dashboard',NULL,'{\"id\":\"UsersDashboard\",\"name\":\"Users Dashboard\",\"pageSize\":\"10\",\"order\":\"2\",\"orderBy\":\"username\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"true\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.JogetEntityDatalistBinder\",\"properties\":{\"entity\":\"User\",\"filters\":[{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"<>\",\"value\":\"admin\"}],\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_0\",\"datalist_type\":\"column\",\"name\":\"username\",\"label\":\"Username\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"datalist_type\":\"column\",\"name\":\"firstName\",\"label\":\"First Name\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"UserForm\",\"target\":\"_parent\",\"hrefParam\":\"id\",\"hrefColumn\":\"username\",\"label\":\"\",\"confirmation\":\"\"}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"datalist_type\":\"column\",\"name\":\"lastName\",\"label\":\"Last Name\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 21:03:25','2018-01-10 21:03:25'),('dashboard',1,'user_list','User Registration List',NULL,'{\"id\":\"user_list\",\"name\":\"User Registration List\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_0\",\"name\":\"username\",\"label\":\"Desired Username\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"user_approval\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"groupBy\":\"\",\"functionColumns\":[],\"customSelectionValue\":\"\"}},\"columns\":[{\"id\":\"column_6\",\"label\":\"Desired Username\",\"name\":\"username\"},{\"id\":\"column_2\",\"label\":\"First Name\",\"name\":\"firstName\"},{\"id\":\"column_1\",\"label\":\"Last Name\",\"name\":\"lastName\"},{\"id\":\"column_3\",\"label\":\"Email\",\"name\":\"email\"},{\"id\":\"column_0\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_4\",\"label\":\"Date Created\",\"name\":\"dateCreated\"}]}','2018-01-10 21:03:28','2018-01-10 21:03:28'),('expenseclaim',1,'ExpenseClaimDInbox','Expense Dash Inbox',NULL,'{\"id\":\"ExpenseClaimDInbox\",\"name\":\"Expense Dash Inbox\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"true\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesClaim\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_1\",\"datalist_type\":\"column\",\"name\":\"title\",\"label\":\"Title\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_6\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:#B10DC9;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpenseListMini','Expense Dash MyExpenses',NULL,'{\"id\":\"ExpenseListMini\",\"name\":\"Expense Dash MyExpenses\",\"hidePageSize\":\"true\",\"pageSize\":\"10\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesClaim\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"=\",\"value\":\"#currentUser.username#\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_1\",\"datalist_type\":\"column\",\"name\":\"title\",\"label\":\"Title\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"properties\":{\"href\":\"\\/jw\\/web\\/userview\\/expenseclaim\\/home\\/_\\/expensesclaimview?_mode=edit\",\"target\":\"_top\",\"hrefParam\":\"id\",\"hrefColumn\":\"id\",\"label\":\"Edit\",\"confirmation\":\"\"}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"strong\",\"size\":\"\",\"color\":\"blue\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_0\",\"datalist_type\":\"column\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align: right;\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:#B10DC9;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpensesApproved','Expense Approved',NULL,'{\"id\":\"ExpensesApproved\",\"name\":\"Expense Approved\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_1\",\"name\":\"title\",\"filterParamName\":\"d-5777152-fn_title\",\"label\":\"Title\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"dateCreated\",\"filterParamName\":\"d-5777152-fn_dateCreated\",\"label\":\"Date Created\",\"type\":{\"className\":\"org.joget.plugin.enterprise.DateRangeDataListFilterType\",\"properties\":{\"showFieldLabel\":\"true\",\"fromDefaultValue\":\"\",\"toDefaultValue\":\"\",\"fromLabel\":\"From\",\"toLabel\":\"To\",\"format\":\"yy-mm-dd\",\"formatJava\":\"yyyy-MM-dd\",\"yearRange\":\"c-10:c+10\"}}}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesApproval\",\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Approved\"},{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"=\",\"value\":\"#currentUser.username#\"}],\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_1\",\"name\":\"ref\",\"label\":\"#\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_0\",\"label\":\"Title\",\"name\":\"title\"},{\"id\":\"column_2\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align: right;\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green;font-weight:600;\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;font-weight:600;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;font-weight:600;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;font-weight:600;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;font-weight:600;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;font-weight:600;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:orange;font-weight:600;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"column_5\",\"name\":\"dateCreated\",\"label\":\"Created\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd, yyyy\"}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpensesClosed','Expense Closed',NULL,'{\"id\":\"ExpensesClosed\",\"name\":\"Expense Closed\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_1\",\"name\":\"title\",\"filterParamName\":\"d-5777152-fn_title\",\"label\":\"Title\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"dateCreated\",\"filterParamName\":\"d-5777152-fn_dateCreated\",\"label\":\"Date Created\",\"type\":{\"className\":\"org.joget.plugin.enterprise.DateRangeDataListFilterType\",\"properties\":{\"showFieldLabel\":\"true\",\"fromDefaultValue\":\"\",\"toDefaultValue\":\"\",\"fromLabel\":\"From\",\"toLabel\":\"To\",\"format\":\"yy-mm-dd\",\"formatJava\":\"yyyy-MM-dd\",\"yearRange\":\"c-10:c+10\"}}}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesApproval\",\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Verified\"},{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"=\",\"value\":\"#currentUser.username#\"}],\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_1\",\"datalist_type\":\"column\",\"name\":\"ref\",\"label\":\"#\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_0\",\"datalist_type\":\"column\",\"name\":\"title\",\"label\":\"Title\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align:right;\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;font-weight:bold;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:orange;font-weight:bold;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"column_4\",\"name\":\"dateCreated\",\"label\":\"Created\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd, yyyy\"}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpensesInbox','Expense Inbox',NULL,'{\"id\":\"ExpensesInbox\",\"name\":\"Expense Inbox\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[{\"name\":\"Data List Hyperlink Action\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"label\":\"Hyperlink\",\"type\":\"text\",\"id\":\"action_0\",\"properties\":{\"href\":\"new_claim\",\"target\":\"_self\",\"label\":\"Create A New Expense Claim\",\"confirmation\":\"\",\"visible\":\"true\"}}],\"filters\":[{\"name\":\"title\",\"id\":\"filter_1\",\"label\":\"Title\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}},\"filterParamName\":\"d-5777152-fn_title\"},{\"name\":\"claimant\",\"id\":\"filter_2\",\"label\":\"Submit By\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}},\"filterParamName\":\"d-6857696-fn_claimant\"},{\"name\":\"dateCreated\",\"id\":\"filter_0\",\"label\":\"Date Created\",\"type\":{\"className\":\"org.joget.plugin.enterprise.DateRangeDataListFilterType\",\"properties\":{\"fromLabel\":\"From\",\"toLabel\":\"To\",\"formatJava\":\"yyyy-MM-dd\",\"fromDefaultValue\":\"\",\"yearRange\":\"c-10:c+10\",\"showFieldLabel\":\"true\",\"format\":\"yy-mm-dd\",\"toDefaultValue\":\"\"}},\"filterParamName\":\"d-5777152-fn_dateCreated\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"joins\":[],\"having\":[],\"aggregateField\":[],\"formDefId\":\"ExpensesClaim\",\"extraCondition\":\"\",\"filters\":[],\"groupBy\":\"\"}},\"columns\":[{\"hidden\":\"false\",\"name\":\"ref\",\"width\":\"\",\"format\":{\"className\":\"\",\"properties\":{}},\"action\":{\"className\":\"\",\"properties\":{}},\"style\":\"\",\"id\":\"column_0\",\"label\":\"#\",\"sortable\":\"false\",\"exclude_export\":\"\"},{\"hidden\":\"false\",\"name\":\"title\",\"width\":\"\",\"format\":{\"className\":\"\",\"properties\":{}},\"action\":{\"className\":\"\",\"properties\":{}},\"style\":\"\",\"id\":\"column_1\",\"label\":\"Title\",\"sortable\":\"false\",\"exclude_export\":\"\"},{\"id\":\"column_2\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align:right;\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"hidden\":\"false\",\"name\":\"status\",\"width\":\"\",\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"<span style=\'color:green;font-weight:bold;\'>Approved<\\/span>\",\"value\":\"Approved\"},{\"label\":\"<span style=\'color:red;font-weight:bold;\'>Finance Rejected<\\/span>\",\"value\":\"Finance Rejected\"},{\"label\":\"<span style=\'color:gray;font-weight:bold;\'>Draft<\\/span>\",\"value\":\"Draft\"},{\"label\":\"<span style=\'color:red;font-weight:bold;\'>Rejected<\\/span>\",\"value\":\"Rejected\"},{\"label\":\"<span style=\'color:red;font-weight:bold;\'>Resubmit<\\/span>\",\"value\":\"Resubmit\"},{\"label\":\"<span style=\'color:green;font-weight:bold;\'>Verified<\\/span>\",\"value\":\"Verified\"},{\"label\":\"<span style=\'color:orange;font-weight:bold;\'>Submitted<\\/span>\",\"value\":\"Submitted\"}]}},\"action\":{\"className\":\"\",\"properties\":{}},\"style\":\"\",\"id\":\"column_3\",\"label\":\"Status\",\"sortable\":\"true\",\"exclude_export\":\"\"},{\"hidden\":\"false\",\"name\":\"claimant\",\"width\":\"\",\"format\":{\"className\":\"\",\"properties\":{}},\"action\":{\"className\":\"\",\"properties\":{}},\"style\":\"\",\"id\":\"column_4\",\"label\":\"Submit By\",\"sortable\":\"true\",\"exclude_export\":\"\"},{\"displayLabel\":\"Remark\",\"name\":\"remark\",\"id\":\"column_5\",\"label\":\"Remark\"},{\"displayLabel\":\"Select Approver\",\"name\":\"SelectApprover\",\"id\":\"column_6\",\"label\":\"Select Approver\"},{\"hidden\":\"false\",\"name\":\"dateCreated\",\"width\":\"\",\"headerAlignment\":\"\",\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd, yyyy\"}},\"action\":{\"className\":\"\",\"properties\":{}},\"style\":\"\",\"id\":\"column_7\",\"label\":\"Created\",\"sortable\":\"false\",\"exclude_export\":\"\",\"alignment\":\"\"}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpensesListAll','Expense All',NULL,'{\"id\":\"ExpensesListAll\",\"name\":\"Expense All\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_1\",\"name\":\"title\",\"filterParamName\":\"d-5777152-fn_title\",\"label\":\"Title\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"claimant\",\"filterParamName\":\"d-6857696-fn_claimant\",\"label\":\"Submit By\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"dateCreated\",\"filterParamName\":\"d-5777152-fn_dateCreated\",\"label\":\"Date Created\",\"type\":{\"className\":\"org.joget.plugin.enterprise.DateRangeDataListFilterType\",\"properties\":{\"showFieldLabel\":\"true\",\"fromDefaultValue\":\"\",\"toDefaultValue\":\"\",\"fromLabel\":\"From\",\"toLabel\":\"To\",\"format\":\"yy-mm-dd\",\"formatJava\":\"yyyy-MM-dd\",\"yearRange\":\"c-10:c+10\"}}}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesClaim\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"<>\",\"value\":\"Draft\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"datalist_type\":\"column\",\"name\":\"ref\",\"label\":\"#\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"datalist_type\":\"column\",\"name\":\"title\",\"label\":\"Title\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align:right;\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_3\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;font-weight:bold;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:orange;font-weight:bold;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"column_4\",\"name\":\"claimant\",\"label\":\"Submit By\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"name\":\"remark\",\"label\":\"Claimant Remark\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"label\":\"Select Approver\",\"displayLabel\":\"Select Approver\",\"name\":\"SelectApprover\"},{\"id\":\"column_7\",\"name\":\"dateCreated\",\"label\":\"Created\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd, yyyy\"}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpensesRejected','Expense Rejected',NULL,'{\"id\":\"ExpensesRejected\",\"name\":\"Expense Rejected\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_0\",\"name\":\"title\",\"filterParamName\":\"d-5777152-fn_title\",\"label\":\"Title\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_1\",\"name\":\"dateCreated\",\"filterParamName\":\"d-5777152-fn_dateCreated\",\"label\":\"Date Created\",\"type\":{\"className\":\"org.joget.plugin.enterprise.DateRangeDataListFilterType\",\"properties\":{\"showFieldLabel\":\"true\",\"fromDefaultValue\":\"\",\"toDefaultValue\":\"\",\"fromLabel\":\"From\",\"toLabel\":\"To\",\"format\":\"yy-mm-dd\",\"formatJava\":\"yyyy-MM-dd\",\"yearRange\":\"c-10:c+10\"}}}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesApproval\",\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"IN\",\"value\":\"Rejected;Finance Rejected\"},{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"=\",\"value\":\"#currentUser.username#\"}],\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_1\",\"name\":\"ref\",\"label\":\"#\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_0\",\"label\":\"Title\",\"name\":\"title\"},{\"id\":\"column_2\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align: right;\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;font-weight:bold;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:orange;font-weight:bold;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"column_3\",\"name\":\"dateCreated\",\"label\":\"Created\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd, yyyy\"}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'ExpensesSubmitted','Expense Submitted',NULL,'{\"id\":\"ExpensesSubmitted\",\"name\":\"Expense Submitted\",\"hidePageSize\":\"\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateModified\",\"description\":\"\",\"useSession\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[{\"name\":\"Data List Hyperlink Action\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"label\":\"Hyperlink\",\"type\":\"text\",\"id\":\"action_0\",\"properties\":{\"href\":\"new_claim\",\"target\":\"_self\",\"label\":\"Create A New Expense Claim\",\"confirmation\":\"\",\"visible\":\"true\"}}],\"filters\":[{\"id\":\"filter_0\",\"name\":\"title\",\"filterParamName\":\"d-5777152-fn_title\",\"label\":\"Title\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_1\",\"name\":\"dateCreated\",\"filterParamName\":\"d-5777152-fn_dateCreated\",\"label\":\"Date Created\",\"type\":{\"className\":\"org.joget.plugin.enterprise.DateRangeDataListFilterType\",\"properties\":{\"showFieldLabel\":\"true\",\"fromDefaultValue\":\"\",\"toDefaultValue\":\"\",\"fromLabel\":\"From\",\"toLabel\":\"To\",\"format\":\"yy-mm-dd\",\"formatJava\":\"yyyy-MM-dd\",\"yearRange\":\"c-10:c+10\"}}}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesClaim\",\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Submitted\"},{\"join\":\"AND\",\"field\":\"username\",\"operator\":\"=\",\"value\":\"#currentUser.username#\"}],\"extraCondition\":\"\"}},\"columns\":[{\"id\":\"column_1\",\"label\":\"Title\",\"name\":\"title\"},{\"id\":\"column_0\",\"label\":\"Ref\",\"name\":\"ref\"},{\"id\":\"column_2\",\"name\":\"total\",\"label\":\"$\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"text-align: right;\",\"alignment\":\"dataListAlignRight\",\"headerAlignment\":\"dataListAlignRight\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"status\",\"label\":\"Status\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.OptionsValueFormatter\",\"properties\":{\"options\":[{\"value\":\"Approved\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Approved<\\/span>\"},{\"value\":\"Finance Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Finance Rejected<\\/span>\"},{\"value\":\"Draft\",\"label\":\"<span style=\'color:gray;font-weight:bold;\'>Draft<\\/span>\"},{\"value\":\"Rejected\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Rejected<\\/span>\"},{\"value\":\"Resubmit\",\"label\":\"<span style=\'color:red;font-weight:bold;\'>Resubmit<\\/span>\"},{\"value\":\"Verified\",\"label\":\"<span style=\'color:green;font-weight:bold;\'>Verified<\\/span>\"},{\"value\":\"Submitted\",\"label\":\"<span style=\'color:orange;font-weight:bold;\'>Submitted<\\/span>\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}}}}},{\"id\":\"column_3\",\"name\":\"dateCreated\",\"label\":\"Created\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd, yyyy\"}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'SetupCategory','Expense Setup Category',NULL,'{\"id\":\"SetupCategory\",\"name\":\"Expense Setup Category\",\"pageSize\":\"0\",\"order\":\"2\",\"orderBy\":\"Category\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_0\",\"name\":\"Category\",\"label\":\"Expense Category\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"SetupCategory\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_1\",\"label\":\"Expense Category\",\"displayLabel\":\"Expense Category\",\"name\":\"Category\"},{\"id\":\"column_0\",\"name\":\"dateModified\",\"label\":\"Modified\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"dataListAlignLeft\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.plugin.enterprise.DateFormatter\",\"properties\":{\"dataFormat\":\"yyyy-MM-dd\",\"displayFormat\":\"MMM dd yyyy\"}}}]}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('isr',1,'isr_all_requests','ISR All Requests',NULL,'{\"id\":\"isr_all_requests\",\"name\":\"ISR All Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"ref_id\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_1\",\"name\":\"ref_id\",\"filterParamName\":\"d-3819911-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_0\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_3\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"ref_id\",\"label\":\"#\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"name\":\"subject\",\"label\":\"Subject\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_3\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"name\":\"assignee\",\"label\":\"Assignee\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"createdDate\",\"label\":\"Request Date\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_assigned_requests','ISR Assigned Requests',NULL,'{\"id\":\"isr_assigned_requests\",\"name\":\"ISR Assigned Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-7417520-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Assigned\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"label\":\"Ref Id\",\"name\":\"ref_id\"},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_2\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_3\",\"label\":\"Assignee\",\"name\":\"assignee\"},{\"id\":\"column_4\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"name\":\"createdDate\",\"label\":\"Request Date\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_new_requests','ISR New Requests',NULL,'{\"id\":\"isr_new_requests\",\"name\":\"ISR New Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"ref_id\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-5925992-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"New\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"label\":\"Ref Id\",\"name\":\"ref_id\"},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_2\",\"label\":\"Priority\",\"name\":\"priority\"},{\"id\":\"column_5\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_3\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"label\":\"Requested Date\",\"name\":\"createdDate\"}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_personal_submitted','My Submitted Requests',NULL,'{\"id\":\"isr_personal_submitted\",\"name\":\"My Submitted Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"ref_id\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[{\"name\":\"Data List Hyperlink Action\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"label\":\"Hyperlink\",\"type\":\"text\",\"id\":\"action_0\",\"properties\":{\"href\":\"new_request\",\"target\":\"_self\",\"label\":\"Submit Request\",\"confirmation\":\"\",\"visible\":\"true\"}},{\"name\":\"Data List Hyperlink Action\",\"className\":\"org.joget.apps.datalist.lib.HyperlinkDataListAction\",\"label\":\"Hyperlink\",\"type\":\"text\",\"id\":\"action_1\",\"properties\":{\"href\":\"attending_submitted\",\"target\":\"_self\",\"label\":\"My Inbox\",\"confirmation\":\"\",\"visible\":\"true\"}}],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-1831629-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"requester\",\"operator\":\"=\",\"value\":\"#currentUser.username#\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"ref_id\",\"label\":\"#\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_5\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_3\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_7\",\"name\":\"assignee\",\"label\":\"Assignee\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"label\":\"Requested Date\",\"name\":\"createdDate\"}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_rejected_requests','ISR Rejected Requests',NULL,'{\"id\":\"isr_rejected_requests\",\"name\":\"ISR Rejected Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"dateCreated\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-1300920-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Rejected\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"ref_id\",\"label\":\"#\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_2\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_3\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_6\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"assignee\",\"label\":\"Assignee\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"name\":\"createdDate\",\"label\":\"Request Date\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_reopened_requests','ISR Reopened Requests',NULL,'{\"id\":\"isr_reopened_requests\",\"name\":\"ISR Reopened Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"ref_id\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-810278-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Reopened\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"label\":\"Ref Id\",\"name\":\"ref_id\"},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_5\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_3\",\"label\":\"Requested By\",\"name\":\"requester_name\"},{\"id\":\"column_4\",\"label\":\"Requested Date\",\"name\":\"createdDate\"}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_resolved_requests','ISR Resolved Requests',NULL,'{\"id\":\"isr_resolved_requests\",\"name\":\"ISR Resolved Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"ref_id\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-6707878-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Resolved\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"label\":\"Ref Id\",\"name\":\"ref_id\"},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_7\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_2\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_3\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"false\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_4\",\"name\":\"createdDate\",\"label\":\"Request Date\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 13:03:30','2018-01-10 13:03:30'),('isr',1,'isr_verified_requests','ISR Verified Requests',NULL,'{\"id\":\"isr_verified_requests\",\"name\":\"ISR Verified Requests\",\"pageSize\":\"0\",\"order\":\"1\",\"orderBy\":\"ref_id\",\"showPageSizeSelector\":\"true\",\"pageSizeSelectorOptions\":\"10,20,30,40,50,100\",\"buttonPosition\":\"bottomLeft\",\"checkboxPosition\":\"left\",\"useSession\":\"\",\"hidePageSize\":\"\",\"description\":\"\",\"showDataWhenFilterSet\":\"\",\"rowActions\":[],\"actions\":[],\"filters\":[{\"id\":\"filter_3\",\"name\":\"ref_id\",\"filterParamName\":\"d-8059354-fn_ref_id\",\"label\":\"#\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_2\",\"name\":\"subject\",\"label\":\"Subject\"},{\"id\":\"filter_1\",\"name\":\"status\",\"filterParamName\":\"d-3819911-fn_status\",\"label\":\"ISR Status\",\"type\":{\"className\":\"org.joget.apps.datalist.lib.TextFieldDataListFilterType\",\"properties\":{\"defaultValue\":\"\"}}},{\"id\":\"filter_0\",\"name\":\"requester_name\",\"label\":\"Requested By\"}],\"binder\":{\"className\":\"org.joget.plugin.enterprise.AdvancedFormRowDataListBinder\",\"properties\":{\"formDefId\":\"isr_new_request\",\"joins\":[],\"filters\":[{\"join\":\"AND\",\"field\":\"status\",\"operator\":\"=\",\"value\":\"Verified\"}],\"extraCondition\":\"\",\"aggregateField\":[],\"groupBy\":\"\",\"having\":[]}},\"columns\":[{\"id\":\"column_0\",\"name\":\"ref_id\",\"label\":\"#\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_1\",\"label\":\"Subject\",\"name\":\"subject\"},{\"id\":\"column_2\",\"name\":\"priority\",\"label\":\"Priority\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_3\",\"datalist_type\":\"column\",\"name\":\"status\",\"label\":\"ISR Status\",\"sortable\":\"true\",\"renderHtml\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"dataListAlignCenter\",\"headerAlignment\":\"dataListAlignCenter\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"org.joget.apps.datalist.lib.DefaultFormatter\",\"properties\":{\"formatting\":\"b\",\"size\":\"\",\"color\":\"\",\"formDefId\":\"\",\"field\":\"\"}}},{\"id\":\"column_4\",\"name\":\"requester_name\",\"label\":\"Request By\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_5\",\"name\":\"assignee\",\"label\":\"Assignee\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}},{\"id\":\"column_6\",\"name\":\"createdDate\",\"label\":\"Request Date\",\"sortable\":\"true\",\"hidden\":\"false\",\"exclude_export\":\"\",\"width\":\"\",\"style\":\"\",\"alignment\":\"\",\"headerAlignment\":\"\",\"action\":{\"className\":\"\",\"properties\":{}},\"format\":{\"className\":\"\",\"properties\":{}}}]}','2018-01-10 13:03:30','2018-01-10 13:03:30');
/*!40000 ALTER TABLE `app_datalist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_env_variable`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_env_variable` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `value` text COLLATE utf8_unicode_ci,
  `remarks` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`appId`,`appVersion`,`id`),
  KEY `FK740A62EC462EF4C7` (`appId`,`appVersion`),
  CONSTRAINT `FK740A62EC462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_env_variable`
--

LOCK TABLES `app_env_variable` WRITE;
/*!40000 ALTER TABLE `app_env_variable` DISABLE KEYS */;
INSERT INTO `app_env_variable` VALUES ('crm',1,'AppName','Customer Relationship Management',NULL),('crm',1,'refNo','',NULL),('dashboard',1,'AppName','Employee Portal',NULL),('expenseclaim',1,'AppName','Expenses Claim',NULL),('expenseclaim',1,'counter','',NULL),('isr',1,'AppName','Internal Service Request',NULL),('isr',1,'counter','',NULL);
/*!40000 ALTER TABLE `app_env_variable` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd`
--

LOCK TABLES `app_fd` WRITE;
/*!40000 ALTER TABLE `app_fd` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_appcenter`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_appcenter` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_appcenter`
--

LOCK TABLES `app_fd_appcenter` WRITE;
/*!40000 ALTER TABLE `app_fd_appcenter` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_appcenter` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_crm_account`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_crm_account` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_office` longtext COLLATE utf8_unicode_ci,
  `c_accountName` longtext COLLATE utf8_unicode_ci,
  `c_fax` longtext COLLATE utf8_unicode_ci,
  `c_email` longtext COLLATE utf8_unicode_ci,
  `c_address` longtext COLLATE utf8_unicode_ci,
  `c_state` longtext COLLATE utf8_unicode_ci,
  `c_attachment` longtext COLLATE utf8_unicode_ci,
  `c_city` longtext COLLATE utf8_unicode_ci,
  `c_country` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_crm_account`
--

LOCK TABLES `app_fd_j_crm_account` WRITE;
/*!40000 ALTER TABLE `app_fd_j_crm_account` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_crm_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_crm_contact`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_crm_contact` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_office` longtext COLLATE utf8_unicode_ci,
  `c_lastName` longtext COLLATE utf8_unicode_ci,
  `c_state` longtext COLLATE utf8_unicode_ci,
  `c_addressAvailable` longtext COLLATE utf8_unicode_ci,
  `c_attachment` longtext COLLATE utf8_unicode_ci,
  `c_photo` longtext COLLATE utf8_unicode_ci,
  `c_country` longtext COLLATE utf8_unicode_ci,
  `c_city` longtext COLLATE utf8_unicode_ci,
  `c_title` longtext COLLATE utf8_unicode_ci,
  `c_email` longtext COLLATE utf8_unicode_ci,
  `c_address` longtext COLLATE utf8_unicode_ci,
  `c_account` longtext COLLATE utf8_unicode_ci,
  `c_firstName` longtext COLLATE utf8_unicode_ci,
  `c_mobile` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_crm_contact`
--

LOCK TABLES `app_fd_j_crm_contact` WRITE;
/*!40000 ALTER TABLE `app_fd_j_crm_contact` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_crm_contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_crm_opportunity`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_crm_opportunity` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_amount` longtext COLLATE utf8_unicode_ci,
  `c_title` longtext COLLATE utf8_unicode_ci,
  `c_source` longtext COLLATE utf8_unicode_ci,
  `c_description` longtext COLLATE utf8_unicode_ci,
  `c_newAccount` longtext COLLATE utf8_unicode_ci,
  `c_account` longtext COLLATE utf8_unicode_ci,
  `c_stage` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_crm_opportunity`
--

LOCK TABLES `app_fd_j_crm_opportunity` WRITE;
/*!40000 ALTER TABLE `app_fd_j_crm_opportunity` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_crm_opportunity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_crm_proposal`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_crm_proposal` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_title` longtext COLLATE utf8_unicode_ci,
  `c_status` longtext COLLATE utf8_unicode_ci,
  `c_description` longtext COLLATE utf8_unicode_ci,
  `c_approver` longtext COLLATE utf8_unicode_ci,
  `c_refNo` longtext COLLATE utf8_unicode_ci,
  `c_dateApproved` longtext COLLATE utf8_unicode_ci,
  `c_account` longtext COLLATE utf8_unicode_ci,
  `c_proposer` longtext COLLATE utf8_unicode_ci,
  `c_attachment` longtext COLLATE utf8_unicode_ci,
  `c_notes` longtext COLLATE utf8_unicode_ci,
  `c_comments` longtext COLLATE utf8_unicode_ci,
  `c_selectApprover` longtext COLLATE utf8_unicode_ci,
  `c_dateProposed` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_crm_proposal`
--

LOCK TABLES `app_fd_j_crm_proposal` WRITE;
/*!40000 ALTER TABLE `app_fd_j_crm_proposal` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_crm_proposal` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_expense_approval`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_expense_approval` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_username` longtext COLLATE utf8_unicode_ci,
  `c_approver` longtext COLLATE utf8_unicode_ci,
  `c_ApprovedDate` longtext COLLATE utf8_unicode_ci,
  `c_ApprovedBy` longtext COLLATE utf8_unicode_ci,
  `c_claim` longtext COLLATE utf8_unicode_ci,
  `c_comment` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_expense_approval`
--

LOCK TABLES `app_fd_j_expense_approval` WRITE;
/*!40000 ALTER TABLE `app_fd_j_expense_approval` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_expense_approval` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_expense_cat`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_expense_cat` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_Category` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_expense_cat`
--

LOCK TABLES `app_fd_j_expense_cat` WRITE;
/*!40000 ALTER TABLE `app_fd_j_expense_cat` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_expense_cat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_expense_claim`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_expense_claim` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_approval_comments` longtext COLLATE utf8_unicode_ci,
  `c_total` longtext COLLATE utf8_unicode_ci,
  `c_remark` longtext COLLATE utf8_unicode_ci,
  `c_status` longtext COLLATE utf8_unicode_ci,
  `c_FinanceApprovedBy` longtext COLLATE utf8_unicode_ci,
  `c_ApprovedBy` longtext COLLATE utf8_unicode_ci,
  `c_receipt` longtext COLLATE utf8_unicode_ci,
  `c_spED` longtext COLLATE utf8_unicode_ci,
  `c_spECD` longtext COLLATE utf8_unicode_ci,
  `c_ref` longtext COLLATE utf8_unicode_ci,
  `c_title` longtext COLLATE utf8_unicode_ci,
  `c_username` longtext COLLATE utf8_unicode_ci,
  `c_FinanceApprovedDate` longtext COLLATE utf8_unicode_ci,
  `c_finance_comments` longtext COLLATE utf8_unicode_ci,
  `c_CreatedDate` longtext COLLATE utf8_unicode_ci,
  `c_ApprovedDate` longtext COLLATE utf8_unicode_ci,
  `c_SelectApprover` longtext COLLATE utf8_unicode_ci,
  `c_claimant` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_expense_claim`
--

LOCK TABLES `app_fd_j_expense_claim` WRITE;
/*!40000 ALTER TABLE `app_fd_j_expense_claim` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_expense_claim` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_expense_entry`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_expense_entry` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_amount` longtext COLLATE utf8_unicode_ci,
  `c_category` longtext COLLATE utf8_unicode_ci,
  `c_claim` longtext COLLATE utf8_unicode_ci,
  `c_purpose` longtext COLLATE utf8_unicode_ci,
  `c_date` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_expense_entry`
--

LOCK TABLES `app_fd_j_expense_entry` WRITE;
/*!40000 ALTER TABLE `app_fd_j_expense_entry` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_expense_entry` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_isr_remark`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_isr_remark` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_username` longtext COLLATE utf8_unicode_ci,
  `c_request_id` longtext COLLATE utf8_unicode_ci,
  `c_name` longtext COLLATE utf8_unicode_ci,
  `c_remarks` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_isr_remark`
--

LOCK TABLES `app_fd_j_isr_remark` WRITE;
/*!40000 ALTER TABLE `app_fd_j_isr_remark` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_isr_remark` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_isr_request`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_isr_request` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_requester` longtext COLLATE utf8_unicode_ci,
  `c_fgR` longtext COLLATE utf8_unicode_ci,
  `c_status` longtext COLLATE utf8_unicode_ci,
  `c_department` longtext COLLATE utf8_unicode_ci,
  `c_subject` longtext COLLATE utf8_unicode_ci,
  `c_attachment2` longtext COLLATE utf8_unicode_ci,
  `c_verifier` longtext COLLATE utf8_unicode_ci,
  `c_assignee` longtext COLLATE utf8_unicode_ci,
  `c_attachment1` longtext COLLATE utf8_unicode_ci,
  `c_remarks` longtext COLLATE utf8_unicode_ci,
  `c_requester_name` longtext COLLATE utf8_unicode_ci,
  `c_dateVerified` longtext COLLATE utf8_unicode_ci,
  `c_priority` longtext COLLATE utf8_unicode_ci,
  `c_description` longtext COLLATE utf8_unicode_ci,
  `c_duedate` longtext COLLATE utf8_unicode_ci,
  `c_ref_id` longtext COLLATE utf8_unicode_ci,
  `c_attention` longtext COLLATE utf8_unicode_ci,
  `c_createdDate` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_isr_request`
--

LOCK TABLES `app_fd_j_isr_request` WRITE;
/*!40000 ALTER TABLE `app_fd_j_isr_request` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_isr_request` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_smtp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_smtp` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_SMTPFrom` longtext COLLATE utf8_unicode_ci,
  `c_SMTPPort` longtext COLLATE utf8_unicode_ci,
  `c_SMTPPassword` longtext COLLATE utf8_unicode_ci,
  `c_SMTPHost` longtext COLLATE utf8_unicode_ci,
  `c_SMTPUsername` longtext COLLATE utf8_unicode_ci,
  `c_SMTPSecurity` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_smtp`
--

LOCK TABLES `app_fd_j_smtp` WRITE;
/*!40000 ALTER TABLE `app_fd_j_smtp` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_smtp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_temp`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_temp` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_startDate` longtext COLLATE utf8_unicode_ci,
  `c_lastName` longtext COLLATE utf8_unicode_ci,
  `c_department` longtext COLLATE utf8_unicode_ci,
  `c_endDate` longtext COLLATE utf8_unicode_ci,
  `c_timeZone` longtext COLLATE utf8_unicode_ci,
  `c_password` longtext COLLATE utf8_unicode_ci,
  `c_employeeCode` longtext COLLATE utf8_unicode_ci,
  `c_reportTo` longtext COLLATE utf8_unicode_ci,
  `c_organization` longtext COLLATE utf8_unicode_ci,
  `c_username` longtext COLLATE utf8_unicode_ci,
  `c_userRoles` longtext COLLATE utf8_unicode_ci,
  `c_email` longtext COLLATE utf8_unicode_ci,
  `c_active` longtext COLLATE utf8_unicode_ci,
  `c_grade` longtext COLLATE utf8_unicode_ci,
  `c_firstName` longtext COLLATE utf8_unicode_ci,
  `c_isHod` longtext COLLATE utf8_unicode_ci,
  `c_groups` longtext COLLATE utf8_unicode_ci,
  `c_jobTitle` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_temp`
--

LOCK TABLES `app_fd_j_temp` WRITE;
/*!40000 ALTER TABLE `app_fd_j_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_temp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_fd_j_user_register`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_fd_j_user_register` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `createdBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedBy` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `modifiedByName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `c_lastName` longtext COLLATE utf8_unicode_ci,
  `c_username` longtext COLLATE utf8_unicode_ci,
  `c_verify_password` longtext COLLATE utf8_unicode_ci,
  `c_email` longtext COLLATE utf8_unicode_ci,
  `c_userRoles` longtext COLLATE utf8_unicode_ci,
  `c_status` longtext COLLATE utf8_unicode_ci,
  `c_active` longtext COLLATE utf8_unicode_ci,
  `c_firstName` longtext COLLATE utf8_unicode_ci,
  `c_password` longtext COLLATE utf8_unicode_ci,
  `c_comments` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_fd_j_user_register`
--

LOCK TABLES `app_fd_j_user_register` WRITE;
/*!40000 ALTER TABLE `app_fd_j_user_register` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_fd_j_user_register` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_form`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_form` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `formId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `tableName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `json` longtext COLLATE utf8_unicode_ci,
  `description` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`appId`,`appVersion`,`formId`),
  KEY `FK45957822462EF4C7` (`appId`,`appVersion`),
  KEY `idx_name` (`name`),
  CONSTRAINT `FK45957822462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_form`
--

LOCK TABLES `app_form` WRITE;
/*!40000 ALTER TABLE `app_form` DISABLE KEYS */;
INSERT INTO `app_form` VALUES ('appcenter',1,'landing','Published Apps','2018-01-10 13:03:38','2018-01-10 13:03:38','appcenter','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"landing\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"appcenter\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"name\":\"Published Apps\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"noPermissionMessage\":\"\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"id\":\"admin_div\",\"autoPopulate\":\"\",\"value\":\"<style>\\n#appcenter_admin {\\n    text-align: center;\\n}\\n#appcenter_admin a {\\n    background: white;\\n    border: solid 1px #ddd;\\n    cursor: pointer;\\n    text-decoration: none;\\n    color: #555;\\n    margin-right: 5px;\\n    padding: 10px;\\n    box-shadow: 0 1px 1.5px 1px rgba(0,0,0,.12);\\n    border-radius: 4px;\\n    font-size: 14px;\\n    font-weight: 400;\\n    line-height: 1.42857143;\\n    display: inline-block;\\n}\\n@media (max-width:540px) {\\n    #appcenter_admin a {\\n        margin-top: -20px;\\n        margin-bottom: 20px;\\n    }\\n}\\n</style>\\n<div id=\\\"appcenter_admin\\\">\\n    <a href=\\\"#\\\" onclick=\\\"appCreate();return false\\\">#i18n.Design New App#</a>\\n    <a href=\\\"#\\\" onclick=\\\"appImport();return false\\\">#i18n.Import App#</a>\\n    <a href=\\\"#\\\" onclick=\'AdminBar.showQuickOverlay(\\\"/jw/web/desktop/marketplace/app?url=\\\" + encodeURIComponent(\\\"https://marketplace.joget.org\\\"));return false\'>#i18n.Download from Marketplace#</a>\\n</div>\",\"label\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"id\":\"admin_section\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"org.joget.apps.userview.lib.BeanShellPermission\",\"properties\":{\"script\":\"import org.joget.workflow.util.WorkflowUtil;\\nreturn !WorkflowUtil.isCurrentUserAnonymous() && WorkflowUtil.isCurrentUserInRole(WorkflowUtil.ROLE_ADMIN);\\n\"}},\"label\":\"\",\"comment\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"id\":\"published_apps\",\"autoPopulate\":\"\",\"value\":\"<link rel=\\\"stylesheet\\\" href=\\\"/jw/css/appCenter.css\\\" />\\n<div id=\\\"main-action-help\\\"><i class=\\\"fa fa-info-circle\\\"></i></div>\\n<div id=\\\"search\\\"></div>\\n<div id=\\\"apps\\\"></div>\\n<p>\\n<script src=\\\"/jw/js/appCenter.js\\\"></script>\\n<script>\\nAppCenter.searchFilter($(\\\"#search\\\"), $(\\\"#apps\\\")); \\nAppCenter.loadPublishedApps(\\\"#apps\\\");\\n</script>\\n</p>\",\"label\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"id\":\"apps_section\",\"reverse\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityControl\":\"\",\"regex\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"label\":\"\",\"permission\":{\"className\":\"\",\"properties\":{}},\"join\":\"\"}}]}',NULL),('crm',1,'AccountContacts','Account: Contacts  Tab','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_account','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Account: Contacts  Tab\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"AccountContacts\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_account\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.plugin.enterprise.FormGrid\",\"properties\":{\"validateMaxRow\":\"\",\"formDefId\":\"AccountContactSub\",\"validator\":{\"className\":\"\",\"properties\":{}},\"pageSize\":\"20\",\"enableSorting\":\"\",\"storeBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"crm_contact\",\"foreignKey\":\"account\"}},\"readonly\":\"\",\"deleteGridData\":\"\",\"options\":[{\"format\":\"\",\"width\":\"\",\"label\":\"Title\",\"formatType\":\"text\",\"value\":\"title\"},{\"format\":\"\",\"width\":\"\",\"label\":\"First Name\",\"formatType\":\"text\",\"value\":\"firstName\"},{\"format\":\"\",\"width\":\"\",\"label\":\"Last Name\",\"formatType\":\"text\",\"value\":\"lastName\"},{\"format\":\"\",\"width\":\"\",\"label\":\"Email\",\"formatType\":\"text\",\"value\":\"email\"},{\"format\":\"\",\"width\":\"\",\"label\":\"Mobile\",\"formatType\":\"text\",\"value\":\"mobile\"},{\"format\":\"\",\"width\":\"\",\"label\":\"Office\",\"formatType\":\"text\",\"value\":\"office\"},{\"format\":\"\",\"width\":\"\",\"label\":\"Country\",\"formatType\":\"text\",\"value\":\"country\"}],\"id\":\"fgC\",\"abortRelatedRunningProcesses\":\"\",\"height\":\"80%\",\"showRowNumber\":\"\",\"disabledDelete\":\"\",\"validateMinRow\":\"\",\"submit-label-normal\":\"\",\"uniqueKey\":\"\",\"errorMessage\":\"Invalid number of rows\",\"deleteSubformData\":\"\",\"deleteMessage\":\"Delete row?\",\"label\":\"\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"crm_contact\",\"foreignKey\":\"account\"}},\"disabledAdd\":\"\",\"submit-label-readonly\":\"\",\"width\":\"80%\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('crm',1,'AccountContactSub','Account: Contacts Subform','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_contact','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"AccountContactSub\",\"name\":\"Account: Contacts Subform\",\"tableName\":\"j_crm_contact\",\"description\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"noPermissionMessage\":\"\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"postProcessorRunOn\":\"both\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"account\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Title\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"title\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"First Name\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"firstName\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"lastName\",\"label\":\"Last Name\"}},{\"className\":\"org.joget.apps.form.lib.Radio\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Yes\",\"value\":\"Yes\",\"grouping\":\"\"},{\"label\":\"No\",\"value\":\"No\",\"grouping\":\"\"}],\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"addressAvailable\",\"label\":\"Address Available\",\"value\":\"No\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Mobile Number\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"mobile\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Office Number\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"office\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Email Address\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"email\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.plugin.enterprise.ImageUpload\",\"properties\":{\"padding\":\"5px\",\"permissionType\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"multiple\":\"true\",\"validator\":{\"className\":\"\",\"properties\":{}},\"createThumbnail\":\"true\",\"maxSize\":\"\",\"label\":\"Photo Attachments\",\"readonly\":\"\",\"removeFile\":\"true\",\"width\":\"100\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"photo\",\"fileType\":\".jpeg;.jpg;.gif;.png\",\"height\":\"100\"}},{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"5px\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"maxSize\":\"\",\"label\":\"Document Attachments\",\"removeFile\":\"\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"attachment\",\"fileType\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"contact_details\",\"label\":\"Contact Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"address\",\"label\":\"Address\",\"placeholder\":\"\",\"rows\":\"3\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"city\",\"label\":\"City\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"state\",\"label\":\"State\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Country\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"country\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"addressAvailable\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"address_details\",\"label\":\"Address Details\",\"join\":\"\",\"reverse\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"Yes\"}}]}',NULL),('crm',1,'AccountsMain','Account:  Parent','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_account','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Account:  Parent\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"AccountsMain\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_account\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.plugin.enterprise.MultiPagedForm\",\"properties\":{\"id\":\"mpfA\",\"label\":\"\",\"numberOfPage\":{\"className\":\"2\",\"properties\":{\"page1_label\":\"Account Details\",\"page1_formDefId\":\"crm_account\",\"page1_readonly\":\"\",\"page1_parentSubFormId\":\"id\",\"page1_subFormParentId\":\"\",\"page1_validate\":\"true\",\"page2_label\":\"Contacts\",\"page2_formDefId\":\"AccountContacts\",\"page2_readonly\":\"\",\"page2_parentSubFormId\":\"id\",\"page2_subFormParentId\":\"\",\"page2_validate\":\"true\"}},\"partiallyStore\":\"\",\"displayMode\":\"tab\",\"prevButtonlabel\":\"Prev\",\"nextButtonlabel\":\"Next\",\"onlyAllowSubmitOnLastPage\":\"\",\"css\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Manage Accounts\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('crm',1,'ConfigureSmtpEmail','Configure SMTP Email','2018-01-10 21:03:24','2018-01-10 21:03:24','j_smtp','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"ConfigureSmtpEmail\",\"name\":\"Configure SMTP Email\",\"tableName\":\"j_smtp\",\"description\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"noPermissionMessage\":\"\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"postProcessorRunOn\":\"both\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field18\",\"label\":\"\",\"value\":\"<p>Set up SMTP Configuration for Email Notifications.</p>\\n<p>Do ensure your Joget Workflow users also has their email addresses keyed in.</p>\\n\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"id\",\"value\":\"1\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"SMTP Host<br/>(Example: smtp.gmail.com)\",\"encryption\":\"\",\"size\":\"40\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"SMTPHost\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"SMTP Port<br/>(Example: 465)\",\"encryption\":\"\",\"size\":\"40\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"SMTPPort\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"SMTP Security<br/>(Example: SSL)\",\"encryption\":\"\",\"size\":\"40\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"SMTPSecurity\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"SMTP Username<br/>(Example: yourname@gmail.com)\",\"encryption\":\"\",\"size\":\"40\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"SMTPUsername\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.PasswordField\",\"properties\":{\"size\":\"\",\"readonly\":\"\",\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"id\":\"SMTPPassword\",\"label\":\"SMTP Password\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"From <br/>(Example: noreply@gmail.com)\",\"encryption\":\"\",\"size\":\"40\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"SMTPFrom\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Configure SMTP Email For All v6 Bundled Apps\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('crm',1,'crm_account','Account: Accounts Tab','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_account','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Account: Accounts Tab\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"crm_account\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_account\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"size\":\"\",\"readonly\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"type\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"id\",\"label\":\"Account ID\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"size\":\"\",\"readonly\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"type\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"accountName\",\"label\":\"Account Name\"}},{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"5px\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"maxSize\":\"\",\"label\":\"Document Attachments\",\"removeFile\":\"\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"attachment\",\"fileType\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Office Number\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"office\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Fax Number\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"fax\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"email\",\"message\":\"\",\"mandatory\":\"\"}},\"label\":\"Email Address\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"email\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"account_details\",\"label\":\"Account Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"address\",\"label\":\"Address\",\"placeholder\":\"\",\"rows\":\"3\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"city\",\"label\":\"City\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"state\",\"label\":\"State\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Country\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"country\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"address\",\"label\":\"Address Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('crm',1,'crm_contact','Contacts','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_contact','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Contacts\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"crm_contact\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_contact\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"id\":\"account\",\"label\":\"Account\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"idColumn\":\"id\",\"labelColumn\":\"accountName\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"true\",\"emptyLabel\":\"Select\",\"useAjax\":\"\"}},\"value\":\"\",\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"mandatory\":\"true\",\"type\":\"\",\"custom-regex\":\"\",\"message\":\"\"}},\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Title\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"title\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"First Name\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"firstName\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"lastName\",\"label\":\"Last Name\"}},{\"className\":\"org.joget.apps.form.lib.Radio\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Yes\",\"value\":\"Yes\",\"grouping\":\"\"},{\"label\":\"No\",\"value\":\"No\",\"grouping\":\"\"}],\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"addressAvailable\",\"label\":\"Address Available\",\"value\":\"No\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Mobile Number\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"mobile\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Office Number\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"office\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Email Address\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"email\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.plugin.enterprise.ImageUpload\",\"properties\":{\"padding\":\"5px\",\"permissionType\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"multiple\":\"true\",\"validator\":{\"className\":\"\",\"properties\":{}},\"createThumbnail\":\"true\",\"maxSize\":\"\",\"label\":\"Photo Attachments\",\"readonly\":\"\",\"removeFile\":\"true\",\"width\":\"100\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"photo\",\"fileType\":\".jpeg;.jpg;.gif;.png\",\"height\":\"100\"}},{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"5px\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"maxSize\":\"\",\"label\":\"Document Attachments\",\"removeFile\":\"\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"attachment\",\"fileType\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"contact_details\",\"label\":\"Contact Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"address\",\"label\":\"Address\",\"placeholder\":\"\",\"rows\":\"3\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"city\",\"label\":\"City\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"state\",\"label\":\"State\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Country\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"country\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"addressAvailable\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"address_details\",\"label\":\"Address Details\",\"join\":\"\",\"reverse\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"Yes\"}}]}',NULL),('crm',1,'crm_opportunity','Opportunity','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_opportunity','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Opportunity\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"crm_opportunity\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_opportunity\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"Opportunity Title\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"title\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"description\",\"label\":\"Description\",\"placeholder\":\"\",\"rows\":\"4\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"prefix\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"useThousandSeparator\":\"\",\"label\":\"Amount\",\"numOfDecimal\":\"2\",\"encryption\":\"\",\"size\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"us\",\"id\":\"amount\",\"placeholder\":\"\",\"postfix\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"true\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Open\",\"value\":\"open\",\"grouping\":\"\"},{\"label\":\"Won\",\"value\":\"won\",\"grouping\":\"\"},{\"label\":\"Lost\",\"value\":\"lost\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"stage\",\"label\":\"Stage\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"id\":\"source\",\"label\":\"Source\",\"options\":[{\"value\":\"Direct\",\"label\":\"Direct\",\"grouping\":\"\"},{\"value\":\"Indirect\",\"label\":\"Indirect\",\"grouping\":\"\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"value\":\"\",\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"opportunity\",\"label\":\"Opportunity\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Radio\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Yes\",\"value\":\"Yes\",\"grouping\":\"\"},{\"label\":\"No\",\"value\":\"No\",\"grouping\":\"\"}],\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"newAccount\",\"label\":\"New Account\",\"value\":\"No\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"accountChoice\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"crm_account\",\"labelColumn\":\"accountName\",\"extraCondition\":\"\"}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"\",\"id\":\"account\",\"label\":\"Account\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"newAccount\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"account_existing\",\"label\":\"Existing Account\",\"join\":\"\",\"reverse\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"No\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"account\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonly\":\"\",\"formDefId\":\"crm_account\",\"subFormParentId\":\"\",\"id\":\"account\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"validator\":{\"className\":\"\",\"properties\":{}},\"id\":\"script1\",\"label\":\"\",\"value\":\"<script>\\nvar val = $(\\\"#account_crm_accountid\\\").val();\\nif (val != \'\') {\\n    $(\\\"#newAccount\\\").val(\\\"no\\\");\\n    $(\\\"#newAccount\\\").trigger(\\\"change\\\");\\n}\\n</script>\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"newAccount\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"account_new\",\"label\":\"New Account\",\"join\":\"\",\"reverse\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"Yes\"}}]}',NULL),('crm',1,'crm_proposal_approval_form','Proposal Approval','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_proposal','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Proposal Approval\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"crm_proposal_approval_form\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_proposal\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonly\":\"true\",\"formDefId\":\"crm_proposal_form\",\"subFormParentId\":\"\",\"id\":\"proposal\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"id\":\"section1\",\"label\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Approved\",\"value\":\"Approved\",\"grouping\":\"\"},{\"label\":\"Resubmit\",\"value\":\"Resubmit\",\"grouping\":\"\"},{\"label\":\"Rejected\",\"value\":\"Rejected\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"Status\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"id\":\"comments\",\"label\":\"Approver Comments\",\"rows\":\"5\",\"cols\":\"20\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"approver\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"dateApproved\",\"value\":\"#date.yyyy-MM-dd#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"id\":\"section2\",\"label\":\"Proposal Approval\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('crm',1,'crm_proposal_form','Proposal New','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_proposal','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Proposal New\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"crm_proposal_form\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_proposal\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.IdGeneratorField\",\"properties\":{\"hidden\":\"true\",\"format\":\"????\",\"workflowVariable\":\"\",\"envVariable\":\"refNo\",\"id\":\"refNo\",\"label\":\"Reference No\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"addEmptyOption\":\"\",\"groupingColumn\":\"\",\"useAjax\":\"\",\"formDefId\":\"crm_account\",\"labelColumn\":\"accountName\",\"extraCondition\":\"\",\"emptyLabel\":\"\",\"idColumn\":\"\"}},\"options\":[],\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"account\",\"label\":\"Account\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"Proposal Title\",\"encryption\":\"\",\"size\":\"40\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"title\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"description\",\"label\":\"Description\",\"placeholder\":\"\",\"rows\":\"5\",\"value\":\"\",\"cols\":\"60\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"id\":\"selectApprover\",\"label\":\"Select approver\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.UserOptionsBinder\",\"properties\":{\"orgId\":\"\",\"deptId\":\"\",\"groupId\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"optionLabel\":\"\",\"grouping\":\"\",\"useAjax\":\"\"}},\"value\":\"\",\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"mandatory\":\"true\",\"type\":\"\",\"custom-regex\":\"\",\"message\":\"\"}},\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"selectApprover\"}},{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"true\",\"maxSize\":\"\",\"label\":\"Document Attachments<br/>(Can attach more than 1 file)\",\"removeFile\":\"\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"attachment\",\"fileType\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"status\",\"value\":\"New\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"proposer\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"dateProposed\",\"value\":\"#date.yyyy-MM-dd#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Proposal Form\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('crm',1,'crm_proposal_resubmit_form','Proposal Resubmit','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_proposal','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"crm_proposal_resubmit_form\",\"name\":\"Proposal Resubmit\",\"tableName\":\"j_crm_proposal\",\"description\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"noPermissionMessage\":\"\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"postProcessorRunOn\":\"both\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonly\":\"true\",\"formDefId\":\"crm_proposal_approval_form\",\"subFormParentId\":\"\",\"id\":\"approval\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Proposal Resubmit\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"readonly\":\"\",\"formDefId\":\"crm_proposal_form\",\"subFormParentId\":\"\",\"id\":\"proposal\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"status\",\"id\":\"status\",\"value\":\"pending\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Proposal Resubmission\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('crm',1,'crm_proposal_sending_form','Proposal Details','2018-01-10 21:03:24','2018-01-10 21:03:24','j_crm_proposal','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Proposal Details\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"crm_proposal_sending_form\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_crm_proposal\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"approval\",\"label\":\"\",\"formDefId\":\"crm_proposal_approval_form\",\"readonly\":\"true\",\"readonlyLabel\":\"\",\"noframe\":\"true\",\"parentSubFormId\":\"\",\"subFormParentId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"notes\",\"label\":\"Notes\",\"placeholder\":\"\",\"rows\":\"5\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Proposal Notes\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('crm',1,'Users','Joget Users','2018-01-10 21:03:24','2018-01-10 21:03:24','j_temp','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"Users\",\"name\":\"Joget Users\",\"tableName\":\"j_temp\",\"description\":\"\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.DirectoryUserFormBinder\",\"properties\":{\"type\":{\"className\":\"\",\"properties\":{\"username\":\"username\",\"firstName\":\"firstName\",\"lastName\":\"lastName\",\"email\":\"email\",\"password\":\"password\",\"active\":\"active\",\"timeZone\":\"timeZone\",\"locale\":\"locale\",\"userRoles\":\"userRoles\",\"groups\":\"groups\",\"employeeCode\":\"employeeCode\",\"jobTitle\":\"jobTitle\",\"organization\":\"organization\",\"department\":\"department\",\"isHod\":\"isHod\",\"grade\":\"grade\",\"startDate\":\"startDate\",\"endDate\":\"endDate\",\"reportTo\":\"reportTo\"}}}},\"storeBinder\":{\"className\":\"org.joget.plugin.enterprise.DirectoryUserFormBinder\",\"properties\":{\"type\":{\"className\":\"\",\"properties\":{\"username\":\"username\",\"firstName\":\"firstName\",\"lastName\":\"lastName\",\"email\":\"email\",\"password\":\"password\",\"active\":\"active\",\"timeZone\":\"timeZone\",\"locale\":\"locale\",\"userRoles\":\"userRoles\",\"groups\":\"groups\",\"employeeCode\":\"employeeCode\",\"jobTitle\":\"jobTitle\",\"organization\":\"organization\",\"department\":\"department\",\"isHod\":\"isHod\",\"grade\":\"grade\",\"startDate\":\"startDate\",\"endDate\":\"endDate\",\"reportTo\":\"reportTo\"}}}},\"permission\":{\"className\":\"org.joget.plugin.enterprise.AdminUserviewPermission\",\"properties\":{}},\"noPermissionMessage\":\"You do not have permission to view or edit CRM User Accounts!<br/><br/>\\n<a href=\\\"dashboard\\\">Return to listing.</a>\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"postProcessorRunOn\":\"both\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"username\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.plugin.enterprise.DirectoryUserExistValidator\",\"properties\":{\"emptyMsg\":\"Missing required value\",\"field\":\"\",\"type\":\"\",\"errorMsg\":\"Username already exists\"}},\"label\":\"Username\",\"size\":\"\",\"encryption\":\"\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"placeholder\":\"\",\"id\":\"id\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"\",\"size\":\"50\",\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"message\":\"\",\"type\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"firstName\",\"label\":\"First name\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"\",\"size\":\"50\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"lastName\",\"label\":\"Last name\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"email\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"Email\",\"encryption\":\"\",\"size\":\"50\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"email\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.PasswordField\",\"properties\":{\"readonly\":\"\",\"size\":\"50\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"id\":\"password\",\"label\":\"Password\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.Radio\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"validator\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Yes\",\"grouping\":\"\",\"value\":\"1\"},{\"label\":\"No\",\"grouping\":\"\",\"value\":\"0\"}],\"workflowVariable\":\"\",\"id\":\"active\",\"label\":\"Active\",\"value\":\"1\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[{\"label\":\"Select\",\"grouping\":\"\",\"value\":\"\"},{\"label\":\"(GMT -12:00) Eniwetok, Kwajalein\",\"grouping\":\"\",\"value\":\"-12\"},{\"label\":\"(GMT -11:00) Midway Island, Samoa\",\"grouping\":\"\",\"value\":\"-11\"},{\"label\":\"(GMT -10:00) Hawaii\",\"grouping\":\"\",\"value\":\"-10\"},{\"label\":\"(GMT -09:00) Alaska\",\"grouping\":\"\",\"value\":\"-9\"},{\"label\":\"(GMT -08:00) Pacific Time (US &amp; Canada), Tijuana\",\"grouping\":\"\",\"value\":\"-8\"},{\"label\":\"(GMT -07:00) Mountain Time (US &amp; Canada), Arizona\",\"grouping\":\"\",\"value\":\"-7\"},{\"label\":\"(GMT -06:00) Central Time (US &amp; Canada), Mexico City\",\"grouping\":\"\",\"value\":\"-6\"},{\"label\":\"(GMT -05:00) Eastern Time (US &amp; Canada), Bogota, Lima, Quito\",\"grouping\":\"\",\"value\":\"-5\"},{\"label\":\"(GMT -04:00) Atlantic Time (Canada), Caracas, La Paz\",\"grouping\":\"\",\"value\":\"-4\"},{\"label\":\"(GMT -03:30) Newfoundland\",\"grouping\":\"\",\"value\":\"-3.5\"},{\"label\":\"(GMT -03:00) Brassila, Buenos Aires, Georgetown, Falkland Is\",\"grouping\":\"\",\"value\":\"-3\"},{\"label\":\"(GMT -02:00) Mid-Atlantic, Ascension Is., St. Helena\",\"grouping\":\"\",\"value\":\"-2\"},{\"label\":\"(GMT -01:00) Azores, Cape Verde Islands\",\"grouping\":\"\",\"value\":\"-1\"},{\"label\":\"(GMT  00:00) Casablanca, Dublin, Edinburgh, London, Lisbon, Monrovia\",\"grouping\":\"\",\"value\":\"0\"},{\"label\":\"(GMT +01:00) Amsterdam, Berlin, Brussels, Madrid, Paris, Rome\",\"grouping\":\"\",\"value\":\"1\"},{\"label\":\"(GMT +02:00) Cairo, Helsinki, Kaliningrad, South Africa\",\"grouping\":\"\",\"value\":\"2\"},{\"label\":\"(GMT +03:00) Baghdad, Riyadh, Moscow, Nairobi\",\"grouping\":\"\",\"value\":\"3\"},{\"label\":\"(GMT +03:30) Tehran\",\"grouping\":\"\",\"value\":\"3.5\"},{\"label\":\"(GMT +04:00) Abu Dhabi, Baku, Muscat, Tbilisi\",\"grouping\":\"\",\"value\":\"4\"},{\"label\":\"(GMT +04:30) Kabul\",\"grouping\":\"\",\"value\":\"4.5\"},{\"label\":\"(GMT +05:00) Ekaterinburg, Islamabad, Karachi, Tashkent\",\"grouping\":\"\",\"value\":\"5\"},{\"label\":\"(GMT +05:30) Bombay, Calcutta, Madras, New Delhi\",\"grouping\":\"\",\"value\":\"5.5\"},{\"label\":\"(GMT +05:45) Katmandu\",\"grouping\":\"\",\"value\":\"5.75\"},{\"label\":\"(GMT +06:00) Almaty, Colombo, Dhaka, Novosibirsk\",\"grouping\":\"\",\"value\":\"6\"},{\"label\":\"(GMT +06:30) Rangoon\",\"grouping\":\"\",\"value\":\"6.5\"},{\"label\":\"(GMT +07:00) Bangkok, Hanoi, Jakarta\",\"grouping\":\"\",\"value\":\"7\"},{\"label\":\"(GMT +08:00) Beijing, Hong Kong, Perth, Kuala Lumpur, Singapore, Taipei\",\"grouping\":\"\",\"value\":\"8\"},{\"label\":\"(GMT +09:00) Osaka, Sapporo, Seoul, Tokyo, Yakutsk\",\"grouping\":\"\",\"value\":\"9\"},{\"label\":\"(GMT +09:30) Adelaide, Darwin\",\"grouping\":\"\",\"value\":\"9.5\"},{\"label\":\"(GMT +10:00) Canberra, Guam, Melbourne, Sydney, Vladivostok\",\"grouping\":\"\",\"value\":\"10\"},{\"label\":\"(GMT +11:00) Magadan, New Caledonia, Solomon Islands\",\"grouping\":\"\",\"value\":\"11\"},{\"label\":\"(GMT +12:00) Auckland, Wellington, Fiji, Marshall Island\",\"grouping\":\"\",\"value\":\"12\"}],\"workflowVariable\":\"\",\"id\":\"timeZone\",\"label\":\"Time zone\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"true\",\"size\":\"\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"userRoles\",\"label\":\"User Roles\",\"value\":\"ROLE_USER;\",\"readonlyLabel\":\"true\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.GroupOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"emptyLabel\":\"Select\",\"orgId\":\"\"}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"\",\"id\":\"groups\",\"label\":\"Groups\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"employeeCode\",\"label\":\"Employee code\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"\",\"size\":\"50\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"jobTitle\",\"label\":\"Job title\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.OrganizationOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"emptyLabel\":\"Select\"}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"\",\"id\":\"organization\",\"label\":\"Organization\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.DepartmentOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"emptyLabel\":\"Select\",\"orgId\":\"\"}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"\",\"id\":\"department\",\"label\":\"Department\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.Radio\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"validator\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Yes\",\"grouping\":\"\",\"value\":\"1\"},{\"label\":\"No\",\"grouping\":\"\",\"value\":\"0\"}],\"workflowVariable\":\"\",\"id\":\"isHod\",\"label\":\"Is Hod?\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.GradeOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"emptyLabel\":\"Select\",\"orgId\":\"\"}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"\",\"id\":\"grade\",\"label\":\"Grade\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.DatePicker\",\"properties\":{\"yearRange\":\"c-10:c+10\",\"startDateFieldId\":\"\",\"dataFormat\":\"yyyy-MM-dd\",\"validator\":{\"className\":\"\",\"properties\":{}},\"format\":\"dd-mm-yy\",\"label\":\"Employment start date\",\"currentDateAs\":\"\",\"endDateFieldId\":\"\",\"readonly\":\"\",\"allowManual\":\"\",\"workflowVariable\":\"\",\"id\":\"startDate\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.DatePicker\",\"properties\":{\"yearRange\":\"c-10:c+10\",\"startDateFieldId\":\"\",\"dataFormat\":\"yyyy-MM-dd\",\"validator\":{\"className\":\"\",\"properties\":{}},\"format\":\"dd-mm-yy\",\"label\":\"Employment end date\",\"currentDateAs\":\"\",\"endDateFieldId\":\"\",\"readonly\":\"\",\"allowManual\":\"\",\"workflowVariable\":\"\",\"id\":\"endDate\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.UserOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"useAjax\":\"\",\"groupId\":\"\",\"deptId\":\"\",\"grouping\":\"\",\"emptyLabel\":\"Select\",\"orgId\":\"\"}},\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"\",\"id\":\"reportTo\",\"label\":\"Report to\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field20\",\"label\":\"\",\"value\":\"<!---\\r\\n\\r\\n<script>\\r\\n    if (\'#requestParam.id#\' === \'admin\' || \'requestParam.id\' === \'Admin\') {\\r\\n        document.location.href = \'/jw/web/userview/v6_um/v6_um/_/suser\';\\r\\n    }\\r\\n</script>\\r\\n\\r\\n--->\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Joget User Setup\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('dashboard',1,'user_approval','User Approval Form','2018-01-10 21:03:28','2018-01-10 21:03:28','j_user_register','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"User Approval Form\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"user_approval\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_user_register\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"},\"readonly\":\"true\",\"formDefId\":\"user_registration\",\"elementUniqueKey\":\"551\",\"subFormParentId\":\"\",\"id\":\"registration\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"498\",\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"494\",\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"id\":\"status\",\"label\":\"Status\",\"options\":[{\"value\":\"Approved\",\"label\":\"Approved\",\"grouping\":\"\"},{\"value\":\"Rejected\",\"label\":\"Rejected\",\"grouping\":\"\"}],\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"value\":\"\",\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"mandatory\":\"true\",\"type\":\"\",\"custom-regex\":\"\",\"message\":\"\"}},\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"status\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"elementUniqueKey\":\"511\",\"validator\":{\"className\":\"\",\"properties\":\"{}\"},\"workflowVariable\":\"\",\"id\":\"comments\",\"label\":\"Comments\",\"rows\":\"5\",\"cols\":\"20\",\"value\":\"\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"507\",\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"501\",\"id\":\"section2\",\"label\":\"Approval Section\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('dashboard',1,'user_creation','User Creation Form','2018-01-10 21:03:28','2018-01-10 21:03:28','j_user_register','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"user_creation\",\"name\":\"User Creation Form\",\"tableName\":\"j_user_register\",\"description\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"noPermissionMessage\":\"\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"postProcessorRunOn\":\"both\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"elementUniqueKey\":\"1859\",\"validator\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"field2\",\"label\":\"\",\"value\":\"User registration approved, please verify the user and login details below, and click on <b>Complete</b> to finish the user registration process.\"}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"},\"readonly\":\"\",\"formDefId\":\"user_registration\",\"elementUniqueKey\":\"1312\",\"subFormParentId\":\"\",\"id\":\"field1\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.plugin.enterprise.DirectoryUserFormBinder\",\"properties\":\"{}\"},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Confirmation\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('dashboard',1,'user_registration','User Registration Form','2018-01-10 21:03:28','2018-01-10 21:03:28','j_user_register','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"User Registration Form\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"user_registration\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_user_register\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"142\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"message\":\"\",\"type\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"firstName\",\"label\":\"First Name\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"143\",\"validator\":{\"className\":\"\",\"properties\":\"{}\"},\"workflowVariable\":\"\",\"id\":\"lastName\",\"label\":\"Last Name\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"144\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"message\":\"\",\"type\":\"email\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"email\",\"label\":\"Email\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"id\":\"status\",\"value\":\"Pending\",\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"status\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"138\",\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"130\",\"id\":\"section1\",\"label\":\"User Details\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"157\",\"validator\":{\"className\":\"org.joget.plugin.enterprise.DirectoryUserExistValidator\",\"properties\":{\"emptyMsg\":\"Invalid username.\",\"errorMsg\":\"Username already exists\"}},\"workflowVariable\":\"username\",\"id\":\"username\",\"label\":\"Desired Username\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.PasswordField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"158\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"message\":\"\",\"type\":\"\",\"mandatory\":\"true\"}},\"id\":\"password\",\"label\":\"Password\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.PasswordField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"159\",\"validator\":{\"className\":\"org.joget.plugin.enterprise.EqualValueValidator\",\"properties\":{\"errorMsg\":\"Passwords do not match\",\"fieldId\":\"password\"}},\"id\":\"verify_password\",\"label\":\"Verify Password\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"elementUniqueKey\":\"160\",\"workflowVariable\":\"\",\"id\":\"active\",\"value\":\"1\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"elementUniqueKey\":\"161\",\"workflowVariable\":\"\",\"id\":\"userRoles\",\"value\":\"ROLE_USER\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"153\",\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"regex\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"145\",\"id\":\"section2\",\"label\":\"Login Details\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpenseClaimView','Expense Claim View','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Claim View\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpenseClaimView\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field1\",\"label\":\"\",\"value\":\"<span class=\\\"label\\\">Ref #</span>  <b>#form.j_expense_claim.ref#</b><br/><br/>\\r\\n<span class=\\\"label\\\">Title</span>  <b>#form.j_expense_claim.title#</b><br/><br/>\\r\\n<span class=\\\"label\\\">Claimant remark</span>  <b>#form.j_expense_claim.remark#</b><br/><br/>\\r\\n<span class=\\\"label\\\">Submitted by</span>  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#</b><br/><br/>\\r\\n<br/>\\r\\n<span class=\\\"label\\\">Claim total $</span>  <b>#form.j_expense_claim.total#</b><br/><br/>\\r\\n<span class=\\\"label\\\">Record status</span>  <b><span style=\\\"font-size:20px;\\\">#form.j_expense_claim.status#</span></b><br/><br/>\\r\\n<br/>\\r\\n<span class=\\\"label\\\">Approver action by</span>  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#</b><br/><br/>\\r\\n<!--\\r\\n<span class=\\\"label\\\">Approver remark</span>  <b>#form.j_expense_claim.approval_remark#</b><br/><br/>\\r\\n<br/> --->\\r\\n<span class=\\\"label\\\">Finance dept action by</span>  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#</b><br/><br/>\\r\\n<!--\\r\\n<span class=\\\"label\\\">Finance dept remark</span>  <b>#form.j_expense_claim.finance_remark#</b><br/><br/> --->\\r\\n\"}},{\"className\":\"org.joget.SpreadSheetGrid\",\"properties\":{\"showRowNumber\":\"true\",\"validateMaxRow\":\"\",\"disabledDelete\":\"true\",\"validateMinRow\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"errorMessage\":\"Invalid number of rows\",\"fixedColumnsLeft\":\"0\",\"label\":\"Expense Details\",\"headerSorting\":\"true\",\"storeBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesClaimEntry\",\"foreignKey\":\"claim\"}},\"minSpareRows\":\"0\",\"sortingField\":\"\",\"readonly\":\"true\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesClaimEntry\",\"foreignKey\":\"claim\"}},\"disabledAdd\":\"true\",\"options\":[{\"readonly\":\"\",\"format\":\"YYYY-MM-DD\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Date\",\"formatType\":\"date\",\"value\":\"date\"},{\"readonly\":\"\",\"format\":\"\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Category\",\"formatType\":\"\",\"value\":\"category\"},{\"readonly\":\"\",\"format\":\"\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Purpose\",\"formatType\":\"\",\"value\":\"purpose\"},{\"readonly\":\"\",\"format\":\"0.00\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"$\",\"formatType\":\"numeric\",\"value\":\"amount\"}],\"customSettings\":\"\",\"id\":\"spED\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"View Expense Claim Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('expenseclaim',1,'ExpensesApproval','Expense Approval Form','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Approval Form\",\"description\":\"This is a form that let user inputs some details.\\n\\nThis is a form that let user inputs some details.\\n\\nThis is a form that let user inputs some details.\\n\\nThis is a form that let user inputs some details.\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesApproval\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"sfECD\",\"label\":\"\",\"formDefId\":\"ExpensesClaim\",\"readonly\":\"true\",\"readonlyLabel\":\"\",\"noframe\":\"\",\"parentSubFormId\":\"\",\"subFormParentId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"type\":\"\",\"mandatory\":\"true\"}},\"multiple\":\"\",\"options\":[{\"label\":\"Approved\",\"value\":\"Approved\"},{\"label\":\"Resubmit\",\"value\":\"Resubmit\"},{\"label\":\"Rejected\",\"value\":\"Rejected\"}],\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"Status\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.BeanShellFormBinder\",\"properties\":{\"useAjax\":\"\",\"script\":\"import org.joget.apps.form.model.*;\\nreturn new FormRowSet();\"}},\"formDefId\":\"ExpensesApprovalEntry\",\"noframe\":\"true\",\"subFormParentId\":\"claim\",\"id\":\"approval_form\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"ApprovedDate\",\"value\":\"#date.yyyy-MM-dd#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"ApprovedBy\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section2\",\"label\":\"Approval\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}','This is a form that let user inputs some details.\n\nThis is a form that let user inputs some details.\n\nThis is a form that let user inputs some details.\n\nThis is a form that let user inputs some details.'),('expenseclaim',1,'ExpensesApprovalDetail','Expense Approval Detail','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Approval Detail\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesApprovalDetail\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"},\"readonly\":\"\",\"formDefId\":\"hr_expense_claim\",\"subFormParentId\":\"\",\"id\":\"expenses_detail_form\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"id\":\"approval_comments\",\"label\":\"\",\"options\":[{\"value\":\"approver\",\"label\":\"Approver\"},{\"value\":\"comment\",\"label\":\"Remark\"},{\"value\":\"dateCreated\",\"label\":\"Date\"}],\"readonly\":\"true\",\"validator\":{\"className\":\"\",\"properties\":{}},\"validateMinRow\":\"\",\"validateMaxRow\":\"\",\"errorMessage\":\"Invalid number of rows\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesApproval_entry\",\"foreignKey\":\"claim\"}},\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Approval Comment(s)\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"true\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Verified\",\"value\":\"Verified\",\"grouping\":\"\"},{\"label\":\"Rejected\",\"value\":\"Finance Rejected\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"status\",\"label\":\"Status\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"true\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"finance_comments\",\"label\":\"Finance Comments\",\"placeholder\":\"\",\"rows\":\"2\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section3\",\"label\":\"Finance Verification\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpensesApprovalEntry','Expense Approval Entry','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_approval','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Approval Entry\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesApprovalEntry\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_approval\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"claim\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"username\",\"value\":\"#currentUser.username#\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"true\",\"size\":\"\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"approver\",\"label\":\"Approver\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\",\"readonlyLabel\":\"true\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"id\":\"comment\",\"label\":\"Approver remark\",\"value\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"placeholder\":\"\",\"cols\":\"40\",\"rows\":\"2\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"ApprovedDate\",\"value\":\"#date.yyyy-MM-dd#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"ApprovedBy\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpensesClaim','Expense Claim Form','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Claim Form\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesClaim\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"formDefId\":\"ExpensesClaimNew\",\"noframe\":\"true\",\"subFormParentId\":\"\",\"id\":\"sfD\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"90541\",\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"90537\",\"id\":\"section2\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.SpreadSheetGrid\",\"properties\":{\"showRowNumber\":\"true\",\"validateMaxRow\":\"\",\"disabledDelete\":\"\",\"validateMinRow\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"errorMessage\":\"Invalid number of rows\",\"fixedColumnsLeft\":\"0\",\"label\":\"\",\"headerSorting\":\"true\",\"storeBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesClaimEntry\",\"foreignKey\":\"claim\"}},\"minSpareRows\":\"1\",\"sortingField\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesClaimEntry\",\"foreignKey\":\"claim\"}},\"disabledAdd\":\"\",\"options\":[{\"readonly\":\"\",\"format\":\"YYYY-MM-DD\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"date\",\"formatType\":\"date\",\"value\":\"date\"},{\"readonly\":\"\",\"format\":\"ExpensesClaimEntry\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"category\",\"formatType\":\"dropdown\",\"value\":\"category\"},{\"readonly\":\"\",\"format\":\"\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"purpose\",\"formatType\":\"\",\"value\":\"purpose\"},{\"readonly\":\"\",\"format\":\"0.00\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"amount\",\"formatType\":\"numeric\",\"value\":\"amount\"}],\"customSettings\":\"\",\"id\":\"spECD\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field6\",\"label\":\"\",\"value\":\"Tip: Right click mouse on grid area to Insert Row or Delete Row.\"}},{\"className\":\"org.joget.plugin.enterprise.SpreadSheetGrid\",\"properties\":{\"showRowNumber\":\"true\",\"validateMaxRow\":\"\",\"disabledDelete\":\"\",\"validateMinRow\":\"1\",\"validator\":{\"className\":\"\",\"properties\":{}},\"errorMessage\":\"You need a minimum of 1 row of records to submit\",\"fixedColumnsLeft\":\"0\",\"label\":\"Grid\",\"headerSorting\":\"true\",\"storeBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesClaimEntry\",\"foreignKey\":\"claim\"}},\"minSpareRows\":\"1\",\"sortingField\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesClaimEntry\",\"foreignKey\":\"claim\"}},\"disabledAdd\":\"\",\"options\":[{\"readonly\":\"\",\"format\":\"ExpensesClaimEntry\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Category\",\"formatType\":\"dropdown\",\"value\":\"category\"},{\"readonly\":\"\",\"format\":\"\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Date\",\"formatType\":\"date\",\"value\":\"date\"},{\"readonly\":\"\",\"format\":\"\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Purpose\",\"formatType\":\"\",\"value\":\"purpose\"},{\"readonly\":\"\",\"format\":\"\",\"regexValidator\":\"\",\"formula\":\"\",\"label\":\"Amount\",\"formatType\":\"numeric\",\"value\":\"amount\"}],\"customSettings\":\"\",\"id\":\"spECD\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"90548\",\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section3\",\"label\":\"Expense Items\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field6_1\",\"label\":\"\",\"value\":\"Tip: Add new categories in <a href=\\\"setupCategory\\\" target=\\\"_blank\\\">Setup Category</a>.<br/>\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"90556\",\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.plugin.enterprise.CalculationField\",\"properties\":{\"id\":\"total\",\"label\":\"Total Amount $\",\"variables\":[{\"variableName\":\"a\",\"fieldId\":\"spECD.amount\",\"operation\":\"sum\"}],\"equation\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"style\":\"us\",\"numOfDecimal\":\"2\",\"prefix\":\"\",\"postfix\":\"\",\"useThousandSeparator\":\"\",\"hidden\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"90557\",\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"90551\",\"id\":\"section3\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"true\",\"maxSize\":\"\",\"label\":\"Attachments (i.e. Receipts, tickets etc.)\",\"removeFile\":\"\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"receipt\",\"fileType\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"CreatedDate\",\"value\":\"#date.yyyy-MM-dd#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"90564\",\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"90560\",\"id\":\"section4\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpensesClaimEntry','Expense Claim Entry','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_entry','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Claim Entry\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesClaimEntry\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_entry\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field6\",\"label\":\"\",\"value\":\"Note<br/>\\nThis is a hidden form used by spreadsheet element only<br/>\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"elementUniqueKey\":\"90501\",\"workflowVariable\":\"\",\"id\":\"claim\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"id\":\"category\",\"label\":\"Category\",\"options\":[],\"optionsBinder\":{\"className\":\"org.joget.apps.form.lib.FormOptionsBinder\",\"properties\":{\"formDefId\":\"SetupCategory\",\"idColumn\":\"Category\",\"labelColumn\":\"Category\",\"groupingColumn\":\"\",\"extraCondition\":\"\",\"addEmptyOption\":\"\",\"emptyLabel\":\"\",\"useAjax\":\"\"}},\"value\":\"\",\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\"}},{\"className\":\"org.joget.apps.form.lib.DatePicker\",\"properties\":{\"yearRange\":\"c-10:c+10\",\"dataFormat\":\"yyyy-MM-dd\",\"startDateFieldId\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"format\":\"yy-mm-dd\",\"label\":\"Date\",\"currentDateAs\":\"\",\"endDateFieldId\":\"\",\"readonly\":\"\",\"allowManual\":\"\",\"workflowVariable\":\"\",\"id\":\"date\",\"value\":\"#date.yyyy-MM-dd#\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"elementUniqueKey\":\"90504\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"type\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"purpose\",\"label\":\"Purpose\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"prefix\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"numeric\",\"message\":\"\",\"mandatory\":\"true\"}},\"useThousandSeparator\":\"\",\"label\":\"Amount\",\"numOfDecimal\":\"2\",\"encryption\":\"\",\"size\":\"10\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"us\",\"id\":\"amount\",\"placeholder\":\"\",\"postfix\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"elementUniqueKey\":\"90494\",\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"elementUniqueKey\":\"90480\",\"id\":\"section1\",\"label\":\"General Expense Entry\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpensesClaimFinance','Expense Finance Form','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Finance Form\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesClaimFinance\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"sfECD\",\"label\":\"\",\"formDefId\":\"ExpensesClaim\",\"readonly\":\"true\",\"readonlyLabel\":\"\",\"noframe\":\"\",\"parentSubFormId\":\"\",\"subFormParentId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"type\":\"\",\"mandatory\":\"true\"}},\"multiple\":\"\",\"options\":[{\"label\":\"Verified\",\"value\":\"Verified\"},{\"label\":\"Rejected\",\"value\":\"Finance Rejected\"}],\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"Status\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"finance_comments\",\"label\":\"Finance remark\",\"placeholder\":\"\",\"rows\":\"2\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"FinanceApprovedDate\",\"value\":\"#date.yyyy-MM-dd#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"FinanceApprovedBy\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section2\",\"label\":\"Verification\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpensesClaimNew','Expense Claim New','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Claim New\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesClaimNew\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.IdGeneratorField\",\"properties\":{\"hidden\":\"true\",\"format\":\"????\",\"workflowVariable\":\"\",\"envVariable\":\"counter\",\"id\":\"ref\",\"label\":\"Ref\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"id\":\"title\",\"label\":\"Title<br/>(Example: China Travel, July Claims etc.)\",\"value\":\"\",\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DuplicateValueValidator\",\"properties\":{\"formDefId\":\"ExpensesClaimNew\",\"fieldId\":\"title\",\"mandatory\":\"true\",\"regex\":\"\",\"errorMsg\":\"Duplicate title, do input a different title\"}},\"encryption\":\"\",\"placeholder\":\"\",\"size\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"encryption\":\"\",\"readonly\":\"\",\"size\":\"\",\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"\",\"id\":\"remark\",\"label\":\"Remark\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.UserOptionsBinder\",\"properties\":{\"addEmptyOption\":\"\",\"optionLabel\":\"\",\"useAjax\":\"\",\"groupId\":\"\",\"deptId\":\"\",\"emptyLabel\":\"\",\"grouping\":\"\",\"orgId\":\"\"}},\"options\":[],\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"SelectApprover\",\"id\":\"SelectApprover\",\"label\":\"Select Approver\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"claimant\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"username\",\"value\":\"#currentUser.username#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"status\",\"value\":\"Draft\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Expense Claim Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'ExpensesClaimResubmit','Expense Claim Resubmit','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_claim','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"Expense Claim Resubmit\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"ExpensesClaimResubmit\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_expense_claim\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"},\"readonly\":\"\",\"formDefId\":\"ExpensesClaim\",\"subFormParentId\":\"\",\"id\":\"resubmit\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":\"{}\"}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"ExpensesApprovalEntry\",\"foreignKey\":\"claim\"}},\"readonly\":\"true\",\"options\":[{\"label\":\"Approver\",\"value\":\"approver\"},{\"label\":\"Comment\",\"value\":\"comment\"},{\"label\":\"Date\",\"value\":\"dateCreated\"}],\"id\":\"approval_comments\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"}}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"id\":\"status\",\"value\":\"Resubmit\",\"useDefaultWhenEmpty\":\"valueOnly\",\"workflowVariable\":\"status\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"99%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section2\",\"label\":\"Approval Comment(s)\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('expenseclaim',1,'SetupCategory','Expense Setup Category','2018-01-10 21:03:29','2018-01-10 21:03:29','j_expense_cat','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"id\":\"SetupCategory\",\"name\":\"Expense Setup Category\",\"tableName\":\"j_expense_cat\",\"description\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"noPermissionMessage\":\"\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"postProcessorRunOn\":\"both\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"Expense Category\",\"encryption\":\"\",\"size\":\"50\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"Category\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Set Up Expense Categories\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('isr',1,'isr_new_request','ISR New Request','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR New Request\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_new_request\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.IdGeneratorField\",\"properties\":{\"hidden\":\"true\",\"format\":\"????\",\"workflowVariable\":\"\",\"envVariable\":\"counter\",\"id\":\"ref_id\",\"label\":\"Ref Id\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.UserOptionsBinder\",\"properties\":{\"optionLabel\":\"\",\"addEmptyOption\":\"\",\"useAjax\":\"\",\"groupId\":\"\",\"deptId\":\"\",\"grouping\":\"\",\"emptyLabel\":\"\",\"orgId\":\"\"}},\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"message\":\"\",\"type\":\"\",\"mandatory\":\"true\"}},\"multiple\":\"\",\"options\":[],\"workflowVariable\":\"attention\",\"id\":\"attention\",\"label\":\"Select Approver\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"label\":\"Subject\",\"encryption\":\"\",\"size\":\"60\",\"readonly\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"subject\",\"placeholder\":\"\",\"value\":\"\",\"readonlyLabel\":\"\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"readonly\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"\",\"id\":\"description\",\"label\":\"Describe Issue\",\"placeholder\":\"\",\"rows\":\"5\",\"value\":\"\",\"cols\":\"40\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"readonly\":\"\",\"size\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"type\":\"\",\"mandatory\":\"true\"}},\"multiple\":\"\",\"options\":[{\"label\":\"Low\",\"value\":\"Low\"},{\"label\":\"Medium\",\"value\":\"Medium\"},{\"label\":\"High\",\"value\":\"High\"},{\"label\":\"Critical\",\"value\":\"Critical\"}],\"workflowVariable\":\"\",\"id\":\"priority\",\"label\":\"Priority\",\"value\":\"\"}},{\"className\":\"org.joget.apps.form.lib.DatePicker\",\"properties\":{\"yearRange\":\"c-10:c+10\",\"dataFormat\":\"yyyy-MM-dd\",\"startDateFieldId\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"format\":\"dd-mm-yy\",\"label\":\"Due Date\",\"currentDateAs\":\"\",\"endDateFieldId\":\"\",\"readonly\":\"\",\"allowManual\":\"\",\"workflowVariable\":\"\",\"id\":\"duedate\",\"value\":\"#date.DAY+2.yyyy-MM-dd#\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"true\",\"maxSize\":\"\",\"label\":\"Document Attachments 1<br/>(You may attach more than 1 file)\",\"removeFile\":\"\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"attachment1\",\"fileType\":\"\"}},{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"id\":\"attachment2\",\"label\":\"Document Attachments 2<br/>(You may attach more than 1 file)\",\"validator\":{\"className\":\"\",\"properties\":{}},\"maxSize\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"fileType\":\"\",\"fileTypeMsg\":\"Invalid file type\",\"removeFile\":\"\",\"permissionType\":\"\",\"size\":\"\",\"multiple\":\"true\",\"readonly\":\"\",\"padding\":\"\",\"attachment\":\"true\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"status\",\"value\":\"New\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"requester\",\"value\":\"#currentUser.username#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"department\",\"value\":\"#currentUser.department.id#\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Requested Date\",\"encryption\":\"\",\"readonly\":\"true\",\"size\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"createdDate\",\"placeholder\":\"\",\"value\":\"#date.yyyy-MM-dd HH:mm:ss#\",\"readonlyLabel\":\"true\",\"storeNumeric\":\"\"}},{\"className\":\"org.joget.apps.form.lib.TextField\",\"properties\":{\"maxlength\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"label\":\"Requested By\",\"encryption\":\"\",\"readonly\":\"true\",\"size\":\"\",\"workflowVariable\":\"\",\"style\":\"\",\"id\":\"requester_name\",\"placeholder\":\"\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\",\"readonlyLabel\":\"true\",\"storeNumeric\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"Request Details\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('isr',1,'isr_remark','ISR Remark','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_remark','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Remark\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_remark\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_remark\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.TextArea\",\"properties\":{\"id\":\"remarks\",\"label\":\"Add Remarks On This Issue\",\"value\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"mandatory\":\"true\",\"type\":\"\",\"custom-regex\":\"\",\"message\":\"\"}},\"placeholder\":\"\",\"cols\":\"50\",\"rows\":\"4\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"workflowVariable\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"username\",\"value\":\"#currentUser.username#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"name\",\"value\":\"#currentUser.firstName# #currentUser.lastName#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"workflowVariable\":\"\",\"id\":\"request_id\",\"value\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}}]}',NULL),('isr',1,'isr_request_detail','ISR Request View With Remarks','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Request View With Remarks\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_request_detail\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"formDefId\":\"isrrequestview\",\"noframe\":\"\",\"subFormParentId\":\"\",\"id\":\"request_detail\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"validateMaxRow\":\"\",\"readonly\":\"true\",\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"isr_remark\",\"foreignKey\":\"request_id\"}},\"validateMinRow\":\"\",\"options\":[{\"label\":\"Name\",\"value\":\"name\"},{\"label\":\"Remarks\",\"value\":\"remarks\"},{\"label\":\"Date\",\"value\":\"dateCreated\"}],\"validator\":{\"className\":\"\",\"properties\":{}},\"errorMessage\":\"Invalid number of rows\",\"id\":\"fgR\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"sfAR\",\"label\":\"\",\"formDefId\":\"isr_remark\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"noframe\":\"true\",\"parentSubFormId\":\"last_remark\",\"subFormParentId\":\"request_id\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.BeanShellFormBinder\",\"properties\":{\"script\":\"return null;\",\"useAjax\":\"\"}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Remarks History\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('isr',1,'isr_resolve_assigned','ISR Resolve Assigned Request','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Resolve Assigned Request\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_resolve_assigned\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"formDefId\":\"isrrequestview\",\"noframe\":\"\",\"subFormParentId\":\"\",\"id\":\"request_detail\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Resolved Issue\",\"value\":\"Resolved\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"<span style=\\\"color:red;\\\">Status</span>\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"SFAddRemark\",\"label\":\"\",\"formDefId\":\"isr_remark\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"noframe\":\"true\",\"parentSubFormId\":\"last_remark\",\"subFormParentId\":\"request_id\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.BeanShellFormBinder\",\"properties\":{\"script\":\"return null;\",\"useAjax\":\"\"}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section3\",\"label\":\"Your Needed Action\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"isr_remark\",\"foreignKey\":\"request_id\"}},\"readonly\":\"true\",\"options\":[{\"label\":\"Name\",\"value\":\"name\"},{\"label\":\"Date\",\"value\":\"dateCreated\"},{\"label\":\"Message\",\"value\":\"remarks\"}],\"id\":\"remarks\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Remarks History\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('isr',1,'isr_resolve_reopened','ISR Resolve Reopened','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Resolve Reopened\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_resolve_reopened\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"formDefId\":\"isrrequestview\",\"noframe\":\"\",\"subFormParentId\":\"\",\"id\":\"request_detail\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Resolved Issue\",\"value\":\"Resolved\",\"grouping\":\"\"},{\"label\":\"Assign\",\"value\":\"Assigned\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"<span style=\\\"color:red;\\\">Status</span>\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.UserOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"optionLabel\":\"\",\"useAjax\":\"\",\"groupId\":\"\",\"deptId\":\"\",\"emptyLabel\":\"Select\",\"grouping\":\"\",\"orgId\":\"\"}},\"options\":[],\"multiple\":\"\",\"validator\":{\"className\":\"org.joget.apps.form.lib.DefaultValidator\",\"properties\":{\"custom-regex\":\"\",\"type\":\"\",\"message\":\"\",\"mandatory\":\"true\"}},\"workflowVariable\":\"assignee\",\"id\":\"assignee\",\"label\":\"Assignee\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"SFAddRemark\",\"label\":\"\",\"formDefId\":\"isr_remark\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"noframe\":\"true\",\"parentSubFormId\":\"last_remark\",\"subFormParentId\":\"request_id\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.BeanShellFormBinder\",\"properties\":{\"script\":\"return null;\",\"useAjax\":\"\"}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"label\":\"Section\",\"id\":\"section5\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"isr_remark\",\"foreignKey\":\"request_id\"}},\"readonly\":\"true\",\"options\":[{\"label\":\"Name\",\"value\":\"name\"},{\"label\":\"Date\",\"value\":\"dateCreated\"},{\"label\":\"Message\",\"value\":\"remarks\"}],\"id\":\"remarks\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Remarks History\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('isr',1,'isr_resolve_request','ISR Resolve Request','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Resolve Request\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_resolve_request\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"formDefId\":\"isrrequestview\",\"noframe\":\"\",\"subFormParentId\":\"\",\"id\":\"field1\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"Issue Resolved\",\"value\":\"Resolved\",\"grouping\":\"\"},{\"label\":\"Assign Issue\",\"value\":\"Assigned\",\"grouping\":\"\"},{\"label\":\"Issue Rejected\",\"value\":\"Rejected\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"<span style=\\\"color:red;\\\">Status</span>\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"org.joget.plugin.enterprise.UserOptionsBinder\",\"properties\":{\"addEmptyOption\":\"true\",\"optionLabel\":\"\",\"useAjax\":\"\",\"groupId\":\"\",\"deptId\":\"\",\"emptyLabel\":\"Select\",\"grouping\":\"\",\"orgId\":\"\"}},\"options\":[],\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"assignee\",\"id\":\"assignee\",\"label\":\"Assignee\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"last_remark\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.BeanShellFormBinder\",\"properties\":{\"useAjax\":\"\",\"script\":\"return null;\"}},\"formDefId\":\"isr_remark\",\"noframe\":\"true\",\"subFormParentId\":\"request_id\",\"id\":\"SFAddRemark\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section4\",\"label\":\"Your Needed Action\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"isr_remark\",\"foreignKey\":\"request_id\"}},\"readonly\":\"true\",\"options\":[{\"label\":\"Name\",\"value\":\"name\"},{\"label\":\"Date\",\"value\":\"dateCreated\"},{\"label\":\"Message\",\"value\":\"remarks\"}],\"id\":\"remarks\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Remarks History\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('isr',1,'isr_verify_resolved','ISR Verify Resolved Request','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Verify Resolved Request\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isr_verify_resolved\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"parentSubFormId\":\"\",\"readonly\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"formDefId\":\"isrrequestview\",\"noframe\":\"\",\"subFormParentId\":\"\",\"id\":\"request_detail\",\"label\":\"\",\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"readonlyLabel\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"visibilityControl\":\"\",\"loadBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"id\":\"section1\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"},\"visibilityValue\":\"\"}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.SelectBox\",\"properties\":{\"controlField\":\"\",\"size\":\"\",\"readonly\":\"\",\"optionsBinder\":{\"className\":\"\",\"properties\":{}},\"options\":[{\"label\":\"This issue is verified\",\"value\":\"Verified\",\"grouping\":\"\"},{\"label\":\"Reopen this issue\",\"value\":\"Reopened\",\"grouping\":\"\"}],\"multiple\":\"\",\"validator\":{\"className\":\"\",\"properties\":{}},\"workflowVariable\":\"status\",\"id\":\"status\",\"label\":\"<span style=\\\"color:red;\\\">Status</span>\",\"value\":\"\",\"readonlyLabel\":\"\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"verifier\",\"value\":\"#currentUser.FirstName# #currentUser.LastName#\"}},{\"className\":\"org.joget.apps.form.lib.HiddenField\",\"properties\":{\"useDefaultWhenEmpty\":\"\",\"workflowVariable\":\"\",\"id\":\"dateVerified\",\"value\":\"#date.yyyy-MM-dd#\"}},{\"className\":\"org.joget.apps.form.lib.SubForm\",\"properties\":{\"id\":\"SFAddRemark\",\"label\":\"\",\"formDefId\":\"isr_remark\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"noframe\":\"true\",\"parentSubFormId\":\"last_remark\",\"subFormParentId\":\"request_id\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.BeanShellFormBinder\",\"properties\":{\"script\":\"return null;\",\"useAjax\":\"\"}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section3\",\"label\":\"Your Needed Action\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.Grid\",\"properties\":{\"loadBinder\":{\"className\":\"org.joget.plugin.enterprise.MultirowFormBinder\",\"properties\":{\"formDefId\":\"isr_remark\",\"foreignKey\":\"request_id\"}},\"readonly\":\"true\",\"options\":[{\"label\":\"Name\",\"value\":\"name\"},{\"label\":\"Date\",\"value\":\"dateCreated\"},{\"label\":\"Message\",\"value\":\"remarks\"}],\"id\":\"remarks\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":\"{}\"}}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"100%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"Remarks History\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL),('isr',1,'isrrequestview','ISR Request View Original','2018-01-10 13:03:30','2018-01-10 13:03:30','j_isr_request','{\"className\":\"org.joget.apps.form.model.Form\",\"properties\":{\"noPermissionMessage\":\"\",\"loadBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"name\":\"ISR Request View Original\",\"description\":\"\",\"postProcessorRunOn\":\"both\",\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"isrrequestview\",\"postProcessor\":{\"className\":\"\",\"properties\":{}},\"storeBinder\":{\"className\":\"org.joget.apps.form.lib.WorkflowFormBinder\",\"properties\":{}},\"tableName\":\"j_isr_request\"},\"elements\":[{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.IdGeneratorField\",\"properties\":{\"hidden\":\"true\",\"format\":\"????\",\"workflowVariable\":\"\",\"envVariable\":\"counter\",\"id\":\"ref_id\",\"label\":\"Ref Id\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16\",\"label\":\"Subject\",\"value\":\"##form.j_isr_request.ref_id#: #form.j_isr_request.subject#\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_1\",\"label\":\"Status\",\"value\":\"<span style=\\\"font-size:150%;\\\">#form.j_isr_request.status#</span>\\n\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_1\",\"label\":\"Describe Issue\",\"value\":\"#form.j_isr_request.description#\\n\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_2\",\"label\":\"Priority\",\"value\":\"#form.j_isr_request.priority#\\n\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_3\",\"label\":\"Approver\",\"value\":\"#form.j_isr_request.attention#\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_2\",\"label\":\"Due Date\",\"value\":\"#form.j_isr_request.duedate#\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_4\",\"label\":\"Requested By\",\"value\":\"#form.j_isr_request.requester_name# (#form.j_isr_request.requester#) on #form.j_isr_request.createdDate#\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field14\",\"label\":\"Verified By\",\"value\":\"#form.j_isr_request.verifier# on #form.j_isr_request.dateVerified#\"}},{\"className\":\"org.joget.apps.form.lib.CustomHTML\",\"properties\":{\"autoPopulate\":\"\",\"id\":\"field16_3\",\"label\":\"Department\",\"value\":\"#form.j_isr_request.department_name#\\n\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section1\",\"label\":\"Service Request Details\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}},{\"elements\":[{\"elements\":[{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"permissionType\":\"\",\"padding\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"validator\":{\"className\":\"\",\"properties\":{}},\"multiple\":\"true\",\"maxSize\":\"\",\"label\":\"Document<br/>Attachments 1\",\"removeFile\":\"true\",\"size\":\"\",\"readonly\":\"\",\"attachment\":\"true\",\"fileTypeMsg\":\"Invalid file type\",\"id\":\"attachment1\",\"fileType\":\"\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}},{\"elements\":[{\"className\":\"org.joget.apps.form.lib.FileUpload\",\"properties\":{\"id\":\"attachment2\",\"label\":\"Document<br/>Attachments 2\",\"validator\":{\"className\":\"\",\"properties\":{}},\"maxSize\":\"\",\"maxSizeMsg\":\"File size limit exceeded\",\"fileType\":\"\",\"fileTypeMsg\":\"Invalid file type\",\"removeFile\":\"\",\"permissionType\":\"\",\"size\":\"\",\"multiple\":\"true\",\"readonly\":\"\",\"padding\":\"\",\"attachment\":\"true\"}}],\"className\":\"org.joget.apps.form.model.Column\",\"properties\":{\"width\":\"49%\"}}],\"className\":\"org.joget.apps.form.model.Section\",\"properties\":{\"loadBinder\":{\"className\":\"\",\"properties\":{}},\"permission\":{\"className\":\"\",\"properties\":{}},\"id\":\"section2\",\"label\":\"\",\"storeBinder\":{\"className\":\"\",\"properties\":{}}}}]}',NULL);
/*!40000 ALTER TABLE `app_form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_form_data_audit_trail`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_form_data_audit_trail` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appVersion` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `formId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tableName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `action` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `data` longtext COLLATE utf8_unicode_ci,
  `datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_form_data_audit_trail`
--

LOCK TABLES `app_form_data_audit_trail` WRITE;
/*!40000 ALTER TABLE `app_form_data_audit_trail` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_form_data_audit_trail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_message`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_message` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `ouid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `messageKey` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `locale` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`appId`,`appVersion`,`ouid`),
  KEY `FKEE346FE9462EF4C7` (`appId`,`appVersion`),
  CONSTRAINT `FKEE346FE9462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_message`
--

LOCK TABLES `app_message` WRITE;
/*!40000 ALTER TABLE `app_message` DISABLE KEYS */;
INSERT INTO `app_message` VALUES ('appcenter',1,'<i class=\'fa fa-home\'></i> Home_zh_CN','<i class=\'fa fa-home\'></i> Home','zh_CN','<i class=\'fa fa-home\'></i> 首页'),('appcenter',1,'<i class=\'fa fa-home\'></i> Home_zh_TW','<i class=\'fa fa-home\'></i> Home','zh_TW','<i class=\'fa fa-home\'></i> 首頁'),('appcenter',1,'App Center_zh_CN','App Center','zh_CN','应用中心'),('appcenter',1,'App Center_zh_TW','App Center','zh_TW','應用中心'),('appcenter',1,'Design New App_zh_CN','Design New App','zh_CN','设计新应用程序'),('appcenter',1,'Design New App_zh_TW','Design New App','zh_TW','設計新應用程序'),('appcenter',1,'Download from Marketplace_zh_CN','Download from Marketplace','zh_CN','应用市场'),('appcenter',1,'Download from Marketplace_zh_TW','Download from Marketplace','zh_TW','應用市場'),('appcenter',1,'Import App_zh_CN','Import App','zh_CN','导入应用'),('appcenter',1,'Import App_zh_TW','Import App','zh_TW','導入應用'),('appcenter',1,'Powered by Joget_zh_CN','Powered by Joget','zh_CN','由Joget技术支持'),('appcenter',1,'Powered by Joget_zh_TW','Powered by Joget','zh_TW','由Joget技術支持'),('appcenter',1,'Published Apps_zh_CN','Published Apps','zh_CN','本地已发布'),('appcenter',1,'Published Apps_zh_TW','Published Apps','zh_TW','本地已發布');
/*!40000 ALTER TABLE `app_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_package`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_package` (
  `packageId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageVersion` bigint(20) NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  `appId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appVersion` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`packageId`,`packageVersion`),
  KEY `FK852EA428462EF4C7` (`appId`,`appVersion`),
  CONSTRAINT `FK852EA428462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_package`
--

LOCK TABLES `app_package` WRITE;
/*!40000 ALTER TABLE `app_package` DISABLE KEYS */;
INSERT INTO `app_package` VALUES ('crm',1,'Customer Relationship Management','2018-01-10 13:03:28','2018-01-10 13:03:28','crm',1),('dashboard',1,'Employee Portal','2018-01-10 13:03:29','2018-01-10 21:05:10','dashboard',1),('expenseclaim',1,'Expenses Claim','2018-01-10 13:03:30','2018-01-10 13:03:30','expenseclaim',1),('isr',1,'Internal Service Request','2018-01-10 13:03:30','2018-01-10 13:03:31','isr',1);
/*!40000 ALTER TABLE `app_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_package_activity_form`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_package_activity_form` (
  `processDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `activityDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageVersion` bigint(20) NOT NULL,
  `ouid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `formId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `formUrl` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `formIFrameStyle` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `autoContinue` bit(1) DEFAULT NULL,
  `disableSaveAsDraft` bit(1) DEFAULT NULL,
  PRIMARY KEY (`processDefId`,`activityDefId`,`packageId`,`packageVersion`),
  KEY `FKA8D741D5F255BCC` (`packageId`,`packageVersion`),
  CONSTRAINT `FKA8D741D5F255BCC` FOREIGN KEY (`packageId`, `packageVersion`) REFERENCES `app_package` (`packageId`, `packageVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_package_activity_form`
--

LOCK TABLES `app_package_activity_form` WRITE;
/*!40000 ALTER TABLE `app_package_activity_form` DISABLE KEYS */;
INSERT INTO `app_package_activity_form` VALUES ('isr','resolve_assigned_request','isr',1,'isr::resolve_assigned_request','SINGLE','isr_resolve_assigned',NULL,NULL,'\0',''),('isr','resolve_reopened_request','isr',1,'isr::resolve_reopened_request','SINGLE','isr_resolve_reopened',NULL,NULL,'\0',''),('isr','resolve_request','isr',1,'isr::resolve_request','SINGLE','isr_resolve_request',NULL,NULL,'\0',''),('isr','runProcess','isr',1,'isr::runProcess','SINGLE','isr_new_request',NULL,NULL,'\0','\0'),('isr','verifiy_resolved_request','isr',1,'isr::verifiy_resolved_request','SINGLE','isr_verify_resolved',NULL,NULL,'\0',''),('process1','activity1','crm',1,'process1::activity1','SINGLE','crm_proposal_resubmit_form',NULL,NULL,'\0',''),('process1','activity1','dashboard',1,'process1::activity1','SINGLE','user_approval',NULL,NULL,'',''),('process1','activity2','dashboard',1,'process1::activity2','SINGLE','user_creation',NULL,NULL,'',''),('process1','approve_claim','expenseclaim',1,'process1::approve_claim','SINGLE','ExpensesApproval',NULL,NULL,'\0',''),('process1','approve_proposal','crm',1,'process1::approve_proposal','SINGLE','crm_proposal_approval_form',NULL,NULL,'\0',''),('process1','new_claim','expenseclaim',1,'process1::new_claim','SINGLE','ExpensesClaim',NULL,NULL,'\0','\0'),('process1','resubmit','expenseclaim',1,'process1::resubmit','SINGLE','ExpensesClaimResubmit',NULL,NULL,'\0','\0'),('process1','runProcess','crm',1,'process1::runProcess','SINGLE','crm_proposal_form',NULL,NULL,'\0','\0'),('process1','runProcess','dashboard',1,'process1::runProcess','SINGLE','user_registration',NULL,NULL,'','\0'),('process1','runProcess','expenseclaim',1,'process1::runProcess','SINGLE','ExpensesClaimNew',NULL,NULL,'','\0'),('process1','send_proposal','crm',1,'process1::send_proposal','SINGLE','crm_proposal_sending_form',NULL,NULL,'\0',''),('process1','verify_claim','expenseclaim',1,'process1::verify_claim','SINGLE','ExpensesClaimFinance',NULL,NULL,'\0','');
/*!40000 ALTER TABLE `app_package_activity_form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_package_activity_plugin`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_package_activity_plugin` (
  `processDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `activityDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageVersion` bigint(20) NOT NULL,
  `ouid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pluginName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pluginProperties` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`processDefId`,`activityDefId`,`packageId`,`packageVersion`),
  KEY `FKADE8644C5F255BCC` (`packageId`,`packageVersion`),
  CONSTRAINT `FKADE8644C5F255BCC` FOREIGN KEY (`packageId`, `packageVersion`) REFERENCES `app_package` (`packageId`, `packageVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_package_activity_plugin`
--

LOCK TABLES `app_package_activity_plugin` WRITE;
/*!40000 ALTER TABLE `app_package_activity_plugin` DISABLE KEYS */;
INSERT INTO `app_package_activity_plugin` VALUES ('isr','send_rejected_notifiction','isr',1,'isr::send_rejected_notifiction','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"requester\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your ISR request number #form.j_isr_request.ref_id# has been rejected by #form.j_isr_request.verifier# on #form.j_isr_request.dateVerified#.\",\"message\":\"Your ISR request number #form.j_isr_request.ref_id# has been rejected by #form.j_isr_request.verifier# on #form.j_isr_request.dateVerified#.\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%bg1EHNaYHDcsflCweW3/0Q==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('isr','send_verified_notification','isr',1,'isr::send_verified_notification','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"requester\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your ISR request number #form.j_isr_request.ref_id# has been verified by #form.j_isr_request.verifier# on #form.j_isr_request.dateVerified#.\",\"message\":\"Your ISR request number #form.j_isr_request.ref_id# has been verified by #form.j_isr_request.verifier# on #form.j_isr_request.dateVerified#.\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%YbOCkW/yjzzXyFU3SMnB9Q==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool1','crm',1,'process1::tool1','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"approver\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your proposal titled \\\"#form.j_crm_proposal.title#\\\" has been approved by #form.j_crm_proposal.approver#\",\"message\":\"Dear Proposer\\n\\nYour proposal titled \\\"#form.j_crm_proposal.title#\\\" has been approved by #form.j_crm_proposal.approver#.\\n\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%AOlyEx4w3r+hgtyvgHj8rQ==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool1','expenseclaim',1,'process1::tool1','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"claimant\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your expense claim has been verified by Finance Dept\",\"message\":\"To Claimant<br\\/>\\n<br\\/>\\nYour expense claim has been verified by Finance Dept.<br\\/>\\n<br\\/>\\nDetails as follows:<br\\/>\\n<br\\/>\\nRef #:  <b>#form.j_expense_claim.ref#<\\/b><br\\/>\\nTitle:  <b>#form.j_expense_claim.title#<\\/b><br\\/>\\nClaimant remark:  <b>#form.j_expense_claim.remark#<\\/b><br\\/>\\nSubmitted by:  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#<\\/b><br\\/>\\n<br\\/>\\nClaim total $:  <b>#form.j_expense_claim.total#<\\/b><br\\/>\\nRecord status:  <b>#form.j_expense_claim.status#<\\/b><br\\/>\\n<br\\/>\\nApprover action by:  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#<\\/b><br\\/>\\nFinance dept action by:  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#<\\/b>\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%Pu53dGPVPt4HzBGFUe3XcQ==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool2','crm',1,'process1::tool2','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"requester\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your proposal titled \\\"#form.j_crm_proposal.title#\\\" has been rejected by #form.j_crm_proposal.approver#\",\"message\":\"Dear Proposer\\n\\nYour proposal titled \\\"#form.j_crm_proposal.title#\\\" has been rejected by #form.j_crm_proposal.approver#.\\n\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%gj59hQz/J64jP3iu5CwGCA==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool2','dashboard',1,'process1::tool2','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"#form.j_user_register.email#\",\"toParticipantId\":\"\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"User Registration Rejected: #form.j_user_register.username#\",\"message\":\"This is to inform you that the user registration for \\\"#form.j_user_register.username#\\\" has been rejected.\\n\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%bmdeyROsTVs533vZzgV3GA==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool2','expenseclaim',1,'process1::tool2','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"claimant\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your expense claim has been rejected by Finance Dept\",\"message\":\"To Claimant<br\\/>\\n<br\\/>\\nYour expense claim has been rejected by Finance Dept.<br\\/>\\n<br\\/>\\n<br\\/>\\nDetails as follows:<br\\/>\\n<br\\/>\\nRef #:  <b>#form.j_expense_claim.ref#<\\/b><br\\/>\\nTitle:  <b>#form.j_expense_claim.title#<\\/b><br\\/>\\nClaimant remark:  <b>#form.j_expense_claim.remark#<\\/b><br\\/>\\nSubmitted by:  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#<\\/b><br\\/>\\n<br\\/>\\nClaim total $:  <b>#form.j_expense_claim.total#<\\/b><br\\/>\\nRecord status:  <b>#form.j_expense_claim.status#<\\/b><br\\/>\\n<br\\/>\\nApprover action by:  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#<\\/b><br\\/>\\nFinance dept action by:  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#<\\/b>\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%IvMfZij5Eg81iMZju43/4g==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool3','crm',1,'process1::tool3','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"approver\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"The  proposal titled \\\"#form.j_crm_proposal.title#\\\" is pending your approval\",\"message\":\"Dear #form.j_crm_proposal.approver#\\n\\nThe proposal titled \\\"#form.j_crm_proposal.title#\\\" is pending your approval.\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%ULjnW8cDkNL0g1g87wE4CA==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool3','dashboard',1,'process1::tool3','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"#form.j_user_register.email#\",\"toParticipantId\":\"\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"User Registration Approved: #form.j_user_register.username#\",\"message\":\"This is to inform you that the user registration for \\\"#form.j_user_register.username#\\\" has been approved. \\n\\nLogin Details\\n=============\\nUsername: #form.j_user_register.username#\\nPassword: #form.j_user_register.password#\\n\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%TfYdwRtsDH5h9rOt4x+EiQ==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool3','expenseclaim',1,'process1::tool3','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"claimant\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your expense claim has been rejected by approver, please amend and resubmit\",\"message\":\"To claimant<br\\/>\\n<br\\/>\\nYour expense claim has been rejected by approver, please amend and resubmit.<br\\/>\\n<br\\/>\\nDetails as follows:<br\\/>\\n<br\\/>\\nRef #:  <b>#form.j_expense_claim.ref#<\\/b><br\\/>\\nTitle:  <b>#form.j_expense_claim.title#<\\/b><br\\/>\\nClaimant remark:  <b>#form.j_expense_claim.remark#<\\/b><br\\/>\\nSubmitted by:  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#<\\/b><br\\/>\\n<br\\/>\\nClaim total $:  <b>#form.j_expense_claim.total#<\\/b><br\\/>\\nRecord status:  <b>#form.j_expense_claim.status#<\\/b><br\\/>\\n<br\\/>\\nApprover action by:  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#<\\/b><br\\/>\\nFinance dept action by:  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#<\\/b>\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%SfWBQvypbe3VAr+ess6BIQ==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool4','crm',1,'process1::tool4','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"requester\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your proposal titled \\\"#form.j_crm_proposal.title#\\\" needs to be resubmitted\",\"message\":\"Dear Proposer\\n\\nYour proposal titled \\\"#form.j_crm_proposal.title#\\\" needs to be resubmitted as requested by #form.j_crm_proposal.approver#.\\n\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%N9QENT60j5JAp+yiGe2wQw==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool4','dashboard',1,'process1::tool4','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"approver\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"You Have A New User Registration Request from: #form.j_user_register.username#\",\"message\":\"You Have A New User Registration Request from: #form.j_user_register.username#.\\n\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%TCuif3S08OULU5D2Tjl40Q==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool4','expenseclaim',1,'process1::tool4','org.joget.plugin.enterprise.FormDataUpdateTool','{\"formDefId\":\"ExpensesClaim\",\"fields\":[{\"field\":\"status\",\"value\":\"Submitted\"}]}'),('process1','tool5','expenseclaim',1,'process1::tool5','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"approver\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"You have an expense claim request for approval\",\"message\":\"To approver<br\\/>\\n<br\\/>\\nYou have an expense claim request for approval.<br\\/>\\n<br\\/>\\nDetails as follows:<br\\/>\\n<br\\/>\\nRef #:  <b>#form.j_expense_claim.ref#<\\/b><br\\/>\\nTitle:  <b>#form.j_expense_claim.title#<\\/b><br\\/>\\nClaimant remark:  <b>#form.j_expense_claim.remark#<\\/b><br\\/>\\nSubmitted by:  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#<\\/b><br\\/>\\n<br\\/>\\nClaim total $:  <b>#form.j_expense_claim.total#<\\/b><br\\/>\\nRecord status:  <b>#form.j_expense_claim.status#<\\/b><br\\/>\\n<br\\/>\\nApprover action by:  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#<\\/b><br\\/>\\nFinance dept action by:  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#<\\/b>\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%UfRafp+QOa54cQM/pFA3ig==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool6','expenseclaim',1,'process1::tool6','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"finance\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"You have an expense claim request for verification\",\"message\":\"To Finance<br\\/>\\n<br\\/>\\nYou have an expense claim request for verification.<br\\/>\\n<br\\/>\\n<br\\/>\\nDetails as follows:<br\\/>\\n<br\\/>\\nRef #:  <b>#form.j_expense_claim.ref#<\\/b><br\\/>\\nTitle:  <b>#form.j_expense_claim.title#<\\/b><br\\/>\\nClaimant remark:  <b>#form.j_expense_claim.remark#<\\/b><br\\/>\\nSubmitted by:  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#<\\/b><br\\/>\\n<br\\/>\\nClaim total $:  <b>#form.j_expense_claim.total#<\\/b><br\\/>\\nRecord status:  <b>#form.j_expense_claim.status#<\\/b><br\\/>\\n<br\\/>\\nApprover action by:  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#<\\/b><br\\/>\\nFinance dept action by:  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#<\\/b>\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%w5g3BSUqGm8PAtMWF1n5tg==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}'),('process1','tool7','expenseclaim',1,'process1::tool7','org.joget.apps.app.lib.EmailTool','{\"toSpecific\":\"\",\"toParticipantId\":\"claimant\",\"cc\":\"\",\"bcc\":\"\",\"subject\":\"Your expense claim has been rejected by approver\",\"message\":\"To claimant<br\\/>\\n<br\\/>\\nYour expense claim has been rejected by approver.<br\\/>\\n<br\\/>\\nDetails as follows:<br\\/>\\n<br\\/>\\nRef #:  <b>#form.j_expense_claim.ref#<\\/b><br\\/>\\nTitle:  <b>#form.j_expense_claim.title#<\\/b><br\\/>\\nClaimant remark:  <b>#form.j_expense_claim.remark#<\\/b><br\\/>\\nSubmitted by:  <b>#form.j_expense_claim.claimant# on #form.j_expense_claim.CreatedDate#<\\/b><br\\/>\\n<br\\/>\\nClaim total $:  <b>#form.j_expense_claim.total#<\\/b><br\\/>\\nRecord status:  <b>#form.j_expense_claim.status#<\\/b><br\\/>\\n<br\\/>\\nApprover action by:  <b>#form.j_expense_claim.ApprovedBy# #form.j_expense_claim.ApprovedDate#<\\/b><br\\/>\\nFinance dept action by:  <b>#form.j_expense_claim.FinanceApprovedBy# #form.j_expense_claim.FinanceApprovedDate#<\\/b>\\n\\nEmail notification generated by Joget Workflow.\",\"isHtml\":\"\",\"from\":\"\",\"host\":\"\",\"port\":\"\",\"PROPERTIES_EDITOR_METAS_HASH_FIELD\":\"security\",\"security\":\"\",\"username\":\"\",\"password\":\"%%%%R9/6OSAAlN306OyX8qnIUw==%%%%\",\"formDefId\":\"\",\"fields\":[],\"files\":[]}');
/*!40000 ALTER TABLE `app_package_activity_plugin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_package_participant`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_package_participant` (
  `processDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `participantId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageVersion` bigint(20) NOT NULL,
  `ouid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8_unicode_ci,
  `pluginProperties` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`processDefId`,`participantId`,`packageId`,`packageVersion`),
  KEY `FK6D7BF59C5F255BCC` (`packageId`,`packageVersion`),
  CONSTRAINT `FK6D7BF59C5F255BCC` FOREIGN KEY (`packageId`, `packageVersion`) REFERENCES `app_package` (`packageId`, `packageVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_package_participant`
--

LOCK TABLES `app_package_participant` WRITE;
/*!40000 ALTER TABLE `app_package_participant` DISABLE KEYS */;
INSERT INTO `app_package_participant` VALUES ('isr','assignee','isr',1,'isr::assignee','workflowVariable','assignee,user',NULL),('isr','hod','isr',1,'isr::hod','workflowVariable','attention,user',NULL),('isr','processStartWhiteList','isr',1,'isr::processStartWhiteList','role','loggedInUser',NULL),('isr','requester','isr',1,'isr::requester','requester','runProcess',NULL),('process1','approver','crm',1,'process1::approver','workflowVariable','selectApprover,user',NULL),('process1','approver','dashboard',1,'process1::approver','user','admin',NULL),('process1','approver','expenseclaim',1,'process1::approver','workflowVariable','SelectApprover,user',NULL),('process1','claimant','expenseclaim',1,'process1::claimant','requester','runProcess',NULL),('process1','finance','expenseclaim',1,'process1::finance','user','admin',NULL),('process1','processStartWhiteList','crm',1,'process1::processStartWhiteList','role','loggedInUser',NULL),('process1','processStartWhiteList','expenseclaim',1,'process1::processStartWhiteList','role','loggedInUser',NULL),('process1','requester','crm',1,'process1::requester','requester','runProcess',NULL),('process1','requester','dashboard',1,'process1::requester','requester','runProcess',NULL);
/*!40000 ALTER TABLE `app_package_participant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_plugin_default`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_plugin_default` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `pluginName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `pluginDescription` text COLLATE utf8_unicode_ci,
  `pluginProperties` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`appId`,`appVersion`,`id`),
  KEY `FK7A835713462EF4C7` (`appId`,`appVersion`),
  CONSTRAINT `FK7A835713462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_plugin_default`
--

LOCK TABLES `app_plugin_default` WRITE;
/*!40000 ALTER TABLE `app_plugin_default` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_plugin_default` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_report_activity`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_report_activity` (
  `uuid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `activityDefId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `activityName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `processUid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`uuid`),
  KEY `FK5E33D79C918F93D` (`processUid`),
  CONSTRAINT `FK5E33D79C918F93D` FOREIGN KEY (`processUid`) REFERENCES `app_report_process` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_report_activity`
--

LOCK TABLES `app_report_activity` WRITE;
/*!40000 ALTER TABLE `app_report_activity` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_report_activity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_report_activity_instance`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_report_activity_instance` (
  `instanceId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `performer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nameOfAcceptedUser` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `assignmentUsers` text COLLATE utf8_unicode_ci,
  `due` datetime DEFAULT NULL,
  `createdTime` datetime DEFAULT NULL,
  `startedTime` datetime DEFAULT NULL,
  `finishTime` datetime DEFAULT NULL,
  `delay` bigint(20) DEFAULT NULL,
  `timeConsumingFromCreatedTime` bigint(20) DEFAULT NULL,
  `timeConsumingFromStartedTime` bigint(20) DEFAULT NULL,
  `activityUid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `processInstanceId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`instanceId`),
  KEY `FK9C6ABDD8B06E2043` (`activityUid`),
  KEY `FK9C6ABDD8D4610A90` (`processInstanceId`),
  CONSTRAINT `FK9C6ABDD8B06E2043` FOREIGN KEY (`activityUid`) REFERENCES `app_report_activity` (`uuid`),
  CONSTRAINT `FK9C6ABDD8D4610A90` FOREIGN KEY (`processInstanceId`) REFERENCES `app_report_process_instance` (`instanceId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_report_activity_instance`
--

LOCK TABLES `app_report_activity_instance` WRITE;
/*!40000 ALTER TABLE `app_report_activity_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_report_activity_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_report_app`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_report_app` (
  `uuid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appVersion` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_report_app`
--

LOCK TABLES `app_report_app` WRITE;
/*!40000 ALTER TABLE `app_report_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_report_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_report_package`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_report_package` (
  `uuid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `packageName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `packageVersion` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appUid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`uuid`),
  KEY `FKBD580A19E475ABC` (`appUid`),
  CONSTRAINT `FKBD580A19E475ABC` FOREIGN KEY (`appUid`) REFERENCES `app_report_app` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_report_package`
--

LOCK TABLES `app_report_package` WRITE;
/*!40000 ALTER TABLE `app_report_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_report_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_report_process`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_report_process` (
  `uuid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `processDefId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `processName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `packageUid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`uuid`),
  KEY `FKDAFFF442D40695DD` (`packageUid`),
  CONSTRAINT `FKDAFFF442D40695DD` FOREIGN KEY (`packageUid`) REFERENCES `app_report_package` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_report_process`
--

LOCK TABLES `app_report_process` WRITE;
/*!40000 ALTER TABLE `app_report_process` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_report_process` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_report_process_instance`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_report_process_instance` (
  `instanceId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `requester` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `due` datetime DEFAULT NULL,
  `startedTime` datetime DEFAULT NULL,
  `finishTime` datetime DEFAULT NULL,
  `delay` bigint(20) DEFAULT NULL,
  `timeConsumingFromStartedTime` bigint(20) DEFAULT NULL,
  `processUid` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`instanceId`),
  KEY `FK351D7BF2918F93D` (`processUid`),
  CONSTRAINT `FK351D7BF2918F93D` FOREIGN KEY (`processUid`) REFERENCES `app_report_process` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_report_process_instance`
--

LOCK TABLES `app_report_process_instance` WRITE;
/*!40000 ALTER TABLE `app_report_process_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `app_report_process_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_resource`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_resource` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `filesize` bigint(20) DEFAULT NULL,
  `permissionClass` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `permissionProperties` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`appId`,`appVersion`,`id`),
  CONSTRAINT `FK_nnvkg0h6yy8o3f4yjhd20ury0` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_resource`
--

LOCK TABLES `app_resource` WRITE;
/*!40000 ALTER TABLE `app_resource` DISABLE KEYS */;
INSERT INTO `app_resource` VALUES ('crm',1,'crm_icon.jpg',29662,NULL,'{\"permission\": { \"className\": \"\", \"properties\": {}}}'),('dashboard',1,'esp_icon.jpg',30063,NULL,'{\"permission\": { \"className\": \"\", \"properties\": {}}}'),('expenseclaim',1,'claims_icon.jpg',30589,NULL,'{\"permission\": { \"className\": \"\", \"properties\": {}}}'),('isr',1,'isr_icon.jpg',30789,NULL,'{\"permission\": { \"className\": \"\", \"properties\": {}}}');
/*!40000 ALTER TABLE `app_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `app_userview`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_userview` (
  `appId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `appVersion` bigint(20) NOT NULL,
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `json` longtext COLLATE utf8_unicode_ci,
  `dateCreated` datetime DEFAULT NULL,
  `dateModified` datetime DEFAULT NULL,
  PRIMARY KEY (`appId`,`appVersion`,`id`),
  KEY `FKE411D54E462EF4C7` (`appId`,`appVersion`),
  KEY `idx_name` (`name`),
  CONSTRAINT `FKE411D54E462EF4C7` FOREIGN KEY (`appId`, `appVersion`) REFERENCES `app_app` (`appId`, `appVersion`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `app_userview`
--

LOCK TABLES `app_userview` WRITE;
/*!40000 ALTER TABLE `app_userview` DISABLE KEYS */;
INSERT INTO `app_userview` VALUES ('appcenter',1,'v','Joget Workflow',NULL,'{\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"v\",\"name\":\"Joget Workflow\",\"description\":\"\",\"welcomeMessage\":\"#date.EEE, d MMM yyyy#\",\"logoutText\":\"Logout\",\"footerMessage\":\"#i18n.Powered by Joget#\"},\"setting\":{\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"horizontal_inline\",\"themeScheme\":\"light\",\"primaryColor\":\"custom\",\"customPrimary\":\"#7CA6D8\",\"customPrimaryDark\":\"\",\"customPrimaryLight\":\"\",\"accentColor\":\"BLUE\",\"buttonColor\":\"GREY\",\"buttonTextColor\":\"WHITE\",\"menuFontColor\":\"BLACK\",\"fontColor\":\"WHITE\",\"fav_icon\":\"\",\"logo\":\"\\/jw\\/images\\/v3\\/logo.png\",\"profile\":\"\",\"userImage\":\"\",\"inbox\":\"all\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"\",\"homeAttractBanner\":\"<div id=\\\"banner\\\"><h1>#i18n.App Center#<\\/h1><\\/div>\",\"css\":\"\\/* banner image and title *\\/\\n#banner {\\n    background: url(\\/jw\\/home\\/banner.jpg);\\n    background-size: cover;\\n    height: 240px;\\n    width: 100%;\\n}\\n#banner h1 {\\n    margin-top: 0px;\\n    padding-top: 20px;\\n    color: white;\\n    text-align: center;\\n}\\nbody#home ul.breadcrumb {\\n    display: none;\\n}\\n\\n\\/* admin buttons *\\/\\n#appcenter_admin {\\n    position: absolute;\\n    top: -120px;\\n    text-align: center;\\n    display: block;\\n    margin: auto;\\n    width: 100%;\\n}\\n#admin_section, #admin_section .form-column, #admin_section .form-cell, #admin_section .form-cell-value {\\n    padding: 0px;\\n    margin: 0px;\\n    height: 0px;\\n}\\n@media (max-width: 540px) {\\n    #appcenter_admin {    \\n        top: -150px;\\n    }\\n}\\n\",\"js\":\"\",\"subheader\":\"\",\"subfooter\":\"\",\"disableHelpGuide\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"userview_thumbnail\":\"\",\"hideThisUserviewInAppCenter\":\"true\",\"permission\":{\"className\":\"\",\"properties\":{}},\"__\":\"\"}},\"categories\":[{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-EE74E4F4426241BD9BC3BC73B1D24AC7\",\"label\":\"<i class=\'fa fa-home\'><\\/i> Home\"},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"28F7ADF73F204C8BBAAD32CF26587AE2\",\"customId\":\"home\",\"label\":\"Published Apps\",\"formId\":\"landing\",\"showInPopupDialog\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"\",\"redirectUrlOnCancel\":\"\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"\",\"cancelButtonLabel\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]}]}','2018-01-10 13:03:38','2018-01-10 13:03:38'),('crm',1,'crm_userview_sales','Customer Relationship Management','','{\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"crm_userview_sales\",\"name\":\"Customer Relationship Management\",\"description\":\"\",\"welcomeMessage\":\"Sales Force Automation\",\"logoutText\":\"Logout\",\"footerMessage\":\"<a href=\\\"http:\\/\\/joget.org\\/\\\" target=\\\"_blank\\\">Powered by Joget<\\/a>\"},\"layout\":{\"className\":\"org.joget.apps.userview.model.UserviewLayout\",\"properties\":{\"customHeader\":\"\",\"customFooter\":\"\",\"beforeMenu\":\"\",\"afterMenu\":\"\",\"theme\":{\"className\":\"org.joget.apps.userview.lib.DefaultTheme\",\"properties\":{\"css\":\"\",\"js\":\"\"}}}},\"categories\":[{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-9BE91A55FAAC4B5098841EA9E1994BE6\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AnonymousUserviewPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"welcome\",\"customId\":\"welcome\",\"label\":\"<i class=\\\"fa fa-home\\\" aria-hidden=\\\"true\\\"><\\/i> Welcome\",\"content\":\"<h4 style=\\\"margin: 0px; padding: 0px; border-width: 0px; font-family: inherit; font-style: inherit; font-variant: inherit; font-size: inherit; line-height: inherit; font-size-adjust: inherit; font-stretch: inherit; vertical-align: baseline; font-weight: bold; color: #042c54;\\\">More Leads, More Sales, More Customers<\\/h4>\\n<h1 style=\\\"margin: 0px; padding: 0px; border-width: 0px; font: inherit; vertical-align: baseline; color: #1f4282;\\\"><span style=\\\"font-size: large;\\\"><strong>Customer Relationship Management (CRM)<\\/strong><\\/span><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>The #envVariable.AppName# app has been written specially for Joget Workflow Enterprise <strong>version 6<\\/strong>.<\\/p>\\n<p>This app <span>uses&nbsp;<\\/span>many of the new features and capabilities of Joget Workflow version 6 in forms, datalist and userview.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>Use the free CRM app in your business to:<\\/p>\\n<ul>\\n<li>Track your prospects and customers,<\\/li>\\n<li>Track sales opportunities, and<\\/li>\\n<li>Submit sales proposals for approval<br \\/><br \\/><\\/li>\\n<\\/ul>\\n<hr \\/>\\n<p><b>Tips to Joget Workflow administrator:<\\/b><\\/p>\\n<ul>\\n<li>Input your Joget Workflow SMTP server configurations in <a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a> to send email messages.<\\/li>\\n<li>Input an email address for admin user in <a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a> for email notification to work.<\\/li>\\n<\\/ul>\\n<p><\\/p>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}}],\"permission\":{\"className\":\"org.joget.apps.userview.model.UserviewPermission\",\"properties\":{}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-59B45DB28668439E9FBC38D7C30436AC\",\"label\":\"Dashboard\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DashboardMenu\",\"properties\":{\"id\":\"4119535788344E2780088BE6E9701674\",\"customId\":\"dashboard\",\"label\":\"<i class=\\\"fa fa-tachometer\\\" aria-hidden=\\\"true\\\"><\\/i> CRM Dashboard\",\"mode\":\"url\",\"urlPortletSetting\":[{\"url\":\"AccountsDashboard?embed=true\",\"label\":\"Accounts\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"400\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"},{\"url\":\"ContactDashboard?embed=true\",\"label\":\"Contacts\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"400\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"},{\"url\":\"OpportunityDashboard?embed=true\",\"label\":\"Opportunities\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"400\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"},{\"url\":\"ProposalsDashboard?embed=true\",\"label\":\"Proposals\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"400\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"},{\"url\":\"ProposalDashboardInbox?embed=true\",\"label\":\"Proposals Inbox\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"400\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"},{\"url\":\"UsersDashboard?embed=true\",\"label\":\"CRM Users\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"400\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"}],\"defaultPortletHeight\":\"250\",\"customHeader\":\"<h2>CRM DASHBOARD<\\/h2>\",\"customFooter\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"permission\":{\"className\":\"org.joget.apps.userview.model.UserviewPermission\",\"properties\":{}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-7650DEEFC4CC4332AC25871B65BBDD48\",\"label\":\"Account\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"668BFFC12CBA47B3B5782CEAC6D8F983\",\"customId\":\"account_list\",\"label\":\"<i class=\\\"fa fa-list-ul\\\" aria-hidden=\\\"true\\\"><\\/i> Accounts List\",\"datalistId\":\"crm_account_list\",\"addFormId\":\"AccountsMain\",\"editFormId\":\"\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"true\",\"list-deleteSubformData\":\"true\",\"list-deleteFiles\":\"\",\"list-abortRelatedRunningProcesses\":\"\",\"list-customHeader\":\"<h2> Accounts List<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"permission\":{\"className\":\"org.joget.apps.userview.model.UserviewPermission\",\"properties\":{}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-E77D2050680D4DB0A85A5C0C3AC1C083\",\"label\":\"Contact\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"3F5A08D718CB44CC97DD225F7CB6C367\",\"customId\":\"contact_list\",\"label\":\"<i class=\\\"fa fa-list-ul\\\" aria-hidden=\\\"true\\\"><\\/i> Contacts List\",\"datalistId\":\"crm_contact_list\",\"addFormId\":\"crm_contact\",\"editFormId\":\"\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"true\",\"list-deleteSubformData\":\"true\",\"list-deleteFiles\":\"\",\"list-abortRelatedRunningProcesses\":\"\",\"list-customHeader\":\"<h2>Contacts List<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"permission\":{\"className\":\"org.joget.apps.userview.model.UserviewPermission\",\"properties\":{}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-A12DBDB14B4447A984E6095B77F28B42\",\"label\":\"Opportunity\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"167C2F5959084A0F96EC74CC9AA83143\",\"customId\":\"opportunity_list\",\"label\":\"<i class=\\\"fa fa-list-ul\\\" aria-hidden=\\\"true\\\"><\\/i> Opportunities List\",\"datalistId\":\"crm_opportunity_list\",\"addFormId\":\"crm_opportunity\",\"editFormId\":\"\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"\",\"list-deleteSubformData\":\"\",\"list-deleteFiles\":\"\",\"list-abortRelatedRunningProcesses\":\"\",\"list-customHeader\":\"<h2>Opportunities List<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"permission\":{\"className\":\"org.joget.apps.userview.model.UserviewPermission\",\"properties\":{}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-78EC0B8A1E8E483A93770714BB0D6F6E\",\"label\":\"<i class=\\\"fa fa-list-ul\\\" aria-hidden=\\\"true\\\"><\\/i> Proposals List\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"1CA60376AC1948AFBB139DD9B10F5E85\",\"customId\":\"proposal_inbox_list\",\"label\":\"Proposals Inbox\",\"datalistId\":\"Proposal\",\"appFilter\":\"process\",\"processId\":\"process1\",\"rowCount\":\"true\",\"showDetail\":\"\",\"showPopup\":\"\",\"list-customHeader\":\"<h2>Proposals Inbox<\\/h2>\\n<br\\/>\\n<p><b>Tips to Joget Workflow administrator:<\\/b><\\/p>\\n<ul>\\n<li>Input your Joget Workflow SMTP server configurations in <a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a> to send email messages.<\\/li>\\n<li>Input an email address for admin user in <a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a> for email notification to work.<\\/li>\\n<\\/ul>\\n<p><\\/p>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"C8FBA63D8A51441CB23886FFE4FC8AEF\",\"customId\":\"proposal_list\",\"label\":\"Proposals List\",\"datalistId\":\"Proposal\",\"addFormId\":\"\",\"editFormId\":\"crm_proposal_sending_form\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"true\",\"list-deleteSubformData\":\"true\",\"list-deleteFiles\":\"\",\"list-abortRelatedRunningProcesses\":\"true\",\"list-customHeader\":\"<h2>All Proposals<\\/h2>\\n\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.RunProcess\",\"properties\":{\"id\":\"2D27B3875F234315A7A3562BD0E35AB2\",\"customId\":\"proposal_process\",\"label\":\"Submit A New Proposal\",\"processDefId\":\"process1\",\"runProcessDirectly\":\"Yes\",\"showInPopupDialog\":\"\",\"runProcessSubmitLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"proposal_inbox_list\",\"fieldPassover\":\"proposal_inbox_list\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-C6A8AA1309C0400CBD123D8A361E92D0\",\"label\":\"Users\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AdminUserviewPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"066B35BF4B9F41B39EE8BAE59B52DD26\",\"customId\":\"user_list\",\"label\":\"<i class=\\\"fa fa-user\\\" aria-hidden=\\\"true\\\"><\\/i> Joget Users List\",\"datalistId\":\"Users\",\"addFormId\":\"Users\",\"editFormId\":\"\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>Joget Users List<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"permission\":{\"className\":\"org.joget.apps.userview.model.UserviewPermission\",\"properties\":{}}},{\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"765269E3926049B0A21D16581EE188DF\",\"customId\":\"about\",\"label\":\"About\",\"content\":\"<h4 style=\\\"margin: 0px; padding: 0px; border-width: 0px; font-family: inherit; font-style: inherit; font-variant: inherit; font-size: inherit; line-height: inherit; font-size-adjust: inherit; font-stretch: inherit; vertical-align: baseline; font-weight: bold; color: #042c54;\\\">More Leads, More Sales, More Customers<\\/h4>\\n<h1 style=\\\"margin: 0px; padding: 0px; border-width: 0px; font: inherit; vertical-align: baseline; color: #1f4282;\\\"><span style=\\\"font-size: large;\\\"><strong>Customer Relationship Management (CRM)<\\/strong><\\/span><\\/h1>\\n<p>&nbsp;<\\/p>\\n<p>The #envVariable.AppName# app has been written specially for Joget Workflow Enterprise <strong>version 6<\\/strong>.<\\/p>\\n<p>This app <span>uses&nbsp;<\\/span>many of the new features and capabilities of Joget Workflow version 6 in forms, datalist and userview.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>Use the free CRM app in your business to:<\\/p>\\n<ul>\\n<li>Track your prospects and customers,<\\/li>\\n<li>Track sales opportunities, and<\\/li>\\n<li>Submit sales proposals for approval<br \\/><br \\/><\\/li>\\n<\\/ul>\\n<hr \\/>\\n<p><b>Tips to Joget Workflow administrator:<\\/b><\\/p>\\n<ul>\\n<li>Input your Joget Workflow SMTP server configurations in <a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a> to send email messages.<\\/li>\\n<li>Input an email address for admin &amp; other users in <a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a> for email notification to work.<\\/li>\\n<\\/ul>\\n<p><\\/p>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}},{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"4511567E28A142F0B84FA35690E22032\",\"customId\":\"jogetworkflowresource\",\"label\":\"Joget Workflow Resources\",\"content\":\"<h1>Joget Workflow Resources<\\/h1>\\n<ul>\\n<li><a href=\\\"http:\\/\\/joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Products<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.youtube.com\\/user\\/jogetworkflow\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Videos<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/www.jogetcloud.com\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Cloud<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/cloud.joget.com\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow On-Demand<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/marketplace.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Marketplace<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/translate.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Translations<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/answer.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Answers<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/dev.joget.org\\/community\\/display\\/KBv6\\/Joget+Workflow+v6+Knowledge+Base\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Knowledge Base<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/blog.joget.org\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Blog<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/joget.org\\/buy-enterprise-edition-license\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Purchase Joget Workflow Enterprise License<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/play.google.com\\/store\\/apps\\/details?id=org.joget.mobile&amp;hl=en\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Mobile Android App<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/itunes.apple.com\\/us\\/app\\/joget-workflow-mobile\\/id1084995640?mt=8\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Mobile iOS App<\\/a><\\/li>\\n<\\/ul>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-8739F2859D894A339404C2404CB9004E\",\"label\":\"<i class=\\\"fa fa-info-circle\\\" aria-hidden=\\\"true\\\"><\\/i> Info\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-776D057C3080485AA56964E5DEBCF9F2\",\"label\":\"Hidden\",\"hide\":\"yes\",\"permission\":{\"className\":\"\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"4F2CF33C35EE436B94252DEE0B706093\",\"customId\":\"AccountForm\",\"label\":\"Account Form\",\"formId\":\"AccountsMain\",\"showInPopupDialog\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"account_list\",\"redirectUrlOnCancel\":\"account_list\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"\",\"cancelButtonLabel\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"1AC2475E48FF445DAEDDBD67EC2720D7\",\"customId\":\"ContactForm\",\"label\":\"Contact Form\",\"formId\":\"crm_contact\",\"showInPopupDialog\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"contact_list\",\"redirectUrlOnCancel\":\"contact_list\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"\",\"cancelButtonLabel\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"05C606A887F84047B7F6F43F8A8A68DF\",\"customId\":\"OpportunityForm\",\"label\":\"Opportunity Form\",\"formId\":\"crm_opportunity\",\"showInPopupDialog\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"opportunity_list\",\"redirectUrlOnCancel\":\"opportunity_list\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"\",\"cancelButtonLabel\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"EE5F3943C1D743179B85CE8C34C4360D\",\"customId\":\"ProposalForm\",\"label\":\"Proposal Form\",\"formId\":\"crm_proposal_sending_form\",\"showInPopupDialog\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"proposal_list\",\"redirectUrlOnCancel\":\"proposal_list\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"\",\"cancelButtonLabel\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"F9FBAA40050844E6A4F5E27B172F2243\",\"customId\":\"UserForm\",\"label\":\"User Form\",\"formId\":\"Users\",\"showInPopupDialog\":\"\",\"readonly\":\"\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"user_list\",\"redirectUrlOnCancel\":\"user_list\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"\",\"cancelButtonLabel\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.DataListMenu\",\"properties\":{\"id\":\"C6BA655B6EF24F77BC9DBCC9F50E1E44\",\"customId\":\"AccountsDashboard\",\"label\":\"Accounts Dashboard List\",\"datalistId\":\"AccountsDashboard\",\"rowCount\":\"\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"customHeader\":\"<script>\\r\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\r\\n<\\/script>\\r\\n<style>\\r\\n    .exportlinks { display: none!important; }\\r\\n<\\/style>\",\"customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.DataListMenu\",\"properties\":{\"id\":\"1BF84D864EE54197A468DE9872C8AC3A\",\"customId\":\"ContactDashboard\",\"label\":\"Contact Dashboard List\",\"datalistId\":\"ContactDashboard\",\"rowCount\":\"\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"customHeader\":\"<script>\\r\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\r\\n<\\/script>\\r\\n<style>\\r\\n    .exportlinks { display: none!important; }\\r\\n<\\/style>\",\"customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.DataListMenu\",\"properties\":{\"id\":\"EAB2441B95A54B0786DE4861F16EA6C4\",\"customId\":\"OpportunityDashboard\",\"label\":\"Opportunity Dashboard List\",\"datalistId\":\"OpportunityDashboard\",\"rowCount\":\"\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"customHeader\":\"<script>\\r\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\r\\n<\\/script>\\r\\n<style>\\r\\n    .exportlinks { display: none!important; }\\r\\n<\\/style>\",\"customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.DataListMenu\",\"properties\":{\"id\":\"7F17D3C619D345F39E2CE9F8414A9948\",\"customId\":\"ProposalsDashboard\",\"label\":\"Proposals Dashboard List\",\"datalistId\":\"ProposalsDashboard\",\"rowCount\":\"\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"customHeader\":\"<script>\\r\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\r\\n<\\/script>\\r\\n<style>\\r\\n    .exportlinks { display: none!important; }\\r\\n<\\/style>\",\"customFooter\":\"<div class=\\\"form-cell\\\">\\n        <button id=\\\"newExpense\\\" name=\\\"newExpense\\\" class=\\\"form-button waves-effect btn waves-button waves-float\\\" \\n        onclick=parent.document.location.href=\'proposal_process\'>Submit A New Proposal<\\/button>\\n<\\/div>\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"44590F6D43AC40408FB86A5563932496\",\"customId\":\"ProposalDashboardInbox\",\"label\":\"Proposal Inbox List\",\"datalistId\":\"ProposalDashboardInbox\",\"appFilter\":\"process\",\"processId\":\"process1\",\"rowCount\":\"\",\"showDetail\":\"\",\"list-customHeader\":\"<script>\\r\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\r\\n<\\/script>\\r\\n<style>\\r\\n    .exportlinks { display: none!important; }\\r\\n<\\/style>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.DataListMenu\",\"properties\":{\"id\":\"7A422D98BC364694B114408AF6394C64\",\"customId\":\"UsersDashboard\",\"label\":\"Users Dashboard List\",\"datalistId\":\"UsersDashboard\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"customHeader\":\"<script>\\r\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\r\\n<\\/script>\\r\\n<style>\\r\\n    .exportlinks { display: none!important; }\\r\\n<\\/style>\",\"customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]}],\"setting\":{\"className\":\"org.joget.apps.userview.model.UserviewSetting\",\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"\",\"themeScheme\":\"light\",\"primaryColor\":\"DARKROYALBLUE\",\"accentColor\":\"BLUE\",\"buttonColor\":\"GREY\",\"buttonTextColor\":\"WHITE\",\"menuFontColor\":\"BLACK\",\"fontColor\":\"WHITE\",\"fav_icon\":\"\",\"logo\":\"\",\"profile\":\"\",\"userImage\":\"\",\"inbox\":\"current\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"true\",\"homeAttractBanner\":\"\",\"css\":\"\",\"js\":\"\",\"subheader\":\"\",\"subfooter\":\"\",\"disableHelpGuide\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"userview_thumbnail\":\"#request.contextPath#\\/home\\/landing\\/images\\/crm_icon.jpg\",\"hideThisUserviewInAppCenter\":\"\",\"permission\":{\"className\":\"\",\"properties\":{}},\"tempDisablePermissionChecking\":\"\"}}}','2018-01-10 21:03:25','2018-01-10 21:09:52'),('dashboard',1,'DashboardTemplate','Dashboard Template',NULL,'{\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"DashboardTemplate\",\"name\":\"Dashboard Template\",\"description\":\"\",\"welcomeMessage\":\"#date.EEE, d MMM yyyy#\",\"logoutText\":\"Logout\",\"footerMessage\":\"Powered by Joget\"},\"setting\":{\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"no\",\"themeScheme\":\"light\",\"primaryColor\":\"DARKROYALBLUE\",\"accentColor\":\"BLUE\",\"buttonColor\":\"GREY\",\"buttonTextColor\":\"WHITE\",\"menuFontColor\":\"BLACK\",\"fontColor\":\"WHITE\",\"fav_icon\":\"\",\"logo\":\"\",\"profile\":\"\",\"userImage\":\"\",\"inbox\":\"current\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"true\",\"homeAttractBanner\":\"\",\"css\":\"h2 {font-size: 130%!important; font-weight:bold;}\\r\\nh3 {font-size: 120%!important; font-weight:bold;}\\r\\nh4 {font-size: 110%!important;}\",\"js\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"hideThisUserviewInAppCenter\":\"true\",\"permission\":{\"className\":\"\",\"properties\":{}}}},\"categories\":[{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-EE74E4F4426241BD9BC3BC73B1D24AC7\",\"label\":\"<i class=\'icon-home\'><\\/i> Home\"},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"3B6F25A638EF40FFAD3C5DAAC41BA98F\",\"customId\":\"1\",\"label\":\"Announcements\",\"content\":\"<div id=\\\"landing\\\">\\n<div id=\\\"landing-title\\\">Welcome to the Employee Services Portal<\\/div>\\n<div id=\\\"container\\\">\\n<div id=\\\"slides\\\">\\n<div class=\\\"slides_container\\\"><img src=\\\"\\/jw\\/home\\/landing\\/images\\/slider_01.png\\\" alt=\\\"Slide 1\\\" width=\\\"639\\\" height=\\\"296\\\" \\/> <img src=\\\"\\/jw\\/home\\/landing\\/images\\/slider_02.png\\\" alt=\\\"Slide 2\\\" width=\\\"639\\\" height=\\\"296\\\" \\/> <img src=\\\"\\/jw\\/home\\/landing\\/images\\/slider_03.png\\\" alt=\\\"Slide 3\\\" width=\\\"639\\\" height=\\\"296\\\" \\/><\\/div>\\n<\\/div>\\n<\\/div>\\n<script src=\\\"\\/jw\\/home\\/landing\\/js\\/jquery.easing.1.3.js\\\" type=\\\"text\\/javascript\\\"><\\/script>\\n<script src=\\\"\\/jw\\/home\\/landing\\/js\\/slides.min.jquery.js\\\" type=\\\"text\\/javascript\\\"><\\/script>\\n<script src=\\\"\\/jw\\/home\\/landing\\/js\\/jquery.simplyscroll.min.js\\\" type=\\\"text\\/javascript\\\"><\\/script>\\n<script type=\\\"text\\/javascript\\\">\\/\\/ <![CDATA[\\n$(function(){\\n            $(\'#slides\').slides({\\n                preload: true,\\n                preloadImage: \'images\\/loading.gif\',\\n                play: 5000,\\n                pause: 2500,\\n                hoverPause: false\\n            });\\n        });\\n        (function($) {\\n            $(function() {\\n                $(\\\"#scroller\\\").simplyScroll({\\n                    autoMode: \'loop\'\\n                });\\n            });\\n        })(jQuery);\\n\\/\\/ ]]><\\/script>\\n<div class=\\\"landing-column\\\">\\n<div id=\\\"landing-col-image\\\">&nbsp;<\\/div>\\n<h3>Announcements<\\/h3>\\n<ul class=\\\"landing-ul\\\">\\n<li>\\n<h4>New Services Published<\\/h4>\\n<ul class=\\\"landing-ul2\\\">\\n<li>New services are now available from the published apps on the left.<\\/li>\\n<li>Make requests, approvals and statuses at your convenience<\\/li>\\n<\\/ul>\\n<\\/li>\\n<\\/ul>\\n<div id=\\\"landing-col-image\\\">&nbsp;<\\/div>\\n<h3>Why Use This Portal?<\\/h3>\\n<ul class=\\\"landing-ul\\\">\\n<li>\\n<h4>Improve Communications<\\/h4>\\n<ul class=\\\"landing-ul2\\\">\\n<li>Improve communications within the organization<\\/li>\\n<li>Foster better collaboration and efficiency<\\/li>\\n<\\/ul>\\n<\\/li>\\n<li>\\n<h4>Reduce Costs<\\/h4>\\n<ul class=\\\"landing-ul2\\\">\\n<li>Increase productivity<\\/li>\\n<li>Minimize paperwork and reduce operational costs<\\/li>\\n<\\/ul>\\n<\\/li>\\n<\\/ul>\\n<div id=\\\"landing-col-image\\\">&nbsp;<\\/div>\\n<h3>How This Portal Works<\\/h3>\\n<ul class=\\\"landing-ul\\\">\\n<li>\\n<h4>Self-Service Apps<\\/h4>\\n<ul class=\\\"landing-ul2\\\">\\n<li>Login using your account<\\/li>\\n<li>Access the published apps to manage your requests and information<\\/li>\\n<\\/ul>\\n<\\/li>\\n<li>\\n<h4>Workflow Inbox and Pending Tasks<\\/h4>\\n<ul class=\\\"landing-ul2\\\">\\n<li>Manage your task inbox<\\/li>\\n<li>Get notified of pending tasks<\\/li>\\n<li>Participate in workflow processes<\\/li>\\n<\\/ul>\\n<\\/li>\\n<\\/ul>\\n<\\/div>\\n<\\/div>\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"76EA2B671232491E92D80D31B9BDFD62\",\"customId\":\"2\",\"label\":\"Published Apps\",\"content\":\"<div id=\\\"landing-banner\\\">Fast, efficient online service for your needs<\\/div>\\n<div id=\\\"landing-table\\\">\\n<div class=\\\"landing-column\\\">\\n<div class=\\\"landing-column-bg\\\">\\n<h3>Published Apps<\\/h3>\\n<ul id=\\\"published-apps\\\" class=\\\"landing-ul\\\">\\n<li>\\n<h3>General Services<\\/h3>\\n<ul class=\\\"landing-ul2\\\">\\n<li><a href=\\\"#\\\"> <span class=\\\"landing-li-title\\\">Internal Service Request<\\/span> <span class=\\\"landing-li-description\\\">Make and track requests between departments<\\/span> <\\/a><\\/li>\\n<\\/ul>\\n<\\/li>\\n<li>\\n<h3>HR Apps<\\/h3>\\n<ul class=\\\"landing-ul2\\\">\\n<li><a href=\\\"#\\\"> <span class=\\\"landing-li-title\\\">Expenses Claims App<\\/span> <span class=\\\"landing-li-description\\\">Request and track expenses<\\/span> <\\/a><\\/li>\\n<\\/ul>\\n<\\/li>\\n<li>\\n<h3>Purchasing<\\/h3>\\n<ul class=\\\"landing-ul2\\\">\\n<li><a href=\\\"#\\\"> <span class=\\\"landing-li-title\\\">Purchase Requisition App<\\/span> <span class=\\\"landing-li-description\\\">Request and track purchases<\\/span> <\\/a><\\/li>\\n<\\/ul>\\n<\\/li>\\n<\\/ul>\\n<\\/div>\\n<div id=\\\"my-inbox\\\">\\n<h3><\\/h3>\\n<\\/div>\\n<\\/div>\\n<\\/div>\\n<script type=\\\"text\\/javascript\\\">\\/\\/ <![CDATA[\\nfunction loadApps() {\\n        \\/\\/ show loading icon\\n        $(\\\"#published-apps\\\").empty();\\n        var loading = $(\'<div id=\\\"apps-loading\\\"><img src=\\\"\\/jw\\/images\\/v3\\/portlet_loading.gif\\\" \\/><\\/div>\');\\n        $(\\\"#published-apps\\\").append(loading);\\n                                    \\n        \\/\\/ load JSON\\n        $.ajax({ \\n            url : \\\"\\/jw\\/web\\/json\\/apps\\/published\\/userviews\\\",\\n            dataType:\'jsonp\',\\n            success:function(data) {\\n                var content = \\\"\\\";\\n                var apps = data.apps;\\n                for( var i=0; i<apps.length; i++) {\\n                    \\/\\/ add app\\n                    var app = apps[i];\\n                    content += \'<li><h3>\' + app.name + \'<\\/h3><ul class=\\\"landing-ul2\\\">\';\\n                    \\/\\/ add userviews\\n                    var userviews = apps[i].userviews;\\n                    for( var j=0; j<userviews.length; j++){\\n                        var uv = userviews[j];\\n                        content += \'<li><a target=\\\"_blank\\\" href=\\\"\' + uv.url + \'\\\">\\\\\\n                                                        <span class=\\\"landing-li-title\\\">\' + uv.name + \'<\\/span>\\\\\\n                                                        <\\/a><\\/li>\';\\n                    }\\n                    content += \\\"<\\/ul>\\\";\\n                }\\n\\n                \\/\\/ show apps, hide loading icon\\n                $(loading).remove();\\n                $(\\\"#published-apps\\\").append($(content));\\n            }\\n        });\\n                                    \\n                                    \\n    }\\n    $(document).ready(loadApps);\\n\\/\\/ ]]><\\/script>\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-F3A818D3FC104F8EA2818F03460D4ACF\",\"label\":\"Hidden\",\"hide\":\"yes\",\"permission\":{\"className\":\"\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"616F654897A749868B46605F3EC12B7A\",\"customId\":\"3\",\"label\":\"Inbox\",\"content\":\"<div id=\\\"my-inbox\\\">\\n<h3>My Inbox<\\/h3>\\n<div id=\\\"inbox1\\\"><img src=\\\"\\/jw\\/images\\/v3\\/portlet_loading.gif\\\" alt=\\\"\\\" \\/><\\/div>\\n<script type=\\\"text\\/javascript\\\">\\/\\/ <![CDATA[\\n$(document).ready(function(){ $.getScript(\'\\/jw\\/web\\/js\\/client\\/inbox.js?id=1&rows=5&divId=inbox1\',null); });\\n\\/\\/ ]]><\\/script>\\n<\\/div>\\n<div class=\\\"landing-column\\\">\\n<div id=\\\"landing-col-image\\\">&nbsp;<\\/div>\\n<\\/div>\\n<script type=\\\"text\\/javascript\\\">\\/\\/ <![CDATA[\\nfunction loadApps() {\\n        \\/\\/ show loading icon\\n        $(\\\"#published-apps\\\").empty();\\n        var loading = $(\'<div id=\\\"apps-loading\\\"><img src=\\\"\\/jw\\/images\\/v3\\/portlet_loading.gif\\\" \\/><\\/div>\');\\n        $(\\\"#published-apps\\\").append(loading);\\n                                    \\n        \\/\\/ load JSON\\n        $.ajax({ \\n            url : \\\"\\/jw\\/web\\/json\\/apps\\/published\\/userviews\\\",\\n            dataType:\'jsonp\',\\n            success:function(data) {\\n                var content = \\\"\\\";\\n                var apps = data.apps;\\n                for( var i=0; i<apps.length; i++) {\\n                    \\/\\/ add app\\n                    var app = apps[i];\\n                    content += \'<li><h3>\' + app.name + \'<\\/h3><ul class=\\\"landing-ul2\\\">\';\\n                    \\/\\/ add userviews\\n                    var userviews = apps[i].userviews;\\n                    for( var j=0; j<userviews.length; j++){\\n                        var uv = userviews[j];\\n                        content += \'<li><a target=\\\"_blank\\\" href=\\\"\' + uv.url + \'\\\">\\\\\\n                                                        <span class=\\\"landing-li-title\\\">\' + uv.name + \'<\\/span>\\\\\\n                                                        <\\/a><\\/li>\';\\n                    }\\n                    content += \\\"<\\/ul>\\\";\\n                }\\n\\n                \\/\\/ show apps, hide loading icon\\n                $(loading).remove();\\n                $(\\\"#published-apps\\\").append($(content));\\n            }\\n        });\\n                                    \\n                                    \\n    }\\n    $(document).ready(loadApps);\\n\\/\\/ ]]><\\/script>\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]}]}','2018-01-10 21:03:28','2018-01-10 21:03:28'),('dashboard',1,'home',' Employee Services Portal','','{\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"home\",\"name\":\" Employee Services Portal\",\"description\":\"Center for Employee Self Service\",\"welcomeMessage\":\"#date.EEE, d MMM yyyy#\",\"logoutText\":\"Logout\",\"footerMessage\":\"<a href=\\\"http:\\/\\/joget.org\\/\\\" target=\\\"_blank\\\">Powered by Joget<\\/a>\"},\"setting\":{\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"true\",\"themeScheme\":\"light\",\"primaryColor\":\"DARKROYALBLUE\",\"accentColor\":\"BLUE\",\"buttonColor\":\"GREY\",\"buttonTextColor\":\"WHITE\",\"menuFontColor\":\"BLACK\",\"fontColor\":\"WHITE\",\"fav_icon\":\"\",\"logo\":\"\",\"profile\":\"true\",\"userImage\":\"\",\"inbox\":\"all\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"true\",\"homeAttractBanner\":\"\",\"css\":\"\",\"js\":\"\",\"subheader\":\"\",\"subfooter\":\"\",\"disableHelpGuide\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"userview_thumbnail\":\"#request.contextPath#\\/home\\/landing\\/images\\/esp_icon.jpg\",\"hideThisUserviewInAppCenter\":\"\",\"permission\":{\"className\":\"\",\"properties\":{}},\"tempDisablePermissionChecking\":\"\"}},\"categories\":[{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-F67068B033654C1D83A7E5A2D0567C37\",\"label\":\"Home\"},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DashboardMenu\",\"properties\":{\"id\":\"525CD003EAB44123B5AD50839A706BC8\",\"customId\":\"d\",\"label\":\"Dashboard\",\"mode\":\"\",\"userviewId\":\"DashboardTemplate\",\"defaultPortletWidth\":\"1\",\"defaultPortletHeight\":\"250\",\"resizable\":\"true\",\"autoHeight\":\"true\",\"customHeader\":\"\",\"customFooter\":\"<hr>\\n<b>Tips to Joget Workflow administrator:<\\/b><br\\/>\\n<ul>\\n<li>Input your Joget Workflow SMTP server configurations in <a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console > General Settings<\\/a> to send email messages.<\\/li>\\n<li>Input an email address for admin user in <a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console > Setup Users<\\/a> for email notification to work.<\\/li>\\n<li>Remove the permission in <a href=\\\"\\/jw\\/web\\/console\\/app\\/dashboard\\/1\\/processes\\/process1\\\">Web Console > Processes > Process Start White List ID<\\/a> to allow public to run the \\\"Register New User\\\" workflow.<\\/li>\\n<\\/ul>\\n<br\\/>\\n<br\\/>\\n<hr>\\n<h1>Joget Workflow Resources<\\/h1>\\n<ul>\\n<li><a href=\\\"http:\\/\\/joget.org\\\" target=\\\"_blank\\\">Joget Workflow Products<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.youtube.com\\/user\\/jogetworkflow\\\" target=\\\"_blank\\\">Joget Workflow Videos<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/www.jogetcloud.com\\/\\\" target=\\\"_blank\\\">Joget Workflow Cloud<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/cloud.joget.com\\\" target=\\\"_blank\\\">Joget Workflow On-Demand<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/marketplace.joget.org\\\" target=\\\"_blank\\\">Joget Workflow Marketplace<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/translate.joget.org\\\" target=\\\"_blank\\\">Joget Workflow Translations<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/answer.joget.org\\\" target=\\\"_blank\\\">Joget Workflow Answers<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/dev.joget.org\\/community\\/display\\/KBv6\\/Joget+Workflow+v6+Knowledge+Base\\\" target=\\\"_blank\\\">Joget Workflow Knowledge Base<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/blog.joget.org\\/\\\" target=\\\"_blank\\\">Joget Workflow Blog<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/joget.org\\/buy-enterprise-edition-license\\/\\\" target=\\\"_blank\\\">Purchase Joget Workflow Enterprise License<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/play.google.com\\/store\\/apps\\/details?id=org.joget.mobile&amp;hl=en\\\" target=\\\"_blank\\\">Joget Workflow Mobile Android App<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/itunes.apple.com\\/us\\/app\\/joget-workflow-mobile\\/id1084995640?mt=8\\\" target=\\\"_blank\\\">Joget Workflow Mobile iOS App<\\/a><\\/li>\\n<\\/ul>\",\"customPortletSetting\":[{\"menuID\":\"1\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"2\",\"height\":\"\",\"resizable\":\"true\",\"autoHeight\":\"true\",\"autoReload\":\"\"},{\"menuID\":\"2\",\"x\":\"\",\"y\":\"\",\"fixed\":\"false\",\"width\":\"1\",\"height\":\"600\",\"resizable\":\"true\",\"autoHeight\":\"false\",\"autoReload\":\"\"}],\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-8300FFD168AC4A218781A9810D72F50B\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AnonymousUserviewPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.RunProcess\",\"properties\":{\"id\":\"D06EC51AA6B948718E4DAC615D434100\",\"customId\":\"registration\",\"label\":\"Register New User\",\"processDefId\":\"process1\",\"runProcessDirectly\":\"Yes\",\"showInPopupDialog\":\"Yes\",\"runProcessSubmitLabel\":\"\",\"messageShowAfterComplete\":\"Thank you for your registration. You will receive a confirmation email on approval by administrator.\",\"redirectUrlAfterComplete\":\"d\",\"fieldPassover\":\"d\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-02E30C12872748C39B76E323540CC888\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AdminUserviewPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.Link\",\"properties\":{\"id\":\"6EA71723CE95433FB785996CAAEA5268\",\"customId\":\"ac\",\"label\":\"App Center\",\"url\":\"..\\/..\\/..\\/appcenter\\/v\",\"target\":\"blank\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-18AF8F7D16BA4FA5B6565638548508D3\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.UserProfileMenu\",\"properties\":{\"id\":\"99F2A55DB44F4FE0956DE810456D640F\",\"customId\":\"myprofile\",\"label\":\"My Profile\",\"showInPopupDialog\":\"\",\"message\":\"Profile Updated\",\"redirectURL\":\"\",\"f_username\":\"\",\"f_firstName\":\"\",\"f_lastName\":\"\",\"f_email\":\"\",\"f_password\":\"\",\"f_timeZone\":\"\",\"f_locale\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-566A2DBBBA8C4217A199561406DDCBBC\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AdminUserviewPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"CA170C6215434A4292C775DD89AB32B3\",\"customId\":\"user_approval\",\"label\":\"User Register Approval\",\"datalistId\":\"user_list\",\"appFilter\":\"process\",\"processId\":\"process1\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<h2>User Register Approval Inbox<\\/h2>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]}]}','2018-01-10 21:03:28','2018-01-10 21:09:20'),('expenseclaim',1,'dashboard','Dashboard Template',NULL,'{\"setting\":{\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"no\",\"themeScheme\":\"light\",\"primaryColor\":\"custom\",\"customPrimary\":\"#C0C0C0\",\"customPrimaryDark\":\"#000000\",\"customPrimaryLight\":\"#ACACAC\",\"accentColor\":\"custom\",\"customAccent\":\"#9999FF\",\"customAccentLight\":\"#CECECE\",\"fontColor\":\"custom\",\"customFontColor\":\"#FFFFFF\",\"fav_icon\":\"\",\"logo\":\"\",\"profile\":\"\",\"inbox\":\"\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"\",\"homeAttractBanner\":\"\",\"css\":\"\",\"js\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"hideThisUserviewInAppCenter\":\"true\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}}},\"categories\":[{\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"4F76E7B33D824794A93118E99746AC2E\",\"customId\":\"myexcr\",\"label\":\"My Expenses\",\"datalistId\":\"ExpenseListMini\",\"addFormId\":\"\",\"editFormId\":\"\",\"rowCount\":\"\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"\",\"list-newButtonLabel\":\"New Claim\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<script>\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\n<\\/script>\\n\",\"list-customFooter\":\"<div class=\\\"form-cell\\\">\\n        <button id=\\\"newExpense\\\" name=\\\"newExpense\\\" class=\\\"form-button waves-effect btn waves-button waves-float\\\" \\n        onclick=parent.document.location.href=\'\\/jw\\/web\\/userview\\/expenseclaim\\/home\\/_\\/new_claim\'>Create A New Expense Claim<\\/button>\\n<\\/div>\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"redirect\",\"add-afterSavedRedirectUrl\":\"\\/jw\\/web\\/userview\\/hr_expense\\/hr_expense_userview\\/_\\/da\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"FB80C13F9A754EACB10140B0B1FB5168\",\"customId\":\"myin\",\"label\":\"My Inbox\",\"datalistId\":\"ExpenseClaimDInbox\",\"appFilter\":\"process\",\"processId\":\"process1\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<script>\\n    var _customFooTableArgs = {breakpoints: {phone: 0, tablet: 0}};\\n<\\/script>\\n\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.SqlChartMenu\",\"properties\":{\"id\":\"E1BB4C4A7ACF48FEA9A552458AA9684F\",\"customId\":\"extr\",\"label\":\"Expenses Trend\",\"chartType\":\"bar\",\"title\":\"\",\"datasource\":\"binder\",\"binder\":{\"className\":\"org.joget.apps.datalist.lib.FormRowDataListBinder\",\"properties\":{\"formDefId\":\"ExpensesClaim\",\"extraCondition\":\"customProperties.username = \'#currentUser.username#\' \\nand customProperties.total != \'0.00\'\"}},\"sortingOrderByColumn\":\"dateCreated\",\"sortingOrder\":\"ASC\",\"mapping_x\":\"title\",\"mapping_ys\":[{\"y\":\"total\",\"legend\":\"Total\"}],\"categoryAxisLabel\":\"Title\",\"xAxisDisplayAS\":\"\",\"valueAxisLabel\":\"Total Expenses $\",\"yaxisPrefix\":\"\",\"showLegend\":\"\",\"showValueLabel\":\"true\",\"stack\":\"\",\"horizontal\":\"\",\"chartWidth\":\"50%\",\"chartHeight\":\"50%\",\"colors\":\"#0074D9\",\"keyName\":\"\",\"customHeader\":\"\",\"customFooter\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-36229EE7504B4413B491C0B6A25A973C\",\"label\":\"Dashboard Template\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}}}],\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"dashboard\",\"logoutText\":\"Logout\",\"description\":\"\",\"name\":\"Dashboard Template\",\"footerMessage\":\"<a href=\\\"http:\\/\\/www.joget.org\\\" target=\\\"_blank\\\">Powered by Joget<\\/a>\",\"welcomeMessage\":\"\"}}','2018-01-10 13:03:29','2018-01-10 13:03:29'),('expenseclaim',1,'home',' Expenses Claims App','','{\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"home\",\"name\":\" Expenses Claims App\",\"description\":\"\",\"welcomeMessage\":\"#date.EEE, d MMM yyyy#\",\"logoutText\":\"Logout\",\"footerMessage\":\"<a href=\\\"http:\\/\\/joget.org\\/\\\" target=\\\"_blank\\\">Powered by Joget<\\/a>\"},\"setting\":{\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"\",\"themeScheme\":\"light\",\"primaryColor\":\"DARKROYALBLUE\",\"accentColor\":\"BLUE\",\"buttonColor\":\"GREY\",\"buttonTextColor\":\"WHITE\",\"menuFontColor\":\"BLACK\",\"fontColor\":\"WHITE\",\"fav_icon\":\"\",\"logo\":\"\",\"profile\":\"\",\"userImage\":\"\",\"inbox\":\"current\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"true\",\"homeAttractBanner\":\"\",\"css\":\"\",\"js\":\"\",\"subheader\":\"\",\"subfooter\":\"\",\"disableHelpGuide\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"userview_thumbnail\":\"#request.contextPath#\\/home\\/landing\\/images\\/claims_icon.jpg\",\"hideThisUserviewInAppCenter\":\"\",\"permission\":{\"className\":\"\",\"properties\":{}},\"tempDisablePermissionChecking\":\"\"}},\"categories\":[{\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"BE8152B27C024938A3AA82BA91B7783B\",\"customId\":\"home\",\"label\":\"<i class=\\\"fa fa-home\\\" aria-hidden=\\\"true\\\"><\\/i> Welcome\",\"content\":\"<h1>Welcome to&nbsp;#envVariable.AppName# App<\\/h1>\\n<p><\\/p>\\n<div>\\n<p>The #envVariable.AppName# app has been written specially for Joget Workflow Enterprise <strong>version 6<\\/strong>.<\\/p>\\n<p>This app <span>uses&nbsp;<\\/span>many of the new features and capabilities of Joget Workflow version 6 in forms, datalist and userview.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>The <span>#envVariable.AppName#<\\/span>&nbsp;app was designed for&nbsp;employees to submit and head of departments (HOD) to approve expense claims online.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p><strong>Workflow Design<\\/strong><\\/p>\\n<ol>\\n<li>The claimant submits a New Expenses Claim.<\\/li>\\n<li>Expense claim is routed to the selected HOD for approval.<\\/li>\\n<li>If approved, the e<span>xpense claim is routed the<\\/span>&nbsp;Finance Department for verification and processing of payment (This app defaults the finance approver to \'admin, which you can change in the \\\"Map Participants to Users\\\" screen).<\\/li>\\n<li><span>HOD can request the claimant to resubmit the e<\\/span><span>xpense claim and the expense claim will redirect back to the claimant\'s inbox for reevaluation, or the HOD can reject it which ends the process flow.<\\/span><\\/li>\\n<\\/ol>\\n<p><span>&nbsp;<\\/span><\\/p>\\n<\\/div>\\n<div>\\n<p><b>Before using this app, perform the following steps: (Need admin role permission)<\\/b><\\/p>\\n<ol>\\n<li>Set up the <a href=\\\"\\/jw\\/web\\/userview\\/expenseclaim\\/home\\/_\\/setupCategory\\\">Claim Categories<\\/a>&nbsp;(Example:&nbsp;Entertainment, Medical, Mileage and Toll etc.).<\\/li>\\n<li>Input your Joget Workflow SMTP server configurations in<span>&nbsp;<\\/span><a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a><span>&nbsp;<\\/span>to send email messages.<\\/li>\\n<li>Input an email address for admin user in<span>&nbsp;<\\/span><a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a><span>&nbsp;<\\/span>for email notification to work.<\\/li>\\n<\\/ol>\\n<p><\\/p>\\n<p><\\/p>\\n<\\/div>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-3518F9804D014AA0BD36B017E6B34A53\",\"label\":\"Main\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AnonymousUserviewPermission\",\"properties\":{}}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-4C5277A0BB6E484A8B6B0F01689F613A\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DashboardMenu\",\"properties\":{\"id\":\"D7AC42CBC83548ABB13C84C4BC7BE611\",\"customId\":\"da\",\"label\":\"<i class=\\\"fa fa-tachometer\\\" aria-hidden=\\\"true\\\"><\\/i> Dashboard\",\"mode\":\"\",\"userviewId\":\"dashboard\",\"defaultPortletWidth\":\"1\",\"defaultPortletHeight\":\"250\",\"resizable\":\"true\",\"autoHeight\":\"true\",\"customHeader\":\"<h2>Expenses Claims Dashboard<\\/h2>\",\"customFooter\":\"\",\"customPortletSetting\":[],\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"48558213397E49BCBDE3C6C2F70430DC\",\"customId\":\"myin\",\"label\":\"My Inbox\",\"datalistId\":\"ExpensesInbox\",\"appFilter\":\"all\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<h2>My Expenses Inbox<\\/h2>\\n<p>This list includes all pending tasks, including records with status = Draft or Resubmit<\\/p><br\\/>\\n<div class=\\\"form-cell\\\">\\n        <button id=\\\"newExpense\\\" name=\\\"newExpense\\\" class=\\\"form-button waves-effect btn waves-button waves-float\\\" \\n        onclick=parent.document.location.href=\'\\/jw\\/web\\/userview\\/expenseclaim\\/home\\/_\\/new_claim\'>Create A New Expense Claim<\\/button>\\n<\\/div>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"F577A77F42B74CAFBE96DC23AC909A6F\",\"customId\":\"submitted\",\"label\":\"Submitted Expenses\",\"datalistId\":\"ExpensesSubmitted\",\"addFormId\":\"\",\"editFormId\":\"ExpenseClaimView\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>Submitted Expenses<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"2C511583494C4F99B0186AF30AEA0CDA\",\"customId\":\"approved\",\"label\":\"Approved Expenses\",\"datalistId\":\"ExpensesApproved\",\"addFormId\":\"\",\"editFormId\":\"ExpenseClaimView\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>Approved Expenses<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"80213553B8B64C3B9FFBB0009720FD83\",\"customId\":\"rejected\",\"label\":\"Rejected Expenses\",\"datalistId\":\"ExpensesRejected\",\"addFormId\":\"\",\"editFormId\":\"ExpenseClaimView\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>Rejected Expenses<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"7C330A88D1A24DE89AFFE602E682C13C\",\"customId\":\"closed\",\"label\":\"Closed Expenses\",\"datalistId\":\"ExpensesClosed\",\"addFormId\":\"\",\"editFormId\":\"ExpenseClaimView\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>Closed Expenses<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-CA6B037DF574438FAB2C82102907CC4C\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}},\"label\":\"<i class=\\\"fa fa-list-alt\\\" aria-hidden=\\\"true\\\"><\\/i>My Expenses\"}},{\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"BDFEE91E37864968888BC79BA22B52C6\",\"customId\":\"inbox\",\"label\":\"Approver Inbox\",\"datalistId\":\"ExpensesInbox\",\"appFilter\":\"activity\",\"processId\":\"process1\",\"activityDefId\":\"approve_claim\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<h2>Approver Inbox<\\/h2>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"3022D2D240514815A08853928460BDA3\",\"customId\":\"apallexhi\",\"label\":\"All Expenses History\",\"datalistId\":\"ExpensesListAll\",\"addFormId\":\"\",\"editFormId\":\"ExpenseClaimView\",\"rowCount\":\"\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"Delete\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"true\",\"list-deleteSubformData\":\"true\",\"list-abortRelatedRunningProcesses\":\"true\",\"list-customHeader\":\"<h2>All Expenses History<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-B6F52CD0B2F2489596BECA28C68A8102\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}},\"label\":\"<i class=\\\"fa fa-list-alt\\\" aria-hidden=\\\"true\\\"><\\/i> Approver List\"}},{\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"B1787F0EB20A47D7917FDD937048906C\",\"customId\":\"fiin\",\"label\":\"Finance Inbox\",\"datalistId\":\"ExpensesInbox\",\"appFilter\":\"activity\",\"processId\":\"process1\",\"activityDefId\":\"verify_claim\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<h2>Finance Inbox<\\/h2>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"CF3745737E514B4FAA6F739DBB0D9E6B\",\"customId\":\"fialexhi\",\"label\":\"All Expenses History\",\"datalistId\":\"ExpensesListAll\",\"addFormId\":\"\",\"editFormId\":\"ExpenseClaimView\",\"rowCount\":\"\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Expenses History<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"yes\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"60\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-0DE64822219F44CB9C0CEBF40454D2B8\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}},\"label\":\"<i class=\\\"fa fa-list-alt\\\" aria-hidden=\\\"true\\\"><\\/i>Finance List\"}},{\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"7326B876DE5A4F23AE47FB0C0D727136\",\"customId\":\"setupCategory\",\"label\":\"<i class=\\\"fa fa-cog\\\" aria-hidden=\\\"true\\\"><\\/i> Setup Category\",\"datalistId\":\"SetupCategory\",\"addFormId\":\"SetupCategory\",\"editFormId\":\"SetupCategory\",\"rowCount\":\"\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"\",\"list-deleteSubformData\":\"\",\"list-abortRelatedRunningProcesses\":\"\",\"list-customHeader\":\"<h2>Set Up Expense Categories<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-107D714EB2F4420EB7490AAD7F483BF0\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}},\"comment\":\"\"}},{\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"6352FA6CEE9D43AABF3734F092C0C52F\",\"customId\":\"a\",\"label\":\"About\",\"content\":\"<h1>Welcome to&nbsp;#envVariable.AppName# App<\\/h1>\\n<p><\\/p>\\n<div>\\n<p>The #envVariable.AppName# app has been written specially for Joget Workflow Enterprise <strong>version 6<\\/strong>.<\\/p>\\n<p>This app <span>uses&nbsp;<\\/span>many of the new features and capabilities of Joget Workflow version 6 in forms, datalist and userview.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p>The <span>#envVariable.AppName#<\\/span>&nbsp;app was designed for&nbsp;employees to submit and head of departments (HOD) to approve expense claims online.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p><strong>Workflow Design<\\/strong><\\/p>\\n<ol>\\n<li>The claimant submits a New Expenses Claim.<\\/li>\\n<li>Expense claim is routed to the selected HOD for approval.<\\/li>\\n<li>If approved, the e<span>xpense claim is routed the<\\/span>&nbsp;Finance Department for verification and processing of payment (This app defaults the finance approver to \'admin, which you can change in the \\\"Map Participants to Users\\\" screen).<\\/li>\\n<li><span>HOD can request the claimant to resubmit the e<\\/span><span>xpense claim and the expense claim will redirect back to the claimant\'s inbox for reevaluation, or the HOD can reject it which ends the process flow.<\\/span><\\/li>\\n<\\/ol>\\n<p><span>&nbsp;<\\/span><\\/p>\\n<\\/div>\\n<div>\\n<p><b>Before using this app, perform the following steps: (Need admin role permission)<\\/b><\\/p>\\n<ol>\\n<li>Set up the <a href=\\\"\\/jw\\/web\\/userview\\/expenseclaim\\/home\\/_\\/setupCategory\\\">Claim Categories<\\/a>&nbsp;(Example:&nbsp;Entertainment, Medical, Mileage and Toll etc.).<\\/li>\\n<li>Input your Joget Workflow SMTP server configurations in<span>&nbsp;<\\/span><a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a><span>&nbsp;<\\/span>to send email messages.<\\/li>\\n<li>Input an email address for admin user in<span>&nbsp;<\\/span><a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a><span>&nbsp;<\\/span>for email notification to work.<\\/li>\\n<\\/ol>\\n<p><\\/p>\\n<p><\\/p>\\n<\\/div>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}},{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"DD5AFDA5A84841A58FBC4393DD388471\",\"customId\":\"jogetworkflowresources\",\"label\":\"Joget Workflow Resources\",\"content\":\"<h1>Joget Workflow Resources<\\/h1>\\n<ul>\\n<li><a href=\\\"http:\\/\\/joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Products<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.youtube.com\\/user\\/jogetworkflow\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Videos<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/www.jogetcloud.com\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Cloud<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/cloud.joget.com\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow On-Demand<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/marketplace.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Marketplace<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/translate.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Translations<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/answer.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Answers<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/dev.joget.org\\/community\\/display\\/KBv6\\/Joget+Workflow+v6+Knowledge+Base\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Knowledge Base<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/blog.joget.org\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Blog<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/joget.org\\/buy-enterprise-edition-license\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Purchase Joget Workflow Enterprise License<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/play.google.com\\/store\\/apps\\/details?id=org.joget.mobile&amp;hl=en\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Mobile Android App<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/itunes.apple.com\\/us\\/app\\/joget-workflow-mobile\\/id1084995640?mt=8\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Mobile iOS App<\\/a><\\/li>\\n<\\/ul>\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"10\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-C4DAC3460CDF46B2843746009BD27D7E\",\"label\":\"<i class=\\\"fa fa-info-circle\\\" aria-hidden=\\\"true\\\"><\\/i> Info\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}}},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-920AC67D9C374A9DBA00F79C62E56D4E\",\"label\":\"Hidden\",\"hide\":\"yes\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.FormMenu\",\"properties\":{\"id\":\"D58251E290894090A7FAC45D9C40CFA6\",\"customId\":\"expensesclaimview\",\"label\":\"Expenses Claim View\",\"formId\":\"ExpenseClaimView\",\"showInPopupDialog\":\"\",\"readonly\":\"Yes\",\"readonlyLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"da\",\"redirectUrlOnCancel\":\"da\",\"redirectTargetOnCancel\":\"top\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"submitButtonLabel\":\"Back\",\"cancelButtonLabel\":\"Back\",\"customHeader\":\"\",\"customFooter\":\"\",\"keyName\":\"\",\"loadDataWithKey\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.RunProcess\",\"properties\":{\"id\":\"05FDE05F0E5642A697BCB64E7AA27BCD\",\"customId\":\"new_claim\",\"label\":\"Create A New Expense Claim\",\"processDefId\":\"process1\",\"runProcessDirectly\":\"Yes\",\"showInPopupDialog\":\"\",\"runProcessSubmitLabel\":\"Continue Next Screen\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"da\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]}]}','2018-01-10 13:03:29','2018-01-10 21:10:19'),('isr',1,'isr','Internal Service Request App','','{\"className\":\"org.joget.apps.userview.model.Userview\",\"properties\":{\"id\":\"isr\",\"name\":\"Internal Service Request App\",\"description\":\"\",\"welcomeMessage\":\"#date.EEE, d MMM yyyy#\",\"logoutText\":\"Logout\",\"footerMessage\":\"<a href=\\\"http:\\/\\/joget.org\\/\\\" target=\\\"_blank\\\">Powered by Joget<\\/a>\"},\"setting\":{\"properties\":{\"theme\":{\"className\":\"org.joget.plugin.enterprise.UniversalTheme\",\"properties\":{\"horizontal_menu\":\"\",\"themeScheme\":\"light\",\"primaryColor\":\"DARKROYALBLUE\",\"accentColor\":\"BLUE\",\"buttonColor\":\"GREY\",\"buttonTextColor\":\"WHITE\",\"menuFontColor\":\"BLACK\",\"fontColor\":\"WHITE\",\"fav_icon\":\"\",\"logo\":\"\",\"profile\":\"\",\"userImage\":\"\",\"inbox\":\"current\",\"shortcutLinkLabel\":\"Shortcut\",\"shortcut\":[],\"userMenu\":[],\"enableResponsiveSwitch\":\"true\",\"removeAssignmentTitle\":\"true\",\"homeAttractBanner\":\"\",\"css\":\"\",\"js\":\"\",\"subheader\":\"\",\"subfooter\":\"\",\"disableHelpGuide\":\"\",\"loginPageTop\":\"\",\"loginPageBottom\":\"\"}},\"userviewDescription\":\"\",\"userview_thumbnail\":\"#request.contextPath#\\/home\\/landing\\/images\\/isr_icon.jpg\",\"hideThisUserviewInAppCenter\":\"\",\"permission\":{\"className\":\"\",\"properties\":{}},\"tempDisablePermissionChecking\":\"\"}},\"categories\":[{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-9D565CC4CF9346E99BECBC413AE06018\",\"label\":\" \",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.plugin.enterprise.AnonymousUserviewPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"5ECB552FB8AA48F2AE35980233EFE6D7\",\"customId\":\"home\",\"label\":\"<i class=\\\"fa fa-home\\\" aria-hidden=\\\"true\\\"><\\/i> Welcome\",\"content\":\"<p><span style=\\\"font-size: 14pt;\\\"><strong>Internal Service Request<\\/strong><\\/span><\\/p>\\n<p><strong>&nbsp;<\\/strong><\\/p>\\n<p><strong>Introduction<\\/strong><\\/p>\\n<p>The #envVariable.AppName# app has been written specially for Joget Workflow Enterprise <strong>version 6<\\/strong>.<\\/p>\\n<p>This app uses many of the new features and capabilities of Joget Workflow version 6 in forms, datalist and userview.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p><strong><span>Welcome to Internal Service Request App<\\/span><\\/strong><\\/p>\\n<p>This is an Internal Service Request (ISR) app that enables users to make and manage inter-departmental service requests.<\\/p>\\n<p>Users will be able to make requests to specific head of department (HOD), who can then either resolve the request, or assign the task to a subordinate for further action. This app also provides overall ISR reporting.<\\/p>\\n<p>&nbsp;<\\/p>\\n<hr \\/>\\n<p><b>Tips to Joget Workflow administrator:<\\/b><\\/p>\\n<ul>\\n<li>Input your Joget Workflow SMTP server configurations in <a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a> to send email messages.<\\/li>\\n<li>Input an email address for admin user in <a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a> for email notification to work.<\\/li>\\n<\\/ul>\\n<p><\\/p>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-4E37D35FDDE84BC1A395BD48D9778BF9\",\"label\":\"<i class=\\\"fa fa-list-alt\\\" aria-hidden=\\\"true\\\"><\\/i> Requester\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"84B9D74F9B3A4905B8D574D31BD4A3C1\",\"customId\":\"my_requests\",\"label\":\"My Requests\",\"datalistId\":\"isr_personal_submitted\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>My Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[{\"label\":\"Create A New Request\",\"href\":\"new_request\",\"hrefParam\":\"\",\"hrefColumn\":\"\",\"confirmation\":\"\"}],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"67064636246B4C4E9A7C55AD50E220DB\",\"customId\":\"attending_submitted\",\"label\":\"My Requests Inbox\",\"datalistId\":\"isr_personal_submitted\",\"appFilter\":\"process\",\"processId\":\"isr\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<h2>My Requests Inbox<\\/h2>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.apps.userview.lib.RunProcess\",\"properties\":{\"id\":\"5F799C6D16334195A3AC214EDACF62E0\",\"customId\":\"new_request\",\"label\":\"Create A New Request\",\"processDefId\":\"isr\",\"runProcessDirectly\":\"Yes\",\"showInPopupDialog\":\"\",\"runProcessSubmitLabel\":\"\",\"messageShowAfterComplete\":\"\",\"redirectUrlAfterComplete\":\"my_requests\",\"fieldPassover\":\"\",\"fieldPassoverMethod\":\"append\",\"paramName\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-6BF19873D7EE48E2BA6619715046263D\",\"label\":\"<i class=\\\"fa fa-list-alt\\\" aria-hidden=\\\"true\\\"><\\/i> Attending\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.DataListInboxMenu\",\"properties\":{\"id\":\"E971DED31925470E81D2ABFD99352B4E\",\"customId\":\"attending_assigned\",\"label\":\"Requests Inbox\",\"datalistId\":\"isr_all_requests\",\"appFilter\":\"process\",\"processId\":\"isr\",\"rowCount\":\"true\",\"showDetail\":\"\",\"list-customHeader\":\"<h2>Requests Inbox<\\/h2>\",\"list-customFooter\":\"\",\"assignment-customHeader\":\"\",\"assignment-customFooter\":\"\",\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"B97DA6DCF3B9498CB907979208E68181\",\"customId\":\"all_requests\",\"label\":\"All Requests\",\"datalistId\":\"isr_all_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"\",\"buttonPosition\":\"topLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"left\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"yes\",\"list-deleteGridData\":\"true\",\"list-deleteSubformData\":\"true\",\"list-abortRelatedRunningProcesses\":\"true\",\"list-customHeader\":\"<h2>All Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-B8F37ED7EE324362B477C93374366F1B\",\"label\":\"<i class=\\\"fa fa-list-alt\\\" aria-hidden=\\\"true\\\"><\\/i> General Reports\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}},\"menus\":[{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"53F2131358664011B5D22824283E8151\",\"customId\":\"all\",\"label\":\"All Requests\",\"datalistId\":\"isr_all_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"083A7F13D6C1454797C39EA56C0D38A4\",\"customId\":\"all_new_requests\",\"label\":\"All New Requests\",\"datalistId\":\"isr_new_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All New Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"FEA3CD02B43D4074B52BA31068E71F75\",\"customId\":\"all_reopened_requests\",\"label\":\"All Reopened Requests\",\"datalistId\":\"isr_reopened_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Reopened Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"A57A8D5D50E541569DE4597D5B798419\",\"customId\":\"all_resolved_requests\",\"label\":\"All Resolved Requests\",\"datalistId\":\"isr_resolved_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Resolved Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"702D4E6BEA354A8FA018ACC9BFE3BD21\",\"customId\":\"all_assigned_requests\",\"label\":\"All Assigned Requests\",\"datalistId\":\"isr_assigned_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Assigned Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"128ED1CCAB7A473FBCCC4E80E9B6A302\",\"customId\":\"all_rejected_requests\",\"label\":\"All Rejected Requests\",\"datalistId\":\"isr_rejected_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Rejected Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}},{\"className\":\"org.joget.plugin.enterprise.CrudMenu\",\"properties\":{\"id\":\"2F99D43FC91B449E9E55174B86514F70\",\"customId\":\"all_verified_requests\",\"label\":\"All Verified Requests\",\"datalistId\":\"isr_verified_requests\",\"addFormId\":\"\",\"editFormId\":\"isr_request_detail\",\"rowCount\":\"true\",\"buttonPosition\":\"bottomLeft\",\"selectionType\":\"multiple\",\"checkboxPosition\":\"no\",\"list-editLinkLabel\":\"View\",\"list-newButtonLabel\":\"\",\"list-deleteButtonLabel\":\"\",\"list-showDeleteButton\":\"\",\"list-customHeader\":\"<h2>All Verified Requests<\\/h2>\",\"list-customFooter\":\"\",\"list-moreActions\":[],\"add-cancelButtonLabel\":\"\",\"add-saveButtonLabel\":\"\",\"add-customHeader\":\"\",\"add-customFooter\":\"\",\"add-messageShowAfterComplete\":\"\",\"add-afterSaved\":\"list\",\"add-afterSavedRedirectUrl\":\"\",\"add-afterSavedRedirectParamName\":\"\",\"add-afterSavedRedirectParamvalue\":\"\",\"edit-readonly\":\"\",\"edit-readonlyLabel\":\"\",\"edit-backButtonLabel\":\"\",\"edit-saveButtonLabel\":\"\",\"edit-allowRecordTraveling\":\"\",\"edit-firstButtonLabel\":\"\",\"edit-prevButtonLabel\":\"\",\"edit-nextButtonLabel\":\"\",\"edit-lastButtonLabel\":\"\",\"edit-customHeader\":\"\",\"edit-customFooter\":\"\",\"edit-messageShowAfterComplete\":\"\",\"edit-afterSaved\":\"list\",\"edit-afterSavedRedirectUrl\":\"\",\"edit-afterSavedRedirectParamName\":\"\",\"edit-afterSavedRedirectParamvalue\":\"\",\"edit-moreActions\":[],\"keyName\":\"\",\"userviewCacheScope\":\"\",\"userviewCacheDuration\":\"20\"}}]},{\"menus\":[{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"B635A679CCDD49FCB0123AC20BE41B69\",\"customId\":\"home\",\"label\":\"About\",\"content\":\"<p><span style=\\\"font-size: 14pt;\\\"><strong>Internal Service Request<\\/strong><\\/span><\\/p>\\n<p><strong>&nbsp;<\\/strong><\\/p>\\n<p><strong>Introduction<\\/strong><\\/p>\\n<p>The #envVariable.AppName# app has been written specially for Joget Workflow Enterprise <strong>version 6<\\/strong>.<\\/p>\\n<p>This app uses many of the new features and capabilities of Joget Workflow version 6 in forms, datalist and userview.<\\/p>\\n<p>&nbsp;<\\/p>\\n<p><strong><span>Welcome to Internal Service Request App<\\/span><\\/strong><\\/p>\\n<p>This is an Internal Service Request (ISR) app that enables users to make and manage inter-departmental service requests.<\\/p>\\n<p>Users will be able to make requests to specific head of department (HOD), who can then either resolve the request, or assign the task to a subordinate for further action. This app also provides overall ISR reporting.<\\/p>\\n<p>&nbsp;<\\/p>\\n<hr \\/>\\n<p><b>Tips to Joget Workflow administrator:<\\/b><\\/p>\\n<ul>\\n<li>Input your Joget Workflow SMTP server configurations in <a href=\\\"\\/jw\\/web\\/console\\/setting\\/general\\\">Web Console &gt; General Settings<\\/a> to send email messages.<\\/li>\\n<li>Input an email address for admin user in <a href=\\\"\\/jw\\/web\\/console\\/directory\\/users\\\">Web Console &gt; Setup Users<\\/a> for email notification to work.<\\/li>\\n<\\/ul>\\n<p><\\/p>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}},{\"className\":\"org.joget.apps.userview.lib.HtmlPage\",\"properties\":{\"id\":\"FC019100D04E41A3B78724FE5AFA4659\",\"customId\":\"jogetworkflowresources\",\"label\":\"Joget Workflow Resources\",\"content\":\"<h1>Joget Workflow Resources<\\/h1>\\n<ul>\\n<li><a href=\\\"http:\\/\\/joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Products<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/www.youtube.com\\/user\\/jogetworkflow\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Videos<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/www.jogetcloud.com\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Cloud<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/cloud.joget.com\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow On-Demand<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/marketplace.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Marketplace<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/translate.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Translations<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/answer.joget.org\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Answers<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/dev.joget.org\\/community\\/display\\/KBv6\\/Joget+Workflow+v6+Knowledge+Base\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Knowledge Base<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/blog.joget.org\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Blog<\\/a><\\/li>\\n<li><a href=\\\"http:\\/\\/joget.org\\/buy-enterprise-edition-license\\/\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Purchase Joget Workflow Enterprise License<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/play.google.com\\/store\\/apps\\/details?id=org.joget.mobile&amp;hl=en\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Mobile Android App<\\/a><\\/li>\\n<li><a href=\\\"https:\\/\\/itunes.apple.com\\/us\\/app\\/joget-workflow-mobile\\/id1084995640?mt=8\\\" target=\\\"_blank\\\" rel=\\\"noopener noreferrer\\\">Joget Workflow Mobile iOS App<\\/a><\\/li>\\n<\\/ul>\",\"userviewCacheScope\":\"application\",\"userviewCacheDuration\":\"10\"}}],\"className\":\"org.joget.apps.userview.model.UserviewCategory\",\"properties\":{\"id\":\"category-6B7720E4525B48FDA8B885A91B153B36\",\"label\":\"<i class=\\\"fa fa-info-circle\\\" aria-hidden=\\\"true\\\"><\\/i> Info\",\"hide\":\"\",\"permission\":{\"className\":\"org.joget.apps.userview.lib.LoggedInUserPermission\",\"properties\":{}}}}]}','2018-01-10 13:03:30','2018-01-10 21:10:40');
/*!40000 ALTER TABLE `app_userview` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_department`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_department` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `organizationId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `hod` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `parentId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKEEE8AA4418CEBAE1` (`organizationId`),
  KEY `FKEEE8AA44EF6BB2B7` (`parentId`),
  KEY `FKEEE8AA4480DB1449` (`hod`),
  CONSTRAINT `FKEEE8AA4418CEBAE1` FOREIGN KEY (`organizationId`) REFERENCES `dir_organization` (`id`),
  CONSTRAINT `FKEEE8AA4480DB1449` FOREIGN KEY (`hod`) REFERENCES `dir_employment` (`id`),
  CONSTRAINT `FKEEE8AA44EF6BB2B7` FOREIGN KEY (`parentId`) REFERENCES `dir_department` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_department`
--

LOCK TABLES `dir_department` WRITE;
/*!40000 ALTER TABLE `dir_department` DISABLE KEYS */;
INSERT INTO `dir_department` VALUES ('D-001','CEO Office','','ORG-001','4028808127f4ef840127f5efdbfb004f',NULL),('D-002','Human Resource and Admin','','ORG-001','4028808127f4ef840127f5f41d4b0091',NULL),('D-003','Finance','','ORG-001','4028808127f4ef840127f606242400b3',NULL),('D-004','Marketing','','ORG-001','4028808127f4ef840127f5f20f36007a',NULL),('D-005','Product Development','','ORG-001','4028808127f4ef840127f5f04dc2005a',NULL),('D-006','Training and Consulting','','ORG-001','4028808127f4ef840127f5f7c5b500a5',NULL),('D-007','Support and Services','','ORG-001','4028808127fb4d350127ff78d63300d1',NULL);
/*!40000 ALTER TABLE `dir_department` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_employment`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_employment` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `userId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `startDate` date DEFAULT NULL,
  `endDate` date DEFAULT NULL,
  `employeeCode` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `role` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `gradeId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `departmentId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `organizationId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKC6620ADE716AE35F` (`departmentId`),
  KEY `FKC6620ADE14CE02E9` (`gradeId`),
  KEY `FKC6620ADECE539211` (`userId`),
  KEY `FKC6620ADE18CEBAE1` (`organizationId`),
  CONSTRAINT `FKC6620ADE14CE02E9` FOREIGN KEY (`gradeId`) REFERENCES `dir_grade` (`id`),
  CONSTRAINT `FKC6620ADE18CEBAE1` FOREIGN KEY (`organizationId`) REFERENCES `dir_organization` (`id`),
  CONSTRAINT `FKC6620ADE716AE35F` FOREIGN KEY (`departmentId`) REFERENCES `dir_department` (`id`),
  CONSTRAINT `FKC6620ADECE539211` FOREIGN KEY (`userId`) REFERENCES `dir_user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_employment`
--

LOCK TABLES `dir_employment` WRITE;
/*!40000 ALTER TABLE `dir_employment` DISABLE KEYS */;
INSERT INTO `dir_employment` VALUES ('4028808127f4ef840127f5efdbfb004f','terry',NULL,NULL,NULL,NULL,'G-001','D-001','ORG-001'),('4028808127f4ef840127f5f04dc2005a','clark',NULL,NULL,NULL,NULL,'G-002','D-005','ORG-001'),('4028808127f4ef840127f5f11cf60068','cat',NULL,NULL,NULL,NULL,'G-003','D-005','ORG-001'),('4028808127f4ef840127f5f194e20071','tana',NULL,NULL,NULL,NULL,'G-003','D-005','ORG-001'),('4028808127f4ef840127f5f20f36007a','roy',NULL,NULL,NULL,NULL,'G-002','D-004','ORG-001'),('4028808127f4ef840127f5f319720088','etta',NULL,NULL,NULL,NULL,'G-003','D-004','ORG-001'),('4028808127f4ef840127f5f41d4b0091','sasha',NULL,NULL,NULL,NULL,'G-002','D-002','ORG-001'),('4028808127f4ef840127f5f7c5b500a5','jack',NULL,NULL,NULL,NULL,'G-002','D-006','ORG-001'),('4028808127f4ef840127f606242400b3','tina',NULL,NULL,NULL,NULL,'G-002','D-003','ORG-001'),('4028808127fb4d350127ff78d63300d1','david',NULL,NULL,NULL,NULL,'G-002','D-007','ORG-001'),('4028808127fb4d350127ff84074600f2','julia',NULL,NULL,NULL,NULL,'G-003','D-002','ORG-001');
/*!40000 ALTER TABLE `dir_employment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_employment_report_to`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_employment_report_to` (
  `employmentId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `reportToId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `id` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`employmentId`,`reportToId`),
  KEY `FK53622945F4068416` (`reportToId`),
  KEY `FK536229452787E613` (`employmentId`),
  CONSTRAINT `FK536229452787E613` FOREIGN KEY (`employmentId`) REFERENCES `dir_employment` (`id`),
  CONSTRAINT `FK53622945F4068416` FOREIGN KEY (`reportToId`) REFERENCES `dir_employment` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_employment_report_to`
--

LOCK TABLES `dir_employment_report_to` WRITE;
/*!40000 ALTER TABLE `dir_employment_report_to` DISABLE KEYS */;
INSERT INTO `dir_employment_report_to` VALUES ('4028808127f4ef840127f5f04dc2005a','4028808127f4ef840127f5efdbfb004f','4028808127f4ef840127f5f04e9b005f'),('4028808127f4ef840127f5f20f36007a','4028808127f4ef840127f5efdbfb004f','4028808127f4ef840127f5f20fb7007f'),('4028808127f4ef840127f5f41d4b0091','4028808127f4ef840127f5efdbfb004f','4028808127f4ef840127f5f48eda009e'),('4028808127f4ef840127f5f7c5b500a5','4028808127f4ef840127f5efdbfb004f','4028808127f4ef840127f5f7c60b00aa'),('4028808127f4ef840127f606242400b3','4028808127f4ef840127f5efdbfb004f','4028808127f4ef840127f60624c100b8'),('4028808127fb4d350127ff78d63300d1','4028808127f4ef840127f5efdbfb004f','4028808127fb4d350127ff78d6fe00d6');
/*!40000 ALTER TABLE `dir_employment_report_to` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_grade`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_grade` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `organizationId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKBC9A49A518CEBAE1` (`organizationId`),
  CONSTRAINT `FKBC9A49A518CEBAE1` FOREIGN KEY (`organizationId`) REFERENCES `dir_organization` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_grade`
--

LOCK TABLES `dir_grade` WRITE;
/*!40000 ALTER TABLE `dir_grade` DISABLE KEYS */;
INSERT INTO `dir_grade` VALUES ('G-001','Board Members','','ORG-001'),('G-002','Managers','','ORG-001'),('G-003','Executives','','ORG-001');
/*!40000 ALTER TABLE `dir_grade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_group`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_group` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `organizationId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FKBC9A804D18CEBAE1` (`organizationId`),
  CONSTRAINT `FKBC9A804D18CEBAE1` FOREIGN KEY (`organizationId`) REFERENCES `dir_organization` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_group`
--

LOCK TABLES `dir_group` WRITE;
/*!40000 ALTER TABLE `dir_group` DISABLE KEYS */;
INSERT INTO `dir_group` VALUES ('G-001','Managers','',NULL),('G-002','CxO','',NULL),('G-003','hrAdmin','',NULL);
/*!40000 ALTER TABLE `dir_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_organization`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_organization` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `parentId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK55A15FA5961BD498` (`parentId`),
  CONSTRAINT `FK55A15FA5961BD498` FOREIGN KEY (`parentId`) REFERENCES `dir_organization` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_organization`
--

LOCK TABLES `dir_organization` WRITE;
/*!40000 ALTER TABLE `dir_organization` DISABLE KEYS */;
INSERT INTO `dir_organization` VALUES ('ORG-001','Joget.Org','',NULL);
/*!40000 ALTER TABLE `dir_organization` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_role`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_role` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_role`
--

LOCK TABLES `dir_role` WRITE;
/*!40000 ALTER TABLE `dir_role` DISABLE KEYS */;
INSERT INTO `dir_role` VALUES ('ROLE_ADMIN','Admin','Administrator'),('ROLE_USER','User','Normal User');
/*!40000 ALTER TABLE `dir_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `firstName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lastName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `active` int(11) DEFAULT NULL,
  `timeZone` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `locale` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user`
--

LOCK TABLES `dir_user` WRITE;
/*!40000 ALTER TABLE `dir_user` DISABLE KEYS */;
INSERT INTO `dir_user` VALUES ('admin','admin','21232f297a57a5a743894a0e4a801fc3','Admin','Admin',NULL,1,'0',NULL),('cat','cat','5f4dcc3b5aa765d61d8327deb882cf99','Cat','Grant','',1,'',NULL),('clark','clark','5f4dcc3b5aa765d61d8327deb882cf99','Clark','Kent','',1,'',NULL),('david','david','5f4dcc3b5aa765d61d8327deb882cf99','David','Cain','',1,'',NULL),('etta','etta','5f4dcc3b5aa765d61d8327deb882cf99','Etta','Candy','',1,'',NULL),('jack','jack','5f4dcc3b5aa765d61d8327deb882cf99','Jack','Drake','',1,'',NULL),('julia','julia','5f4dcc3b5aa765d61d8327deb882cf99','Julia','Kapatelis','',1,'',NULL),('roy','roy','5f4dcc3b5aa765d61d8327deb882cf99','Roy','Harper','',1,'',NULL),('sasha','sasha','5f4dcc3b5aa765d61d8327deb882cf99','Sasha','Bordeaux','',1,'',NULL),('tana','tana','5f4dcc3b5aa765d61d8327deb882cf99','Tana','Moon','',1,'',NULL),('terry','terry','5f4dcc3b5aa765d61d8327deb882cf99','Terry','Berg','',1,'',NULL),('tina','tina','5f4dcc3b5aa765d61d8327deb882cf99','Tina','Magee','',1,'',NULL);
/*!40000 ALTER TABLE `dir_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user_extra`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user_extra` (
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `algorithm` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `loginAttempt` int(11) DEFAULT NULL,
  `failedloginAttempt` int(11) DEFAULT NULL,
  `lastLogedInDate` datetime DEFAULT NULL,
  `lockOutDate` datetime DEFAULT NULL,
  `lastPasswordChangeDate` datetime DEFAULT NULL,
  `requiredPasswordChange` bit(1) DEFAULT NULL,
  `noPasswordExpiration` bit(1) DEFAULT NULL,
  PRIMARY KEY (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user_extra`
--

LOCK TABLES `dir_user_extra` WRITE;
/*!40000 ALTER TABLE `dir_user_extra` DISABLE KEYS */;
/*!40000 ALTER TABLE `dir_user_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user_group`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user_group` (
  `groupId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `userId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`userId`,`groupId`),
  KEY `FK2F0367FD159B6639` (`groupId`),
  KEY `FK2F0367FDCE539211` (`userId`),
  CONSTRAINT `FK2F0367FD159B6639` FOREIGN KEY (`groupId`) REFERENCES `dir_group` (`id`),
  CONSTRAINT `FK2F0367FDCE539211` FOREIGN KEY (`userId`) REFERENCES `dir_user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user_group`
--

LOCK TABLES `dir_user_group` WRITE;
/*!40000 ALTER TABLE `dir_user_group` DISABLE KEYS */;
INSERT INTO `dir_user_group` VALUES ('G-001','clark'),('G-001','david'),('G-001','jack'),('G-001','roy'),('G-001','sasha'),('G-001','tina'),('G-002','terry'),('G-003','julia'),('G-003','sasha');
/*!40000 ALTER TABLE `dir_user_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user_meta`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user_meta` (
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_key` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `meta_value` longtext COLLATE utf8_unicode_ci,
  PRIMARY KEY (`username`,`meta_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user_meta`
--

LOCK TABLES `dir_user_meta` WRITE;
/*!40000 ALTER TABLE `dir_user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `dir_user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user_password_history`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user_password_history` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `salt` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `updatedDate` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user_password_history`
--

LOCK TABLES `dir_user_password_history` WRITE;
/*!40000 ALTER TABLE `dir_user_password_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `dir_user_password_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user_replacement`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user_replacement` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `replacementUser` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `processIds` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `startDate` datetime DEFAULT NULL,
  `endDate` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user_replacement`
--

LOCK TABLES `dir_user_replacement` WRITE;
/*!40000 ALTER TABLE `dir_user_replacement` DISABLE KEYS */;
/*!40000 ALTER TABLE `dir_user_replacement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dir_user_role`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dir_user_role` (
  `roleId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `userId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`userId`,`roleId`),
  KEY `FK5C5FE738C8FE3CA7` (`roleId`),
  KEY `FK5C5FE738CE539211` (`userId`),
  CONSTRAINT `FK5C5FE738C8FE3CA7` FOREIGN KEY (`roleId`) REFERENCES `dir_role` (`id`),
  CONSTRAINT `FK5C5FE738CE539211` FOREIGN KEY (`userId`) REFERENCES `dir_user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dir_user_role`
--

LOCK TABLES `dir_user_role` WRITE;
/*!40000 ALTER TABLE `dir_user_role` DISABLE KEYS */;
INSERT INTO `dir_user_role` VALUES ('ROLE_ADMIN','admin'),('ROLE_USER','cat'),('ROLE_USER','clark'),('ROLE_USER','david'),('ROLE_USER','etta'),('ROLE_USER','jack'),('ROLE_USER','julia'),('ROLE_USER','roy'),('ROLE_USER','sasha'),('ROLE_USER','tana'),('ROLE_USER','terry'),('ROLE_USER','tina');
/*!40000 ALTER TABLE `dir_user_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `objectid`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `objectid` (
  `nextoid` decimal(19,0) NOT NULL,
  PRIMARY KEY (`nextoid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `objectid`
--

LOCK TABLES `objectid` WRITE;
/*!40000 ALTER TABLE `objectid` DISABLE KEYS */;
INSERT INTO `objectid` VALUES (1000400);
/*!40000 ALTER TABLE `objectid` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_audit_trail`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_audit_trail` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `clazz` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `method` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8_unicode_ci,
  `timestamp` datetime DEFAULT NULL,
  `appId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appVersion` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_audit_trail`
--

LOCK TABLES `wf_audit_trail` WRITE;
/*!40000 ALTER TABLE `wf_audit_trail` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_audit_trail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_process_link`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_process_link` (
  `processId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `parentProcessId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `originProcessId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`processId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_process_link`
--

LOCK TABLES `wf_process_link` WRITE;
/*!40000 ALTER TABLE `wf_process_link` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_process_link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_report`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_report` (
  `activityInstanceId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `processInstanceId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `priority` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `createdTime` datetime DEFAULT NULL,
  `startedTime` datetime DEFAULT NULL,
  `dateLimit` bigint(20) DEFAULT NULL,
  `due` datetime DEFAULT NULL,
  `delay` bigint(20) DEFAULT NULL,
  `finishTime` datetime DEFAULT NULL,
  `timeConsumingFromDateCreated` bigint(20) DEFAULT NULL,
  `timeConsumingFromDateStarted` bigint(20) DEFAULT NULL,
  `performer` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nameOfAcceptedUser` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `state` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `packageId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `processDefId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `activityDefId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `assignmentUsers` text COLLATE utf8_unicode_ci,
  `appId` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `appVersion` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`activityInstanceId`),
  KEY `FKB943CCA47A4E8F48` (`packageId`),
  KEY `FKB943CCA4A39D6461` (`processDefId`),
  KEY `FKB943CCA4CB863F` (`activityDefId`),
  CONSTRAINT `FKB943CCA47A4E8F48` FOREIGN KEY (`packageId`) REFERENCES `wf_report_package` (`packageId`),
  CONSTRAINT `FKB943CCA4A39D6461` FOREIGN KEY (`processDefId`) REFERENCES `wf_report_process` (`processDefId`),
  CONSTRAINT `FKB943CCA4CB863F` FOREIGN KEY (`activityDefId`) REFERENCES `wf_report_activity` (`activityDefId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_report`
--

LOCK TABLES `wf_report` WRITE;
/*!40000 ALTER TABLE `wf_report` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_report` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_report_activity`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_report_activity` (
  `activityDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `activityName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `priority` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`activityDefId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_report_activity`
--

LOCK TABLES `wf_report_activity` WRITE;
/*!40000 ALTER TABLE `wf_report_activity` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_report_activity` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_report_package`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_report_package` (
  `packageId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `packageName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`packageId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_report_package`
--

LOCK TABLES `wf_report_package` WRITE;
/*!40000 ALTER TABLE `wf_report_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_report_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_report_process`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_report_process` (
  `processDefId` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `processName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `version` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`processDefId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_report_process`
--

LOCK TABLES `wf_report_process` WRITE;
/*!40000 ALTER TABLE `wf_report_process` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_report_process` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_resource_bundle_message`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_resource_bundle_message` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `messageKey` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `locale` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_resource_bundle_message`
--

LOCK TABLES `wf_resource_bundle_message` WRITE;
/*!40000 ALTER TABLE `wf_resource_bundle_message` DISABLE KEYS */;
/*!40000 ALTER TABLE `wf_resource_bundle_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wf_setup`
--

/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wf_setup` (
  `id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `property` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `value` text COLLATE utf8_unicode_ci,
  `ordering` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wf_setup`
--

LOCK TABLES `wf_setup` WRITE;
/*!40000 ALTER TABLE `wf_setup` DISABLE KEYS */;
INSERT INTO `wf_setup` VALUES ('4028b88160e02aa80160e02b3d2a009f','defaultUserview','appcenter/v',NULL);
/*!40000 ALTER TABLE `wf_setup` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2018-01-10 21:16:34
